<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim sSQLText, rsDB, sLSearch, sRSearch, sJoin
	Dim sNewLogin, sNewPassword, sDomainQuery, sDomainQuery2, iDomainUnq
	Dim iNumPerPage, iTtlNumItems, iDBLoc, sSort
	Dim sAccountUnq, sOldPassword, sOldLogin, sSortBy
	Dim sSearchIDNum, sSearchEmail, sSearchLogin, sBeginSearch
	Dim sIDNumQualifier, sEmailQualifier, sLoginQualifier
	Dim bViewEmail, sAllowWildcards
	
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_ACCOUNTS")
	If   (ACCNT_AnyDomain("SB_MA_REVOKE")) Or _
		 (ACCNT_AnyDomain("SB_MA_UPDATE")) Or _
		 (ACCNT_AnyDomain("SB_MA_VIEW_PW")) Or _
		 (ACCNT_AnyDomain("SB_MA_REINSTATE")) Or _
		 (ACCNT_AnyDomain("SB_MA_CHANGE_DOMAINS")) Or _
		 (ACCNT_AnyDomain("SB_UD_VIEW")) Or _
		 (ACCNT_AnyDomain("SB_UD_EDIT")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sSQLText
		Dim sCheckBox, sError, sSuccess, sTextField
	
		Set rsDB	= CreateObject("ADODB.Recordset")
		sAccountUnq		= Trim(Request("sAccountUnq"))
		sAction			= Request("sAction")
		sSortBy			= Request("sSortBy")
		iDomainUnq		= Trim(Request("iDomainUnq"))
		sSearchIDNum	= DOMAIN_FixD(Trim(Request("sSearchIDNum")), -1)
		sSearchEmail	= Trim(Request("sSearchEmail"))
		sSearchLogin	= Trim(Request("sSearchLogin"))
		sIDNumQualifier	= Trim(Request("sIDNumQualifier"))
		sEmailQualifier	= Trim(Request("sEmailQualifier"))
		sLoginQualifier	= Trim(Request("sLoginQualifier"))
		sBeginSearch	= Trim(Request("sBeginSearch"))
		sRSearch		= ""
		sLSearch		= ""
		sAllowWildcards	= Trim(Request("sAllowWildcards"))
		
		If ( iDomainUnq <> "" ) Then
			sDomainQuery	= " AND A.HomeDomain = " & iDomainUnq
			sDomainQuery2	= " AND D.DomainUnq = " & iDomainUnq
			bViewEmail = ACCNT_SpecificDomain("SB_UD_VIEW", iDomainUnq) AND ACCNT_SpecificDomain("SB_UD_EDIT", iDomainUnq)
		Else
			sDomainQuery = ""
			sDomainQuery2	= " AND D.DomainUnq = " & iDomainName
			bViewEmail = ACCNT_SpecificDomain("SB_UD_VIEW", iDomainName) AND ACCNT_SpecificDomain("SB_UD_EDIT", iDomainName)
		End If
		
		
		If ( sSearchIDNum > -1 ) Then
			Select Case sIDNumQualifier
				Case "EQ"	'Equal
					sLSearch = " AND A.AccountUnq = " & sSearchIDNum
				Case "LT"	'Less Than
					sLSearch = " AND A.AccountUnq < " & sSearchIDNum
				Case "GT"	'Greater Than
					sLSearch = " AND A.AccountUnq > " & sSearchIDNum
			End Select
		Else
			sSearchIDNum = ""	' this is so it's displayed properly in the form (not at -1 when 1st go to this page)
		End If
		If ( sSearchEmail <> "" ) Then
			If ( sAllowWildcards <> "Y" ) Then
				' escape MSSQL wildcard characters
				sSearchEmail = Replace(sSearchEmail, "[", "[[]")	' this must be done first
				sSearchEmail = Replace(sSearchEmail, "%", "[%]")
				sSearchEmail = Replace(sSearchEmail, "_", "[_]")
				sSearchEmail = Replace(sSearchEmail, "^", "[^]")
			End If
			Select Case sLoginQualifier
				Case "IN"	'Contains
					sRSearch = " AND D.VarCharData LIKE '%" & SQLEncode(sSearchEmail) & "%'"
				Case "SW"	'Starts With
					sRSearch = " AND D.VarCharData LIKE '" & SQLEncode(sSearchEmail) & "%'"
				Case "EW"	'Ends With
					sRSearch = " AND D.VarCharData LIKE '%" & SQLEncode(sSearchEmail) & "'"
			End Select
		Else
			 'sRSearch = " OR D.VarCharData IS NULL"	' all other times we want to include ALL accounts - even ones w/o email addresses
		End If
		If ( sSearchLogin <> "" ) Then
			If ( sAllowWildcards <> "Y" ) Then
				' escape MSSQL wildcard characters
				sSearchLogin = Replace(sSearchLogin, "[", "[[]")	' this must be done first
				sSearchLogin = Replace(sSearchLogin, "%", "[%]")
				sSearchLogin = Replace(sSearchLogin, "_", "[_]")
				sSearchLogin = Replace(sSearchLogin, "^", "[^]")
			End If
			Select Case sLoginQualifier
				Case "IN"	'Contains
					sLSearch = sLSearch & " AND A.Login LIKE '%" & SQLEncode(sSearchLogin) & "%'"
				Case "SW"	'Starts With
					sLSearch = sLSearch & " AND A.Login LIKE '" & SQLEncode(sSearchLogin) & "%'"
				Case "EW"	'Ends With
					sLSearch = sLSearch & " AND A.Login LIKE '%" & SQLEncode(sSearchLogin) & "'"
			End Select
		End If
		
		If ( sSearchEmail <> "" ) Then
			sJoin = "JOIN"	' doing a search on EMAIL, so we must not look at emails that are NULL
		Else
			sJoin = "LEFT OUTER JOIN"	' doing a search on ID or LOGIN, or no search at all. We must look at accounts w/ NULL emails
		End If

		' Pagination variables -- begin
		iNumPerPage = 20
		If ( sBeginSearch = "" ) Then	' we aren't searching or starting a new search so we can use the existing numbers
			iTtlNumItems = CLng(Request("iTtlNumItems"))
			If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
				iDBLoc = 0
			Else
				iDBLoc = CLng(Request("iDBLoc"))
				If (iDBLoc<0) Then
					iDBLoc = 0
				End If
			End If
		Else
			iTtlNumItems = 0
			iDBLoc = 0
		End If

		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( sGroupType = "R" ) Then
				sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK) INNER JOIN Accounts A (NOLOCK) ON R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND R.RightsLvl IN ('SB_MA_REVOKE','SB_MA_UPDATE','SB_MA_REINSTATE','SB_MA_CHANGE_DOMAINS','SB_UD_VIEW','SB_UD_EDIT')" & sLSearch & " " & sJoin & " AccountData D (NOLOCK) ON A.AccountUnq = D.AccountUnq AND D.MapName = 'SB_EmailAddress'" & sDomainQuery2 & sRSearch
			Else
				' the admin is either in "S" group(s) or no group.
				sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK) INNER JOIN Accounts A (NOLOCK) ON R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND R.RightsLvl IN ('SB_MA_REVOKE','SB_MA_UPDATE','SB_MA_REINSTATE','SB_MA_CHANGE_DOMAINS','SB_UD_VIEW','SB_UD_EDIT')" & sLSearch & " " & sJoin & " AccountData D (NOLOCK) ON A.AccountUnq = D.AccountUnq AND D.MapName = 'SB_EmailAddress'" & sDomainQuery2 & sRSearch
			End If

			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end
		
		sError = ""
		sSuccess = ""
		Select Case sAction
			Case "InvokeAccount"
				' Restore an account
	            For Each sCheckBox In Request.Form
	            	If ( InStr(sCheckBox, "sAccountUnq") > 0 ) Then
	            		sAccountUnq = Request(sCheckBox)
						If InSystem() = FALSE Then
							sError = DOMAIN_Text("NEVER_ACCOUNT")
						Else
							If (ACCNT_SpecificDomain("SB_MA_REINSTATE", ACCNT_HomeDomain(sAccountUnq))) Then
								DBConnection.Execute "UPDATE Accounts SET RemoveDate = NULL WHERE AccountUnq = " & sAccountUnq
								Call DOMAIN_Log(116, "", sAccountUnq, "", 0, "", 0, "V", "U", NOW, "")
								sSuccess = DOMAIN_Text("ACCOUNT_REINSTATED2")
							End If
						End If
	            	End If
	            Next
			Case "EditAccount"
				' Edits an account
				For Each sTextField In Request.Form
					If (InStr(sTextField, "sOldLogin") > 0 ) Then
						' check the login to see if it's changed. if so, see if one like it already exists and change it if it doesn't
						sAccountUnq = Replace(sTextField, "sOldLogin", "")
						sOldLogin = Request(sTextField)
						sNewLogin = Request("sNewLogin" & sAccountUnq)
						sOldPassword = Request("sOldPassword" & sAccountUnq)
						sNewPassword = Request("sNewPassword" & sAccountUnq)
						If ( sOldPassword <> sNewPassword Or sOldLogin <> sNewLogin ) Then
							If sNewPassword <> "" AND sNewLogin <> "" Then
								If sAccountUnq <> CStr(LoginExists2()) Then
									sError = DOMAIN_Text("LOGIN_EXISTS")
								Else
									If (ACCNT_SpecificDomain("SB_MA_UPDATE", ACCNT_HomeDomain(sAccountUnq))) Then
										DBConnection.Execute "UPDATE Accounts SET Login = '" & SQLEncode(sNewLogin) & "', Password = '" & SQLEncode(sNewPassword) & "', RemoveDate = NULL WHERE AccountUnq = " & sAccountUnq
										If ( sOldPassword <> sNewPassword ) Then
											Call DOMAIN_Log(37, "", sAccountUnq, "", 0, "", 0, "V", "U", SQLEncode(sOldPassword), "")
										End If
										If ( sOldLogin <> sNewLogin ) Then
											Call DOMAIN_Log(36, "", sAccountUnq, "", 0, "", 0, "V", "U", SQLEncode(sOldLogin), "")
										End If
										If NOT IsNull(InSystem()) Then
											sSuccess = DOMAIN_Text("EDIT_ACCOUNT")
										Else
											sSuccess = DOMAIN_Text("EDIT_ACCOUNT2")
										End If
									End If
								End If
							Else
								sError = DOMAIN_Text("ENTER_LOGIN_PW")
							End If
						End If
					End If
				Next
			Case "RevokeAccount"
				' Revoke the accounts
	            For Each sCheckBox In Request.Form
	            	If ( InStr(sCheckBox, "sAccountUnq") > 0 ) Then
	            		sAccountUnq = Request(sCheckBox)
						If InSystem() = FALSE Then
							sError = DOMAIN_Text("NEVER_ACCOUNT")
						Else
							If (ACCNT_SpecificDomain("SB_MA_REVOKE", ACCNT_HomeDomain(sAccountUnq))) Then
								DBConnection.Execute "UPDATE Accounts SET RemoveDate = GetDate() WHERE AccountUnq = " & sAccountUnq
								Call DOMAIN_Log(38, "", sAccountUnq, "", 0, "", 0, "V", "U", NOW, "")
								sSuccess = DOMAIN_Text("ACCOUNT_REVOKED")
							End If
						End If
	            	End If
	            Next
		End Select
		
		Select Case sSortBy
			Case "ID"
				sSort = " ORDER BY A.AccountUnq"
			Case "Login"
				sSort = " ORDER BY A.Login"
			Case "HomeDomain"
				sSort = " ORDER BY A.HomeDomain"
			Case "RemoveDate"
				sSort = " ORDER BY A.RemoveDate DESC"
			Case "Email"
				sSort = " ORDER BY D.VarCharData"
			Case Else
				sSort = " ORDER BY A.AccountUnq"
		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		
		If ( sAllowWildcards <> "Y" ) Then
			' unescape MSSQL wildcard characters -- needs to be done for the WriteForm function
			sSearchEmail = Replace(sSearchEmail, "[%]", "%")
			sSearchEmail = Replace(sSearchEmail, "[_]", "_")
			sSearchEmail = Replace(sSearchEmail, "[^]", "^")
			sSearchEmail = Replace(sSearchEmail, "[[]", "[")	' this must be done last
			sSearchLogin = Replace(sSearchLogin, "[%]", "%")
			sSearchLogin = Replace(sSearchLogin, "[_]", "_")
			sSearchLogin = Replace(sSearchLogin, "[^]", "^")
			sSearchLogin = Replace(sSearchLogin, "[[]", "[")	' this must be done last
		End If

		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if they are in the db or not. And if they are, it returns	*
	'*		the date they were taken out of that system or NULL if they are still in	*
	'*		it.																			*
	'*																					*
	'************************************************************************************
	Function InSystem()
		Dim sSql, rsDB
	
		sSql = "SELECT RemoveDate FROM Accounts (NOLOCK) WHERE AccountUnq = " & sAccountUnq
		Set rsDB = CreateObject("ADODB.Recordset")
		DBCommand.CommandText = sSQL
		rsDB.Open DBCommand
		If ( NOT rsDB.EOF ) Then
			InSystem = rsDB("RemoveDate")
		Else
			InSystem = FALSE
		End If
		rsDB.Close
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the login they entered already exists or not.				*
	'*																					*
	'************************************************************************************
	Function LoginExists2()
		Dim sSql, rsDB
	
		sSql = "SELECT * FROM Accounts (NOLOCK) WHERE Login = '" & SQLEncode(sNewLogin) & "'"
		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQL, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			LoginExists2 = sAccountUnq
		Else
			LoginExists2 = rsDB("AccountUnq")
		End If
		rsDB.Close
	End Function	
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, x, iMax, iCount, sLogin, sPassword, sType, sGroupUnq, iHomeDomain
		Dim rsDomain, sEmailAddress
		
		' find all users who have homedomains on which the admin has any of the 6 rights above
' old stuff just incase
		If ( sGroupType = "R" ) Then
'			sSQLText = "SET ROWCOUNT " & (CLng(iDBLoc) + CLng(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain, D.VarCharData FROM Rights R (NOLOCK), Accounts A (NOLOCK) LEFT OUTER JOIN AccountData D (NOLOCK) ON D.AccountUnq = A.AccountUnq WHERE R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND R.RightsLvl IN ('SB_MA_REVOKE','SB_MA_UPDATE','SB_MA_REINSTATE','SB_MA_CHANGE_DOMAINS','SB_UD_VIEW','SB_UD_EDIT') AND D.MapName = 'SB_EmailAddress'" & sDomainQuery2 & sSearch & sSort & " SET ROWCOUNT 0"
		Else
			' the admin is either in "S" group(s) or no group.
'			sSQLText = "SET ROWCOUNT " & (CLng(iDBLoc) + CLng(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain, D.VarCharData FROM Rights R (NOLOCK), Accounts A (NOLOCK) LEFT OUTER JOIN AccountData D (NOLOCK) ON D.AccountUnq = A.AccountUnq WHERE R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND R.RightsLvl IN ('SB_MA_REVOKE','SB_MA_UPDATE','SB_MA_REINSTATE','SB_MA_CHANGE_DOMAINS','SB_UD_VIEW','SB_UD_EDIT') AND D.MapName = 'SB_EmailAddress'" & sDomainQuery2 & sSearch & sSort & " SET ROWCOUNT 0"
		End If
' end old stuff
		
		If ( sGroupType = "R" ) Then
			sSQLText = "SET ROWCOUNT " & (CLng(iDBLoc) + CLng(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain, D.VarCharData FROM Rights R (NOLOCK) INNER JOIN Accounts A (NOLOCK) ON R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND R.RightsLvl IN ('SB_MA_REVOKE','SB_MA_UPDATE','SB_MA_REINSTATE','SB_MA_CHANGE_DOMAINS','SB_UD_VIEW','SB_UD_EDIT')" & sLSearch & " " & sJoin & " AccountData D (NOLOCK) ON A.AccountUnq = D.AccountUnq AND D.MapName = 'SB_EmailAddress'" & sDomainQuery2 & sRSearch & sSort & " SET ROWCOUNT 0"
		Else
			' the admin is either in "S" group(s) or no group.
			sSQLText = "SET ROWCOUNT " & (CLng(iDBLoc) + CLng(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain, D.VarCharData FROM Rights R (NOLOCK) INNER JOIN Accounts A (NOLOCK) ON R.DomainUnq = A.HomeDomain" & sDomainQuery & " AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND R.RightsLvl IN ('SB_MA_REVOKE','SB_MA_UPDATE','SB_MA_REINSTATE','SB_MA_CHANGE_DOMAINS','SB_UD_VIEW','SB_UD_EDIT')" & sLSearch & " " & sJoin & " AccountData D (NOLOCK) ON A.AccountUnq = D.AccountUnq AND D.MapName = 'SB_EmailAddress'" & sDomainQuery2 & sRSearch & sSort & " SET ROWCOUNT 0"
		End If

		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("AccountsBGColor2")
		For x = 1 To CLng(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageAccounts.sAction.value = sAction;
				document.ManageAccounts.submit();
			}
			
		</script>
		<form name='ManageAccounts' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "sBeginSearch"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = ""
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>

		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_HEADER")%></b></font>
					<br>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_SUBHEADER")%>
					<br><br>
					Listing <b><%=FormatNumber(iTtlNumItems, 0)%></b> accounts.
					<table cellpadding=0 width=671 cellspacing = 0 border = 0>
						<tr>
							<td>
								<b>Search:</b>
							</td>
							<td align=right>
								<b>Jump to page:</b>
								<select name='iDBLoc2' onChange='document.ManageAccounts.iDBLoc.value=this.value;SubmitForm("");'>
									<option value='0'>Select Page</option>
									<%
									For x = 0 to (iTtlNumItems/iNumPerPage)
										%>
										<option value='<%=x*iNumPerPage%>'><%=x+1%></option>
										<%
									Next
									%>
								</select>
							</td>
						</tr>
					</table>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("AccountsBorderColor1")%> align=center>
					<table cellpadding=5 width=671 cellspacing = 0 border = 0>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								ID# <input type='text' name='sSearchIDNum' value="<%=Server.HTMLEncode(sSearchIDNum)%>" maxlength=32 size=8>
							</td>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								<select name='sIDNumQualifier'>
									<option value='EQ' <%If ( sIDNumQualifier = "EQ" ) Then Response.Write "Selected" End If%>>Equal</option>
									<option value='LT' <%If ( sIDNumQualifier = "LT" ) Then Response.Write "Selected" End If%>>Less Than</option>
									<option value='GT' <%If ( sIDNumQualifier = "GT" ) Then Response.Write "Selected" End If%>>Greater Than</option>
								</select>
							</td>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%> rowspan=5 align=center valign=center width=200>
								Allow MSSQL wildcards ("[%_^")? <input type='checkbox' name='sAllowWildcards' value='Y' <%If ( sAllowWildcards="Y" ) Then Response.Write "Checked" End If%>>
								<br><br><br>
								<input type='button' value='Search' onClick='document.ManageAccounts.sBeginSearch.value=1;SubmitForm("");'>
								<br><br><br>
								<input type='button' value='Clear Search' onClick='document.ManageAccounts.sBeginSearch.value=1;document.ManageAccounts.sSearchIDNum.value="";document.ManageAccounts.sSearchLogin.value="";document.ManageAccounts.sSearchEmail.value="";SubmitForm("");'>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%> colspan=2 align=center>
								<table cellpadding=0 cellspacing=0 border=0 width=100%><tr><td width=50%><hr></td><td><font color='<%=DOMAIN_Color("AccountsPageText")%>'><b>AND</b></td><td width=50%><hr></td></tr></table>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								Email <input type='text' name='sSearchEmail' value="<%=Server.HTMLEncode(sSearchEmail)%>" maxlength=255 size=32>
							</td>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								<select name='sEmailQualifier'>
									<option value='IN' <%If ( sEmailQualifier = "IN" ) Then Response.Write "Selected" End If%>>Contains</option>
									<option value='SW' <%If ( sEmailQualifier = "SW" ) Then Response.Write "Selected" End If%>>Starts With</option>
									<option value='EW' <%If ( sEmailQualifier = "EW" ) Then Response.Write "Selected" End If%>>Ends With</option>
								</select>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%> colspan=2 align=center>
								<table cellpadding=0 cellspacing=0 border=0 width=100%><tr><td width=50%><hr></td><td><font color='<%=DOMAIN_Color("AccountsPageText")%>'><b>AND</b></td><td width=50%><hr></td></tr></table>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								Login <input type='text' name='sSearchLogin' value="<%=Server.HTMLEncode(sSearchLogin)%>" maxlength=255 size=32>
							</td>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								<select name='sLoginQualifier'>
									<option value='IN' <%If ( sLoginQualifier = "IN" ) Then Response.Write "Selected" End If%>>Contains</option>
									<option value='SW' <%If ( sLoginQualifier = "SW" ) Then Response.Write "Selected" End If%>>Starts With</option>
									<option value='EW' <%If ( sLoginQualifier = "EW" ) Then Response.Write "Selected" End If%>>Ends With</option>
								</select>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<br><br>
					
					<b>Filter:</b>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("AccountsBorderColor1")%> align=center>
					<table cellpadding=5 width=671 cellspacing = 0 border = 0>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
								<%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_HOMEDOMAIN2")%>
								<%
								' can't use DOMAINS_DomainsDropDown() because that only takes 3 rights levels, we need 7
								Response.Write "<select name='iDomainUnq' onChange='document.ManageAccounts.iTtlNumItems.value=0;SubmitForm(""UpdateDomainUnq"");'>"
									Set rsDomain = CreateObject("ADODB.Recordset")
									sSQLText = "SELECT * FROM DomainInfo (NOLOCK) ORDER BY Domain"
									rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( NOT rsDomain.EOF ) Then
										Response.Write "<option value=''>" & DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_ALLDOMAINS") & "</option>"
										While ( NOT rsDomain.EOF )
											If ( ACCNT_SpecificDomain("SB_MA_REVOKE", rsDomain("DomainUnq")) Or ACCNT_SpecificDomain("SB_MA_UPDATE", rsDomain("DomainUnq")) Or ACCNT_SpecificDomain("SB_MA_VIEW_PW", rsDomain("DomainUnq")) Or ACCNT_SpecificDomain("SB_MA_REINSTATE", rsDomain("DomainUnq")) Or ACCNT_SpecificDomain("SB_MA_CHANGE_DOMAINS", rsDomain("DomainUnq")) Or ACCNT_SpecificDomain("SB_UD_VIEW", rsDomain("DomainUnq")) Or ACCNT_SpecificDomain("SB_UD_EDIT", rsDomain("DomainUnq")) ) Then
												If ( iDomainUnq = Trim(CStr(rsDomain("DomainUnq"))) ) Then
													Response.Write "<option value='" & rsDomain("DomainUnq") & "' Selected>" & rsDomain("Domain") & "</option>"
												Else
													Response.Write "<option value='" & rsDomain("DomainUnq") & "'>" & rsDomain("Domain") & "</option>"
												End If
											End If
											rsDomain.MoveNext
										Wend
									Else
										Response.Write "<option value=''>" & DOMAIN_Text("NO_DOMAINS") & "</option>"
									End If
									rsDomain.Close
									Set rsDomain = Nothing
								Response.Write "</select>"
								%>
							</td>
							<td align=right bgcolor = <%=DOMAIN_Color("AccountsPageBGColor")%>>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
								<%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_SORTBY")%>
								<select name='sSortBy' onChange='SubmitForm("UpdateSort");'>
									<option value='ID' <%If sSortBy="ID" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_IDNUM")%></option>
									<option value='Login' <%If sSortBy="Login" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_LOGIN")%></option>
									<option value='HomeDomain' <%If sSortBy="HomeDomain" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_HOMEDOMAIN_DROPDWN")%></option>
									<option value='RemoveDate' <%If sSortBy="RemoveDate" Then Response.Write "selected" End If%>><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_REVOKEDATE_DROPDWN")%></option>
									<option value='Email' <%If sSortBy="Email" Then Response.Write "selected" End If%>>Email Address</option>
								</select>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<br><br>
					<b>Results:</b><br>
					<%Call Disp_Alpha_Links()%>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_LOGIN")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_PASSWORD")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_CREATIONDATE")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_REVOKEDATE")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_GROUP")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_DELETE")%></b></td>
						</tr>
						<%
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("AccountsBGColor1") ) Then
								sBGColor = DOMAIN_Color("AccountsPageBGColor")
							Else
								sBGColor = DOMAIN_Color("AccountsBGColor1")
							End If
							sLogin			= rsDB("Login")
							sPassword		= rsDB("Password")
							sAccountUnq		= rsDB("AccountUnq")
							iHomeDomain		= rsDB("HomeDomain")
							sEmailAddress	= Trim(rsDB("VarCharData"))
							sType			= GetGroupType(sGroupUnq, iHomeDomain, sAccountUnq)
							%>
							<tr><td colspan=8 bgcolor=<%=sBGColor%>><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
							<tr>
								<td align=right bgcolor=<%=sBGColor%>><%=rsDB("AccountUnq")%></td>
								<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
								<%If ( ACCNT_SpecificDomain("SB_MA_UPDATE", iHomeDomain) ) Then%>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldLogin<%=sAccountUnq%>' value="<%=Server.HTMLEncode(sLogin)%>"><input type='text' name='sNewLogin<%=sAccountUnq%>' value="<%=Server.HTMLEncode(sLogin)%>" size=20 maxlength=250></td>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldPassword<%=sAccountUnq%>' value="<%=Server.HTMLEncode(sPassword)%>"><input type='text' name='sNewPassword<%=sAccountUnq%>' value="<%=Server.HTMLEncode(sPassword)%>" size=20 maxlength=250></td>
								<%ElseIf ( ACCNT_SpecificDomain("SB_MA_VIEW_PW", iHomeDomain) ) Then%>
								<td bgcolor=<%=sBGColor%>><b><%=sLogin%></td>
								<td bgcolor=<%=sBGColor%>><%=sPassword%></td>
								<%Else%>
								<td bgcolor=<%=sBGColor%>><b><%=sLogin%></td>
								<td bgcolor=<%=sBGColor%>></td>
								<%End If%>
								<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>' size=-2><%=rsDB("AddDate")%></font></td>
								<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor1")%>' size=-2><%=rsDB("RemoveDate")%></font></td>
								<td bgcolor=<%=sBGColor%> align=center>
									<%If ( sType = "S" ) Then%>
									<a href='../Groups/Default.asp?<%=DOMAIN_Link("G")%>&sAction=UpdateGroupUnq&sGroupUnq=S<%=sGroupUnq%>&iDomainUnq=<%=iHomeDomain%>' class='MediumNavPage'><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_SG")%></a>
									<%End If%>
									<%If ( sType = "R" ) Then%>
									<a href='../Groups/Default.asp?<%=DOMAIN_Link("G")%>&sAction=UpdateGroupUnq&sGroupUnq=R<%=sGroupUnq%>&iDomainUnq=<%=iHomeDomain%>' class='MediumNavPage'><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_RG")%></a>
									<%End If%>
								</td>
								<%If ( ( ACCNT_SpecificDomain("SB_MA_REINSTATE", iHomeDomain) ) Or ( ACCNT_SpecificDomain("SB_MA_REVOKE", iHomeDomain) ) ) Then%>
								<td bgcolor=<%=sBGColor%> align=center><input type='checkbox' name='sAccountUnq<%=sAccountUnq%>' value='<%=sAccountUnq%>'></td>
								<%Else%>
								<td bgcolor=<%=sBGColor%>>&nbsp;</td>
								<%End If%>
							</tr>
							<tr>
								<td colspan=8 bgcolor=<%=sBGColor%>>
									<table cellpadding=0 cellspacing=0 border=0 width=100%>
										<tr>
											<td>&nbsp;</td>
											<%
											' checks ANY DOMAIN because the EditUserData/Default.asp displays all user data for all domains, but
											'	only lets the admin edit data on domains he has rights to...or view on domains he only has that
											'	right to...or it displays *** for data on domains he has no rights to.
											If ( (ACCNT_SpecificDomain("SB_UD_VIEW", iHomeDomain)) Or (ACCNT_SpecificDomain("SB_UD_EDIT", iHomeDomain)) ) Then%>
											<td width=33%>
													<%If ( bViewEmail ) Then%>
													Email: <b><%=sEmailAddress%></b><br>
													<%End If%>
												<a href='EditUserData/Default.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>&sSortBy=<%=sSortBy%>&sAccountUnq=<%=sAccountUnq%>&iDBLoc2=<%=iDBLoc%>&sSearchIDNum=<%=sSearchIDNum%>&sSearchEmail=<%=Server.URLEncode(sSearchEmail)%>&sSearchLogin=<%=Server.URLEncode(sSearchLogin)%>&sIDNumQualifier=<%=sIDNumQualifier%>&sEmailQualifier=<%=sEmailQualifier%>&sLoginQualifier=<%=sLoginQualifier%>&sAllowWildcards=<%=sAllowWildcards%>' class='MediumNavPage'><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_EDIT_USER_DATA")%></a>
											</td>
											<%Else%>
											<td width=33%>&nbsp;</td>
											<%End If%>
											<%If ( (ACCNT_SpecificDomain("SB_UD_VIEW", iHomeDomain)) Or (ACCNT_SpecificDomain("SB_UD_EDIT", iHomeDomain)) ) Then%>
											<td width=33%><a href='AccessibleDomains/Default.asp?<%=DOMAIN_Link("G")%>&iDomainUnq2=<%=iDomainUnq%>&sSortBy=<%=sSortBy%>&sAccountUnq=<%=sAccountUnq%>&iDBLoc2=<%=iDBLoc%>&sSearchIDNum=<%=sSearchIDNum%>&sSearchEmail=<%=Server.URLEncode(sSearchEmail)%>&sSearchLogin=<%=Server.URLEncode(sSearchLogin)%>&sIDNumQualifier=<%=sIDNumQualifier%>&sEmailQualifier=<%=sEmailQualifier%>&sLoginQualifier=<%=sLoginQualifier%>&sAllowWildcards=<%=sAllowWildcards%>' class='MediumNavPage'><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_EDIT_ACCESSIBLE_DOMAINS")%></a></td>
											<%Else%>
											<td width=33%>&nbsp;</td>
											<%End If%>
											<td width=33%><%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_HOME_DOMAIN")%><br><b><%=LCase(DOMAIN_Domain_Name(iHomeDomain))%></b></td>
											<td>&nbsp;</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr><td colspan=8 bgcolor=<%=sBGColor%>><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
							<%
							rsDB.MoveNext
							iCount = iCount + 1
						Wend
						%>
						<tr>
							<td colspan=8 align=right>
								<%Call PrintRecordsetNav( "Default.asp", "iDomainUnq=" & iDomainUnq & "&sSortBy=" & sSortBy & "&sSearchIDNum=" & sSearchIDNum & "&sSearchEmail=" & sSearchEmail & "&sSearchLogin=" & sSearchLogin & "&sIDNumQualifier=" & sIDNumQualifier & "&sEmailQualifier=" & sEmailQualifier & "&sLoginQualifier=" & sLoginQualifier & "&sAllowWildcards=" & sAllowWildcards, "Accounts")%>
							</td>
						</tr>
					</table>
					<br>
					<font size=-2>
					*The email is displayed for the current domain if no domain filter is applied. Otherwise, the email is from the
					domain in the domain filter.
					<br>
					<%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_FOOTER1")%>
					<br>
					<%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCOUNTS_FOOTER2")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
	End Sub
	'********************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This checks to see if the account is in a group, and if so, which type. It 		*
	'*		returns "S" (Standard), "R" (Rotational), or "" for not in a group.			*
	'*																					*
	'************************************************************************************	
	Function GetGroupType(sGroupUnq, iDomainUnq, sAccountUnq)
		Dim rsDB2
		
		Set rsDB2 = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM GroupMap M, Groups G WHERE M.AccountUnq = " & sAccountUnq & " AND M.GroupUnq = G.GroupUnq AND G.DomainUnq = " & iDomainUnq
		rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB2.EOF ) Then
			GetGroupType = ""	' not in a Group
		Else
			If ( Trim(rsDB2("Type")) = "S" ) Then
				GetGroupType = "S"
				sGroupUnq = Trim(rsDB2("GroupUnq"))
				iDomainUnq = Trim(rsDB2("DomainUnq"))
			ElseIf ( Trim(rsDB2("Type")) = "R" ) Then
				GetGroupType = "R"
				sGroupUnq = Trim(rsDB2("GroupUnq"))
				iDomainUnq = Trim(rsDB2("DomainUnq"))
			Else
				GetGroupType = ""
			End If
		End If
		rsDB2.Close
		Set rsDB2 = Nothing
	End Function
	'********************************************************************************	
	
	
	'************************************************************************************
	'*																					*
	'*	This displays links to the first letter of logins.								*
	'*																					*
	'************************************************************************************
	Sub Disp_Alpha_Links()
	End Sub
	'************************************************************************************
%>