<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sSystemUnq, sAccountUnq, bInSystem, sRightsLvl, sGroupUnq
	
	Dim sSQLText, rsDB, rsDB2
	Dim sLogin, sPassword
	
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_RIGHTS2")
	If   (ACCNT_ReturnRights("SB_MR_MODIFY")) Or _
		 (ACCNT_ReturnRights("SB_MR_VIEW")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush

	'************************************************************************************
	'*																					*
	'*	-Group rights have a 0 in the AccountUnq column of the Rights table. 			*
	'*	-Individualized Group rights - Group rights unique to that user have both		*
	'*		the GroupUnq and AccountUnq columns filled with something other than 0.		*
	'*	-Individual rights have a 0 in the GroupUnq column and their AccountUnq			*
	'*		column filled.																*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sRadio, sSuccess, sError
		
		Set rsDB = CreateObject("ADODB.Recordset")
		
		sAccountUnq = Trim(Request("sAccountUnq"))
		If ( sAccountUnq = "" ) Then
			' there is a screwup and no accountunq on the querystring - happens if they logout, login as someone else, logout, and relogin...weird, but happens
			Response.Clear
			Response.Redirect "Default.asp"
		End If
		
		sAction = Request("sAction")
		sLogin = Trim(Request("sLogin"))
		sPassword = Trim(Request("sPassword"))
		sLogin = Replace(Replace(sLogin, "&#145;", "'"), "&#147;", """")
		sPassword = Replace(Replace(sPassword, "&#145;", "'"), "&#147;", """")
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = iDomainName
		End If
		sSystemUnq = Trim(Request("sSystemUnq"))
		If ( sSystemUnq = "" ) Then
			sSystemUnq = "1"
		End If
		sGroupUnq = Trim(Request("sGroupUnq"))
		
		Select Case sAction
			Case "UpdateRights"
				If (ACCNT_SpecificDomain("SB_MR_MODIFY", iDomainUnq)) Then
					Set rsDB = CreateObject("ADODB.Recordset")
		            For Each sRadio In Request.Form
		            	If ( InStr(sRadio, "ORIGINAL") <= 0 ) Then
		            		sRightsLvl = sRadio
		            		If ( ( Request(sRadio) <> Request("ORIGINAL" & sRadio) ) And ( Request(sRadio) = "YES" ) ) Then
		            			' Give them the rights
								If sRightsLvl = "" Then
									sError = DOMAIN_Text("ENTER_RTS_LVL")
								Else
									If ( ACCNT_SpecificDomain(sRightsLvl, iDomainUnq) ) Then	' admins can only change rights they have
										If sAccountUnq <> "" Then
											bInSystem = InSystem(sRightsLvl)
											' Modify the system
											If bInSystem <> FALSE OR IsNull(bInSystem) Then	' cannot say bInSystem = TRUE because it's either FALSE or NULL or a date but never TRUE
												If ( sGroupUnq = "" ) Then
													DBConnection.Execute "UPDATE Rights SET RevokeDate = NULL WHERE DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq & " AND SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & SQLEncode(sRightsLvl) & "'"
													Call DOMAIN_Log(40, "", sAccountUnq, "", iDomainUnq, "", sSystemUnq, "V", "U", SQLEncode(sRightsLvl), "")
												Else
													DBConnection.Execute "UPDATE Rights SET RevokeDate = NULL WHERE GroupUnq = " & sGroupUnq & " AND DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq & " AND SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & SQLEncode(sRightsLvl) & "'"
													Call DOMAIN_Log(56, "", sGroupUnq, "", iDomainUnq, "", sSystemUnq, "V", "U", SQLEncode(sRightsLvl), "")
												End If
												sSuccess = DOMAIN_Text("ACCOUNT_REINSTATED")
											Else
												If ( sGroupUnq = "" ) Then
													DBConnection.Execute "INSERT INTO Rights VALUES (" & sAccountUnq & ", 0, " & sSystemUnq & ", " & iDomainUnq & ", '" & SQLEncode(sRightsLvl) & "', GetDate(), NULL)"
													Call DOMAIN_Log(40, "", sAccountUnq, "", iDomainUnq, "", sSystemUnq, "V", "I", SQLEncode(sRightsLvl), "")
												Else
													DBConnection.Execute "INSERT INTO Rights VALUES (" & sAccountUnq & ", " & sGroupUnq & ", " & sSystemUnq & ", " & iDomainUnq & ", '" & SQLEncode(sRightsLvl) & "', GetDate(), NULL)"
													Call DOMAIN_Log(56, "", sGroupUnq, "", iDomainUnq, "", sSystemUnq, "V", "I", SQLEncode(sRightsLvl), "")
												End If
												sSuccess = DOMAIN_Text("ACCOUNT_ENTERED")
											End If
										Else
											sError = DOMAIN_Text("CHOOSE_ACCOUNT")
										End If
									Else
										sError = DOMAIN_Text("NO_MODIFY_RIGHTS")
									End If
								End If
		            		End If
		            		If ( ( Request(sRadio) <> Request("ORIGINAL" & sRadio) ) And ( Request(sRadio) = "NO" ) ) Then
								bInSystem = InSystem(sRightsLvl)
								' Modify the system
								If bInSystem = FALSE Then
									'sError = DOMAIN_Text("NEVER_ASSOCIATED")
								Else
									If ( CStr(iLoginAccountUnq) = sAccountUnq ) And ( sSystemUnq = ACCNT_ReturnSystemUnq("ACCOUNTS_SYSTEMUNQ") ) And ( sRightsLvl = "SB_MR_MODIFY" ) Then
										' If people could revoke their own account system rights, they wouldn't be able to add them back again if they did it in error.
										sError = DOMAIN_Text("REVOKE_SELF")
									Else
										If ( sGroupUnq = "" ) Then
											DBConnection.Execute "UPDATE Rights SET RevokeDate = GetDate() WHERE DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq & " AND SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & SQLEncode(sRightsLvl) & "'"
											Call DOMAIN_Log(118, "", sAccountUnq, "", iDomainUnq, "", sSystemUnq, "V", "U", SQLEncode(sRightsLvl), "")
										Else
											DBConnection.Execute "UPDATE Rights SET RevokeDate = GetDate() WHERE GroupUnq = " & sGroupUnq & " AND DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq & " AND SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & SQLEncode(sRightsLvl) & "'"
											Call DOMAIN_Log(119, "", sGroupUnq, "", iDomainUnq, "", sSystemUnq, "V", "U", SQLEncode(sRightsLvl), "")
										End If
										sSuccess = DOMAIN_Text("REMOVE_ACCOUNT")
									End If
								End If
		            		End If
						End If
		            Next
				Else
					sError = DOMAIN_Text("NO_MODIFY_RIGHTS")
				End If
				
		End Select
		
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		
		Call WriteForm()

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if they are in the db or not. And if they are, it returns	*
	'*		the date they were taken out of that system or NULL if they are still in	*
	'*		it.																			*
	'*																					*
	'************************************************************************************
	Function InSystem(sRL)
		Dim sSql, rsDB
	
		If ( sGroupUnq = "" ) Then
			sSql = "SELECT RevokeDate FROM Rights (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq & " AND SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & SQLEncode(sRL) & "'"
		Else
			sSql = "SELECT RevokeDate FROM Rights (NOLOCK) WHERE GroupUnq = " & sGroupUnq & " AND DomainUnq = " & iDomainUnq & " AND AccountUnq = " & sAccountUnq & " AND SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & SQLEncode(sRL) & "'"
		End If
		Set rsDB = CreateObject("ADODB.Recordset")
		DBCommand.CommandText = sSQL
		rsDB.Open DBCommand
		If ( NOT rsDB.EOF ) Then
			InSystem = rsDB("RevokeDate")
		Else
			InSystem = FALSE
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, sTextcolor, sHasRights, sRevokeDate, sGrantDate
		
		Set rsDB2 = CreateObject("ADODB.Recordset")
		
		'sSQLText = "SELECT * FROM Rights R (NOLOCK), RightsLookup L (NOLOCK) WHERE R.AccountUnq = " & sAccountUnq & " AND R.SystemUnq = " & sAccountUnq & " AND R.SystemUnq = L.SystemUnq AND R.RightsLvl = L.RightsLvl"
		sSQLText = "SELECT * FROM RightsLookup (NOLOCK) WHERE DomainUnq = " & iDomainName & " AND SystemUnq = " & sSystemUnq
		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("AccountsBGColor2")
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageRights.sAction.value = sAction;
				document.ManageRights.submit();
			}
			
		</script>
		<form name='ManageRights' action='EditRights.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "sAccountUnq"
		aVariables(2) = "iDomainUnq"
		aVariables(3) = "sLogin"
		aVariables(4) = "sPassword"
		aVariables(5) = "sGroupUnq"
		aVariables(6) = "iDBLoc"
		aValues(0) = "New"
		aValues(1) = sAccountUnq
		aValues(2) = iDomainName
		aValues(3) = sLogin
		aValues(4) = sPassword
		aValues(5) = sGroupUnq
		aValues(6) = Request("iDBLoc")
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_HEADER")%></b></font>
					<br>
					<%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_SUBHEADER")%>
					<br>
					<table><tr>
						<td width=50%><font color='<%=DOMAIN_Color("AccountsPageText")%>'>
							<%
							If (ACCNT_ReturnRights("SB_UD_VIEW")) Or _
							   (ACCNT_ReturnRights("SB_UD_EDIT")) Then
							%>
							<%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_USER")%><a href='../ManageAccounts/EditUserData/Default.asp?<%=DOMAIN_Link("G")%>&sAccountUnq=<%=sAccountUnq%>&sAction=UpdateAccountUnq&sLogin=<%=sLogin%>&sPassword=<%=sPassword%>&sOriginalLogin=<%=sLogin%>' class='MediumNavPage'><%=sLogin%></a><br>
							<%
							Else
							%>
							<%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_USER")%><b><%=sLogin%></b><br>
							<%
							End If
							%>
						</td>
						<td width=50%><font color='<%=DOMAIN_Color("AccountsPageText")%>'>
							<%If ( sGroupUnq <> "" ) Then%>
							<%=DOMAIN_Text("ACCOUNTS_GROUPS_USER_RIGHTS")%> <b><%=GroupName()%></b>
							<%End If%>
						</td>
					</tr></table>
					<br>
					<b><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_SYSTEM")%></b><br>
					<select name = "sSystemUnq" onChange='SubmitForm("UpdateSystemUnq");'>
						<%
						If ( ACCNT_ReturnRights("SB_MR_CROSS_MODIFY") Or ACCNT_ReturnRights("SB_MR_CROSS_VIEW") ) Then
							' They have FULL admin rights, so list all systems--even if they aren't in the current domain.
							sSQLText = "SELECT * FROM Systems (NOLOCK) ORDER BY SystemUnq"
						Else
							' They only have rights for this one domain. List just the systems that are in that domain.
							sSQLText = "SELECT * FROM Systems (NOLOCK) WHERE SystemUnq IN (SELECT SystemUnq FROM RightsLookup WHERE DomainUnq = " & iDomainName & ") ORDER BY SystemUnq"
						End If
						rsDB2.Open sSQLText, DBConnection
						While NOT rsDB2.EOF
							If ( sSystemUnq = CStr(rsDB2("SystemUnq")) ) Then
								Response.Write "<option value = '" & rsDB2("SystemUnq") & "' Selected>" & rsDB2("Description") & " - " & rsDB2("SystemUnq") & "</option>"
							Else
								Response.Write "<option value = '" & rsDB2("SystemUnq") & "'>" & rsDB2("Description") & " - " & rsDB2("SystemUnq") & "</option>"
							End If
							rsDB2.MoveNext
						Wend
						rsDB2.Close
						%>
					</select>
					<br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_RIGHT")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_GRANTDATE")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_REVOKEDATE")%></b></td>
							<td colspan=2 bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_HASRIGHTS")%></b></td>
						</tr>
						<%
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("AccountsBGColor1") ) Then
								sBGColor = DOMAIN_Color("AccountsPageBGColor")
								sTextcolor = DOMAIN_Color("AccountsPageText")
							Else
								sBGColor = DOMAIN_Color("AccountsBGColor1")
								sTextcolor = DOMAIN_Color("AccountsTextColor1")
							End If
							sHasRights = FALSE
							If ( sGroupUnq = "" ) Then
								sSQLText = "SELECT * FROM Rights (NOLOCK) WHERE SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & rsDB("RightsLvl") & "' AND AccountUnq = " & sAccountUnq & " AND DomainUnq = " & iDomainUnq
							Else
								sSQLText = "SELECT * FROM Rights (NOLOCK) WHERE GroupUnq = " & sGroupUnq & " AND SystemUnq = " & sSystemUnq & " AND RightsLvl = '" & rsDB("RightsLvl") & "' AND AccountUnq = " & sAccountUnq & " AND DomainUnq = " & iDomainUnq
							End If
							Set rsDB2 = CreateObject("ADODB.Recordset")
							rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsDB2.EOF ) Then
								If ( IsNull(rsDB2("RevokeDate")) ) Then
									sHasRights = TRUE
								Else
									If ( NOT IsNull(rsDB2("GrantDate")) ) Then
										If ( CDate(rsDB2("RevokeDate")) < CDate(rsDB2("GrantDate")) ) Then
											sHasRights = TRUE
										End If
									End If
								End If
								sGrantDate = rsDB2("GrantDate")
								sRevokeDate = rsDB2("RevokeDate")
							Else
								sGrantDate = ""
								sRevokeDate = ""
							End If
							rsDB2.Close
							sRightsLvl = Trim(rsDB("RightsLvl"))
							%>
							<tr>
								<td valign=top bgcolor=<%=sBGColor%>><font size=-2 color='<%=DOMAIN_Color("AccountsTextColor1")%>'><b><%=sRightsLvl%></b>&#151;<%=rsDB("RightsConst")%></td>
								<td valign=top bgcolor=<%=sBGColor%>><font size=-2 color='<%=DOMAIN_Color("AccountsTextColor1")%>'><%=sGrantDate%></td>
								<td valign=top bgcolor=<%=sBGColor%>><font size=-2 color='<%=DOMAIN_Color("AccountsTextColor1")%>'><%=sRevokeDate%></td>
								<td valign=top bgcolor=<%=sBGColor%>>
									<%If ( ACCNT_SpecificDomain(sRightsLvl, iDomainUnq) ) Then%>
									<table cellpadding=0 cellspacing=0 border=0>
										<tr>
										<td><font size=-2 color='<%=sTextcolor%>'><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_YES")%></td>
										<td>
											<input type='hidden' name='ORIGINAL<%=sRightsLvl%>' value='<%If ( sHasRights = TRUE ) Then Response.Write "YES" Else Response.Write "NO" End If%>'>
											<input type='radio' name='<%=sRightsLvl%>' value='YES'<%If ( sHasRights = TRUE ) Then Response.Write " checked" End If%>>
										</td>
										<td><font size=-2 color='<%=sTextcolor%>'><%=DOMAIN_Text("ACCOUNTS_MANAGE_RIGHTS_NO")%></td>
										<td>
											<input type='radio' name='<%=sRightsLvl%>' value='NO'<%If ( sHasRights = FALSE ) Then Response.Write " checked" End If%>>
										</td>
										</tr>
									</table>
									<%Else%>
									<center><%=DOMAIN_Text("NOACCESS")%></center>
									<%End If%>
								</td>
							</tr>
							<%
							rsDB.MoveNext
						Wend
						%>
					</table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
		Set rsDB = Nothing
		Set rsDB2 = Nothing
	End Sub
	'********************************************************************************


	'************************************************************************************
	'*																					*
	'*	This returns the name of the Group if they are working in one.					*
	'*																					*
	'************************************************************************************
	Function GroupName()
		sSQLText = "SELECT Name FROM Groups WHERE GroupUnq = " & sGroupUnq & " AND DomainUnq = " & iDomainUnq
		rsDB2.Open sSQLText, DBConnection
		If ( NOT rsDB2.EOF ) Then
			GroupName = rsDB2("Name")
		Else
			GroupName = ""
		End If
		GroupName = Replace(GroupName, "'", "&#39;")
		rsDB2.Close
	End Function
	'********************************************************************************
%>