<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, iQuestionUnq
	
	Dim sSQLText, rsDB
	Dim iNumPerPage, iTtlNumItems, iDBLoc
	
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_POLLS")
	If   (ACCNT_AnyDomain("SB_P_CREATE")) Or _
		 (ACCNT_AnyDomain("SB_P_DELETE")) Or _
		 (ACCNT_AnyDomain("SB_P_EDIT")) Or _
		 (ACCNT_AnyDomain("SB_P_ADDANSWERS")) Or _
		 (ACCNT_AnyDomain("SB_P_DELANSWERS")) Or _
		 (ACCNT_AnyDomain("SB_P_EDITANSWERS")) Or _
		 (ACCNT_AnyDomain("SB_P_RESET")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, sTemp, sCheckBox
		
		Set rsDB = CreateObject("ADODB.Recordset")	
		sAction = Request("sAction")
		
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_P_CREATE", "SB_P_DELETE", "SB_P_EDIT")
			If ( iDomainUnq = "" ) Then
				iDomainUnq = ACCNT_GetDomainW_Rights("SB_P_ADDANSWERS", "SB_P_DELANSWERS", "SB_P_EDITANSWERS")
				If ( iDomainUnq = "" ) Then
					iDomainUnq = ACCNT_GetDomainW_Rights("SB_P_RESET", "", "")
				End If
			End If
		End If
		
		Select Case sAction
			Case "DeletePoll"
				If ( iDomainUnq <> iDomainName ) AND (NOT ACCNT_SpecificDomain("SB_P_DELETE", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else			
					For Each sCheckBox In Request.Form
						If (InStr(sCheckBox, "sDelete") > 0 ) Then
							iQuestionUnq = Replace(sCheckBox, "sDelete", "")
							
							If (iQuestionUnq <> "") Then
								' save the last state in the logs
								sSQLText = "SELECT * FROM PollQuestion (NOLOCK) WHERE QuestionUnq = " & iQuestionUnq
								rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsDB.EOF ) Then
									Call DOMAIN_Log(131, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "D", SQLEncode(rsDB("QuestionText")), "")
									Call DOMAIN_Log(132, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "D", rsDB("DateStart"), "")
									Call DOMAIN_Log(133, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "D", rsDB("DateEnd"), "")
									Call DOMAIN_Log(134, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "D", rsDB("MsgBoardConfUnq"), "")
									Call DOMAIN_Log(135, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "D", rsDB("MsgBoardThreadUnq"), "")
									Call DOMAIN_Log(136, "", iDomainUnq, "", iQuestionUnq, "", 0, "V", "D", rsDB("AllowAnon"), "")
								End If
								rsDB.Close
								DBConnection.Execute "DELETE FROM PollQuestion WHERE QuestionUnq = " & iQuestionUnq
								sSuccess = DOMAIN_Text("ACCOUNTS_POLLS_DEL_SUC")
							Else
								sError = DOMAIN_Text("ACCOUNTS_POLLS_DEL_NO_SUC")
							End If
						End If
					Next
				End If

		End Select
	
		
		' Pagination variables -- begin
		iNumPerPage = 10
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		
		If ( sAction = "DeletePoll" ) Then
			' must reset this when polls are deleted to recalculate the number of pages
			iTtlNumItems = 0
		End If

		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			sSQLText = "SELECT Count(*) FROM PollQuestion (NOLOCK) WHERE DomainUnq = " & iDomainUnq
			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteForm()
		Set rsDB = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, sFontColor, sLinkColor, x, iMax, rsDomain, bHasEditRights, rsDB2

		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM PollQuestion (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " ORDER BY DateStart SET ROWCOUNT 0"
		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("AccountsBGColor2")
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		If ( ACCNT_SpecificDomain("SB_P_EDIT", iDomainUnq) Or ACCNT_SpecificDomain("SB_P_ADDANSWERS", iDomainUnq) Or ACCNT_SpecificDomain("SB_P_DELANSWERS", iDomainUnq) Or ACCNT_SpecificDomain("SB_P_EDITANSWERS", iDomainUnq) Or ACCNT_SpecificDomain("SB_P_RESET", iDomainUnq)) Then
			bHasEditRights = TRUE
		Else
			bHasEditRights = FALSE
		End If
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManagePolls.sAction.value = sAction;
				document.ManagePolls.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=" + document.ManagePolls.iDomainUnq.value + sQueryString;
			}
			
			function NewPoll(){
				document.location = "New.asp?<%=DOMAIN_Link("G")%>&iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>";
			}
			
		</script>
		<form name='ManagePolls' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ACCOUNTS_POLLS_MANAGE_HEADER")%></b></font>
					<br>
					<table>
						<tr>
							<td><font color='<%=DOMAIN_Color("AccountsPageText")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_DOMAIN")%></b></font></td>
						</tr>
						<tr>
							<td>
								<select name='iDomainUnq' onChange='document.ManagePolls.iTtlNumItems.value=0;SubmitForm("UpdateDomainUnq");'>
								<%
								' can't use DOMAINS_DomainsDropDown() because that only takes 3 rights levels, we need 7
								Set rsDB2 = Server.CreateObject("ADODB.recordset")
								sSQLText = "SELECT * FROM DomainInfo (NOLOCK) ORDER BY Domain"
								rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsDB2.EOF ) Then
									While ( NOT rsDB2.EOF )
										If ( ACCNT_SpecificDomain("SB_P_CREATE", rsDB2("DomainUnq")) Or ACCNT_SpecificDomain("SB_P_DELETE", rsDB2("DomainUnq")) Or ACCNT_SpecificDomain("SB_P_EDIT", rsDB2("DomainUnq")) Or ACCNT_SpecificDomain("SB_P_ADDANSWERS", rsDB2("DomainUnq")) Or ACCNT_SpecificDomain("SB_P_DELANSWERS", rsDB2("DomainUnq")) Or ACCNT_SpecificDomain("SB_P_EDITANSWERS", rsDB2("DomainUnq")) Or ACCNT_SpecificDomain("SB_P_RESET", rsDB2("DomainUnq")) ) Then
											If ( iDomainUnq = Trim(CStr(rsDB2("DomainUnq"))) ) Then
												Response.Write "<option value='" & rsDB2("DomainUnq") & "' Selected>" & rsDB2("Domain") & "</option>"
											Else
												Response.Write "<option value='" & rsDB2("DomainUnq") & "'>" & rsDB2("Domain") & "</option>"
											End If
										End If
										rsDB2.MoveNext
									Wend
								Else
									Response.Write "<option value=''>" & DOMAIN_Text("NO_DOMAINS") & "</option>"
								End If
								rsDB2.Close
								Set rsDB2 = Nothing
								%>
								</select>
							</td>
						</tr>
					</table>
					<br>
					<%=DOMAIN_Text("ACCOUNTS_POLLS_MANAGE_INFO")%>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_QUESTION")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_STARTDATE")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_ENDDATE")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'>&nbsp;</td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_POLLS_DELETE")%></b></td>
						</tr>
						<tr>
						<%
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("AccountsBGColor1") ) Then
								sBGColor = DOMAIN_Color("AccountsPageBGColor")
								sFontColor = DOMAIN_Color("AccountsPageText")
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = DOMAIN_Color("AccountsBGColor1")
								sFontColor = DOMAIN_Color("AccountsTextColor1")
								sLinkColor = "MediumNav1"
							End If
							iQuestionUnq = rsDB("QuestionUnq")
							%>
							<tr>
								<td align=center bgcolor=<%=sBGColor%>><font color='<%=sFontColor%>'><%=rsDB("QuestionUnq")%></td>
								<td bgcolor=<%=sBGColor%>>
									<input type='text' name='sQuestionText<%=iQuestionUnq%>' value="<%=Server.HTMLEncode(rsDB("QuestionText"))%>" size=45 maxlength=250>
								</td>
								<td align=center bgcolor=<%=sBGColor%>><font color='<%=sFontColor%>' size=-2><%=rsDB("DateStart")%></td>
								<td align=center bgcolor=<%=sBGColor%>><font color='<%=sFontColor%>' size=-2><%=rsDB("DateEnd")%></td>
								<td align=center bgcolor=<%=sBGColor%>>
									<%If ( bHasEditRights ) Then%>
									<a href='Edit.asp?<%=DOMAIN_Link("G")%>iDomainUnq=<%=iDomainUnq%>&iQuestionUnq=<%=iQuestionUnq%>' class='<%=sLinkColor%>'><%=DOMAIN_Text("ACCOUNTS_POLLS_EDIT")%></a>
									<%End If%>
								</td>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name='sDelete<%=iQuestionUnq%>' value='DELETE'></td>
							</tr>
							<%
							rsDB.MoveNext
						Wend
						%>
						<tr>
							<td colspan=6 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Accounts", "", "Default.asp", "" )%>
							</td>
						</tr>
						<tr>
							<td colspan=6>
								<%=DOMAIN_Text("ACCOUNTS_POLLS_MANAGE_ACTION_INSTRUCTIONS")%>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
	End Sub
	'********************************************************************************
	
	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("AccountsPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>
