<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sError, iSchemeUnq

	Dim sNewValue, sNewColorConst
	Dim sOldValue, sOldColorConst

	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_COLORS_NEWCOLOR")
	If   (ACCNT_AnyDomain("SB_MC_NEW_COLOR")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, rsDomain, sSQLText

		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MC_NEW_COLOR", "", "")
		End If
		iSchemeUnq = Trim(Request("iSchemeUnq"))
		sNewValue = Trim(Request("sNewValue"))
		sNewColorConst = Trim(Request("sNewColorConst"))
		
		Select Case sAction
			Case "NewColor"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MC_NEW_COLOR", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( sNewValue = "" ) Then
						sError = DOMAIN_Text("MISSING_COLOR_CONST")
					End If
					If ( iDomainUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_COLOR_DOM")			
					End If
					If ( sNewColorConst = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_COLOR_CONST2")
					End If
					If ( iSchemeUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_COLOR_SCHEME2")
					End If
					If ( sError = "" ) Then
						If ( DoesntExist(sNewColorConst) ) Then
							DBConnection.Execute "INSERT INTO ColorMap VALUES ('" & SQLEncode(sNewColorConst) & "', '" & SQLEncode(sNewValue) & "',  " & iSchemeUnq & ", " & iDomainUnq & ")"
							
							Call DOMAIN_Log(29, SQLEncode(sNewColorConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "I", SQLEncode(sNewColorConst), "")
							Call DOMAIN_Log(30, SQLEncode(sNewColorConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "I", SQLEncode(sNewColorConst), "")
							Call DOMAIN_Log(31, SQLEncode(sNewColorConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "I", SQLEncode(sNewValue), "")
							
							Call DOMAIN_Message(DOMAIN_Text("COLOR_CONST_CREATED"), "SUCCESS")
							sNewColorConst = ""
						Else
							sError = DOMAIN_Text("COLOR_CONST_EXISTS")
						End If
					End If
				End If
		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		
		Call WriteForm()
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim rsDomain, sSQLText, rsDB
		
		sNewColorConst = Replace(sNewColorConst, "'", "&#39;")
		sNewValue = Replace(sNewValue, "'", "&#39;")
		%>
		<form name='ManageColors' action='NewColor.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iSchemeUnq"
		aVariables(2) = "iDomainUnq"
		aVariables(3) = "iDBLoc"
		aValues(0) = "NewColor"
		aValues(1) = iSchemeUnq
		aValues(2) = iDomainUnq
		aValues(3) = Trim(Request("iDBLoc"))
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("NEW_COLOR_INTRO")%></b></font>
					<br><br>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("DomainsBorderColor1")%> align=center>
					<table cellpadding=5 width=671 cellspacing = 0 border = 0>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%> width=50%>
								<font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><b><%=DOMAIN_Text("DOMAINS_COLORS_DOMAIN")%></b>
								<%
								Set rsDomain = CreateObject("ADODB.Recordset")
								sSQLText = "SELECT * FROM DomainInfo (NOLOCK) WHERE DomainUnq = " & iDomainUnq
								rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsDomain.EOF ) Then
									Response.Write rsDomain("Domain")
								End If
								rsDomain.Close
								Set rsDomain = Nothing
								%>
								</font>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%> width=50%>
								<font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><b><%=DOMAIN_Text("DOMAINS_COLORS_SCHEME")%></b>
								<%
								Set rsDomain = CreateObject("ADODB.Recordset")
								sSQLText = "SELECT * FROM ColorSchemes (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " And SchemeUnq = " & iSchemeUnq
								rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsDomain.EOF ) Then
									Response.Write rsDomain("SchemeName")
								End If
								rsDomain.Close
								Set rsDomain = Nothing
								%>
								</font>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<br><br>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("DomainsBorderColor1")%> align=center>
					<table cellpadding=5 width=671 cellspacing = 0 border = 0>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><b><%=DOMAIN_Text("DOMAINS_COLORS_CONST")%></b></font></td>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><b><%=DOMAIN_Text("DOMAINS_COLORS_VALUE")%></b></font></td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>>
								<input type='hidden' name='sOldColorConst' value="<%=Server.HTMLEncode(sNewColorConst)%>">
								<input type='text' name='sNewColorConst' value="<%=Server.HTMLEncode(sNewColorConst)%>" size=40 maxlength=250>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>>
								<input type='hidden' name='sOldValue' value="<%=Server.HTMLEncode(sNewValue)%>">
								<input type='text' name='sNewValue' value="<%=Server.HTMLEncode(sNewValue)%>" size=40 maxlength=250>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<center><input type='submit' value='<%=DOMAIN_Text("DOMAINS_COLORS_NEWCOLOR")%>'></center>
					<font size=-2>
					<%=DOMAIN_Text("DOMAINS_NEWCOLORS_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the action they are trying to add is already in the DB.	*
	'*	iDB is 1 then look in ColorMap, if it's 2 then look in ColorScheme.				*
	'*																					*
	'************************************************************************************	
	Function DoesntExist(sAID)
		Dim sSQLText, rsDomain

		DoesntExist = FALSE
		Set rsDomain = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM ColorMap (NOLOCK) WHERE ColorConst = '" & SQLEncode(sAID) & "' AND SchemeUnq = " & iSchemeUnq
		rsDomain.Open sSQLText, DBConnection
		If ( rsDomain.EOF ) Then
			DoesntExist = TRUE
		End If
		rsDomain.Close
		Set rsDomain = Nothing
	End Function
	'************************************************************************************	
%>