<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq2, iDomainUnq, sSQLText, rsDB
	
	iDomainUnq2 = Trim(Request("iDomainUnq2"))	' this is actually the source domainunq
	If ( iDomainUnq2 = "" ) Then
		iDomainUnq2 = ACCNT_GetDomainW_Rights("SB_MIG_TEXTSCHEMES", "", "")
	End If

	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_MIGRATION_TEXTSCHEMES")
	If   ( ACCNT_SpecificDomain("SB_MIG_TEXTSCHEMES", iDomainUnq2) ) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS") & "<BR>SB_MIG_TEXTSCHEMES", "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim aData, iDestDomainUnq, x, sSourceSchemeName, sDestSchemeUnq
		
		Set rsDB = Server.CreateObject("ADODB.recordset")
		iDestDomainUnq = Request("iDomainUnq")
		iDomainUnq = iDestDomainUnq	'this is for the domains drop-down list only

		Select Case Request("sAction")
			Case "MigrateTextSchemes"
				aData = Split(Request("sSchemeUnq"), ", ", -1, 1)
				For x = 0 to UBound(aData)
					' get the sources scheme name
					sSQLText = "SELECT SchemeName FROM TextSchemes (NOLOCK) WHERE DomainUnq = " & iDomainUnq2 & " AND SchemeUnq = " & aData(x)
					rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsDB.EOF ) Then
						' get the destinations SchemeUnq based on the sources scheme name
						sSourceSchemeName = rsDB("SchemeName")
						rsDB.Close
						sSQLText = "SELECT SchemeUnq FROM TextSchemes (NOLOCK) WHERE DomainUnq = " & iDestDomainUnq & " AND SchemeName = '" & sSourceSchemeName & "'"
						rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDB.EOF ) Then
							sDestSchemeUnq = rsDB("SchemeUnq")
							rsDB.Close
							' delete the destination scheme based on it's schemeunq and dest domainunq
							DBConnection.Execute "DELETE FROM TextSchemes WHERE DomainUnq = " & iDestDomainUnq & " AND SchemeUnq = " & sDestSchemeUnq
							' delete the dest colors based on their schemeunq and dest domainunq
							DBConnection.Execute "DELETE FROM TextMap WHERE DomainUnq = " & iDestDomainUnq & " AND SchemeUnq = " & sDestSchemeUnq
							' re-create the new scheme on the dest using the dest's schemeunq and sources scheme name
							DBConnection.Execute "INSERT INTO TextSchemes VALUES (" & sDestSchemeUnq & ", '" & SQLEncode(sSourceSchemeName) & "', " & iDestDomainUnq & ")"
							' copy over all the colors from the source into the dest using the dest's schemeunq
							DBConnection.Execute "INSERT INTO TextMap SELECT TextConst, DataType, VarCharData, TextData, " & sDestSchemeUnq & ", " & iDestDomainUnq & " FROM TextMap WHERE DomainUnq = " & iDomainUnq2 & " AND SchemeUnq = " & aData(x)
						Else
							rsDB.Close
							' insert a new scheme into the dest domain w/ a new schemeunq
							DBConnection.Execute "INSERT INTO TextSchemes SELECT MAX(SchemeUnq)+1, '" & SQLEncode(sSourceSchemeName) & "', " & iDestDomainUnq & " FROM TextSchemes WHERE DomainUnq = " & iDestDomainUnq
							' copy over all the colors from the source into the dest using the new schemeunq
							sSQLText = "SELECT MAX(SchemeUnq) FROM TextSchemes (NOLOCK) WHERE DomainUnq = " & iDestDomainUnq
							rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsDB.EOF ) Then
								DBConnection.Execute "INSERT INTO TextMap SELECT TextConst, DataType, VarCharData, TextData, " & rsDB(0) & ", " & iDestDomainUnq & " FROM TextMap WHERE DomainUnq = " & iDomainUnq2 & " AND SchemeUnq = " & aData(x)
							End If
							rsDB.Close
						End If
					Else
						' can't even find the source scheme - return an error and do nothing
						rsDB.Close
						Call DOMAIN_Message(DOMAIN_Text("MIGRATE_TEXTSCHE_NOSCHEME") & aData(x), "ERROR")
					End If
				Next
				Call DOMAIN_Message(Replace(Replace(DOMAIN_Text("MIGRATE_TEXTSCHE_SUCCESS"), "1:", DOMAIN_Domain_Name(iDomainUnq2)), "2:", DOMAIN_Domain_Name(iDestDomainUnq)), "SUCCESS")
		End Select

		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, sTextColor
		
		sBGColor = DOMAIN_Color("DomainsBGColor2")
		sTextColor = DOMAIN_Color("DomainsTextColor2")
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.MigrateTextSchemes.sAction.value = sAction;
				document.MigrateTextSchemes.submit();
			}
			
			var checkflag = "false";
			
			function check(field) {
				if (checkflag == "false") {
					for (i = 0; i < field.length; i++) {
						field[i].checked = true;
					}
					checkflag = "true";
					return "<%=DOMAIN_Text("MIGRATE_ACTIONS_UNCHK_ALL")%>";
				}else{
					for (i = 0; i < field.length; i++) {
						field[i].checked = false; 
					}
					checkflag = "false";
					return "<%=DOMAIN_Text("MIGRATE_ACTIONS_CHK_ALL")%>"; 
				}
			}

		</script>
		<center>
		<form name='MigrateTextSchemes' action='TextSchemes.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iDomainUnq2"
		aValues(0) = "MigrateTextSchemes"
		aValues(1) = iDomainUnq2
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("MIGRATE_TEXTSCHE_HEADER")%></b></font>
					<br><br>
					<%=DOMAIN_Text("MIGRATE_TEXTSCHE_INTRO")%>
					<br><br>
					<table width=671 cellpadding=0 cellspacing=0 border=0>
						<tr>
							<td>
								<b><%=DOMAIN_Text("MIGRATE_TEXTSCHE_SOURCE")%>: </b>
								<%=DOMAIN_Domain_Name(iDomainUnq2)%>
							</td>
							<td>
								<b><%=DOMAIN_Text("MIGRATE_TEXTSCHE_DEST")%>:</b><br>
								<%Call DOMAINS_DomainsDropDown("SB_MIG_TEXTSCHEMES", "", "")%>
							</td>
							<td align=right valign=bottom>
								<input type='button' value='<%=DOMAIN_Text("MIGRATE_ACTIONS_CHK_ALL")%>' onClick='this.value=check(this.form.sSchemeUnq);this.form.check2.value=this.value' name='check1'>
							</td>
						</tr>
					</table>
					<table width=671 cellpadding=3 cellspacing=0 border=0>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MIGRATE_TEXTSCHE_ID")%></b></font></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MIGRATE_TEXTSCHE_NAME")%></b></font></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MIGRATE_TEXTSCHE_MIGRATE")%></b></font></td>
						</tr>
						<%
						sSQLText = "SELECT SchemeUnq, SchemeName FROM TextSchemes (NOLOCK) WHERE DomainUnq = " & iDomainUnq2 & " ORDER BY SchemeName"
						rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("DomainsBGColor1") ) Then
								sBGColor = DOMAIN_Color("DomainsPageBGColor")
								sTextColor = DOMAIN_Color("DomainsPageText")
							Else
								sBGColor = DOMAIN_Color("DomainsBGColor1")
								sTextColor = DOMAIN_Color("DomainsTextColor1")
							End If
							%>
							<tr>
								<td bgcolor=<%=sBGColor%>>
									<font color=<%=sTextColor%> size=-2><%=rsDB("SchemeUnq")%>
								</td>
								<td bgcolor=<%=sBGColor%>>
									<font color=<%=sTextColor%> size=-2><%=rsDB("SchemeName")%>
								</td>
								<td bgcolor=<%=sBGColor%> align=center>
									<input type='checkbox' name='sSchemeUnq' value='<%=rsDB("SchemeUnq")%>'>
								</td>
							</tr>
							<%
							rsDB.MoveNext
						Wend
						rsDB.Close
						%>
					</table>
				</td>
			</tr>
			<tr><td align=center>
				<table width=100%>
					<tr>
						<td align=center width=100%>
							<input type='submit' value='<%=DOMAIN_Text("MIGRATE_TEXTSCHE_MIGRATE_CHECKED")%>'>
						</td>
						<td align=right valign=bottom>
							<input type='button' value='<%=DOMAIN_Text("MIGRATE_ACTIONS_CHK_ALL")%>' onClick='this.value=check(this.form.sSchemeUnq);this.form.check1.value=this.value' name='check2'> 
						</td>
					</tr>
				</table>
			</td></tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
%>