<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<!--#INCLUDE FILE="../Includes/i_Upload.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, rsImageGallery, sSQLText, iCategoryUnq, sPosition, bIsAdmin, bHasGalleryProdRights, iTemp
	Dim bHasCR_Rights, iCatLevel, bGotOne, bReferenceDomain, objFileScripting
	ReDim aFileName(1)

	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_GALLERIES")
	iTemp = DOMAIN_Conf("IMAGEGALLERY_SCRIPTTIMEOUT")
	If ( iTemp = "" ) Then
		iTemp = 5400
	Else
		iTemp = CDbl(iTemp)
	End If
	Server.ScriptTimeout = iTemp
	If   (ACCNT_AnyDomain("SB_IG_ADMIN_ALL")) Or _
		 (ACCNT_AnyDomain("SB_IG_CREATE_GALLERY")) Then
		Call Main()
	Else
		Call WriteScripts()
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, sTextField, sCheckbox, sCurPosition, iImageUnq
		Dim sOldName, sName, sNewName, sOldCopyright, sNewGallery, f
		Dim iFileSize, sThumbname, sFilePath
		
		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_IG_ADMIN_ALL", "SB_IG_CREATE_GALLERY", "")
		End If
		iCategoryUnq = Trim(Request("iCategoryUnq"))
		If ( iCategoryUnq = "" ) Then
			iCategoryUnq = "0"
		End If
		
		If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
			bIsAdmin = TRUE
		Else
			bIsAdmin = FALSE
		End If

		bHasGalleryProdRights	= ACCNT_SpecificDomain("SB_IG_ADD_PROD_2GALLERIES", iDomainUnq)
		bHasCR_Rights			= ACCNT_SpecificDomain("SB_IG_ADD_CR_2IMAGES", iDomainUnq)
		iThumbComponent			= G_ADMINISTRATION_ASPImageInstalled()
		If ( ACCNT_AnyDomain("SB_IG_REF_DOMAIN") ) Or ( ACCNT_AnyDomain("SB_IG_REF_GALLERY") ) Then
			bReferenceDomain = TRUE
		Else
			bReferenceDomain = FALSE
		End If

		Set rsImageGallery = Server.CreateObject("ADODB.recordset")

		Select Case sAction
			Case "MoveUp"
				If ( bIsAdmin ) Then
					iGalleryUnq = Trim(Request("iMoveGalleryUnq"))
					sSQLText = "SET ROWCOUNT 2 SELECT GalleryUnq, Position FROM Galleries (NOLOCK) WHERE Position <= (SELECT Position FROM Galleries (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq & ") AND CategoryUnq = " & iCategoryUnq & " ORDER BY Position DESC SET ROWCOUNT 0"
					rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( Not rsImageGallery.EOF ) Then
						sCurPosition = rsImageGallery("Position")
						rsImageGallery.MoveNext
						If ( Not rsImageGallery.EOF ) Then	' if this is false, then the admin is trying to move the last image past the end
							DBConnection.Execute "UPDATE Galleries SET Position = " & rsImageGallery("Position") & " WHERE GalleryUnq = " & iGalleryUnq
							DBConnection.Execute "UPDATE Galleries SET Position = " & sCurPosition & " WHERE GalleryUnq = " & rsImageGallery("GalleryUnq")
						End If
					End If
					rsImageGallery.Close
				Else
					sError = DOMAIN_Text("GALLERY_SYS_RIGHTS")
				End If
			Case "MoveDown"
				If ( bIsAdmin ) Then
					iGalleryUnq = Trim(Request("iMoveGalleryUnq"))
					sSQLText = "SET ROWCOUNT 2 SELECT GalleryUnq, Position FROM Galleries (NOLOCK) WHERE Position >= (SELECT Position FROM Galleries (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq & ") AND CategoryUnq = " & iCategoryUnq & "  ORDER BY Position ASC SET ROWCOUNT 0"
					rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( Not rsImageGallery.EOF ) Then
						sCurPosition = rsImageGallery("Position")
						rsImageGallery.MoveNext
						If ( Not rsImageGallery.EOF ) Then	' if this is false, then the admin is trying to move the last image past the end
							DBConnection.Execute "UPDATE Galleries SET Position = " & rsImageGallery("Position") & " WHERE GalleryUnq = " & iGalleryUnq
							DBConnection.Execute "UPDATE Galleries SET Position = " & sCurPosition & " WHERE GalleryUnq = " & rsImageGallery("GalleryUnq")
						End If
					End If
					rsImageGallery.Close
				Else
					sError = DOMAIN_Text("GALLERY_SYS_RIGHTS")
				End If
		
			Case "UpdateGallery"

				If ( NOT bIsAdmin ) Then
					If ( NOT ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainUnq) ) Then
						sError = DOMAIN_Text("GALLERY_SYS_RIGHTS")
					End If
				End If

				If ( sError = "" ) Then
					For Each sTextField In Request.Form
						If ( InStr(sTextField, "sOldName") > 0 ) Then
							iGalleryUnq = Replace(sTextField, "sOldName", "")
							If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") OR ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
								sOldName = Request(sTextField)
								sNewName = Request("sNewName" & iGalleryUnq)
								If ( sOldName <> sNewName ) Then
									DBConnection.Execute "UPDATE Galleries SET Name = '" & SQLEncode(sNewName) & "' WHERE GalleryUnq = " & iGalleryUnq
									'Call DOMAIN_Log(146, "", iDomainUnq, "", iGalleryUnq, "", 0, "V", "U", SQLEncode(sOldCopyright), "")
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("GALLERY_MANAGE_SUC_UPDATE")
									End If
								End If
							Else
								If ( sError = "" ) Then
									sError = DOMAIN_Text("GALLERY_MANAGE_U_NOT_OWNER")
								End If
							End If
						End If
					Next
					
					' Recreate thumbnails
					If ( ( iThumbComponent = ASPIMAGE ) Or ( iThumbComponent = GFL ) ) Then
						Set objFileScripting = server.createObject("Scripting.FileSystemObject")
						For Each sCheckbox In Request.Form
							If ( InStr(sCheckbox, "sRecreateThumbnails") > 0 ) Then
								iGalleryUnq = Replace(sCheckbox, "sRecreateThumbnails", "")
								If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
									' only process images actually in this gallery -- not referenced ones -- so check for those w/ this gallery as their PrimaryG
									sSQLText = "SELECT IG.ImageUnq, I.Image, I.Thumbnail, I.ImageUL FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK), Images I (NOLOCK) WHERE G.GalleryUnq = " & iGalleryUnq & " AND IG.PrimaryG = " & iGalleryUnq & " AND I.ImageUnq = IG.ImageUnq"
									rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsImageGallery.EOF )
										sAccountUnq	= rsImageGallery("ImageUL")
										sThumbname	= Trim(rsImageGallery("Thumbnail"))
										sFilePath	= "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\" & "Thumbnails\" & sThumbname
										sFilePath	= Replace(sFilePath, "\", "/")
										sFilePath	= Replace(sFilePath, "//", "/")
										sFilePath	= Server.Mappath(sFilePath)

										If ( objFileScripting.FileExists(sFilePath) ) Then	
											' first see if there is already a thumbnail, find out it's size & delete it
											'	must also decrement HD space used by the thumbnail because G_UPLOAD_MakeThumb
											'	will increment it
											Set f = objFileScripting.GetFile(sFilePath)
											iFileSize = (f.size) * -1
											Set f = Nothing
											Call G_ADMINISTRATION_IncrementHDSpaceUsed(iLoginAccountUnq, iFileSize, iDomainUnq)
											objFileScripting.DeleteFile(sFilePath)
										Else
											' check for a thumbnail w/ the original file name...just in case
											sFilePath	= "\" & sGalleryPath & "\" & sAccountUnq & "\" & iGalleryUnq & "\" & "Thumbnails\" & Trim(rsImageGallery("Image"))
											sFilePath	= Replace(sFilePath, "\", "/")
											sFilePath	= Replace(sFilePath, "//", "/")
											sFilePath	= Server.Mappath(sFilePath)
											If ( objFileScripting.FileExists(sFilePath) ) Then	
												' first see if there is already a thumbnail, find out it's size & delete it
												'	must also decrement HD space used by the thumbnail because G_UPLOAD_MakeThumb
												'	will increment it
												Set f = objFileScripting.GetFile(sFilePath)
												iFileSize = (f.size) * -1
												Set f = Nothing
												Call G_ADMINISTRATION_IncrementHDSpaceUsed(iLoginAccountUnq, iFileSize, iDomainUnq)
												objFileScripting.DeleteFile(sFilePath)
											End If
										End If

										aFileName(0) = rsImageGallery("Image")
										Call G_UPLOAD_MakeThumb(0, sThumbname, iDomainUnq)
										DBConnection.Execute "UPDATE Images SET Thumbnail = '" & SQLEncode(sThumbname) & "' WHERE ImageUnq = " & rsImageGallery("ImageUnq")
										
										rsImageGallery.MoveNext
									Wend
									rsImageGallery.Close
									
									If ( sSuccess = "" ) Then
										sSuccess = "Successfully processed thumbnails."
									End If
								Else
									If ( sError = "" ) Then
										sError = "Please login with rights to administer this gallery."
									End If
								End If
							End If
						Next
					End If
					
				End If
			Case "DeleteGallery"
				If ( CStr(iDomainUnq) = Trim(CStr(iDomainName)) ) Then
					If ( NOT bIsAdmin ) Then
						If ( NOT ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainUnq) ) Then
							sError = DOMAIN_Text("GALLERY_SYS_RIGHTS")
						End If
					End If
	
					If ( sError = "" ) Then
						For Each sCheckbox In Request.Form
							If ( InStr(sCheckbox, "sDelete") > 0 ) Then
								iGalleryUnq = Replace(sCheckbox, "sDelete", "")
								If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
									' only process images actually in this gallery -- not referenced ones -- so check for those w/ this gallery as their PrimaryG
									sSQLText = "SELECT IG.ImageUnq FROM Galleries G (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE G.GalleryUnq = " & iGalleryUnq & " AND IG.PrimaryG = " & iGalleryUnq
									rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsImageGallery.EOF )
										' must delete all the images & set the bClearDB flag to TRUE to del all the db info associated w/ the image
										Call G_UPLOAD_DelFiles(rsImageGallery("ImageUnq"), TRUE)
										rsImageGallery.MoveNext
									Wend
									rsImageGallery.Close
									
									' Decrement (by 1) all Galleries AFTER the one we are deleting.
									sSQLText = "SELECT GalleryUnq, Position FROM Galleries (NOLOCK) WHERE Position > (SELECT Position FROM Galleries (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq & ") AND CategoryUnq = " & iCategoryUnq & " ORDER BY Position"
									rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While (NOT rsImageGallery.EOF)
										DBConnection.Execute "UPDATE Galleries SET Position = " & (rsImageGallery("Position") - 1) & " WHERE GalleryUnq = " & rsImageGallery("GalleryUnq")
										rsImageGallery.MoveNext
									Wend
									rsImageGallery.Close
									
									DBConnection.Execute "DELETE FROM PrivateAccounts WHERE GalleryUnq = " & iGalleryUnq
									DBConnection.Execute "DELETE FROM PrivateGroups WHERE GalleryUnq = " & iGalleryUnq
									DBConnection.Execute "DELETE FROM IG_Subscriptions WHERE GalleryUnq = " & iGalleryUnq
									DBConnection.Execute "DELETE FROM IGSearchResults WHERE GalleryUnq = " & iGalleryUnq
									DBConnection.Execute "DELETE FROM Galleries WHERE GalleryUnq = " & iGalleryUnq
									' have to add this next line to delete any remaining images from the gallery that are being referenced in it
									DBConnection.Execute "DELETE FROM ImagesInGallery WHERE GalleryUnq = " & iGalleryUnq
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("GALLERY_MANAGE_SUC_DEL")
									End If
								Else
									If ( sError = "" ) Then
										sError = DOMAIN_Text("GALLERY_MANAGE_U_NOT_OWNER_NO_DEL")
									End If
								End If
							End If
						Next
					End If
				Else
				End If
		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		' must also reset them if colors have been deleted
		Select Case sAction
			Case "UpdateDomainUnq"
				iDBLoc = 0
				iTtlNumItems = 0
				iCategoryUnq = 0
			Case "UpdateCategoryUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "DeleteGallery"
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
				' get all galleries from all users
				sSQLText = "SELECT Count(*) FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND CategoryUnq = " & iCategoryUnq
			Else
				' just get galleries from the current user
				sSQLText = "SELECT Count(*) FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND AccountUnq = " & iLoginAccountUnq & " AND CategoryUnq = " & iCategoryUnq
			End If
			rsImageGallery.Open sSQLText, DBConnection
			If Not(rsImageGallery.EOF) Then
				iTtlNumItems = rsImageGallery(0)
			End If
			rsImageGallery.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteScripts()
		Call WriteForm()
		Set rsImageGallery = Nothing
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sName, sCopyright, iGalleryUnq
		Dim sBGColor, sTextColor, x, sLinkColor
		Dim sColor1, sColor2, sColor3, sColor4, sFilePath

		%>
		<form name='ManageGalleries' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iMoveGalleryUnq"
		aVariables(4) = "iMovePosition"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = ""
		aValues(4) = ""
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("GALLERY_MANAGE_HEADER")%></b></font>
					<br><br>
					<table width=671>
						<tr>
							<td><font color='<%=DOMAIN_Color("GalleriesPageText")%>'><b><%=DOMAIN_Text("GALLERY_DOMAIN")%></b></font></td>
							<td><font color='<%=DOMAIN_Color("GalleriesPageText")%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_CAT")%></b></font></td>
						</tr>
						<tr>
							<td>
								<%Call DOMAINS_DomainsDropDown("SB_IG_ADMIN_ALL", "SB_IG_CREATE_GALLERY", "")%>
							</td>
							<td>
								<select name = "iCategoryUnq" onChange='SubmitForm("UpdateCategoryUnq");'>
									<%
									iCatLevel	= 0
									bGotOne		= FALSE
									Call CategoryUnqDropDown(iCategoryUnq, 0, iDomainUnq)
									%>
								</select>
							</td>
						</tr>
					</table>
					<%If ( CStr(iDomainUnq) <> Trim(CStr(iDomainName)) ) Then%>
					<br><b><%=DOMAIN_Text("GALLERY_GALLERIES_NOTONDOMAIN_NO_DELETE")%></b><br><br>
					<%End If%>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_NAME")%></b></td>
							<td bgcolor=<%=sBGColor%>>&nbsp;</td>
							<%If ( bHasGalleryProdRights ) Then%>
							<td bgcolor=<%=sBGColor%>>&nbsp;</td>
							<%End If%>
							<%If ( CStr(iDomainUnq) = Trim(CStr(iDomainName)) ) Then%>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_DEL")%></b></td>
							<%End If%>
							<%If ( CStr(iDomainUnq) = Trim(CStr(iDomainName)) ) Then%>
							<%If ( ( iThumbComponent = ASPIMAGE ) Or ( iThumbComponent = GFL ) ) Then%>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b>Recreate<br>Thumbnails*</b></td>
							<%End If%>
							<%End If%>
							<%If ( bIsAdmin ) Then%>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_ORDER")%></b></td>
							<%End If%>
						</tr>
						<%
						sColor1 = DOMAIN_Color("GalleriesBGColor1")
						sColor2 = DOMAIN_Color("GalleriesPageBGColor")
						sColor3 = DOMAIN_Color("GalleriesPageText")
						sColor4 = DOMAIN_Color("GalleriesTextColor1")
						
						If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
							' get all galleries from all users
							sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND CategoryUnq = " & iCategoryUnq & " ORDER BY Position SET ROWCOUNT 0"
						Else
							' just get galleries from the current user
							sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND AccountUnq = " & iLoginAccountUnq & " AND CategoryUnq = " & iCategoryUnq & " ORDER BY Position SET ROWCOUNT 0"
						End If
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						sBGColor = DOMAIN_Color("GalleriesBGColor2")
						For x = 1 To CDbl(iDBLoc)
							rsImageGallery.MoveNext
						Next
						While ( NOT rsImageGallery.EOF )
							If ( sBGColor = sColor1 ) Then
								sBGColor = sColor2
								sTextColor = sColor3
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = sColor1
								sTextColor = sColor4
								sLinkColor = "MediumNav1"
							End If
							sName 			= Server.HTMLEncode(rsImageGallery("Name"))
							iGalleryUnq 	= rsImageGallery("GalleryUnq")
							sPosition		= rsImageGallery("Position")
							
							' just as a precaution in case anyone changes their login name, update the galleries UserName column here
							DBConnection.Execute "UPDATE Galleries SET UserName = '" & Trim(ACCNT_UserName(rsImageGallery("AccountUnq"))) & "' WHERE AccountUnq = " & rsImageGallery("AccountUnq")
							
							%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=center valign=top><font color='<%=sTextColor%>'><%=iGalleryUnq%></td>
								<td bgcolor=<%=sBGColor%> valign=top width=10><input type='hidden' name="sOldName<%=iGalleryUnq%>" value="<%=Server.HTMLEncode(sName)%>"><input type='text' name="sNewName<%=iGalleryUnq%>" value="<%=Server.HTMLEncode(sName)%>" size=35 maxlength=32></td>
								<td bgcolor=<%=sBGColor%> valign=top width=50><a href='Edit.asp?iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>&iGalleryUnq=<%=iGalleryUnq%>' class='<%=sLinkColor%>'><%=DOMAIN_Text("GALLERY_MANAGE_EDIT")%></a></td>
								<td bgcolor=<%=sBGColor%> valign=top>
									<%If ( bHasGalleryProdRights ) Then%>
									<a href='EditProducts.asp?iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>&iGalleryUnq=<%=iGalleryUnq%>' class='<%=sLinkColor%>'><%=DOMAIN_Text("GALLERY_MANAGE_EDIT_PRODUCTS")%></a><br>
									<%End If%>
									<%If ( bHasCR_Rights ) Then%>
									<a href='EditCopyrights.asp?iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>&iGalleryUnq=<%=iGalleryUnq%>' class='<%=sLinkColor%>'><%=DOMAIN_Text("GALLERY_MANAGE_EDIT_CR")%></a><br>
									<%End If%>
									<%If ( bReferenceDomain ) Then%>
									<a href='Referencing.asp?iDBLoc=<%=iDBLoc%>&iDomainUnq2=<%=iDomainUnq%>&iGalleryUnq=<%=iGalleryUnq%>' class='<%=sLinkColor%>'>Referencing</a><br>
									<%End If%>
									<a href='EditLinks.asp?iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>&iGalleryUnq=<%=iGalleryUnq%>' class='<%=sLinkColor%>'><%=DOMAIN_Text("GALLERY_MANAGE_EDIT_LINKS")%></a>
								</td>
								<%If ( CStr(iDomainUnq) = Trim(CStr(iDomainName)) ) Then%>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name="sDelete<%=iGalleryUnq%>" value="<%=iGalleryUnq%>"></td>
								<%End If%>
								<%If ( CStr(iDomainUnq) = Trim(CStr(iDomainName)) ) Then%>
								<%If ( ( iThumbComponent = ASPIMAGE ) Or ( iThumbComponent = GFL ) ) Then%>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name="sRecreateThumbnails<%=iGalleryUnq%>" value="<%=iGalleryUnq%>"></td>
								<%End If%>
								<%End If%>
								<%If ( bIsAdmin ) Then%>
								<td valign=top align=center bgcolor=<%=sBGColor%>>
									<Table cellpadding=0 cellspacing=0 border=0>
										<%If ( sPosition > 1 ) Then%>
										<tr><td><a href='JavaScript:ReorderGalleries(<%=sPosition%>, <%=iGalleryUnq%>, "MoveUp")'><img src='../Images/Administrative/MoveUp.gif' border=0 width=12 height=6 alt=' <%=DOMAIN_Text("GALLERY_MANAGE_MOVE_UP")%> '></a></td></tr>
										<%End If%>
										<tr><td><img src='/WS_Content/Images/Blank.gif' border=0 width=12 height=6></td></tr>
										<%If ( sPosition < iTtlNumItems ) And ( iTtlNumItems > 1 ) Then%>
										<tr><td><a href='JavaScript:ReorderGalleries(<%=sPosition%>, <%=iGalleryUnq%>, "MoveDown")'><img src='../Images/Administrative/MoveDown.gif' border=0 width=12 height=6 alt=' <%=DOMAIN_Text("GALLERY_MANAGE_MOVE_DOWN")%> '></a></td></tr>
										<%End If%>
									</table>
								</td>
								<%End If%>
							</tr>
							<%
							rsImageGallery.MoveNext
						Wend
						%>
						<tr>
							<%If ( bIsAdmin ) Then%>
							<td colspan=7 align=right>
							<%Else%>
							<td colspan=6 align=right>
							<%End If%>
								<%Call PrintRecordsetNav( "Default.asp", "", "Galleries" )%>
							</td>
						</tr>
					</table>
					* Recreating thumbnails only processes images from the gallery -- it will not process referenced images.
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub CategoryUnqDropDown(ByVal iCatUnq, iCurCatUnq, iDomainUnq)
		Dim rsImageGallery, sSQLText

		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM IGCategories (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurCatUnq & " ORDER BY Position"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & " (" & NumGalleries(0, iDomainUnq) & ")</option>"
					If ( bGotOne = FALSE ) Then	' get the first one it returns
						'iCategoryUnq = iCurCatUnq	' set the global iCategoryUnq to the current categoryunq so that it'll automatically bring up galleries within the selected category if it isn't already the default
					End If
					bGotOne = TRUE
				End If
			End If
			While ( NOT rsImageGallery.EOF )
				iCurCatUnq = rsImageGallery("CategoryUnq")
				If ( ACCNT_SpecificDomain(rsImageGallery("RightsLvl"), iDomainUnq) ) Or ( Trim(rsImageGallery("RightsLvl")) = "" ) Then
					If ( iCatUnq = CStr(iCurCatUnq) ) Then
						Response.Write "<option value='" & iCurCatUnq & "' Selected>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & " (" & NumGalleries(iCurCatUnq, iDomainUnq) & ")</option>"
					Else
						Response.Write "<option value='" & iCurCatUnq & "'>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & " (" & NumGalleries(iCurCatUnq, iDomainUnq) & ")</option>"
					End If
					If ( bGotOne = FALSE ) Then	' get the first one it returns
						iCategoryUnq = iCurCatUnq	' set the global iCategoryUnq to the current categoryunq so that it'll automatically bring up galleries within the selected category if it isn't already the default
					End If
					bGotOne = TRUE
				End If
				iCatLevel = iCatLevel + 1
				Call CategoryUnqDropDown(iCatUnq, iCurCatUnq, iDomainUnq)
				rsImageGallery.MoveNext
				iCatLevel = iCatLevel - 1
			Wend
		Else
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & " (" & NumGalleries(0, iDomainUnq) & ")</option>"
					If ( bGotOne = FALSE ) Then	' get the first one it returns
						iCategoryUnq = iCurCatUnq	' set the global iCategoryUnq to the current categoryunq so that it'll automatically bring up galleries within the selected category if it isn't already the default
					End If
					bGotOne = TRUE
				End If
			End If
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns the number of galleries in the category.								*
	'*																					*
	'************************************************************************************
	Function NumGalleries(iCatUnq, iDomainUnq)
		Dim rsImageGallery, sSQLText

		Set rsImageGallery	= Server.CreateObject("ADODB.recordset")
		NumGalleries		= 0
		sSQLText = "SELECT Count(*) FROM Galleries (NOLOCK) WHERE CategoryUnq = " & iCatUnq & " AND Domain = " & iDomainUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			NumGalleries = rsImageGallery(0)
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing
		
	End Function
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This writes the JavaScript out even if the Main() Sub isn't called in case the	*
	'*		admin has creation rights, but not edit rights.								*
	'*																					*
	'************************************************************************************
	Sub WriteScripts()
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageGalleries.sAction.value = sAction;
				document.ManageGalleries.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iCategoryUnq=<%=iCategoryUnq%>&iDomainUnq=<%=iDomainUnq%>" + sQueryString;
			}
			
			function NewGallery(){
				document.location = "New.asp?<%=DOMAIN_Link("G")%>&iTtlNumItems=<%=iTtlNumItems%>&iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>";
			}
			
			function MoveGalleries(){
				document.location = "Move.asp?<%=DOMAIN_Link("G")%>&iCategoryUnq=<%=iCategoryUnq%>&iTtlNumItems=<%=iTtlNumItems%>&iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>";
			}
			
			function ReorderGalleries(iMovePosition, iMoveGalleryUnq, sAction){
				document.ManageGalleries.iMoveGalleryUnq.value=iMoveGalleryUnq;
				document.ManageGalleries.iMovePosition.value=iMovePosition;
				SubmitForm(sAction);
			}
			
		</script>
		<%
	End Sub
	'************************************************************************************
%>