<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<%
	Dim iCategoryUnq, sPopupWindow, rsImageGallery, sSQLText, iOldConfUnq, iConfUnq, iDomainUnq
	Dim sCreateThread, iCatLevel
	Dim iConfLevel, bEZPrintsAccount, bUseEZPrints
	
	iDomainUnq = Trim(Request("iDomainUnq"))
	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainName
	End If
	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_GALLERIES_EDIT")
	If ( ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainUnq) ) Or _
		( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*	This lets you edit galleries.													*
	'*																					*
	'************************************************************************************
	Sub Main()
	
		Dim sError, iOldCategoryUnq, sOldCreateThread
		Set rsImageGallery = CreateObject("ADODB.Recordset")

		iGalleryUnq = Trim(Request("iGalleryUnq"))
		If ( iGalleryUnq <> "" ) Then
			If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
				If ( Trim(Request("sAction")) = "EditGallery" ) Then
					sName			= Trim(Request("sName"))
					sDescription	= Trim(Request("HTMLDATA"))
					sVisibility		= Trim(Request("sVisibility"))
					iCategoryUnq	= Trim(Request("iCategoryUnq"))
					sPopupWindow	= Trim(Request("sPopupWindow"))
					iConfUnq		= Trim(Request("iConfUnq"))
					iOldConfUnq		= Trim(Request("iOldConfUnq"))
					iOldCategoryUnq	= Trim(Request("iOldCategoryUnq"))
					sCreateThread	= Trim(Request("sCreateThread"))
					sOldCreateThread= Trim(Request("sOldCreateThread"))
					bUseEZPrints	= Trim(UCase(Request("bUseEZPrints")))
		
					If sName = "" Then
						Call DOMAIN_Message(DOMAIN_Text("NO_GALLERY_NAME"), "ERROR")
					Else
						' update the gallery
						DBConnection.Execute "UPDATE Galleries SET Name = '" & SQLEncode(sName) & "', Description = '" & SQLEncode(sDescription) & "', Visibility = '" & SQLEncode(sVisibility) & "', PopupWindow = '" & sPopupWindow & "' WHERE GalleryUnq = " & iGalleryUnq
						
						' update status of images' EZPrints flag if necessary
						If ( ACCNT_SpecificDomain("SB_IG_EZPRINTS_GALLERIES", iDomainUnq) ) Then
							If ( bUseEZPrints = "P" ) Then	' prints
								DBConnection.Execute "UPDATE Images SET EZPrints = 'P' WHERE ImageUnq IN (SELECT ImageUnq FROM ImagesInGallery WHERE GalleryUnq = " & iGalleryUnq & ")"
							ElseIf ( bUseEZPrints = "G" ) Then	' gifts
								DBConnection.Execute "UPDATE Images SET EZPrints = 'G' WHERE ImageUnq IN (SELECT ImageUnq FROM ImagesInGallery WHERE GalleryUnq = " & iGalleryUnq & ")"
							ElseIf ( bUseEZPrints = "B" ) Then	' both
								DBConnection.Execute "UPDATE Images SET EZPrints = 'B' WHERE ImageUnq IN (SELECT ImageUnq FROM ImagesInGallery WHERE GalleryUnq = " & iGalleryUnq & ")"
							ElseIf ( bUseEZPrints = "N" ) Then	' none
								DBConnection.Execute "UPDATE Images SET EZPrints = '' WHERE ImageUnq IN (SELECT ImageUnq FROM ImagesInGallery WHERE GalleryUnq = " & iGalleryUnq & ")"
							Else
								' do not change anything
							End If
						End If
						
						If ( sOldCreateThread <> sCreateThread ) Then
							If ( sCreateThread = "Y" ) Then
								iConfUnq = Trim(DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_DEFAULT_GALLERY_MSGBOARD"), iDomainUnq)
							End If
						End If
						If ( iConfUnq <> iOldConfUnq ) Then
							DBConnection.Execute "UPDATE Galleries SET ConfUnq = '" & iConfUnq & "', ThreadUnq = 0 WHERE GalleryUnq = " & iGalleryUnq
							iOldConfUnq = iConfUnq
						End If
						If ( iCategoryUnq <> iOldCategoryUnq ) Then
							' Decrement (by 1) all Galleries AFTER the one we are moving.
							sSQLText = "SELECT GalleryUnq, Position FROM Galleries (NOLOCK) WHERE Position > (SELECT Position FROM Galleries (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq & ") AND CategoryUnq = " & iOldCategoryUnq & " ORDER BY Position"
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							While (NOT rsImageGallery.EOF)
								DBConnection.Execute "UPDATE Galleries SET Position = " & (rsImageGallery("Position") - 1) & " WHERE GalleryUnq = " & rsImageGallery("GalleryUnq")
								rsImageGallery.MoveNext
							Wend
							rsImageGallery.Close
							
							' get a new position number for the gallery in the category it's going to
							'	must do this before moving it or it might skew the results
							sSQLText = "SELECT IsNull(MAX(Position), 0) + 1 FROM Galleries (NOLOCK) WHERE CategoryUnq = " & iCategoryUnq
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								DBConnection.Execute "UPDATE Galleries SET Position = " & rsImageGallery(0) & " WHERE GalleryUnq = " & iGalleryUnq
							Else
								DBConnection.Execute "UPDATE Galleries SET Position = 1 WHERE GalleryUnq = " & iGalleryUnq
							End If
							rsImageGallery.Close
							
							DBConnection.Execute "UPDATE Galleries SET CategoryUnq = '" & iCategoryUnq & "' WHERE GalleryUnq = " & iGalleryUnq
								
							iOldCategoryUnq = iCategoryUnq
						End If
						Call DOMAIN_Message(DOMAIN_Text("GALLERY_MANAGE_UPDATE_SUC"), "SUCCESS")
					End If
				Else
					' get the gallery information from the database
					sSQLText = "SELECT * FROM Galleries WHERE GalleryUnq = " & iGalleryUnq & " AND Domain = " & iDomainUnq
					rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsImageGallery.EOF ) Then
						sName			= Trim(rsImageGallery("Name"))
						sDescription	= Trim(rsImageGallery("Description"))
						sVisibility		= Trim(rsImageGallery("Visibility"))
						iCategoryUnq	= Trim(rsImageGallery("CategoryUnq"))
						sPopupWindow	= Trim(rsImageGallery("PopupWindow"))
						iOldConfUnq		= Trim(rsImageGallery("ConfUnq"))
						iConfUnq		= Trim(rsImageGallery("ConfUnq"))
						iOldCategoryUnq	= Trim(rsImageGallery("CategoryUnq"))
						If ( iConfUnq <> "" ) Then
							If ( iConfUnq = "0" ) Then
								sCreateThread = "N"
							Else
								sCreateThread = "Y"
							End If
						End If
					Else
						Call DOMAIN_Message(DOMAIN_Text("GALLERY_MANAGE_NOTINDB"), "ERROR")
					End If
					rsImageGallery.Close
				End If
				Call WriteEditForm()
			Else
				Call DOMAIN_Message(DOMAIN_Text("INVALID_GALLERY_LOGIN"), "ERROR")
			End If
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_MANAGE_NOTINDB"), "ERROR")
		End If
		Set rsImageGallery = Nothing
		
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteEditForm()
		Dim sSQLText
		
		bAdvanced			= Trim(Request("bAdvanced"))
		bEditOn				= FALSE
		bEZPrintsAccount	= G_ADMINISTRATION_EZPrintsAccount(iDomainUnq)
		
		If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" ) Then						' site admin must turn it on
			If ( DOMAIN_Conf("IMAGEGALLERY_EDIT-ON") = "YES" ) Then			' gallery admin must turn it on
				bEditOn = TRUE
			End If
		End If
		%>
		<SCRIPT LANGUAGE=javascript>
		<!--
		
		
		function scriptForm_onsubmit() {
			<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
			document.EditGallery.HTMLDATA.value = document.SBEditor.getHTMLData("http://");
			<%End If%>
		}
		
		//-->
		</SCRIPT>
		<form onsubmit="return scriptForm_onsubmit()" action = "Edit.asp" method = "post" name="EditGallery">
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iGalleryUnq"
		aVariables(2) = "iDomainUnq"
		aVariables(3) = "iDBLoc"
		aValues(0) = "EditGallery"
		aValues(1) = iGalleryUnq
		aValues(2) = iDomainUnq
		aValues(3) = Trim(Request("iDBLoc"))
		Response.Write DOMAIN_Link("P")
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("EDIT_GALLERY")%></b></font>
				</td>
			</tr>
			<%If ( bEditOn = TRUE ) Then%>
			<%If ( bAdvanced = "T" ) Then%>
			<tr><td align=right bgcolor=<%=DOMAIN_Color("GalleriesPageBGColor")%>><a href='G_Edit.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=iGalleryUnq%>&bAdvanced=F' class='MediumNavPage'><%=DOMAIN_Text("IMAGEGALLERY_WYSIWYG_EDITOR")%></a><br></td></tr>
			<%Else%>
			<tr><td align=right bgcolor=<%=DOMAIN_Color("GalleriesPageBGColor")%>><a href='G_Edit.asp?<%=DOMAIN_Link("G")%>&iGalleryUnq=<%=iGalleryUnq%>&bAdvanced=T' class='MediumNavPage'><%=DOMAIN_Text("IMAGEGALLERY_ADVANCED_EDITOR")%></a><br></td></tr>
			<%End If%>
			<%End If%>
			<tr>
				<td>
					<table width=100% cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("GalleriesBorderColor1")%> align=center>
					<table cellpadding=5 width=100% cellspacing = 0 border = 0>
						<tr>
							<td colspan=2 bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<center><input type = "submit" value = "<%=DOMAIN_Text("EDIT_GALLERY2")%>">
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_NAME")%>:
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<input type = "Text" name = "sName" value = "<%=Server.HTMLEncode(sName)%>" maxlength=32 size=<%=CDbl(iFormWidth)%>>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_POPUP_PWINDOW")%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<select name = "sPopupWindow">
									<option value = 'FULL' <%If (sPopupWindow = "FULL") Then Response.Write "selected" End If%>><%=DOMAIN_Text("GALLERY_POPUP_FSCREEN")%></option>
									<option value = 'WINDOW' <%If (sPopupWindow = "WINDOW") Then Response.Write "selected" End If%>><%=DOMAIN_Text("GALLERY_POPUP_POPUP")%></option>
								</select>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("VISIBILITY")%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<select name = "sVisibility">
									<option value = '<%=PUBLIC_GALLERIES%>' <%If (sVisibility = CStr(PUBLIC_GALLERIES)) Then Response.Write "selected" End If%>><%=DOMAIN_Text("PUBLIC_GALLERY2")%></option>
									<option value = '<%=PRIVATE_GALLERIES%>' <%If (sVisibility = CStr(PRIVATE_GALLERIES)) Then Response.Write "selected" End If%>><%=DOMAIN_Text("PRIVATE_GALLERY2")%></option>
								</select>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_MANAGECAT_IGCATEGORY")%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
								<input type='hidden' name='iOldCategoryUnq' value='<%=iCategoryUnq%>'>
								<select name = "iCategoryUnq">
									<%
									iCatLevel = 0
									Call CategoryUnqDropDown(iCategoryUnq, 0, iDomainUnq)
									%>
								</select>
							</td>
						</tr>
						<%If ( ACCNT_SystemRights("MSGBOARD_SYSTEMUNQ") ) Then%>
						<%If ( ACCNT_SpecificDomain("SB_IG_GALLERY_MB", iDomainUnq) ) Then
							iConfLevel = 0
							Call DisplayMsgBoardDropDown()
						Else
						If ( CDbl(Trim(DOMAIN_Conf_W_DomainUnq("IMAGEGALLERY_DEFAULT_GALLERY_MSGBOARD", iDomainUnq))) > 0 ) Then%>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%> colspan=2>
								<input type = "hidden" name = "sOldCreateThread" value = "<%=sCreateThread%>">
								<table width=100% cellpadding = 0 cellspacing=0 border=0>
									<tr>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_USERS_COMMENT")%></td>
										<td><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_USERS_COMMENT_YES")%></td>
										<td><input type='checkbox' name='sCreateThread' value='Y' <%If ( sCreateThread = "Y" ) Then Response.Write "checked" End If%>></td>
									</tR>
								</table>
							</td>
						</tr>
						<%End If%>
						<%End If%>
						<%End If%>
						
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%> valign = top colspan=2>
								<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_DESC2")%>:<br>
								<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
									<INPUT name="HTMLDATA" type="hidden" value="">
									<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=300 name=SBEditor id=SBEditor width=<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_WIDTH")%> VIEWASTEXT MAYSCRIPT>
										<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
										<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
										<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">
										<param name="TOOLBARURL" value="toolbar-sample.xml">
										<param name="TEXTMODE" value="FALSE">
										<param name="SOURCEVIEW" value="TRUE">
										<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("GalleriesPageBGColor")%>">
										<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("GalleriesPageText")%>">
										<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("GalleriesPageLinkColor")%>">
										<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("GalleriesPageText")%>">
										<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("GalleriesPageBGColor")%>">
										<param name="SETHTMLDATAURL" value="EditOn/SetGallery.asp?<%=DOMAIN_Link("G")%>">
										<param name="SIMPLETABLE" value="true">
										<param name="INSERTTEXT_HTML" value="true">
										<param name="BODYONLY" value="TRUE">
										<param name="IMAGEROOT" value="<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_IMAGEROOT")%>">
										<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainName%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
										<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
										<%If ( DOMAIN_Conf("RADIO_EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
										<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
										<%End If%>
										<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("IMAGEGALLERY_EDIT-ON_SPELLCHECKPROPERTIES")%>">
									</APPLET>
								<%Else%>
									<TEXTAREA COLS=<%=iFormColumns%> ROWS=5 WRAP="soft" NAME="HTMLDATA"><%=Server.HTMLEncode(sDescription)%></TEXTAREA>
								<%End If%>
							</td>
						</tr>
						
						<%If ( bEZPrintsAccount ) And ( ACCNT_SpecificDomain("SB_IG_EZPRINTS_GALLERIES", iDomainUnq) ) Then%>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%> valign = top colspan=2>
								<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><b>
								Set ALL images in this gallery to display EZPrints links?</b>
								<br>
								<font size=-2>This will also reset any manual modifications administrators have made to images.
								<table width=100% cellpadding=0 cellspacing=0>
									<tr>
										<td width=110 align=right><b>Display ALL with just Prints:</td><td><input type='radio' name='bUseEZPrints' value='P'></td>
										<td width=110 align=right><b>Display ALL with just Gifts:</td><td><input type='radio' name='bUseEZPrints' value='G'></td>
										<td width=110 align=right><b>Display ALL with both:</td><td><input type='radio' name='bUseEZPrints' value='B'></td>
										<td width=110 align=right><b>Display NO EZPrints links:</td><td><input type='radio' name='bUseEZPrints' value='N'></td>
										<td width=110 align=right><b>Do not Change:</td><td><input type='radio' name='bUseEZPrints' value='' checked></td>
									</tr>
								</table>
							</td>
						</tr>
						<%End If%>
						
					</table>
					</td></tr></table>
					<br>
					<center><input type = "submit" value = "<%=DOMAIN_Text("EDIT_GALLERY2")%>">
				</td>
			</tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the message boards in a drop-down list.				*
	'*																					*
	'************************************************************************************
	Sub DisplayMsgBoardDropDown()
		%>
		<tr>
			<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
				<b><font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'><%=DOMAIN_Text("GALLERY_MANAGE_MB_CONF_NUM")%>
			</td>
			<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%>>
				<input type='hidden' name='iOldConfUnq' value="<%=iOldConfUnq%>">
				<select name='iConfUnq'>
					<%Call ConfUnqDropDown(iConfUnq, 0, iDomainUnq)%>
				</select>
			</td>
		</tr>
		<tr>
			<td bgcolor = <%=DOMAIN_Color("GalleriesBGColor1")%> colspan=2>
				<font color='<%=DOMAIN_Color("GalleriesTextColor1")%>'>
				<%=DOMAIN_Text("GALLERY_MANAGE_MB_CONF_INFO")%>
			</td>
		</tr>
		<%
		
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub ConfUnqDropDown(iConfUnq, iCurConfUnq, iDomainUnq)
		Dim sSQLText, rsMsgBoard, sType

		Set rsMsgBoard = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM Conference (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurConfUnq & " ORDER BY ColPosition"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
			While ( NOT rsMsgBoard.EOF )
				iCurConfUnq = rsMsgBoard("ConfUnq")
				sType		= Trim(UCase(rsMsgBoard("Type")))
				Select Case sType
					Case ""
						sType = "Message Board Type"
					Case "G"
						sType = "Gallery/Image Type"
					Case "N"
						sType = "News Article Type"
					Case "P"
						sType = "Poll Type"
				End Select
				If ( iConfUnq = CStr(iCurConfUnq) ) Then
					Response.Write "<option value='" & iCurConfUnq & "' Selected>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				Else
					Response.Write "<option value='" & iCurConfUnq & "'>" & String(iConfLevel, CHR(151)) & rsMsgBoard("Name") & " - (" & sType & ")</option>"
				End If
				iConfLevel = iConfLevel + 1
				Call ConfUnqDropDown(iConfUnq, iCurConfUnq, iDomainUnq)
				rsMsgBoard.MoveNext
				iConfLevel = iConfLevel - 1
			Wend
		Else
			If ( iConfLevel = 0 ) And ( iCurConfUnq = 0 ) Then
				Response.Write "<option value='0'>No Message Board</option>"
			End If
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub CategoryUnqDropDown(iCategoryUnq, iCurCatUnq, iDomainUnq)
		Dim rsImageGallery, sSQLText

		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM IGCategories (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurCatUnq & " ORDER BY Position"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & "</option>"
				End If
			End If
			While ( NOT rsImageGallery.EOF )
				iCurCatUnq = rsImageGallery("CategoryUnq")
				If ( ACCNT_SpecificDomain(rsImageGallery("RightsLvl"), iDomainUnq) ) Or ( Trim(rsImageGallery("RightsLvl")) = "" ) Then
					If ( iCategoryUnq = CStr(iCurCatUnq) ) Then
						Response.Write "<option value='" & iCurCatUnq & "' Selected>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & "</option>"
					Else
						Response.Write "<option value='" & iCurCatUnq & "'>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & "</option>"
					End If
				End If
				iCatLevel = iCatLevel + 1
				Call CategoryUnqDropDown(iCategoryUnq, iCurCatUnq, iDomainUnq)
				rsImageGallery.MoveNext
				iCatLevel = iCatLevel - 1
			Wend
		Else
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & "</option>"
				End If
			End If
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing

	End Sub
	'************************************************************************************
%>