<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<%
	Dim rsImageGallery, sSQLText
	Dim iLinkUnq, sURL, sOnSite, iDomainUnq
	
	iDomainUnq = Trim(Request("iDomainUnq"))
	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainName
	End If

	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_GALLERIES_EDITLINKS")
	If   (ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq)) Or _
	 	 (ACCNT_SpecificDomain("SB_IG_CREATE_GALLERY", iDomainUnq)) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, sTextField
		Dim sOldURL, sNewURL, sOldDescription, sNewDescription, sOldOnSite
		
		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		sAction		= Trim(Request("sAction"))
		iGalleryUnq	= Trim(Request("iGalleryUnq"))
		
		If ( iGalleryUnq <> "" ) Then
			Select Case sAction
				Case "AddLink"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						sURL			= Trim(Request("sURL"))
						sDescription	= Trim(Request("sDescription"))
						sOnSite			= Trim(Request("sOnSite"))
						If ( sURL = "" ) Then
							sError = DOMAIN_Text("GALLERY_IMAGES_LINKS_ENTERURL")
						Else
							If ( sDescription = "" ) Then
								sError = DOMAIN_Text("GALLERY_IMAGES_LINKS_ENTERDESC")
							Else
								sSQLText = "SELECT ImageUnq FROM ImagesInGallery (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While ( NOT rsImageGallery.EOF )
									DBConnection.Execute "INSERT INTO IGMiscLinks VALUES (" & rsImageGallery("ImageUnq") & ", '" & SQLEncode(sURL) & "', '" & SQLEncode(sOnSite) & "', '" & SQLEncode(sDescription) & "')"
									rsImageGallery.MoveNext
								Wend
								rsImageGallery.Close
								sSuccess = DOMAIN_Text("GALLERY_IMAGES_LINKS_ADDSUCCESS")
							End If
						End If
					Else
						sError = DOMAIN_Text("GALLERY_IMAGES_LINKS_NOTOWNER_ADD")
					End If
				Case "UpdateLinks"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						For Each sTextField In Request.Form
							If ( InStr(sTextField, "sOldURL") > 0 ) Then
								iLinkUnq		= Replace(sTextField, "sOldURL", "")
								sOldURL			= Request(sTextField)
								sNewURL			= Request("sNewURL" & iLinkUnq)
								sOldDescription = Request("sOldDescription" & iLinkUnq)
								sNewDescription = Request("sNewDescription" & iLinkUnq)
								sOldOnSite		= Request("sOldOnSite" & iLinkUnq)
								sOnSite			= Request("sOnSite" & iLinkUnq)
								
								If ( sOldURL <> sNewURL Or sOldDescription <> sNewDescription Or sOldOnSite <> sOnSite ) Then
									sSQLText = "SELECT ImageUnq FROM ImagesInGallery (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq
									rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsImageGallery.EOF )
										DBConnection.Execute "UPDATE IGMiscLinks SET URL = '" & SQLEncode(sNewURL) & "', OnSite = '" & sOnSite & "', Description = '" & SQLEncode(sNewDescription) & "' WHERE URL = '" & SQLEncode(sOldURL) & "' AND OnSite = '" & SQLEncode(sOldOnSite) & "' AND Description = '" & SQLEncode(sOldDescription) & "' AND ImageUnq = " & rsImageGallery("ImageUnq")
										rsImageGallery.MoveNext
									Wend
									rsImageGallery.Close
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("GALLERY_IMAGES_LINKS_UPDATEOK")
									End If
								End If
							ElseIf ( InStr(sTextField, "sDelete") > 0 ) Then
								iLinkUnq = Replace(sTextField, "sDelete", "")
								sOldURL			= Request("sOldURL" & iLinkUnq)
								sOldDescription = Request("sOldDescription" & iLinkUnq)
								sOldOnSite		= Request("sOldOnSite" & iLinkUnq)
								sSQLText = "SELECT ImageUnq FROM ImagesInGallery (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While ( NOT rsImageGallery.EOF )
									DBConnection.Execute "DELETE FROM IGMiscLinks WHERE URL = '" & SQLEncode(sOldURL) & "' AND OnSite = '" & SQLEncode(sOldOnSite) & "' AND Description = '" & SQLEncode(sOldDescription) & "' AND ImageUnq = " & rsImageGallery("ImageUnq")
									rsImageGallery.MoveNext
								Wend
								rsImageGallery.Close
							End If
						Next
					Else
						sError = DOMAIN_Text("GALLERY_IMAGES_LINKS_NOTOWNER_EDIT")
					End If
			End Select
			
			If ( sError <> "" ) Then
				Call DOMAIN_Message(sError, "ERROR")
			End If
			If ( sSuccess <> "" ) Then
				Call DOMAIN_Message(sSuccess, "SUCCESS")
			End If
			
			Call WriteForm()
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_GALLERY_PRODS_MISSINGIMAGE"), "ERROR")
		End If
		Set rsImageGallery = Nothing
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sBGColor, sColor1, sColor2, iCount
		
		sBGColor	= DOMAIN_Color("GalleriesBGColor2")
		iCount		= 0
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'><font size=+1><b><%=DOMAIN_Text("GALLERY_GALLERY_EDITLINKS_HEAD")%></b></font>
					<br>
					<b><%=DOMAIN_Text("GALLERY_GALLERY_EDITLINKS_SUBHEAD")%></b> <%=ReturnGalleryName(iGalleryUnq)%>
					<br>
					<%=DOMAIN_Text("GALLERY_GALLERY_EDITLINKS_SUBHEAD2")%>
					<br><br>
					<form name='AddLink' action='EditLinks.asp' method='post'>
					<%=DOMAIN_Text("GALLERY_IMAGES_LINKS_ADD_NEW")%>
					<%
					aVariables(0) = "sAction"
					aVariables(1) = "iDBLoc"
					aVariables(2) = "iGalleryUnq"
					aVariables(3) = "iDomainUnq"
					aValues(0) = "AddLink"
					aValues(1) = iDBLoc
					aValues(2) = iGalleryUnq
					aValues(3) = iDomainUnq
					Response.Write DOMAIN_Link("P")
					%>
					<table width=100%>
						<tr>
							<td><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_URL")%></td>
							<td><input type='text' name='sURL' value=''></td>
							<td><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_DESC")%></td>
							<td><input type='text' name='sDescription' value=''></td>
							<td>
								<table>
									<tr>
										<td><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_ONSITE")%></td>
										<td><input type='radio' name='sOnSite' value='Y' checked></td>
										<td><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_OFFSITE")%></td>
										<td><input type='radio' name='sOnSite' value='N'></td>
									</tr>
								</table>
							</td>
							<td><input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGES_LINKS_CREATE")%>'></td>
						</tr>
					</table>
					</form>
					
					<form name='ManageLinks' action='EditLinks.asp' method='post'>
					<%
					aValues(0) = "UpdateLinks"
					Response.Write DOMAIN_Link("P")
					%>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_URL2")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_DESC2")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_TYPE")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_DEL")%></b></td>
						</tr>
						<%
						sColor1 = DOMAIN_Color("GalleriesBGColor1")
						sColor2 = DOMAIN_Color("GalleriesPageBGColor")
						
						sSQLText = "SELECT DISTINCT L.URL, L.OnSite, L.Description FROM IGMiscLinks L (NOLOCK), ImagesInGallery IG (NOLOCK) WHERE L.ImageUnq = IG.ImageUnq AND IG.GalleryUnq = " & iGalleryUnq
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						While ( NOT rsImageGallery.EOF )
							If ( sBGColor = sColor1 ) Then
								sBGColor = sColor2
							Else
								sBGColor = sColor1
							End If

							sURL				= Server.HTMLEncode(rsImageGallery("URL"))
							sDescription		= Server.HTMLEncode(rsImageGallery("Description"))
							sOnSite				= Trim(rsImageGallery("OnSite"))
							%>
							<tr>
								<td bgcolor=<%=sBGColor%> valign=top>
									<input type='hidden' name='sOldURL<%=iCount%>' value="<%=Server.HTMLEncode(sURL)%>">
									<input type='text' name='sNewURL<%=iCount%>' value="<%=Server.HTMLEncode(sURL)%>" size=30 maxlength=250>
								</td>
								<td bgcolor=<%=sBGColor%> valign=top>
									<input type='hidden' name='sOldDescription<%=iCount%>' value="<%=Server.HTMLEncode(sDescription)%>">
									<input type='text' name='sNewDescription<%=iCount%>' value="<%=Server.HTMLEncode(sDescription)%>" size=30 maxlength=250>
								</td>
								<td bgcolor=<%=sBGColor%> valign=top>
									<table>
										<tr>
											<td><input type='hidden' name='sOldOnSite<%=iCount%>' value='<%=sOnSite%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_ONSITE")%></td>
											<td><input type='radio' name='sOnSite<%=iCount%>' value='Y' <%If ( sOnSite = "Y" ) Then Response.Write "checked" End If%>></td>
											<td><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_OFFSITE")%></td>
											<td><input type='radio' name='sOnSite<%=iCount%>' value='N' <%If (( sOnSite = "N" ) Or ( sOnSite = "" )) Then Response.Write "checked" End If%>></td>
										</tr>
									</table>
								</td>
								<td align=center bgcolor=<%=sBGColor%> valign=top><input type='checkbox' name="sDelete<%=iCount%>" value="<%=iCount%>"></td>
							</tr>
							<%
							rsImageGallery.MoveNext
							iCount = iCount + 1
						Wend
						%>
					</table>
					<center>
					<input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGES_LINKS_UPDATE")%>'>
					</form>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		<%
	End Sub
	'************************************************************************************
	
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function ReturnGalleryName(iGalleryUnq)
	
		sSQLText = "SELECT Name FROM Galleries (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			ReturnGalleryName = rsImageGallery(0)
		End If
		rsImageGallery.Close

	End Function
	'************************************************************************************
%>