<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<%
	Dim rsImageGallery, sSQLText, sDataType
	Dim iMapUnq, sShortText, sLongText, iDomainUnq, bIsHidden
	
	iDomainUnq = Trim(Request("iDomainUnq"))
	If ( iDomainUnq = "" ) Then
		iDomainUnq = iDomainName
	End If

	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_IMAGES_EDITCUSTOM")
	If   (ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq)) Or _
		 (ACCNT_SpecificDomain("SB_IG_ADD_CF_IMAGE", iDomainUnq)) Or _
		 (ACCNT_SpecificDomain("SB_IG_EDIT_CF_DATA_IMAGE", iDomainUnq)) Or _
		 (ACCNT_SpecificDomain("SB_IG_EDIT_CF_IMAGE", iDomainUnq)) Or _
	 	 (ACCNT_SpecificDomain("SB_IG_DEL_CF_IMAGE", iDomainUnq)) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, sTextField
		Dim sOldName, sNewName, sOldDescription, sNewDescription
		Dim sOldShortText, sNewShortText, sOldLongText, sNewLongText
		Dim bOldIsHidden, bNewIsHidden
		
		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		sAction		= Trim(Request("sAction"))
		iImageUnq	= Trim(Request("iImageUnq"))
		iGalleryUnq	= Trim(Request("iGalleryUnq"))
		
		If ( iImageUnq <> "" ) Then
			Select Case sAction
				Case "AddCustom"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, iImageUnq) Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						sName			= Trim(Request("sName"))
						sDescription	= Trim(Request("sDescription"))
						sShortText		= Trim(Request("sShortText"))
						sLongText		= Trim(Request("sLongText"))
						bIsHidden		= Trim(Request("bIsHidden"))
						If ( sName = "" ) Then
							sError = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_ENTERNAME")
						Else
							If ( sShortText = "" ) Then
								sDataType = "T"	' text > 250
							Else
								sDataType = "V"	' varchar < 250
							End If
							DBConnection.Execute "INSERT INTO IGMap VALUES ('" & sDataType & "', '" & SQLEncode(sName) & "', '" & SQLEncode(sDescription) & "', " & iDomainUnq & ", " & iImageUnq & ", 0, 0)"
							sSQLText = "SELECT @@IDENTITY"
							rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsImageGallery.EOF ) Then
								DBConnection.Execute "INSERT INTO IGData VALUES (" & rsImageGallery(0) & ", " & iImageUnq & ", 0, 0, '" & SQLEncode(sShortText) & "', '" & SQLEncode(sLongText) & "', 0, '" & bIsHidden & "')"
								sSuccess = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_ADDOK")
							Else
								sError = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_ADDWPROB")
							End If
							rsImageGallery.Close
						End If
					Else
						sError = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_NOTGALLERYOWNER")
					End If
				Case "UpdateCustom"
					If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, iImageUnq) Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						For Each sTextField In Request.Form
							If ( InStr(sTextField, "sOldName") > 0 ) Then
								iMapUnq				= Replace(sTextField, "sOldName", "")
								sOldName			= Request(sTextField)
								sNewName			= Request("sNewName" & iMapUnq)
								sOldDescription		= Request("sOldDescription" & iMapUnq)
								sNewDescription		= Request("sNewDescription" & iMapUnq)
								sOldShortText		= Request("sOldShortText" & iMapUnq)
								sNewShortText		= Request("sNewShortText" & iMapUnq)
								sOldLongText		= Request("sOldLongText" & iMapUnq)
								sNewLongText		= Request("sNewLongText" & iMapUnq)
								bOldIsHidden		= Request("bOldIsHidden" & iMapUnq)
								bNewIsHidden		= Request("bNewIsHidden" & iMapUnq)
								
								If ( sOldName <> sNewName Or sOldDescription <> sNewDescription ) Then
									DBConnection.Execute "UPDATE IGMap SET Name = '" & SQLEncode(sNewName) & "', Description = '" & SQLEncode(sNewDescription) & "' WHERE MapUnq = " & iMapUnq
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_UPDATEOK")
									End If
								End If
								If ( sOldShortText <> sNewShortText Or sOldLongText <> sNewLongText Or bOldIsHidden <> bNewIsHidden ) Then
									If ( sNewLongText = "" ) Then
										DBConnection.Execute "UPDATE IGMap SET DataType = 'V' WHERE MapUnq = " & iMapUnq
									Else
										DBConnection.Execute "UPDATE IGMap SET DataType = 'T' WHERE MapUnq = " & iMapUnq
									End If
									DBConnection.Execute "UPDATE IGData SET Hidden = '" & bNewIsHidden & "', VarCharData = '" & SQLEncode(sNewShortText) & "', TextData = '" & SQLEncode(sNewLongText) & "' WHERE MapUnq = " & iMapUnq
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_UPDATEOK2")
									End If
								End If
							ElseIf ( InStr(sTextField, "sDelete") > 0 ) Then
								iMapUnq = Replace(sTextField, "sDelete", "")
								DBConnection.Execute "DELETE FROM IGMap WHERE MapUnq = " & iMapUnq
								DBConnection.Execute "DELETE FROM IGData WHERE MapUnq = " & iMapUnq
								If ( sSuccess = "" ) Then
									sSuccess = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_DELOK")
								End If
							End If
						Next
					Else
						sError = DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_NOTGALLERYOWNER2")
					End If
			End Select
			
			If ( sError <> "" ) Then
				Call DOMAIN_Message(sError, "ERROR")
			End If
			If ( sSuccess <> "" ) Then
				Call DOMAIN_Message(sSuccess, "SUCCESS")
			End If
			
			Call WriteForm()
		Else
			Call DOMAIN_Message(DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_MISSINGIMAGEUNQ"), "ERROR")
		End If
		Set rsImageGallery = Nothing
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sBGColor, sColor1, sColor2, sTextColor
		Dim bDelCustom, bEditData, bEditCustFields
		
		sBGColor	= DOMAIN_Color("GalleriesBGColor1")
		sTextColor	= DOMAIN_Color("GalleriesTextColor1")
		
		If ( ( ACCNT_SpecificDomain("SB_IG_DEL_CF_IMAGE", iDomainUnq) ) Or ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) ) Then
			bDelCustom = TRUE
		Else
			bDelCustom = FALSE
		End If
		If ( ( ACCNT_SpecificDomain("SB_IG_EDIT_CF_DATA_IMAGE", iDomainUnq) ) Or ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) ) Then
			bEditData = TRUE
		Else
			bEditData = FALSE
		End If
		If ( ( ACCNT_SpecificDomain("SB_IG_EDIT_CF_IMAGE", iDomainUnq) ) Or ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) ) Then
			bEditCustFields = TRUE
		Else
			bEditCustFields = FALSE
		End If

		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'><font size=+1><b><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_HEAD")%></b></font>
					<br>
					<b><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_SUBHEAD")%></b> <%=ReturnImageName(iImageUnq)%>
					<br><br>
					<%If ( ACCNT_SpecificDomain("SB_IG_ADD_CF_IMAGE", iDomainUnq) ) Then%>
					<form name='AddCustom' action='EditCustom.asp' method='post'>
					<b><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_ADDNEW")%></b>
					<%
					aVariables(0) = "sAction"
					aVariables(1) = "iTtlNumItems"
					aVariables(2) = "iDBLoc"
					aVariables(3) = "iImageUnq"
					aVariables(4) = "iGalleryUnq"
					aVariables(5) = "iDomainUnq"
					aValues(0) = "AddCustom"
					aValues(1) = iTtlNumItems
					aValues(2) = iDBLoc
					aValues(3) = iImageUnq
					aValues(4) = iGalleryUnq
					aValues(5) = iDomainUnq
					Response.Write DOMAIN_Link("P")
					%>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("GalleriesBorderColor1")%>'>
					<table cellpadding = 5 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor = <%=sBGColor%>><font color=<%=sTextColor%>><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_NAME")%></td>
							<td bgcolor = <%=sBGColor%>><input type='text' name='sName' value='' maxlength=250></td>
							<td bgcolor = <%=sBGColor%>><font color=<%=sTextColor%>><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_DESC")%></td>
							<td bgcolor = <%=sBGColor%>><input type='text' name='sDescription' value='' maxlength=250></td>
						</tr>
						<tr>
							<td colspan=4 bgcolor = <%=sBGColor%>>
								<table width=100%>
									<tr>
										<td colspan=2>
											<font color=<%=sTextColor%>><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_ENTERSHORTORLONG")%>
										</td>
									</tr>
									<tr>
										<td valign=top><font color=<%=sTextColor%>><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_SHORT")%><br><input type='text' name='sShortText' value='' size=50 maxlength=250></td>
										<td valign=top><font color=<%=sTextColor%>><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_LONG")%><br><textarea cols=30 rows=3 WRAP="soft" NAME="sLongText"></textarea></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan=4 bgcolor = <%=sBGColor%>>
								<font color=<%=sTextColor%>>
								Hide this data from the public? If you hide this, it will not appear on the image display page and only administrators and gallery owners will be able to see it here.
								<table>
									<tr>
										<td>Yes</td>
										<td><input type='radio' name='bIsHidden' value='Y'></tD>
										<td>No</td>
										<td><input type='radio' name='bIsHidden' value='N' checked></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan=4 align=center bgcolor = <%=sBGColor%>><input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_CREATE")%>'></td>
						</tr>
					</table>
					</td></tr></table>
					</form>
					<%End If%>
					
					<form name='ManageCustom' action='EditCustom.asp' method='post'>
					<%
					aValues(0) = "UpdateCustom"
					Response.Write DOMAIN_Link("P")
					sTextColor	= DOMAIN_Color("GalleriesTextColor2")
					sBGColor	= DOMAIN_Color("GalleriesBGColor2")
					%>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_NAME2")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_DESC2")%></b></td>
							<%If ( bDelCustom ) Then%>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("GALLERY_IMAGES_LINKS_DEL")%></b></td>
							<%End If%>
						</tr>
						<%
						sColor1 = DOMAIN_Color("GalleriesBGColor1")
						sColor2 = DOMAIN_Color("GalleriesPageBGColor")
						
						sSQLText = "SELECT M.MapUnq, M.Name, M.Description, D.VarCharData, D.Hidden, D.TextData FROM IGMap M (NOLOCK), IGData D (NOLOCK) WHERE D.ImageUnq = " & iImageUnq & " AND M.MapUnq = D.MapUnq"
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						While ( NOT rsImageGallery.EOF )
							If ( sBGColor = sColor1 ) Then
								sBGColor = sColor2
							Else
								sBGColor = sColor1
							End If

							iMapUnq				= rsImageGallery("MapUnq")
							sName				= Server.HTMLEncode(rsImageGallery("Name"))
							sDescription		= Server.HTMLEncode(rsImageGallery("Description"))
							sShortText			= Server.HTMLEncode(rsImageGallery("VarCharData"))
							bIsHidden			= UCase(Trim(rsImageGallery("Hidden")))
							sLongText			= Server.HTMLEncode(rsImageGallery("TextData"))
							%>
							<tr>
								<td bgcolor=<%=sBGColor%> valign=top>
									<%If ( bEditCustFields ) Then%>
									<input type='hidden' name='sOldName<%=iMapUnq%>' value="<%=Server.HTMLEncode(sName)%>">
									<input type='text' name='sNewName<%=iMapUnq%>' value="<%=Server.HTMLEncode(sName)%>" size=30 maxlength=250>
									<%End If%>
								</td>
								<td bgcolor=<%=sBGColor%> valign=top>
									<%If ( bEditCustFields ) Then%>
									<input type='hidden' name='sOldDescription<%=iMapUnq%>' value="<%=Server.HTMLEncode(sDescription)%>">
									<input type='text' name='sNewDescription<%=iMapUnq%>' value="<%=Server.HTMLEncode(sDescription)%>" size=30 maxlength=250>
									<%End If%>
								</td>
								<%If ( bDelCustom ) Then%>
								<td align=center bgcolor=<%=sBGColor%> valign=top><input type='checkbox' name="sDelete<%=iMapUnq%>" value="<%=iMapUnq%>"></td>
								<%End If%>
							</tr>
							<%If ( bEditData ) Then%>
							<tr>
								<td bgcolor=<%=sBGColor%> valign=top>
									<input type='hidden' name='sOldShortText<%=iMapUnq%>' value="<%=Server.HTMLEncode(sShortText)%>">
									<input type='text' name='sNewShortText<%=iMapUnq%>' value="<%=Server.HTMLEncode(sShortText)%>" size=30 maxlength=250>
								</td>
								<%If ( bDelCustom ) Then%>
								<td bgcolor=<%=sBGColor%> valign=top colspan=2>
								<%Else%>
								<td bgcolor=<%=sBGColor%> valign=top>
								<%End If%>
									<input type='hidden' name='sOldLongText<%=iMapUnq%>' value="<%=Server.HTMLEncode(sLongText)%>">
									<textarea cols=30 rows=3 WRAP="soft" NAME="sNewLongText<%=iMapUnq%>"><%=Server.HTMLEncode(sLongText)%></textarea>
								</td>
							</tr>
							<%End If%>
							<tr>
								<%If ( bDelCustom ) Then%>
								<td bgcolor=<%=sBGColor%> valign=top colspan=3>
								<%Else%>
								<td bgcolor=<%=sBGColor%> valign=top colspan=2>
								<%End If%>
									<input type='hidden' name='bOldIsHidden<%=iMapUnq%>' value="<%=Server.HTMLEncode(bIsHidden)%>">
									Hide this custom data?
									<table>
										<tr>
											<td>Yes</td>
											<td><input type='radio' name='bNewIsHidden<%=iMapUnq%>' value='Y' <%If ( bIsHidden = "Y" ) Then Response.Write "checked" End If%>></tD>
											<td>No</td>
											<td><input type='radio' name='bNewIsHidden<%=iMapUnq%>' value='N' <%If ( bIsHidden <> "Y" ) Then Response.Write "checked" End If%>></td>
										</tr>
									</table>
								</td>
							</tr>
							<%
							rsImageGallery.MoveNext
						Wend
						%>
					</table>
					<center>
					<input type='submit' value='<%=DOMAIN_Text("GALLERY_IMAGE_CUST_DATA_UDPATE")%>'>
					</form>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		<%
	End Sub
	'************************************************************************************
	
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function ReturnImageName(iImageUnq)
	
		sSQLText = "SELECT Image FROM Images (NOLOCK) WHERE ImageUnq = " & iImageUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			ReturnImageName = rsImageGallery(0)
		End If
		rsImageGallery.Close

	End Function
	'************************************************************************************
%>