<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Links.asp"-->
<%
	Response.Buffer = TRUE
	Call DISP_Action("SB_GALLERIES_OPEN")
	Call DISP_Action("SB_GALLERIES_UNDEROPEN")
	Call Main()
	Call DISP_Action("SB_GALLERIES_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		iTableWidth = Trim(DOMAIN_Conf("IMAGEGALLERY_TABLEWIDTH"))
		Call DeleteOldIGSearchResults()
		Call SearchGalleries()
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This displays the search form.													*
	'*																					*
	'************************************************************************************
	Sub SearchGalleries()
	
		Dim sKeywords, sBGColor, sTextColor
			
		' Display the search form
		sBGColor = DOMAIN_Color("GalleriesBGColor1")
		sTextColor = DOMAIN_Color("GalleriesTextColor1")
		%>
		<form action = "PrepareResults.asp?<%=DOMAIN_Link("G")%>" method = "post">
			<input type = "hidden" name = "sAction" value = "1">
			<input type = "hidden" name = "sReferer" value = "<%=Server.HTMLEncode(Request.ServerVariables("HTTP_REFERER"))%>">
			<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0><tr><td align=right><%Call G_LINK_New_Image_Search()%></td></tr></table>
			<%Call G_STRUCTURE_HeaderBar(DOMAIN_Text("GALLERY_SEARCH_HEAD_IMAGE"), "", "", "Galleries")%>
			<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("GalleriesBorderColor1")%> align=center>
			<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0>
				<tr>
					<td colspan = 2 bgcolor = <%=sBGColor%>>
						<font color='<%=sTextColor%>'>
						<b><%=DOMAIN_Text("GALLERY_PL_SEARCH_HEAD")%></b><br>
						<%=DOMAIN_Text("SEARCH_GALLERIES")%>
					</td>
				</tr>
				<tr>
					<td bgcolor = <%=sBGColor%> valign=top>
						<font color='<%=sTextColor%>'>
						<%=DOMAIN_Text("GALLERY_PL_SEARCH_S_KEYWORDS")%>
					</td>
					<td bgcolor = <%=sBGColor%>>
						<input type = "Text" name = "sKeywords" value = "<%=sKeywords%>" maxlength=32 size=<%=CDbl(iFormWidth)%>>
					</td>
				</tr>
			</table>
			</td></tr></table>
			<input type='image' src="../Images/SchemeBased/<%=iTextScheme%>/<%=iColorScheme%>/<%=DOMAIN_Text("GALLERY_SEARCH_BUTTON_IMAGE")%>" style="BORDER: none; vertical-align: sub;">
		</form>
		<%

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This deletes all old search results.											*
	'*																					*
	'************************************************************************************
	Sub DeleteOldIGSearchResults()

		Dim rsImageGallery, sSQLText
		
		Set rsImageGallery = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM IGSearches WHERE DateChanged < '" & DOMAIN_FormatDate(DateAdd("h", -1, NOW), "L") & "'"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			' drop all the old temp tables
			While ( NOT rsImageGallery.EOF )
				DBConnection.Execute "DELETE FROM IGSearchResults WHERE SearchID = " & rsImageGallery("SearchID")
				rsImageGallery.MoveNext
			Wend
			' delete the entries of these old temp tables
			DBConnection.Execute "DELETE FROM IGSearches WHERE DateChanged < '" & DOMAIN_FormatDate(DateAdd("h", -1, NOW), "L") & "'"
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing

	End Sub
	'************************************************************************************
%>