<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_OpenDomain.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	Close the connection and command objects for the databases.			 			*
	'*																					*
	'************************************************************************************
	Sub DB_CloseDomains()
		SET DBConnection = Nothing
		SET DBCommand = Nothing
	End Sub
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	Runs the Action passed it.											 			*
	'*																					*
	'************************************************************************************
	Sub DISP_Action(sActionConst)
		'On Error Resume Next
	
		Dim BrowserTest, iTemp, sTemp, bFound, aTemp
		Dim iPos, sCode, sSQLText, rsDomain, sHTML, cCODE_DELIMITER
		Dim cCD1, sPrintout, sHTMLCode, iPos2, dSystem_Expires, iPos3
		
		bFound = TRUE	' true because it's not going to get to the point to set it to true if this isn't the 1st time through
		
		If ( NOT IsObject(DBConnection) ) Then
			' These are things that only need to be initialized once...no matter how many times DISP_Action is called
			bFound = FALSE
			Call DB_OpenDomains()

			' Get the browser settings
			Set BrowserTest = Server.CreateObject("MSWC.BrowserType")
			Browser   = BrowserTest.browser
			Version   = BrowserTest.version
			Tables    = BrowserTest.tables
			Frames    = BrowserTest.frames
			Cookies   = BrowserTest.cookies
			BgSounds  = BrowserTest.backgroundsounds
			JavaScript= BrowserTest.javascript
			VbScript  = BrowserTest.vbscript
			ActiveX   = BrowserTest.ActiveXControls
			Channels  = BrowserTest.cdf
			
			Set dColors = CreateObject("Scripting.Dictionary")		' this is to cache color values
			
			' Get the Domain ID number
			sTemp = UCase(Request.ServerVariables("SERVER_NAME"))
			Set rsDomain = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT DomainUnq FROM DomainInfo (NOLOCK) WHERE (Domain = '" & sTemp & "' OR Domain = '" & "WWW." & sTemp & "')"
			rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDomain.EOF ) Then
				iDomainName = rsDomain("DomainUnq")
				bFound = TRUE
				rsDomain.Close
				If ( DOMAIN_CheckIP(LIVE) ) Then
				ElseIf ( DOMAIN_CheckIP(BETA) ) Then
				ElseIf ( DOMAIN_CheckIP(ALPHA) ) Then
				Else
					' cannot find ANY server with the current IP address so rather than dying, print out a short error and find a server in the DB
					Dim rsDomain2
					Set rsDomain2 = CreateObject("ADODB.Recordset")
					rsDomain2.Open "SELECT * FROM Servers (NOLOCK) WHERE ServerType = 'LIVE'", DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					SERVER_VERSION = LIVE
					If ( NOT rsDomain2.EOF ) Then
						'DOMAIN_CheckIP = TRUE
						sServerCV = rsDomain2("ServerUnq")
						Response.Write "<img src='/WS_Content/Images/ServerMissingError.gif' alt='Unable to find a web server in the Servers table with the current IP Address. Using another LIVE Web server's DB entry instead.'><br>"
					Else
						' now, be even more nonspecific and try to get ANY server
						rsDomain2.Close
						rsDomain2.Open "SELECT * FROM Servers (NOLOCK)", DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDomain2.EOF ) Then
							'DOMAIN_CheckIP = TRUE
							sServerCV = rsDomain2("ServerUnq")
							Response.Write "<img src='/WS_Content/Images/ServerMissingError.gif' alt='Unable to find a web server in the Servers table with the current IP Address OR of any Type. Using the FIRST Web server's DB entry available instead.'><br>"
						End If
					End If
					rsDomain2.Close
					Set rsDomain2 = Nothing
				End If
			Else
				' See if we are in the CMS
				sTemp = Replace(sTemp, "CMS.", "WWW.")
				Set rsDomain = CreateObject("ADODB.Recordset")
				sSQLText = "SELECT DomainUnq FROM DomainInfo (NOLOCK) WHERE Domain = '" & sTemp & "'"
				rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDomain.EOF ) Then
					iDomainName = rsDomain("DomainUnq")
				End If
				bFound = TRUE
				rsDomain.Close
			End If
			Set rsDomain = Nothing

		End If
		
		If ( bFound ) And ( iDomainName <> "" ) Then
			' see if the system has expired
			dSystem_Expires = Trim(DOMAIN_Conf("SYSTEM_EXPIRES"))
			If ( NOT IsNull(dSystem_Expires) ) Then
				If ( dSystem_Expires <> "" ) Then
					If ( DateDiff("d", NOW, dSystem_Expires) <= 0 ) Then
						Response.Write "The SiteBeater Trial has expired. Please either uninstall the trial or <a href='http://www.sitebeater.com/' target='_blank'>purchase the full version</a>. If you purchase the full version, your existing data will remain intact when you install it.<br><br>Thank you for testing our software!"
						Response.End
					Else
						Response.Write "<!-- SiteBeater Demo Expires On: " & dSystem_Expires & " -->"
					End If
				End If
			End If
			
			' Get the HTML/Code for the chosen action
			If ( sActionConst <> "" ) Then	' added this check so nothing is printed if the sActionConst is blank - specifically for the Edit-On Pro Java
				Response.Write VbCrlf & "<!--------------------------- SiteBeater Version " & SITEBEATER_VERSION & " - Begin: " & sActionConst & " ----------------------------->" & VbCrlf
				Set rsDomain = CreateObject("ADODB.Recordset")
				sSQLText = "SELECT * FROM Actions (NOLOCK) WHERE DomainUnq = " & iDomainName & " AND ActionsConst='" & sActionConst & "'"
				rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDomain.EOF ) Then
					sHTML = rsDomain("Code")
				End If
				rsDomain.Close
				Set rsDomain = Nothing
	
				' Parse through the Code to find any that needs running, run it, and display the other regular HTML
				cCODE_DELIMITER = DOMAIN_Conf("cCODE_DELIMITER")
				
				' depending on what's after the "<" or "[" do different things. Also look for the cCODE_DELIMITER by itself (outside of any "<" or ">")
				'	must also allow "[" because some of the tags are embedded in other HTML tags...such as the color:
				'	<font color='[SBColor AccountsPageBG]'>hi</font>
				cCD1 = Left(cCODE_DELIMITER, 1)
				iTemp = Len(cCODE_DELIMITER)
				sPrintout = ""
				iPos = 1

				Do While ( iPos > 0 And iPos <= Len(sHTML) )
					sHTMLCode = Mid(sHTML, iPos, 1)
					Select Case sHTMLCode
						Case "<"
							' eg: <!--%PW%iColorScheme = DOMAIN_Conf("ACCOUNTS_COLORS")%PW%-->	- specifically for using the delimiter with Edit-On Pro
							sHTMLCode = Mid(sHTML, iPos, iTemp+4)
							If ( sHTMLCode = ("<!--"+cCODE_DELIMITER) ) Then
								iPos2 = InStr(iPos+iTemp+5, sHTML, cCODE_DELIMITER+"-->")
								If ( iPos2 > 0 ) Then
									Response.Write sPrintout
									sPrintout = ""
									sCode = Mid( sHTML, (iPos+iTemp+4), (iPos2 - (iPos+iTemp+4)) )
									sCode = Trim(Replace( sCode, "&nbsp;", " " ))
									Execute(sCode)
									iPos = iPos2 + iTemp + 3
								Else
									sPrintout = sPrintout + sHTMLCode
									iPos = iPos + 1
								End If
							Else
								sPrintout = sPrintout + "<"
								iPos = iPos + 1
							End If
						Case "["
							' eg: <font color='[SBColor AccountsPageBG]'>hi</font>
							iPos2 = InStr(iPos+1, sHTML, " ")
							If ( iPos2 > 0 ) Then
								sHTMLCode = Mid(sHTML, iPos+1, iPos2-iPos-1)
								If ( InStr(sHTMLCode, "]") <= 0 ) Then	' shouldn't have any "]"'s in the code!
									Select Case sHTMLCode
										Case "SBColor", "SBCOLOR", "sbcolor"
											Response.Write sPrintout
											sPrintout = ""
											iPos = InStr(iPos2+1, sHTML, "]") - 1
											Response.Write DOMAIN_Color(Mid(sHTML, iPos2+1, iPos-iPos2))	' leap frogging iPos and iPos2 - one is in front, then the other
											iPos = iPos + 1	' get past the closing "]"
										Case "SBText", "SBTEXT", "sbtext"
											Response.Write sPrintout
											sPrintout = ""
											iPos = InStr(iPos2+1, sHTML, "]") - 1
											Response.Write DOMAIN_Text(Mid(sHTML, iPos2+1, iPos-iPos2))	' leap frogging iPos and iPos2 - one is in front, then the other
											iPos = iPos + 1	' get past the closing "]"
										Case "SBAction", "SBACTION", "sbaction"
											Response.Write sPrintout
											sPrintout = ""
											iPos = InStr(iPos2+1, sHTML, "]") - 1
											ExecuteGlobal("Call DISP_Action(""" & Mid(sHTML, iPos2+1, iPos-iPos2)) & """)"
											iPos = iPos + 1	' get past the closing "]"
										Case "SBDim", "SBDIM", "sbdim"
											Response.Write sPrintout
											sPrintout = ""
											iPos = InStr(iPos2+1, sHTML, "]") - 1
											ExecuteGlobal("Dim " & Mid(sHTML, iPos2+1, iPos-iPos2))
											iPos = iPos + 1	' get past the closing "]"
										Case "SBPrint", "SBPRINT", "sbprint"
											Response.Write sPrintout
											sPrintout = ""
											iPos = InStr(iPos2+1, sHTML, "]") - 1
											Execute("Response.Write " & Mid(sHTML, iPos2+1, iPos-iPos2))
											iPos = iPos + 1	' get past the closing "]"
										Case "SBAssign", "SBASSIGN", "sbassign"
											Response.Write sPrintout
											sPrintout = ""
											iPos = InStr(iPos2+1, sHTML, "]") - 1
											' now parse the info. split it at the space
											sTemp = Mid(sHTML, iPos2+1, iPos-iPos2)
											iPos3 = InStr(sTemp, " ")
											If ( iPos3 > 0 ) Then
												aTemp = Split(sTemp, " ", 2)
												ExecuteGlobal(aTemp(0) & " = " & aTemp(1))
											Else
												sPrintout = sPrintout + "Error in [SBAssign]. Missing space between assignment variable and value: " & sTemp & "<BR>"
											End If
											
											iPos = iPos + 1	' get past the closing "]"
										Case Else
											sPrintout = sPrintout + "[" + sHTMLCode + " "
									End Select
								Else
									sPrintout = sPrintout + "["
								End If
							Else
								sPrintout = sPrintout + sHTMLCode
							End If
							iPos = iPos + 1
						Case cCD1	' first char of their code delimiter for ASP
							' eg: %PW%Call DISP_Action("SB_ACCOUNTS_CSS")%PW%
							sHTMLCode = Mid(sHTML, iPos, iTemp)
							If ( sHTMLCode = cCODE_DELIMITER ) Then
								iPos2 = InStr(iPos+iTemp+1, sHTML, cCODE_DELIMITER)
								If ( iPos2 > 0 ) Then
									Response.Write sPrintout
									sPrintout = ""
									sCode = Mid( sHTML, (iPos+iTemp), (iPos2 - (iPos+iTemp)) )
									sCode = Trim(Replace( sCode, "&nbsp;", " " ))
									ExecuteGlobal(sCode)
									iPos = iPos2 + iTemp
								Else
									sPrintout = sPrintout + sHTMLCode
								End If
							Else
								sPrintout = sPrintout + sHTMLCode
								iPos = iPos + iTemp
							End If
						Case Else
							sPrintout = sPrintout + sHTMLCode
							iPos = iPos + 1
					End Select
				Loop
				Response.Write sPrintout

				Response.Write VbCrlf & "<!--------------------------- SiteBeater END: " & sActionConst & " : " & sServerCV & " ----------------------------->" & VbCrlf
			End If
		Else
			Response.Write "Critical Error: Domain name not found in database. Quitting.<br>"
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Fetches configuration setings from the database.					 			*
	'*		This is now just a wrapper because some functions need to get a conf var	*
	'*		from a specific domain (see	DOMAIN_Conf_W_DomainUnq()).						*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Conf(sConfConst)
		DOMAIN_Conf = DOMAIN_Conf_W_DomainUnq(sConfConst, iDomainName)
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	Fetches configuration setings from the database for the specific domain.		*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Conf_W_DomainUnq(sConfConst, iDomainUnq)
	
		Dim sSQLText, rsDomain, sGroupList, rsDB, x, iCount
		
		If ( sServerCV = "" ) Then
			Response.Write "Critical Error: No Web server entry found in the database, Servers table. Please make sure there is at least one server entry in the database for this IP address.<bR>"
			Response.End
		Else
			If ( sConfConst = "" ) Then
				Response.Write "<br>Critical Error: Invalid sConfConst.<br>"
			Else
				If ( iDomainUnq = "" ) Then
					Response.Write "<br>Critical Error: Invalid iDomainUnq: "& iDomainUnq & "<br>"
				Else
					DOMAIN_Conf_W_DomainUnq = ""
					If ( IsObject(DBConnection) ) And ( iLoginAccountUnq <> "" ) And ( bHasAccount ) Then
						' only do this if the DBConnection object has already been created - it's a moot point before that anyhow since they aren't logged in before that
						' get the list of Groups this user is in - so we can pass it to the DOMAIN_Conf_W_DomainUnq stored procedure - so we dont have to do cross DB join
						If ( sGroupType = "R" ) Then
							' in a Rotational Group, so can only be in one Group
							sGroupList = "'0','" & sGlobalGroupUnq & "'"
						Else
							' dont know which Groups the user is in, so need to query for it
							Set rsDB = CreateObject("ADODB.Recordset")
							sSQLText = "SELECT GroupUnq FROM GroupMap (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND AccountUnq = " & iLoginAccountUnq
							rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsDB.EOF ) Then
								sGroupList = "'0',"		' the 0 is to make sure it gets Conf Vars not in Groups
								While ( NOT rsDB.EOF )	'	'3','4','1','5'
									sGroupList = sGroupList & "'" & rsDB("GroupUnq") & "'"
									rsDB.MoveNext
									If ( NOT rsDB.EOF ) Then
										sGroupList = sGroupList & ","
									End If
								Wend
							End If
							rsDB.Close
							Set rsDB = Nothing
						End If
					End If
					Set rsDomain = CreateObject("ADODB.Recordset")
					Erase aConfVars
					ReDim aConfVars(2,0)	' must put this here or UBound returns an error if the array isn't ReDim'ed again below
					If ( sGroupList = "" ) Then
						sSQLText = "SELECT GroupUnq, Value FROM Configurations (NOLOCK) WHERE (ServerUnq = 0 OR ServerUnq = " & sServerCV & ") AND DomainUnq = " & iDomainUnq & " AND ConfConst = '" & SQLEncode(sConfConst) & "'"
					Else
						' the " ORDER BY GroupUnq DESC" will make sure to get the Group version of the var first if there is a Group ver and global ver
						sSQLText = "SELECT GroupUnq, Value FROM Configurations (NOLOCK) WHERE (ServerUnq = 0 OR ServerUnq = " & sServerCV & ") AND DomainUnq = " & iDomainUnq & " AND ConfConst = '" & SQLEncode(sConfConst) & "' AND GroupUnq IN (" & sGroupList & ") ORDER BY GroupUnq DESC"
					End If
					rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsDomain.EOF ) Then
						x = rsDomain.RecordCount
						If ( x > 1 ) Then
							' copy all versions of the value into the array with their accompayning GroupUnq
							ReDim aConfVars(2,x)
							DOMAIN_Conf_W_DomainUnq = rsDomain("Value")
							iCount = 0
							While ( NOT rsDomain.EOF )
								aConfVars(0,iCount) = rsDomain("GroupUnq")
								aConfVars(1,iCount) = rsDomain("Value")
								iCount = iCount + 1
								rsDomain.MoveNext
							Wend
						Else
							DOMAIN_Conf_W_DomainUnq = rsDomain("Value")
						End If
					End If
					rsDomain.Close
					Set rsDomain = Nothing
				End If
			End If
		End If
	
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Fetches a color based on the domain and global color scheme variable as set in	*
	'*		the ASP file that called this.												*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Color(sColorConst)
		Dim sSQLText, rsDomain
		
		On Error Resume Next	' if the database cannot be accessed, just print out the sColorConst - don't drop an error

		' first look to see if this scheme/const combination is in the dColors Dictionary object
		If ( dColors.Exists(iColorScheme & "_" & sColorConst) ) Then
			DOMAIN_Color = dColors.Item(iColorScheme & "_" & sColorConst)
		Else
			Set rsDomain = CreateObject("ADODB.Recordset")
			sSQLText = "EXEC DOMAIN_Color @sPrintMe='Y', @sOwnTrans='N', @sRtnMsg='N', @sColorConst='" & SQLEncode(sColorConst) & "', @iColorScheme=" & iColorScheme & ", @iDomainName=" & iDomainName
			rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDomain.EOF ) Then
				DOMAIN_Color = rsDomain("Value")
				dColors.Add iColorScheme & "_" & sColorConst, DOMAIN_Color	' cache it in the dictionary object
				If ( rsDomain("RtnCode") <> 0 ) Then
					Response.Write rsDomain("RtnMsg")
				End If
			End If
			rsDomain.Close
			Set rsDomain = Nothing
		End If

		' If the data is empty, display the sTextConst. Or if the GLOBAL_DEBUG has been turned on
		If ( Trim(DOMAIN_Color) = "" ) Or ( GLOBAL_DEBUG ) Then
			DOMAIN_Color = sColorConst
		End If
		On Error Goto 0
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Fetches a text string based on the domain and global text scheme variable 		*
	'*		as set in the ASP file that called this.									*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Text(sTextConst)
		Dim sSQLText, rsDomain
		
		If ( ( iDomainName <> "" ) And ( iTextScheme <> "" ) ) Then
			Set rsDomain = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT * FROM TextMap (NOLOCK) WHERE TextConst = '" & sTextConst & "' AND SchemeUnq = " & iTextScheme & " AND DomainUnq = " & iDomainName
			rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDomain.EOF ) Then
				If ( Trim(rsDomain("DataType")) = "T" ) Then
					DOMAIN_Text = CStr(rsDomain("TextData"))
				Else
					DOMAIN_Text = rsDomain("VarCharData")
				End If
			End If
			rsDomain.Close
			Set rsDomain = Nothing
			
			' If the data is empty, display the sTextConst. Or if the GLOBAL_DEBUG has been turned on
			If ( DOMAIN_Text = "" ) Or ( GLOBAL_DEBUG ) Then
				DOMAIN_Text = sTextConst
			End If
			
		End If
	End Function
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	Displays a message. The sType determines if it's an "error" or "success" 		*
	'*		message. "SUCCESS" or "ERROR" are the two types.							*
	'*																					*
	'************************************************************************************
	Sub DOMAIN_Message(sText, sType)
		Dim sColorType
		
		If ( sType = "ERROR" ) Then
			sColorType = "DomainsErrorColor"
		Else
			sColorType = "DomainsSuccessColor"
		End If
		%>
		<table width=<%=iTableWidth%>>
			<tr>
				<td align=center>
					<hr><br>
					<table><tr><td><font color = <%=DOMAIN_Color(sColorType)%>><b><%=sText%></b></font></td></tr></table>
					<br><hr>
				</td>
			</tr>
		</table>
		<%
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	Displays the standard Domains drop-down list. Checks to see if the user has		*
	'*		rights for each domain based on the Rights Constant passed it.				*
	'*	The second and third rights levels are optional. Leave blank if not in use.		*
	'*																					*
	'************************************************************************************
	Sub DOMAINS_DomainsDropDown(sRightsConst1, sRightsConst2, sRightsConst3)
		Dim rsDomain, sSQLText, sTemp, bAct
		
		Response.Write "<select name='iDomainUnq' onChange='SubmitForm(""UpdateDomainUnq"");'>"
			Set rsDomain = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT * FROM DomainInfo (NOLOCK) ORDER BY Domain"
			rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDomain.EOF ) Then
				If ( sRightsConst2 = "" ) Then
					sTemp = "bAct = (ACCNT_SpecificDomain(""" & sRightsConst1 & """, rsDomain(""DomainUnq"")))"
				Else
					If ( sRightsConst3 = "" ) Then
						sTemp = "bAct = (ACCNT_SpecificDomain(""" & sRightsConst1 & """, rsDomain(""DomainUnq"")) Or ACCNT_SpecificDomain(""" & sRightsConst2 & """, rsDomain(""DomainUnq"")))"
					Else
						sTemp = "bAct = (ACCNT_SpecificDomain(""" & sRightsConst1 & """, rsDomain(""DomainUnq"")) Or ACCNT_SpecificDomain(""" & sRightsConst2 & """, rsDomain(""DomainUnq"")) Or ACCNT_SpecificDomain(""" & sRightsConst3 & """, rsDomain(""DomainUnq"")))"
					End If
				End If

				While ( NOT rsDomain.EOF )
					Call Execute(sTemp)
					If ( bAct ) Then
						If ( CDbl(iDomainUnq) = CDbl(rsDomain("DomainUnq")) ) Then
							Response.Write "<option value='" & rsDomain("DomainUnq") & "' Selected>" & rsDomain("Domain") & "</option>"
						Else
							Response.Write "<option value='" & rsDomain("DomainUnq") & "'>" & rsDomain("Domain") & "</option>"
						End If
					End If
					rsDomain.MoveNext
				Wend
			Else
				Response.Write "<option value='-1'>" & DOMAIN_Text("NO_DOMAINS") & "</option>"
			End If
			rsDomain.Close
			Set rsDomain = Nothing
		Response.Write "</select>"
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Displays the standard Systems drop-down list. Uses iDomainUnq to check if the	*
	'*		System is "in" that domain. It checks by seeing if there are any rights		*
	'*		for each System in the RightsLookup.										*
	'*																					*
	'************************************************************************************
	Sub DOMAINS_SystemsDropDown()
		Dim rs1, sSQLText
		
		Response.Write "<select name = 'sSystemUnq' onChange='SubmitForm(""UpdateSystemUnq"");'>"
			Set rs1 = Server.CreateObject("ADODB.recordset")
			'sSQLText = "SELECT * FROM Systems (NOLOCK) WHERE SystemUnq IN (SELECT SystemUnq FROM RightsLookup (NOLOCK) WHERE DomainUnq = " & iDomainUnq & ") ORDER BY SystemUnq"
			sSQLText = "SELECT * FROM Systems (NOLOCK) ORDER BY SystemUnq"
			rs1.Open sSQLText, DBConnection
			While NOT rs1.EOF
				If ( sSystemUnq = CStr(rs1("SystemUnq")) ) Then
					Response.Write "<option value = '" & rs1("SystemUnq") & "' Selected>" & rs1("Description") & " - " & rs1("SystemUnq") & "</option>"
				Else
					Response.Write "<option value = '" & rs1("SystemUnq") & "'>" & rs1("Description") & " - " & rs1("SystemUnq") & "</option>"
				End If
				rs1.MoveNext
			Wend
			rs1.Close
			Set rs1 = Nothing
		Response.Write "</select>"
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DOMAINS_SetColorScheme(sColorSchemeConst)
		iColorScheme = DOMAIN_Conf(sColorSchemeConst)
	End Sub
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub DOMAINS_SetTextScheme(sTextSchemeConst)
		iTextScheme = DOMAIN_Conf(sTextSchemeConst)
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if the current IP Address is in the list of IP Addresses for the	*
	'*		server type (live, beta, alpha) passed it. Each server type has its own list*
	'*																					*
	'************************************************************************************
	Function DOMAIN_CheckIP(iServer)
		Dim rsDomain

		Set rsDomain = CreateObject("ADODB.Recordset")
		DOMAIN_CheckIP = FALSE
		Select Case iServer
			Case LIVE
				rsDomain.Open "SELECT * FROM Servers (NOLOCK) WHERE ServerType = 'LIVE' AND ServerIP = '" & Request.ServerVariables("LOCAL_ADDR") & "'", DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				SERVER_VERSION = LIVE
			Case BETA
				rsDomain.Open "SELECT * FROM Servers (NOLOCK) WHERE ServerType = 'BETA' AND ServerIP = '" & Request.ServerVariables("LOCAL_ADDR") & "'", DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				SERVER_VERSION = BETA
			Case ALPHA
				rsDomain.Open "SELECT * FROM Servers (NOLOCK) WHERE ServerType = 'ALPHA' AND ServerIP = '" & Request.ServerVariables("LOCAL_ADDR") & "'", DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				SERVER_VERSION = ALPHA
			Case Else
				rsDomain.Open "SELECT * FROM Servers (NOLOCK) WHERE ServerType = 'ALPHA' AND ServerIP = '" & Request.ServerVariables("LOCAL_ADDR") & "'", DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				SERVER_VERSION = ALPHA
		End Select

		If ( NOT rsDomain.EOF ) Then
			DOMAIN_CheckIP = TRUE
			sServerCV = rsDomain("ServerUnq")
		End If
		rsDomain.Close
		Set rsDomain = Nothing
		
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	Creates the all links and hidden form fields so that state can be kept across	*
	'*		subdomains/domains. This is so if there are several sub or domains in 		*
	'*		rotation (load balancing) that the login can be kept when the user goes back*
	'*		and forth between servers.													*
	'*	sType is "G" for Get (querystring) or "P" for Post (hidden form fields)			*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Link(sType)
		Dim x, sTemp, ctArray
		
		DOMAIN_Link = ""
		
		If ( UBound(aVariables) = UBound(aValues) ) Then
			' this is required because the msgboard calls this function when uploading files - can't use the regular Request("")
			ctArray = Split(Request.ServerVariables( "HTTP_CONTENT_TYPE"), ";")
			If ( UBound(ctArray) > 0 ) Then
				sTemp = Trim(UCase(ctArray(0)))
			End If
			If ( sTemp <> "MULTIPART/FORM-DATA" ) Then
				sTemp = Trim(Request("GLOBAL_DEBUG"))
			Else
				sTemp = ""	' this will strip GLOBAL_DEBUG when a form is MULTIPART, but it's something we can live with
			End If
			' end file upload requirements
			If ( sType = "G" ) Then
				If ( aVariables(0) <> "" ) Then
					For x = 0 to UBound(aVariables)
						If ( aVariables(x) <> "" ) Then
							DOMAIN_Link = DOMAIN_Link & aVariables(x) & "=" & aValues(x) & "&"
						End If
					Next
					If ( sTemp <> "" ) Then
						DOMAIN_Link = DOMAIN_Link & "GLOBAL_DEBUG=Y&"
					End If
				Else
					' need to do this for all the cases where we have <a href='default.asp?<%=DOMAIN_Link()&abc=123> and 
					'	no aValues or aVariables have been entered (happens sometimes - especially with JavaScript calls).
					DOMAIN_Link = "DOMAIN_Link="
					If ( sTemp <> "" ) Then
						DOMAIN_Link = DOMAIN_Link & "&GLOBAL_DEBUG=Y"
					End If
				End If
			ElseIf ( sType = "P" ) Then
				For x = 0 to UBound(aVariables)
					If ( aVariables(x) <> "" ) Then
						DOMAIN_Link = DOMAIN_Link & "<input type='hidden' name='" & aVariables(x) & "' value='" & aValues(x) & "'>" & VbCrlf
					End If
				Next
				If ( sTemp <> "" ) Then
					DOMAIN_Link = DOMAIN_Link & "<input type='hidden' name='GLOBAL_DEBUG' value='Y'>"
				End If
			Else
				DOMAIN_Link = "Invalid sType: " & sType
			End If
		Else
			DOMAIN_Link = "The number of variables (" & UBound(aVariables) & ") and values (" & UBound(aValues) & ") differ."
		End If
		
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	Because DOMAIN_Link doesn't clear out the variables, extra variables are 		*
	'*		sometimes appended to the QueryString or put in the form. This function		*
	'*		clears all the variables. I split them up so if you have multiple instances	*
	'*		of the same link (or similar links), you don't have to reinitialize the		*
	'*		variables each time.														*
	'*																					*
	'************************************************************************************
	Sub DOMAIN_Link_Clear()
		Dim x
		
		If ( UBound(aVariables) = UBound(aValues) ) Then
			For x = 0 to UBound(aVariables)
				aVariables(x) = ""
				aValues(x) = ""
			Next
		End If
		
	End Sub
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This returns the domain name of the Domain whose DomainUnq is passed in.		*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Domain_Name(iDomainUnq)
	
		Dim sSQLText, rsDomain
	
		DOMAIN_Domain_Name = ""
		Set rsDomain = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT Domain FROM DomainInfo (NOLOCK) WHERE DomainUnq = " & iDomainUnq
		rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDomain.EOF ) Then
			DOMAIN_Domain_Name = rsDomain("Domain")
		End If
		rsDomain.Close
		Set rsDomain = Nothing
		
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This returns TRUE if the email Remote Host has something in it, FALSE otherwise.*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Has_RemoteHost()
		Dim sRemoteHost
		
		DOMAIN_Has_RemoteHost = FALSE
		
		If ( SERVER_VERSION = LIVE ) Then
			sRemoteHost = DOMAIN_Conf("EMAIL_REMOTEHOST")
		ElseIf ( SERVER_VERSION = BETA ) Then
			sRemoteHost = DOMAIN_Conf("EMAIL_REMOTEHOST")
		Else
			sRemoteHost = DOMAIN_Conf("EMAIL_REMOTEHOST")
		End If
		
		If ( Trim(sRemoteHost) <> "" ) Then
			DOMAIN_Has_RemoteHost = TRUE
		End If
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This returns blank if the email could be sent successfully, or an error message	*
	'*		otherwise.																	*
	'*																					*
	'************************************************************************************
	Function DOMAIN_Send_EMail(sFullLetter, sFromName, sFromAddress, sRecipientName, sRecipientEmail, sSubject, bIsHTML)
		Dim Mailer, oCDO
		
		If ( Trim(sFromName) = "" ) Then
			DOMAIN_Send_EMail = DOMAIN_Text("DOMAINS_EMAIL_NO_FROM_NAME")
		Else
			If ( Trim(sFromAddress) = "" ) Then
				DOMAIN_Send_EMail = DOMAIN_Text("DOMAINS_EMAIL_NO_FROM_EMAIL")
			Else
				If ( Trim(sRecipientEmail) = "" ) Then
					DOMAIN_Send_EMail = DOMAIN_Text("DOMAINS_EMAIL_NO_RECIPIENT_EMAIL")
				Else
					If ( DOMAIN_Conf("EMAIL_TYPE") = "ASPMAIL" ) Then
						Set Mailer = Server.CreateObject("SMTPsvg.Mailer")
						If ( SERVER_VERSION = LIVE ) Then
							Mailer.RemoteHost = DOMAIN_Conf("EMAIL_REMOTEHOST")
						ElseIf ( SERVER_VERSION = BETA ) Then
							Mailer.RemoteHost = DOMAIN_Conf("EMAIL_REMOTEHOST")
						Else
							Mailer.RemoteHost = DOMAIN_Conf("EMAIL_REMOTEHOST")
						End If
						Mailer.FromName = sFromName
						Mailer.FromAddress = sFromAddress
						Mailer.AddRecipient sRecipientName, sRecipientEmail
						If ( bIsHTML = TRUE ) Then
							Mailer.ContentType = "text/html"
						End If
						Mailer.Subject = sSubject
						Mailer.BodyText = sFullLetter
						Mailer.QMessage = true
						if Mailer.SendMail then
							DOMAIN_Send_EMail = TRUE
						else
							DOMAIN_Send_EMail = Mailer.Response
						end if
						Set Mailer = Nothing
					ElseIf ( DOMAIN_Conf("EMAIL_TYPE") = "CDONTS" ) Then
						On Error resume Next
						Set oCDO = Server.CreateObject("CDONTS.NewMail")
						If ( IsObject (oCDO) ) Then
							oCDO.From = sFromAddress & " " & sFromName
							oCDO.To = sRecipientEmail & " " & sRecipientName
							oCDO.Subject = sSubject
							If ( bIsHTML = TRUE ) Then
								oCDO.BodyFormat = 0 
								oCDO.MailFormat = 0 
							End If
							oCDO.Body = sFullLetter
							oCDO.Send
							Set oCDO = nothing
						    if Err then 
						        DOMAIN_Send_EMail = CStr(Err.Number) & ": " & Err.Description 
						    else 
						        DOMAIN_Send_EMail = TRUE 
						    end if 
						Else
							DOMAIN_Send_EMail = DOMAIN_Text("EMAIL_NO_CDO_OBJECT")
						End If
						Set oCDO = Nothing
					End If
				End If
			End If
		End If
	
	End Function
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This pops open a window once and sets a cookie so it doesn't pop the window		*
	'*		open again.																	*
	'*																					*
	'************************************************************************************
	Sub DOMAIN_OneTimePopup(sPopupFile, sTextConstant)
		'Call DOMAIN_OneTimePopup("/WS_Content/Help/Popup.asp", "BETA_TEST")
		If Trim(Request.Cookies("SB_OneTime" & iDomainName)) <> "T" Then
			Response.Cookies("SB_OneTime" & iDomainName) = "T"
			Response.Cookies("SB_OneTime" & iDomainName).Path = "/"
			Response.Cookies("SB_OneTime" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
			%>
			<script language = "javascript">
			
				x = window.open('<%=sPopupFile%>?sAction=<%=sTextConstant%>','OneTime','scrollbars,resizable=yes')
				
			</script>
			<%
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Adds an entry to the log table - ignores all errors 							*
	'*																					*
	'************************************************************************************
	Sub DOMAIN_Log(iTypeUnq, sKey1, iKey2, sKey3, iKey4, sKey5, iKey6, sType, sAction, sVarCharData, sTextData)
		On Error Resume Next	' if the database cannot be accessed don't drop an error

		If ( sLOGGING_ENABLED = "" ) Then	' it's blank the first time - so populate it.
			If ( Trim(DOMAIN_Conf("LOGGING_ENABLED")) <> "" ) Then
				sLOGGING_ENABLED = "T"
			Else
				sLOGGING_ENABLED = "F"
			End If
		End If
		
		If ( sLOGGING_ENABLED = "T" ) Then
			If ( iKey2 = "" ) Then
				iKey2 = 0
			End If
			If ( iKey4 = "" ) Then
				iKey4 = 0
			End If
			If ( iKey6 = "" ) Then
				iKey6 = 0
			End If
			DBConnection.Execute "EXEC DOMAIN_Log @iDomainUnq=" & iDomainName & ", @iTypeUnq=" & iTypeUnq & ", @sKey1='" & sKey1 & "', @iKey2=" & iKey2 & ", @sKey3='" & sKey3 & "', @iKey4=" & iKey4 & ", @sKey5='" & sKey5 & "', @iKey6=" & iKey6 & ", @sType='" & sType & "', @iAccountUnq=" & iLoginAccountUnq & ", @sAction='" & sAction & "', @sVarCharData='" & sVarCharData & "', @sTextData='" & sTextData & "'"
		End If
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This formats the date for SQL statements. This is required because not all  	*
	'*	places in the world use the USA date format and MSSQL requires that dates		*
	'*	be in this format: mm/dd/yyyy or mm/dd/yyyy hh:mm:ss							*
	'*	Also in some languages May is Mai, etc. and MSSQL doesn't understand Mai.		*
	'*	The sLength parameter is "S" for shortdatetime and "L" for datetime (long date)	*
	'*																					*
	'************************************************************************************
	Function DOMAIN_FormatDate(sDate, cLength)
		Dim sYear, sMonth, sDay, sHour, sMinute, sSecond
	
		If ( cLength = "L" ) Then
			' make the date long
			sYear		= DatePart("yyyy", sDate)
			sMonth		= DatePart("m", sDate)
			sDay		= DatePart("d", sDate)
			sHour		= DatePart("h", sDate)
			sMinute		= DatePart("n", sDate)
			sSecond		= DatePart("s", sDate)
			DOMAIN_FormatDate = sMonth & "/" & sDay & "/" & sYear & " " & sHour & ":" & sMinute & ":" & sSecond
		Else
			' make the date short - default to this since it's more compatable
			sYear		= DatePart("yyyy", sDate)
			sMonth		= DatePart("m", sDate)
			sDay		= DatePart("d", sDate)
			DOMAIN_FormatDate = sMonth & "/" & sDay & "/" & sYear
		End If
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Encodes a string for use in a SQL Statement.						 			*
	'*																					*
	'************************************************************************************
	Function SQLEncode( sStr )

		If ( NOT IsNull(sStr) ) Then
			If ( NOT IsNumeric(sStr) ) Then
				If ( sStr <> "" ) Then
					SQLEncode = Replace( sStr, "'", "''" )
				End If
			Else
				SQLEncode = CStr(sStr)
			End If
		Else
			SQLEncode = ""
		End If

	End Function
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This "fixes" QueryString and Form data for input into databases and to check	*
	'*		for possible hacking.														*
	'*	This is only necessary right now for numeric types.								*
	'*																					*
	'************************************************************************************
	Function DOMAIN_FixD(vData, iNullSet)
	
		' can't Request it here because sometimes we are uploading files and can't use Request
		' can't do SQLEncode here either because we don't always to encode (if the data is redisplayed in a form for example)
		DOMAIN_FixD = Trim(vData)
		
		If ( NOT IsNull(DOMAIN_FixD) ) Then
			If ( DOMAIN_FixD <> "" ) Then
				If ( IsNumeric(DOMAIN_FixD) ) Then
					DOMAIN_FixD = CDbl(DOMAIN_FixD)
				Else
					DOMAIN_FixD = iNullSet
				End If
			Else
				DOMAIN_FixD = iNullSet
			End If
		Else
			DOMAIN_FixD = iNullSet
		End If
	
	End Function
	'************************************************************************************
%>