<%
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub G_STRUCTURE_HeaderBar(sImage, sAlt, sText, sSystem)
		Call G_STRUCTURE_HeaderBar_Specific(sImage, sAlt, sText, "", sSystem)
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is required because the Preferences pages need to look one dir level 		*
	'*		further down to find the header image.										*
	'*																					*
	'************************************************************************************
	Sub G_STRUCTURE_HeaderBar_Specific(sImage, sAlt, sText, sDir, sSystem)
		Call G_STRUCTURE_HeaderBar_ReallySpecific(sImage, sAlt, sText, "../" & sDir, sSystem)
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is required because sometimes (especially for Actions), the directory needs*
	'*		to be from the root.														*
	'*																					*
	'************************************************************************************
	Sub G_STRUCTURE_HeaderBar_ReallySpecific(sImage, sAlt, sText, sDir, sSystem)
		Dim iTemp
		
		If ( InStr(iTableWidth, "%") > 0 ) Then
			iTemp = iTableWidth
		Else
			iTemp = iTableWidth+2
		End If
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=<%=iTemp%>>
			<tr>
				<td width=1><img src='<%=sDir%>Images/ColorBased/<%=iColorScheme%>/TopBar_Left.gif' border=0 alt=''></td>
				<%
				If ( Trim(sImage) = "" ) Then
					Response.Write "<td background='" & sDir & "Images/ColorBased/" & iColorScheme & "/TopBar_BG.gif'>"
					Response.Write "<font color='" & DOMAIN_Color(sSystem & "PageText") & "' size=+1>" & sText
					Response.Write "</td>"
				Else
					Response.Write "<td background='" & sDir & "Images/ColorBased/" & iColorScheme & "/TopBar_BG.gif'>"
					Response.Write "<img src=""" & sDir & "Images/SchemeBased/" & iTextScheme & "/" & iColorScheme & "/" & Server.HTMLEncode(sImage) & """ border=0 alt=""" & Server.HTMLEncode(sAlt) & """>"
					Response.Write "</td>"
				End If
				%>
				<td width=1><img src='<%=sDir%>Images/ColorBased/<%=iColorScheme%>/TopBar_Right.gif' border=0 alt=''></td>
			</tr>
		</table>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub G_STRUCTURE_SubHeaderBar(sImage, sAlt, sText, sSystem)
		Call G_STRUCTURE_SubHeaderBar_Specific(sImage, sAlt, sText, "", sSystem)
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is required because the Preferences pages need to look one dir level 		*
	'*		further down to find the header image.										*
	'*																					*
	'************************************************************************************
	Sub G_STRUCTURE_SubHeaderBar_Specific(sImage, sAlt, sText, sDir, sSystem)
		Dim iTemp
		
		If ( InStr(iTableWidth, "%") > 0 ) Then
			iTemp = iTableWidth
		Else
			iTemp = iTableWidth+2
		End If
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=<%=iTemp%>>
			<tr>
				<td bgcolor='<%=DOMAIN_Color(sSystem & "BorderColor1")%>' width=1><img src='/WS_Content/Blank.gif' width=1 height=1 alt='' border=0></td>
				<td background='../<%=sDir%>Images/ColorBased/<%=iColorScheme%>/SubHeader_BG.gif' width=283><%
				If ( Trim(sImage) = "" ) Then
					Response.Write "<font color='" & DOMAIN_Color(sSystem & "PageText") & "' size=+1>" & sText
				Else
					Response.Write "<img src=""../" & sDir & "Images/SchemeBased/" & iTextScheme & "/" & iColorScheme & "/" & Server.HTMLEncode(sImage) & """ border=0 alt=""" & Server.HTMLEncode(sAlt) & """>"
				End If
				%></td>
				<td bgcolor='<%=DOMAIN_Color(sSystem & "BGColor1")%>'>&nbsp;</td>
				<td bgcolor='<%=DOMAIN_Color(sSystem & "BorderColor1")%>' width=1><img src='/WS_Content/Blank.gif' width=1 height=1 alt='' border=0></td>
			</tr>
		</table>
		<%
	End Sub
	'************************************************************************************
	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( sURL, sQuerystring, sSystem )

		Dim sSqlTemp, iTtlTemp, iNumLinksPerPage
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlNumItems	= CDbl(iTtlNumItems)
		iDBLoc			= CDbl(iDBLoc)
		iNumPerPage		= CDbl(iNumPerPage)
		iTtlTemp		= iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp		= iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		iNumLinksPerPage= 10	' this is the number of links to display

		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		Response.Write "<table cellpadding=0 cellspacing=5 border=0><tr>"
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			iTemp = ( iDBLocTemp * iNumPerPage ) - ( iNumPerPage * iNumLinksPerPage)
			Response.Write "<td background='/WS_Content/Images/ColorBased/" & iColorScheme & "/PrintRecordsetNav.gif' style='width=29; height=29;' align=center valign=middle>" & sURLBeg & iTemp & "')""  class='MediumNav3'>&lt;&lt;</a></td>"
		end if
		' Print the "Previous"
		if (iDBLoc <> 0) then
			iTemp = iDBLoc - iNumPerPage
			Response.Write "<td background='/WS_Content/Images/ColorBased/" & iColorScheme & "/PrintRecordsetNav.gif' style='width=29; height=29;' align=center valign=middle>" & sURLBeg & iTemp & "')"" class='MediumNav3'> &#8592; </a></td>"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = iDBLocTemp-5
		If ( iA < 0 ) Then
			iA = 0
		End If
		iB = iA + iNumLinksPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				If ( iDBLoc >= iTemp ) And ( iDBLoc < (iTemp + iNumPerPage) ) Then
					Response.Write "<td><font color='" & DOMAIN_Color(sSystem & "PageText") & "' size=+1>" & x+1 & "</font></td>"
				else
					Response.Write "<td background='/WS_Content/Images/ColorBased/" & iColorScheme & "/PrintRecordsetNav.gif' style='width=29; height=29;' align=center valign=middle>" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a></td>"
				end if
			else
				exit for
			end if
		next

		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			iTemp = (iDBLoc + iNumPerPage)
			Response.Write "<td background='/WS_Content/Images/ColorBased/" & iColorScheme & "/PrintRecordsetNav.gif' style='width=29; height=29;' align=center valign=middle>" & sURLBeg & iTemp & "')""  class='MediumNav3'> &#8594; </a></td>"
		end if
		' Print the >>
		if ((iDBLocTemp + iNumLinksPerPage) <= iTtlTemp) then
			iTemp = ( iDBLocTemp * iNumPerPage ) + ( iNumPerPage * iNumLinksPerPage)
			Response.Write "<td background='/WS_Content/Images/ColorBased/" & iColorScheme & "/PrintRecordsetNav.gif' style='width=29; height=29;' align=center valign=middle>" & sURLBeg & iTemp & "')""  class='MediumNav3'>&gt;&gt;</a></td>"
		end if
		Response.Write "</tr></table>"
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This displays category titles for the News and Image Gallery and whatever...	*
	'*																					*
	'************************************************************************************
	Sub G_STRUCTURE_Category(sHeader, sSmallText, sURL, sSystem)
	
		Call G_STRUCTURE_Category_Lines(sHeader, sSmallText, sURL, sSystem, "YES")

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This displays category titles for the News and Image Gallery and whatever...	*
	'*																					*
	'************************************************************************************
	Sub G_STRUCTURE_Category_Lines(sHeader, sSmallText, sURL, sSystem, sLines)
	
		Dim sFontSize
		
		'DomainsPageBorder	' bg
		'DomainsPageBGColor	' smalltext color
		'DomainsPageText	' header color
		' sSystem is like "Domains", "Accounts", "Public", "News", etc. to prepend to the color names to get the right system
		If ( sLines = "YES" ) Then
			%>
			<table cellpadding=0 cellspacing=0 border=0 width=100% height=15>
				<tr>
					<td width=100%>&nbsp;<b><a href='<%=sURL%>' style='text-decoration: none !important;'><%=sFontSize%><font color='<%=DOMAIN_Color(sSystem & "PageText")%>'><%=sHeader%></a></td>
					<td rowspan=2 width=12 valign=bottom><img src='/WS_Content/Images/ColorBased/<%=iColorScheme%>/CatHead_Middle.gif' width=12 height=15></td>
					<td rowspan=2 align=right valign=bottom width=100>
						<table cellpadding=0 cellspacing=0 border=0 width=100% height=1>
							<tr><td nowrap bgcolor='<%=DOMAIN_Color(sSystem & "PageBorder")%>' align=right></td></tr>
							<tr><td bgcolor='<%=DOMAIN_Color(sSystem & "PageBorder")%>'><img src='/WS_Content/Images/Blank.gif' width=3 height=3>&nbsp;</td></tr>
						</table>
					</td>
					<td rowspan=2 width=5 valign=bottom><a href='<%=sURL%>'><img src='/WS_Content/Images/ColorBased/<%=iColorScheme%>/CatHead_Right.gif' width=13 height=15 border=0 alt="<%=Server.HTMLEncode(sSmallText)%>"></a></td>
				</tr>
				<tr>
					<td bgcolor='<%=DOMAIN_Color(sSystem & "PageBorder")%>'><img src='/WS_Content/Images/Blank.gif' width=3 height=3></td>
				</tr>
			</table>
			<%
		Else
			%>
			<table cellpadding=0 cellspacing=0 border=0 width=100%>
				<tr>
					<td width=100%>&nbsp;<b><a href='<%=sURL%>' style='text-decoration: none !important;'><%=sFontSize%><font color='<%=DOMAIN_Color(sSystem & "PageText")%>'><%=sHeader%></a></td>
				</tr>
			</table>
			<%
		End If
	
	End Sub
	'************************************************************************************
%>