<%
	' *********************************************************************************************************************************************
	' * This checks for ASP or HTML codes and replaces them with their corresponding HTML display codes.
	' ---------------------------------------------------------------------------------------------------------------------------------------------
	' *	sBody = The string to search in and modify
	' *********************************************************************************************************************************************	
	Function StripCodes(sBody)
		Dim sKeyArray, sUCaseVersion, x, BegPos, EndPos, CheckPos, sTemp, sContent
		Dim sQOpen, sQClose
dim icount
icount = 0
		
		If ( DOMAIN_Conf("MSGBOARD_STRIP_CODES") = "TRUE" ) Then

			sKeyArray = Array("B", "U", "I", "BLOCKQUOTE", "CODE", "OL", "UL", "URL", "EMAIL", "IMG", "PRE", "Q", "P", "b", "u", "i", "blockquote", "code", "ol", "ul", "url", "email", "img", "pre", "q", "p")
			
			StripCodes = Replace(sBody, ">", "&GT;")
			StripCodes = Replace(StripCodes, "<", "&LT;")
			sUCaseVersion = UCase(StripCodes)
			sQOpen = "<blockquote><table cellpadding=5 cellspacing=0 bordercolor=" & DOMAIN_Color("MsgBoardBorderColor2") & " border=1><tr><td bgcolor=" & DOMAIN_Color("MsgBoardBGColor2") & "><font color=" & DOMAIN_Color("MsgBoardTextColor2") & ">"
			sQClose = "</td></tr></table></blockquote>"
			
			' Now check the string for any &gt;BLOCKQUOTE&lt; stuff and it's corresponding closing &gt;/BLOCKQUOTE&lt;
			' If there is no second opening one after the first opening one and before the closing one, then convert 
			'	the &gt;BLOCKQUOTE&lt; and &gt;/BLOCKQUOTE&lt; back into <BLOCKQUOTE> and </BLOCKQUOTE>
			' The exception to the rule is the "LI". Leave this in no matter what...it can't hurt.
			for x = 0 to UBound(sKeyArray)
				BegPos = InStr(sUCaseVersion, "&LT;" & sKeyArray(x) & "&GT;")
				EndPos = InStr(BegPos + 1, sUCaseVersion, "&LT;/" & sKeyArray(x) & "&GT;")
				while BegPos > 0 and icount < 60
icount = icount + 1
					CheckPos	= InStr(BegPos + 1, sUCaseVersion, "&LT;" & sKeyArray(x) & "&GT;")
					if CheckPos = 0 or CheckPos > EndPos then
						' It's ok
						sTemp = left(StripCodes, BegPos - 1)
						select case sKeyArray(x)
							case "URL"
								StripCodes = Replace(StripCodes, "&LT;URL&GT;", "<a href = ""http://", BegPos, 1, 1)
							case "EMAIL"
								StripCodes = Replace(StripCodes, "&LT;EMAIL&GT;", "<a href = ""mailto:", BegPos, 1, 1)
							case "IMG"
								StripCodes = Replace(StripCodes, "&LT;IMG&GT;", "<img src = ""http://", BegPos, 1, 1)
							Case "Q"
								' quoted text - put in a cool box
								StripCodes = Replace(StripCodes, "&LT;Q&GT;", sQOpen, BegPos, 1, 1)
								EndPos = EndPos + (Len(sQOpen) - Len("&LT;Q&GT;"))		' this is the difference in len between the original and replaced
							case else
								StripCodes = Replace(StripCodes, "&LT;" & sKeyArray(x) & "&GT;", "<" & sKeyArray(x) & ">", BegPos, 1, 1)
								EndPos = EndPos - 6
						end select
						StripCodes = sTemp & StripCodes

						If ( ( StripCodes <> "" ) And ( EndPos > 1 ) ) Then
							sTemp = left(StripCodes, EndPos - 1)
						End If
						select case sKeyArray(x)
							case "URL"
								sContent = mid(StripCodes, BegPos + Len("<a href = ""http://"), (Len("<a href = ""http://") - Len("&LT;URL&GT;") + EndPos) - (BegPos + Len("<a href = ""http://")))
								StripCodes = Replace(StripCodes, "&LT;/URL&GT;", """ class='MediumNavPage'>" & sContent & "</a>", EndPos, 1, 1)
							case "EMAIL"
								sContent = mid(StripCodes, BegPos + Len("<a href = ""mailto:"), (Len("<a href = ""mailto:") - Len("&LT;EMAIL&GT;") + EndPos) - (BegPos + Len("<a href = ""mailto:")))
								StripCodes = Replace(StripCodes, "&LT;/EMAIL&GT;", """ class='MediumNavPage'>" & sContent & "</a>", EndPos, 1, 1)
							case "IMG"
								sContent = mid(StripCodes, BegPos + Len("<img src = ""http://"), (Len("<img src = ""http://") - Len("&LT;IMG&GT;") + EndPos) - (BegPos + Len("<img src = ""http://")))
								StripCodes = Replace(StripCodes, "&LT;/IMG&GT;", """>", EndPos, 1, 1)
							Case "Q"
								sContent = mid(StripCodes, BegPos + Len(sQOpen), EndPos - (BegPos + Len(sQOpen)))
								StripCodes = Replace(StripCodes, "&LT;/Q&GT;", sQClose, EndPos, 1, 1)
							case else
								StripCodes = Replace(StripCodes, "&LT;/" & sKeyArray(x) & "&GT;", "</" & sKeyArray(x) & ">", EndPos, 1, 1)
						end select
						StripCodes = sTemp & StripCodes
						sUCaseVersion = UCase(StripCodes)
						BegPos = InStr(sUCaseVersion, "&LT;" & sKeyArray(x) & "&GT;")
						EndPos = InStr(BegPos + 1, sUCaseVersion, "&LT;/" & sKeyArray(x) & "&GT;")
					else
						' its either not found (then it's 0...so the loop will stop) or it's before the endpos (so it should start again)
						BegPos = CheckPos
					end if
				wend
			next
			
			StripCodes = Replace(StripCodes, "&LT;LI&GT;", "<LI>")
			StripCodes = Replace(StripCodes, "&LT;li&GT;", "<LI>")
			StripCodes = Replace(StripCodes, "&LT;BR&GT;", "<BR>")
			StripCodes = Replace(StripCodes, "&LT;br&GT;", "<BR>")
			StripCodes = Replace(StripCodes, "&LT;HR&GT;", "<HR>")
			StripCodes = Replace(StripCodes, "&LT;hr&GT;", "<HR>")
		Else
			' otherwise, just return exactly what was sent w/o any filtering
			StripCodes = sBody
		End If
	End Function


	' *********************************************************************************************************************************************
	' * This checks for cuss words in the author, sig, body
	' ---------------------------------------------------------------------------------------------------------------------------------------------
	' *	sBody = The string to search in and modify
	' *********************************************************************************************************************************************	
	Function ProfanityFilter(sBody)
		Dim sKeyArray, sKeyReplace, sUCaseVersion, x, BegPos, EndPos, sTemp
		
		If ( DOMAIN_Conf("MSGBOARD_PROFANITY_FILTER") = "TRUE" ) Then
			' Search for these words:
			sKeyArray 	= Array("FUCK", "ASSHOLE", "BITCH", "SHIT", "DICKHEAD", "CRACKWHORE", "PINCHE", "BENDEHO", " HELL ", "DAMM", "WHORE")
			' Replace with these words (both arrays must be the same size):
			sKeyReplace = Array("fetch", "jerk", "meanie", "crud", "jerk", "jerk", "^#$!", "&$%!", "heck", "dang", "lawyer")
			ProfanityFilter = sBody
			sUCaseVersion = UCase(sBody)
			
			for x = 0 to UBound(sKeyArray)
				BegPos = InStr(sUCaseVersion, sKeyArray(x))
				while BegPos > 0
					EndPos = BegPos + len(sKeyReplace(x))
					sTemp = left(ProfanityFilter, BegPos - 1)
					ProfanityFilter = Replace(ProfanityFilter, sKeyArray(x), sKeyReplace(x), BegPos, 1, 1)
					ProfanityFilter = sTemp & ProfanityFilter
					sUCaseVersion = UCase(ProfanityFilter)
					BegPos = InStr(EndPos, sUCaseVersion, sKeyArray(x))
				wend
			next
		Else
			' otherwise, just return exactly what was sent w/o any filtering
			ProfanityFilter = sBody
		End If
	
	End Function

	
	' *********************************************************************************************************************************************
	' *  This changes the Session("iSortOrder") into an actual SQL WHERE clause
	' ---------------------------------------------------------------------------------------------------------------------------------------------
	' *		sAuthor - if not blank, then include it in the string. if it's blank then just include the string, if it's "-1" don't include it.
	' *					 If it's anyting else, then prepend the Author with that text and a "." in the query...like this: sAuthor = "A", 
	' *					 so in the query it's: "A.Author"
	' *		sSubject - same as sAuthor but for the subject
	' *		sNumRead - same as sAuthor but for the number read
	' *		sDateChanged - same as sAuthor but for the date changed
	' *		sRating - same as sAuthor but for the rating
	' *********************************************************************************************************************************************
	Function ReturnTextSortOrder(sAuthor, sSubject, sNumRead, sDateChanged, sRating)
	
		Dim sComma
		Dim x
	
		' EG: select * from conference order by name asc, confunq desc
		
		iSortOrder = Session("iSortOrder")
		ReturnTextSortOrder = ""

		sComma = ", "
		for x = 1 to 5
			' clear the comma on the last one so it doesn't add it to the last search element
			if x = 5 then
				sComma = ""
			end if
			select case mid(iSortOrder, x, 1)
				case "1"
					if sAuthor <> "-1" then
						'ReturnTextSortOrder = ReturnTextSortOrder + sAuthor + "Author Asc" + sComma
					end if
				case "2"
					if sAuthor <> "-1" then
						'ReturnTextSortOrder = ReturnTextSortOrder + sAuthor + "Author Desc" + sComma
					end if
				case "3"
					if sDateChanged <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sDateChanged + "DateChanged Asc" + sComma
					end if
				case "4"
					if sDateChanged <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sDateChanged + "DateChanged Desc" + sComma
					end if
				case "5"
					if sRating <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sRating + "Rating Asc" + sComma
					end if
				case "6"
					if sRating <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sRating + "Rating Desc" + sComma
					end if
				case "7"
					if sNumRead <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sNumRead + "NumReaders Asc" + sComma
					end if
				case "8"
					if sNumRead <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sNumRead + "NumReaders Desc" + sComma
					end if
				case "9"
					if sSubject <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sSubject + "Subject Asc" + sComma
					end if
				case "0"
					if sSubject <> "-1" then
						ReturnTextSortOrder = ReturnTextSortOrder + sSubject + "Subject Desc" + sComma
					end if
			end select
		next
		If (Trim(ReturnTextSortOrder)="") Then
			ReturnTextSortOrder = sDateChanged & "DateChanged Asc"
			Session("iSortOrder") = "39157"
		End If
	End Function


	' *********************************************************************************************************************************************
	' *  This is used whenever the ConfUnq may be a CMB. It sets a boolean CMB session variable. If the ConfUnq has a "CMB" prepended to it,
	' *  then the number is actually a CMB MBSetID
	' *	 This also writes out an array with all the ConfUnq's that are in the CMB.
	' ---------------------------------------------------------------------------------------------------------------------------------------------
	' *		ConfUnq - the number to test to see if it's a CMB or not
	' *********************************************************************************************************************************************
	Function CheckForCMB(ByVal ConfUnq)
		ConfUnq = CStr(ConfUnq)
		if InStr(ConfUnq, "CMB") = 1 then
			' It is one
			MBSetID = right(ConfUnq, len(ConfUnq) - 3)
			Set rs1 = Server.CreateObject("ADODB.recordset")
			Set rs2 = Server.CreateObject("ADODB.recordset")
			sqlText = "SELECT Count(*) FROM CMBSets WHERE MBSetID = " & MBSetID
			DBCommand.CommandText = sqlText
			rs1.Open DBCommand
			if not rs1.EOF then
				ReDim CMBConfArray(rs1.Fields(0))
				rs1.Close
				sqlText = "SELECT ConfUnq FROM CMBSets WHERE MBSetID = " & MBSetID
				DBCommand.CommandText = sqlText
				rs1.Open DBCommand
				if not rs1.EOF then
					x = 0
					while not rs1.EOF
						x = x + 1
						CMBConfArray(x) = rs1.Fields("ConfUnq")
						' This block gets the conferences names and enters them into a session variable of the named after the ConfUnq for quick
						' 	access when displaying the CMB threads (displaying which thread goes w/ which conference)
						sqlText = "SELECT Name FROM Conference WHERE ConfUnq = " & CMBConfArray(x)
						DBCommand.CommandText = sqlText
						rs2.Open DBCommand
						if not rs2.EOF then
							Session("CMBName" & rs1.Fields("ConfUnq")) = rs2.Fields("Name")
						else
							Session("CMBName" & rs1.Fields("ConfUnq")) = ""
						end if
						rs2.Close
						rs1.MoveNext
					wend
				else
					Response.Write "Error getting Message Boards in the CMB."
					Session("CMB") = false
					CheckForCMB = false
				end if
				rs1.Close
			else
				Response.Write "Error checking for CMB."
				Session("CMB") = false
				CheckForCMB = false
			end if

			Session("CMBConfArray") = CMBConfArray
			Session("CMB") = true
			CheckForCMB = true
			sqlText = "SELECT CMBName FROM CMB WHERE MBSetID = " & MBSetID
			DBCommand.CommandText = sqlText
			rs1.Open DBCommand
			if not rs1.EOF then
				Session("CMBName") = rs1.Fields("CMBName")
			end if
			rs1.Close
			Set rs1 = nothing
			Set rs2 = nothing
		else
			' It is not one
			Session("CMB") = false
			CheckForCMB = false
		end if
	End Function


	' *********************************************************************************************************************************************
	' *  This returns the SQL code to select multiple conferences...for use with CMB's
	' ---------------------------------------------------------------------------------------------------------------------------------------------
	' *
	' *********************************************************************************************************************************************
	Function CMBSQL(aPrePend)
		if Session("CMB") = true then
			CMBConfArray = Session("CMBConfArray")
			CMBSQL = aPrePend & "ConfUnq = " & CMBConfArray(1)
			for x = 2 to UBound(CMBConfArray)
				If CMBConfArray(x) <> "" Then
					CMBSQL = CMBSQL & " OR " & aPrePend & "ConfUnq = " & CMBConfArray(x)
				Else
					x = UBound(CMBConfArray) + 1
				End If
			next
		else
			CMBSQL = ""
		end if
	End Function
%>