<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<%
	Response.Buffer = TRUE
	Dim sError, iDomainUnq, iParentUnq
	
	Dim sSQLText, rsDB
	Dim iTtlNumItems, iDBLoc
	
	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_MANAGEASSIGNMENTS")
	If   (ACCNT_AnyDomain("SB_MB_ADMIN")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Set rsDB = CreateObject("ADODB.Recordset")
		
		iDomainUnq = DOMAIN_FixD(Request("iDomainUnq"), 0)
		If ( iDomainUnq = 0 ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MB_ADMIN", "", "")
		End If
		iParentUnq = DOMAIN_FixD(Request("iParentUnq"), 0)
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = DOMAIN_FixD(Request("iTtlNumItems"), 0)
		iDBLoc = DOMAIN_FixD(Request("iDBLoc"), 0)
		If (iDBLoc<0) Then
			iDBLoc = 0
		End If

		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			'sSQLText = "SELECT Count(*) FROM Accounts A (NOLOCK) WHERE HomeDomain = " & iDomainUnq
			' count all users whose home domain this admin has SB_MB_ADMIN rights on
			If ( sGroupType = "R" ) Then
				'sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND (R.GrantDate > R.RevokeDate OR R.RevokeDate IS NULL) AND (A.AddDate > A.RemoveDate OR A.RemoveDate IS NULL) AND R.RightsLvl IN ('SB_MB_ADMIN')"
				sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND R.RightsLvl IN ('SB_MB_ADMIN')"
			Else
				' the admin is either in "S" group(s) or no group.
				'sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND (R.GrantDate > R.RevokeDate OR R.RevokeDate IS NULL) AND (A.AddDate > A.RemoveDate OR A.RemoveDate IS NULL) AND R.RightsLvl IN ('SB_MB_ADMIN')"
				sSQLText = "SELECT COUNT(DISTINCT A.AccountUnq) FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND R.RightsLvl IN ('SB_MB_ADMIN')"
			End If
			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end

		Call WriteForm()
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, x, iCount, sLogin, iAccountUnq, sTextColor, sLinkColor
		
		'sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Accounts A (NOLOCK) WHERE HomeDomain = " & iDomainUnq & " ORDER BY A.AccountUnq SET ROWCOUNT 0"
		' find all users who have homedomains on which the admin has SB_MB_ADMIN rights
		If ( sGroupType = "R" ) Then
			'sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND (R.GrantDate > R.RevokeDate OR R.RevokeDate IS NULL) AND (A.AddDate > A.RemoveDate OR A.RemoveDate IS NULL) AND R.RightsLvl IN ('SB_MB_ADMIN') ORDER BY A.AccountUnq SET ROWCOUNT 0"
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq = " & sGlobalGroupUnq & ") AND R.RightsLvl IN ('SB_MB_ADMIN') SET ROWCOUNT 0"
		Else
			' the admin is either in "S" group(s) or no group.
			'sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND (R.GrantDate > R.RevokeDate OR R.RevokeDate IS NULL) AND (A.AddDate > A.RemoveDate OR A.RemoveDate IS NULL) AND R.RightsLvl IN ('SB_MB_ADMIN) SET ROWCOUNT 0"
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT DISTINCT A.AccountUnq, A.Login, A.Password, A.Adddate, A.Removedate, A.HomeDomain FROM Rights R (NOLOCK), Accounts A (NOLOCK) WHERE R.DomainUnq = A.HomeDomain AND (R.AccountUnq = " & iLoginAccountUnq & " OR R.GroupUnq IN (SELECT M.GroupUnq from GroupMap M, Groups G WHERE M.AccountUnq = " & iLoginAccountUnq & " AND G.DomainUnq = " & iDomainName & " AND G.Type = 'S' AND M.GroupUnq = G.GroupUnq)) AND R.RightsLvl IN ('SB_MB_ADMIN') ORDER BY A.AccountUnq SET ROWCOUNT 0"
		End If

		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("MsgBoardBGColor2")
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next

		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm2(iAccountUnq){
				document.location = "EditBoards.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>&iParentUnq=<%=iParentUnq%>&iDBLoc_Accounts=<%=iDBLoc%>&iDBLoc_Boards=<%=DOMAIN_FixD(Request("iDBLoc_Boards"), 0)%>&iAccountUnq=" + iAccountUnq;
			}
			
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>&iParentUnq=<%=iParentUnq%>&iDBLoc_Boards=<%=DOMAIN_FixD(Request("iDBLoc_Boards"), 0)%>" + sQueryString;
			}
			
		</script>
		<form name='ManageAssignments' action='Default.asp?<%=DOMAIN_Link("G")%>' method='post'>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("MSGBOARD_MANAGE_ASSIGNMENTS_HEADER")%></b></font>
					<br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_MANAGE_ASSIGNMENTS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_MANAGE_ASSIGNMENTS_LOGIN")%></b></td>
							<td align=right bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_MANAGE_ASSIGNMENTS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_MANAGE_ASSIGNMENTS_LOGIN")%></b></td>
						</tr>
						<%
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("MsgBoardBGColor1") ) Then
								sBGColor = DOMAIN_Color("MsgBoardPageBGColor")
								sTextColor = DOMAIN_Color("MsgBoardPageText")
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = DOMAIN_Color("MsgBoardBGColor1")
								sTextColor = DOMAIN_Color("MsgBoardTextColor1")
								sLinkColor = "MediumNav1"
							End If
							sLogin = Replace(Replace(rsDB("Login"), "'", "&#145;"), """", "&#147;")
							iAccountUnq = rsDB("AccountUnq")
							%>
							<tr>
								<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=iAccountUnq%></td>
								<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
								<td bgcolor=<%=sBGColor%>><a href="JavaScript:SubmitForm2('<%=iAccountUnq%>');" class='<%=sLinkColor%>'><%=sLogin%></a></td>
								<%
								rsDB.MoveNext
								iCount = iCount + 1
								If ( NOT rsDB.EOF ) Then
									sLogin = Replace(Replace(rsDB("Login"), "'", "&#145;"), """", "&#147;")
									iAccountUnq = rsDB("AccountUnq")
									%>
									<td align=right bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=iAccountUnq%></td>
									<td bgcolor=<%=sBGColor%>><b>&nbsp;</b></td>
									<td bgcolor=<%=sBGColor%>><a href='JavaScript:SubmitForm2("<%=iAccountUnq%>")' class='<%=sLinkColor%>'><%=sLogin%></a></td>
									<%
									rsDB.MoveNext
									iCount = iCount + 1
								End If
								%>
							</tr>
							<%
						Wend
						%>
						<tr>
							<td colspan=8 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Accounts", "", "Default.asp", "" )%>
							</td>
						</tr>
					</table>
					<br>
					<font size=-2>
					<%=DOMAIN_Text("MSGBOARD_MANAGE_ASSIGNMENTS_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsDB.Close
	End Sub
	'********************************************************************************
	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc_Accounts="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc_Accounts="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("MsgBoardPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>