<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetThreadAccess.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetMessageAccess.asp"-->
<%
	Dim rsMsgBoard, sSQLText, sNote, sDispVoting
	
	Response.Buffer = TRUE
	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_MANAGEBOARDMODERATION")
	If   ( ( IsAdmin(iConfUnq, iLoginAccountUnq) = "TRUE" ) Or (ACCNT_AnyDomain("SB_MB_MODERATION")) ) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sEmailResponse, sName, sAccountUnq, sTemp
		
		Set rsMsgBoard = CreateObject("ADODB.Recordset")	
		sAction = Request("sAction")
		sDispVoting		= UCase(Trim(DOMAIN_Conf("MSGBOARD_DISP_VOTING")))
		
		Select Case sAction
			Case "1"	' immediate rejection
				DBConnection.Execute "UPDATE Message SET Approved = 'N' WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq
				If ( Request("sSubtractOne") = "1" ) Then
					' log the rejection - we know it was already approved, so the old value is a "Y"
					Call DOMAIN_Log(126, "", iConfUnq, "", iThreadUnq, "", iMsgUnq, "V", "U", "Y", "")
					
					' this message was previously approved, so we must subtract one from the # of messages this user & board has
					sTemp = ACCNT_ReturnADV("SB_MB_NUM_POSTS", "V", iLoginAccountUnq, 2, "OVERRIDE")
					If ( IsNull(sTemp) ) Or ( sTemp = "" ) Then
						sTemp = 1
					End If
					sTemp = CDbl(sTemp) - 1
					Call ACCNT_WriteADV("SB_MB_NUM_POSTS", sTemp, "V", iLoginAccountUnq, iDomainName, "PUBLIC")
					
					' now the board...
					sSQLText = "SET ROWCOUNT 1 SELECT C.NumThreads, C.NumMessages, M.Parent FROM Message M (NOLOCK), Conference C (NOLOCK) WHERE C.ConfUnq = " & iConfUnq & " AND C.ConfUnq = M.ConfUnq AND M.ThreadUnq = " & iThreadUnq & " AND M.MsgUnq = " & iMsgUnq & " SET ROWCOUNT 0"
					rsMsgBoard.Open sSQLText, DBConnection
					If ( NOT rsMsgBoard.EOF ) Then
						If ( rsMsgBoard("Parent") = 0 ) Then
							' it's a thread head, so subtract 1 from the number of threads - we aren't recursevely going down all messages in the thread and subtracting one, so this is klugey
							DBConnection.Execute "UPDATE Conference SET NumThreads = " & CDbl(rsMsgBoard("NumThreads"))-1 & ", NumMessages = " & CDbl(rsMsgBoard("NumMessages"))-1 & " WHERE ConfUnq = " & iConfUnq
						Else
							DBConnection.Execute "UPDATE Conference SET NumMessages = " & CDbl(rsMsgBoard("NumMessages"))-1 & " WHERE ConfUnq = " & iConfUnq
						End If
					End If
					rsMsgBoard.Close
				Else
					' log the rejection - we know it wasn't previously approved, so the old value is blank
					Call DOMAIN_Log(126, "", iConfUnq, "", iThreadUnq, "", iMsgUnq, "V", "U", "", "")
				End If
				Response.Redirect Request.ServerVariables("HTTP_REFERER")
			Case "3"
				' send email and rejection message

				sSQLText = "SELECT AccountUnq FROM Message (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq
				rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsMsgBoard.EOF ) Then
					sAccountUnq = rsMsgBoard("AccountUnq")
					sEmail = Trim(ACCNT_ReturnADV("SB_EmailAddress", "V", sAccountUnq, 0, "OVERRIDE"))
					sName = ACCNT_ReturnADV("SB_FirstName", "V", sAccountUnq, 0, "OVERRIDE") & " " & ACCNT_ReturnADV("SB_LastName", "V", sAccountUnq, 0, "OVERRIDE")
				Else
					sEmail = ""
				End If
				rsMsgBoard.Close
				
				If ( sEmail <> "" ) Then
					sEmailResponse = DOMAIN_Send_EMail(Request("sNote"), DOMAIN_Conf("MSGBOARD_MODERATIONAPPROVAL_FROM_NAME"), DOMAIN_Conf("MSGBOARD_MODERATIONAPPROVAL_FROM_EMAIL"), sName, sEmail, DOMAIN_Text("MSGBOARD_MODERATIONAPPROVAL_EMAIL_SUBJECT"), FALSE)
				End If
				
				If ( Request("sSubtractOne") = "1" ) Then
					' log the rejection - we know it was already approved, so the old value is a "Y"
					Call DOMAIN_Log(126, "", iConfUnq, "", iThreadUnq, "", iMsgUnq, "V", "U", "Y", "")
					
					' this message was previously approved, so we must subtract one from the # of messages this user & board has
					sTemp = ACCNT_ReturnADV("SB_MB_NUM_POSTS", "V", iLoginAccountUnq, 2, "OVERRIDE")
					If ( IsNull(sTemp) ) Or ( sTemp = "" ) Then
						sTemp = 1
					End If
					sTemp = CDbl(sTemp) - 1
					Call ACCNT_WriteADV("SB_MB_NUM_POSTS", sTemp, "V", iLoginAccountUnq, iDomainName, "PUBLIC")
					
					' now the board...
					sSQLText = "SET ROWCOUNT 1 SELECT C.NumThreads, C.NumMessages, M.Parent FROM Message M (NOLOCK), Conference C (NOLOCK) WHERE C.ConfUnq = " & iConfUnq & " AND C.ConfUnq = M.ConfUnq AND M.ThreadUnq = " & iThreadUnq & " AND M.MsgUnq = " & iMsgUnq & " SET ROWCOUNT 0"
					rsMsgBoard.Open sSQLText, DBConnection
					If ( NOT rsMsgBoard.EOF ) Then
						If ( rsMsgBoard("Parent") = 0 ) Then
							' it's a thread head, so subtract 1 from the number of threads - we aren't recursevely going down all messages in the thread and subtracting one, so this is klugey
							DBConnection.Execute "UPDATE Conference SET NumThreads = " & CDbl(rsMsgBoard("NumThreads"))-1 & ", NumMessages = " & CDbl(rsMsgBoard("NumMessages"))-1 & " WHERE ConfUnq = " & iConfUnq
						Else
							DBConnection.Execute "UPDATE Conference SET NumMessages = " & CDbl(rsMsgBoard("NumMessages"))-1 & " WHERE ConfUnq = " & iConfUnq
						End If
					End If
					rsMsgBoard.Close
				Else
					' log the rejection - we know it wasn't previously approved, so the old value is blank
					Call DOMAIN_Log(126, "", iConfUnq, "", iThreadUnq, "", iMsgUnq, "V", "U", "", "")
				End If
				
				DBConnection.Execute "UPDATE Message SET Approved = 'N' WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq
				Response.Redirect Request("sReferer")
		End Select
		
		Call WriteForm()
		Set rsMsgBoard = Nothing
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		%>
		<table cellpadding=0 width=<%=iTableWidth%> cellspacing = 0 border = 0>
			<tr><td><img src='/WS_Content/Images/Blank.gif' width=5 height=5></td></tr>
			<tr>
				<td bgColor= <%=DOMAIN_Color("MsgBoardPageBGColor")%>>
					<font size=+1><b><%=DOMAIN_Text("MSGBOARD_MODERATION_REJECT_HEAD")%></b></font><br>
					<%=DOMAIN_Text("MSGBOARD_MODERATION_REJECT_SUBHEAD")%>
					<br><br>
				</td>
			</tr>
		</table>
		<%
		sSQLText = "SELECT * FROM Message (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		if not rsMsgBoard.EOF then
			Call DisplayMessageBody(rsMsgBoard, false, TRUE)
		end if
		rsMsgBoard.Close
		%>
		<form action = "Reject.asp?<%=DOMAIN_Link("G")%>&sAction=3&sSubtractOne=<%=Trim(Request("sSubtractOne"))%>&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>" method = "post">
			<input type='hidden' name='sReferer' value='<%=Request.ServerVariables("HTTP_REFERER")%>'>
			<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("MsgBoardBorderColor1")%> align=center>
			<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0>
				<tr>
					<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%> align=center>
						<font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
						<b><%=DOMAIN_Text("MSGBOARD_MODERATION_REJECT_NOTE")%>:</b><br>
						<TEXTAREA COLS=<%=iFormColumns%> ROWS=10 WRAP="soft" NAME="sNote"><%=sNote%></TEXTAREA>
						<input type = "submit" value = "<%=DOMAIN_Text("MSGBOARD_MODERATION_REJECT_NOTE_SEND")%>">
					</td>
				</tr>
			</table>
			</td></tr></table>
		</form>
		<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0><tr><td>
		<a href = '../ViewMessages/Default.asp?<%=DOMAIN_Link("G")%>&sAction=4&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>' class='MediumNavPage'><font size=-1>&lt;&nbsp;<%=DOMAIN_Text("MSGBOARD_RETURNTOMSGS")%></font></a>
		<br><br>
		</td></tr></table>
		<%
		if sCurCMB = "" then
			Response.Write "<table cellpadding=5 width=" & iTableWidth & " cellspacing = 0 border = 0><tr><td><a href = '../ViewThreads/Default.asp?" & DOMAIN_Link("G") & "&sAction=1&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & "' class='MediumNavPage'>&lt;&nbsp;" & Replace(DOMAIN_Text("MSGBOARD_RETURNTOBOARD"), "1:", GetBoardName(iConfUnq, iDomainName)) & "</a></td></tr></table><br>"
		else
			Response.Write "<table cellpadding=5 width=" & iTableWidth & " cellspacing = 0 border = 0><tr><td><a href = '../ViewThreads/Default.asp?" & DOMAIN_Link("G") & "&sAction=1&iConfUnq=" & sCurCMB & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & "' class='MediumNavPage'>&lt;&nbsp;" & Replace(DOMAIN_Text("MSGBOARD_RETURNTOBOARD"), "1:", GetBoardName(Right(iConfUnq, len(iConfUnq) - 3), iDomainName)) & " Board</a></td></tr></table><br>"
		end if

	End Sub
	'************************************************************************************
%>