<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, iParentUnq

	Dim sSQLText, rsMsgBoard, rsMsgBoard2
	Dim iTtlNumItems, iDBLoc
	
	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_ADMIN_MANAGEBOARDS")
	If   (ACCNT_AnyDomain("SB_MB_BOARDS")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sCheckbox, sSuccess, sTextField, sNewName, sOldName
		Dim sNewDescription, sOldDescription, iTemp, iMoveConfUnq, iMoveColPosition
		
		iDomainUnq = DOMAIN_FixD(Request("iDomainUnq"), 0)
		If ( iDomainUnq = 0 ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MB_BOARDS", "", "")
		End If
		iParentUnq = DOMAIN_FixD(Request("iParentUnq"), 0)
		
		Set rsMsgBoard = CreateObject("ADODB.Recordset")	
		Set rsMsgBoard2 = CreateObject("ADODB.Recordset")
		sAction = Request("sAction")
		
		Select Case sAction
			Case "UpdateBoard"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MB_BOARDS", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sTextField In Request.Form
						If (InStr(sTextField, "sOldConfUnq") > 0 ) Then
							iConfUnq = Replace(sTextField, "sOldConfUnq", "")
							sNewDescription = Trim(Request("sNewDescription" & iConfUnq))
							sOldDescription = Trim(Request("sOldDescription" & iConfUnq))
							sNewName = Trim(Request("sNewName" & iConfUnq))
							sOldName = Trim(Request("sOldName" & iConfUnq))
							If ( sNewDescription <> sOldDescription ) Or ( sNewName <> sOldName ) Then
								' do we really care if they have two conferences of the same name? probably not...their confunq is different...take that code out
								If ( iConfUnq = "" ) Then
									If ( sError = "" ) Then
										sError = DOMAIN_Text("MSGBOARD_BLANK_CONFUNQ")
									End If
								Else
									DBConnection.Execute "UPDATE Conference SET Name = '" & SQLEncode(sNewName) & "', Description = '" & SQLEncode(sNewDescription) & "' WHERE ConfUnq = " & iConfUnq
									Call DOMAIN_Log(66, "", iDomainUnq, "", iConfUnq, "", 0, "V", "U", SQLEncode(sOldName), "")
									Call DOMAIN_Log(67, "", iDomainUnq, "", iConfUnq, "", 0, "V", "U", SQLEncode(sOldDescription), "")
									If ( sSuccess = "") Then
										sSuccess = DOMAIN_Text("MSGBOARD_UPDATED")
									End If
								End If
							End If
						End If
					Next
				End If
			Case "DeleteBoard"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MB_BOARDS", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sCheckbox In Request.Form
						If (InStr(sCheckbox, "sDelete") > 0 ) Then
							iConfUnq = Replace(sCheckbox, "sDelete", "")
							If (iConfUnq <> "") Then
								' recursively delete all conferences, CMB entries, threads, messages, and email notifications for those messages
								Call RecursivelyDelConf(iConfUnq)

								' remove one from the conference's parent NumChildren count
								sSQLText = "SELECT NumChildren FROM Conference WHERE ConfUnq = " & iParentUnq
								rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsMsgBoard.EOF And NOT IsNull(rsMsgBoard("NumChildren")) ) Then
									iTemp = CDbl(rsMsgBoard("NumChildren")) - 1
								Else
									iTemp = 0
								End If
								rsMsgBoard.Close
								DBConnection.Execute "UPDATE Conference SET NumChildren = " & iTemp & " WHERE ConfUnq = " & iParentUnq

								If ( sSuccess = "") Then
									sSuccess = DOMAIN_Text("MSGBOARD_DELETED")
								End If
							Else
								If ( sError = "" ) Then
									sError = DOMAIN_Text("MSGBOARD_BLANK_CONFUNQ")
								End If
							End If
						End If
					Next
				End If
			Case "MoveUp"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MB_BOARDS", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					iMoveColPosition = CDbl(Trim(Request("iMoveColPosition"))) - 1
					
					' get the ConfUnq of the conf that's in the place where this one is being move to
					sSQLText = "SELECT ConfUnq FROM Conference WHERE Parent = " & iParentUnq & " AND DomainUnq = " & iDomainUnq & " AND ColPosition = " & iMoveColPosition
					rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsMsgBoard.EOF ) Then
						iTemp = rsMsgBoard("ConfUnq")
					Else
						iTemp = 0
					End If
					rsMsgBoard.Close
					
					' log the move - save the old positions
					Call DOMAIN_Log(69, "", iDomainUnq, "", Request("iMoveConfUnq"), "", 0, "V", "U", iMoveColPosition+1, "")
					Call DOMAIN_Log(69, "", iDomainUnq, "", iTemp, "", 0, "V", "U", iMoveColPosition, "")
					DBConnection.Execute "UPDATE Conference SET ColPosition = " & iMoveColPosition & " WHERE ConfUnq = " & DOMAIN_FixD(Request("iMoveConfUnq"), 0) & " AND DomainUnq = " & iDomainUnq
					' move the conference that used to be in that position
					DBConnection.Execute "UPDATE Conference SET ColPosition = " & iMoveColPosition+1 & " WHERE ConfUnq = " & iTemp & " AND DomainUnq = " & iDomainUnq
				End If
			Case "MoveDown"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MB_BOARDS", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					iMoveColPosition = CDbl(Trim(Request("iMoveColPosition"))) + 1
					
					' get the ConfUnq of the conf that's in the place where this one is being move to
					sSQLText = "SELECT ConfUnq FROM Conference WHERE Parent = " & iParentUnq & " AND DomainUnq = " & iDomainUnq & " AND ColPosition = " & iMoveColPosition
					rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsMsgBoard.EOF ) Then
						iTemp = rsMsgBoard("ConfUnq")
					Else
						iTemp = 0
					End If
					rsMsgBoard.Close
					
					' log the move - save the old positions
					Call DOMAIN_Log(69, "", iDomainUnq, "", Request("iMoveConfUnq"), "", 0, "V", "U", iMoveColPosition-1, "")
					Call DOMAIN_Log(69, "", iDomainUnq, "", iTemp, "", 0, "V", "U", iMoveColPosition, "")
					DBConnection.Execute "UPDATE Conference SET ColPosition = " & iMoveColPosition & " WHERE ConfUnq = " & DOMAIN_FixD(Request("iMoveConfUnq"), 0) & " AND DomainUnq = " & iDomainUnq
					' move the conference that used to be in that position
					DBConnection.Execute "UPDATE Conference SET ColPosition = " & iMoveColPosition-1 & " WHERE ConfUnq = " & iTemp & " AND DomainUnq = " & iDomainUnq
				End If
		End Select
	
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = DOMAIN_FixD(Request("iTtlNumItems"), 0)
		iDBLoc = DOMAIN_FixD(Request("iDBLoc"), 0)
		If (iDBLoc<0) Then
			iDBLoc = 0
		End If
	
		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		' must also reset them if colors have been deleted
		Select Case sAction
			Case "UpdateBoard"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "DeleteBoard"
				iTtlNumItems = 0
		End Select

		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( iParentUnq = 0 ) Then
				' just list all conferences for the domain
				sSQLText = "SELECT Count(*) FROM Conference (NOLOCK) WHERE Parent = 0 AND DomainUnq = " & iDomainUnq
			Else
				' list all child conferences of the parent
				sSQLText = "SELECT Count(*) FROM Conference (NOLOCK) WHERE Parent = " & iParentUnq
			End If
			rsMsgBoard.Open sSQLText, DBConnection
			If Not(rsMsgBoard.EOF) Then
				iTtlNumItems = rsMsgBoard(0)
			End If
			rsMsgBoard.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteForm()
		Set rsMsgBoard = Nothing
		Set rsMsgBoard2 = Nothing
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This recursively delete all conferences, CMB entries, threads, messages, and 	*
	'*		email notifications for those messages, and administrators -- beginning at 	*
	'*		the initial ConfUnq passed in.												*
	'*																					*
	'************************************************************************************
	Sub RecursivelyDelConf(iConfUnq)
		Dim rsMsgBoard3, iTemp, iTempThreadUnq, iTempMsgUnq
		
		' subtract one from all ColPosition's of conferences after this confunq
		sSQLText = "SELECT Parent,ColPosition FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			sSQLText = "SELECT ConfUnq, ColPosition FROM Conference (NOLOCK) WHERE Parent = " & rsMsgBoard("Parent") & " AND ColPosition > " & rsMsgBoard("ColPosition")
			rsMsgBoard.Close
			rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			While ( NOT rsMsgBoard.EOF )
				iTemp = CDbl(rsMsgBoard("ColPosition")) - 1
				DBConnection.Execute "UPDATE Conference SET ColPosition = " & iTemp & " WHERE ConfUnq = " & rsMsgBoard("ConfUnq")
				Call DOMAIN_Log(69, "", iDomainUnq, "", iConfUnq, "", 0, "V", "U", iTemp + 1, "")	' log old position
				rsMsgBoard.MoveNext
			Wend
			rsMsgBoard.Close
		Else
			rsMsgBoard.Close
		End If

		' log the removal of this conference
		' log removal of accounts being locked from this board
		sSQLText = "SELECT AccountUnq, Status FROM LockedAccounts (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = 0 AND MsgUnq = 0"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While ( NOT rsMsgBoard.EOF ) 
			Call DOMAIN_Log(72, "", iConfUnq, "", rsMsgBoard("AccountUnq"), "", 0, "V", "D", rsMsgBoard("Status"), "")
			rsMsgBoard.MoveNext
		Wend
		rsMsgBoard.Close
		' log removal of Groups being locked from this board
		sSQLText = "SELECT GroupUnq, Status FROM LockedGroups (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = 0 AND MsgUnq = 0"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While ( NOT rsMsgBoard.EOF ) 
			Call DOMAIN_Log(73, "", iConfUnq, "", rsMsgBoard("GroupUnq"), "", 0, "V", "D", rsMsgBoard("Status"), "")
			rsMsgBoard.MoveNext
		Wend
		rsMsgBoard.Close
		' log removal of Board attributes
		sSQLText = "SELECT * FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			Call DOMAIN_Log(66, "", iDomainUnq, "", iConfUnq, "", 0, "V", "D", SQLEncode(rsMsgBoard("Name")), "")
			Call DOMAIN_Log(67, "", iDomainUnq, "", iConfUnq, "", 0, "V", "D", SQLEncode(rsMsgBoard("Description")), "")
			Call DOMAIN_Log(68, "", iDomainUnq, "", iConfUnq, "", 0, "V", "D", SQLEncode(rsMsgBoard("Sig")), "")
			Call DOMAIN_Log(69, "", iDomainUnq, "", iConfUnq, "", 0, "V", "D", SQLEncode(rsMsgBoard("ColPosition")), "")
			Call DOMAIN_Log(71, "", iDomainUnq, "", iConfUnq, "", 0, "V", "D", SQLEncode(rsMsgBoard("Moderated")), "")
			Call DOMAIN_Log(128, "", iDomainUnq, "", iConfUnq, "", 0, "V", "D", rsMsgBoard("Parent"), "")
		End If
		rsMsgBoard.Close
		' log removal of accounts that are moderators
		sSQLText = "SELECT AccountUnq FROM Admin (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While ( NOT rsMsgBoard.EOF ) 
			Call DOMAIN_Log(70, "", iConfUnq, "", rsMsgBoard("AccountUnq"), "", 0, "V", "D", rsMsgBoard("AccountUnq"), "")
			rsMsgBoard.MoveNext
		Wend
		rsMsgBoard.Close

		' remove from the Conference table
		DBConnection.Execute "DELETE FROM Conference WHERE ConfUnq = " & iConfUnq
		' remove all administrators from the conference
		DBConnection.Execute "DELETE FROM Admin WHERE ConfUnq = " & iConfUnq
		' remove entries in CMB's for those conferences
		DBConnection.Execute "DELETE FROM CMBSets WHERE ConfUnq = " & iConfUnq
		' do not remove CMS's that are now empty because users might be upset even if empty ones are gone
		
		' remove any email notifications
		sSQLText = "SELECT ThreadUnq FROM Message (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While ( NOT rsMsgBoard.EOF )
			' remove email notifications for these messages
			DBConnection.Execute "DELETE FROM EmailNotifications WHERE ThreadUnq = " & rsMsgBoard("ThreadUnq")
			rsMsgBoard.MoveNext
		Wend
		rsMsgBoard.Close

		' log the removal of all of the messages in this conference
		sSQLText = "SELECT * FROM Message (NOLOCK) WHERE ConfUnq = " & iConfUnq
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While ( NOT rsMsgBoard.EOF )
			iTempThreadUnq = rsMsgBoard("ThreadUnq")
			iTempMsgUnq = rsMsgBoard("MsgUnq")
			Call DOMAIN_Log(61, "", iConfUnq, "", iTempThreadUnq, "", iTempMsgUnq, "V", "D", SQLEncode(rsMsgBoard("Subject")), "")
			Call DOMAIN_Log(62, "", iConfUnq, "", iTempThreadUnq, "", iTempMsgUnq, "T", "D", "", SQLEncode(rsMsgBoard("Body")))
			Call DOMAIN_Log(63, "", iConfUnq, "", iTempThreadUnq, "", iTempMsgUnq, "V", "D", SQLEncode(rsMsgBoard("IPAddress")), "")

			' log the removal of accounts being locked from these messages
			sSQLText = "SELECT AccountUnq, Status FROM LockedAccounts (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iTempThreadUnq & " AND MsgUnq = " & iTempMsgUnq
			rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			While ( NOT rsMsgBoard2.EOF ) 
				Call DOMAIN_Log(64, rsMsgBoard2("AccountUnq"), iConfUnq, "", iTempThreadUnq, "", iTempMsgUnq, "V", "D", rsMsgBoard2("Status"), "")
				rsMsgBoard2.MoveNext
			Wend
			rsMsgBoard2.Close
			' log the removal of Groups being locked from these messages
			sSQLText = "SELECT GroupUnq, Status FROM LockedGroups (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iTempThreadUnq & " AND MsgUnq = " & iTempMsgUnq
			rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			While ( NOT rsMsgBoard2.EOF ) 
				Call DOMAIN_Log(65, rsMsgBoard2("GroupUnq"), iConfUnq, "", iTempThreadUnq, "", iTempMsgUnq, "V", "D", rsMsgBoard2("Status"), "")
				rsMsgBoard2.MoveNext
			Wend
			rsMsgBoard2.Close
			rsMsgBoard.MoveNext
		Wend
		rsMsgBoard.Close
		
		' remove the message in the conference
		DBConnection.Execute "DELETE FROM Message WHERE ConfUnq = " & iConfUnq
		
		' now, get all conferences who are children of the current conference and run this Sub on them.
		'	(needs to use rsMsgBoard3 because rsMsgBoard isn't closed upon recursion)
		Set rsMsgBoard3 = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT ConfUnq FROM Conference WHERE Parent = " & iConfUnq
		rsMsgBoard3.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While ( NOT rsMsgBoard3.EOF )
			If ( rsMsgBoard3("ConfUnq") <> "" ) And ( NOT IsNull(rsMsgBoard3("ConfUnq")) ) Then
				RecursivelyDelConf(rsMsgBoard3("ConfUnq"))
			End If
			rsMsgBoard3.MoveNext
		Wend
		rsMsgBoard3.Close
		Set rsMsgBoard3 = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, x, iMax, iColPosition
		Dim sName, sDescription, sTextColor, sLinkColor
		
		If ( iParentUnq = 0 ) Then
			' just list all conferences for the domain
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Conference (NOLOCK) WHERE Parent = 0 AND DomainUnq = " & iDomainUnq & " ORDER BY ColPosition SET ROWCOUNT 0"
		Else
			' list all child conferences of the parent
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Conference (NOLOCK) WHERE Parent = " & iParentUnq & " ORDER BY ColPosition SET ROWCOUNT 0"
		End If
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("MsgBoardBGColor2")
		sTextColor = DOMAIN_Color("MsgBoardTextColor2")
		For x = 1 To CDbl(iDBLoc)
			rsMsgBoard.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageBoards.sAction.value = sAction;
				document.ManageBoards.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iParentUnq=<%=iParentUnq%>&iDomainUnq=<%=iDomainUnq%>&" + sQueryString;
			}
			
			function NewBoard(){
				document.location = "New.asp?<%=DOMAIN_Link("G")%>&iDBLoc=<%=iDBLoc%>&iParentUnq=<%=iParentUnq%>&iDomainUnq=<%=iDomainUnq%>";
			}
			
			function EditSig(iConfUnq){
				document.location = "Edit.asp?<%=DOMAIN_Link("G")%>&iDBLoc=<%=iDBLoc%>&iConfUnq=" + iConfUnq + "&iDomainUnq=<%=iDomainUnq%>" + "&iParentUnq=<%=iParentUnq%>";
			}
			
			function ViewChild(iConfUnq){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>&iDBLoc=<%=iDBLoc%>&iParentUnq=" + iConfUnq;
			}
			
			function ReorderBoard(iMoveColPosition, iMoveConfUnq, sAction){
				document.ManageBoards.iMoveConfUnq.value=iMoveConfUnq;
				document.ManageBoards.iMoveColPosition.value=iMoveColPosition;
				SubmitForm(sAction);
			}
			
			function ViewParent(){
				<%
				' Get the parent's parent so we know where to go up from here
				sSQLText = "SELECT Parent FROM Conference WHERE ConfUnq = " & iParentUnq
				rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsMsgBoard2.EOF And NOT IsNull(rsMsgBoard("Parent")) ) Then
					%>document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDBLoc=<%=iDBLoc%>&iParentUnq=<%=rsMsgBoard2("Parent")%>&iDomainUnq=<%=iDomainUnq%>";<%
				Else
					%>document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDBLoc=<%=iDBLoc%>&iParentUnq=0&iDomainUnq=<%=iDomainUnq%>";<%
				End If
				rsMsgBoard2.Close
				%>
			}
			
		</script>
		<form name='ManageBoards' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iParentUnq"
		aVariables(4) = "iMoveConfUnq"
		aVariables(5) = "iMoveColPosition"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = iParentUnq
		aValues(4) = 0
		aValues(5) = 0
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("MSGBOARD_MANAGEBOARDS_HEAD")%></b></font>
					<br><br>
					<%=DOMAIN_Text("MSGBOARD_MANAGEBOARDS_INTRO")%>
					<br>
					<%=Replace(Replace(DOMAIN_Text("MSGBOARD_PARENT_BOARD"), "1:", "<a href='JavaScript:ViewParent()' class='MediumNavPage'>" & GetParentName(iParentUnq, iDomainUnq) & "</a>"), "2:", GetParentName(iParentUnq, iDomainUnq))%>
					<br><br>
					<table>
						<tr>
							<td><font color='<%=DOMAIN_Color("MsgBoardPageText")%>'><b><%=DOMAIN_Text("MSGBOARD_DOMAINS")%></b></font></td>
						</tr>
						<tr>
							<td>
								<%Call DOMAINS_DomainsDropDown("SB_MB_BOARDS", "", "")%>
							</td>
						</tr>
					</table>
					<br><br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_CONFUNQ")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_NAME")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_DESC")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_NUMTHREADS")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_NUMCHILDREN")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_CHILD")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_EDIT_DETAILS")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_DEL_MSGBOARD")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARD_ORDER")%></b></td>
						</tr>
						<tr>
						<%
						While ( NOT rsMsgBoard.EOF )
							If ( sBGColor = DOMAIN_Color("MsgBoardBGColor1") ) Then
								sBGColor = DOMAIN_Color("MsgBoardPageBGColor")
								sTextColor = DOMAIN_Color("MsgBoardPageText")
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = DOMAIN_Color("MsgBoardBGColor1")
								sTextColor = DOMAIN_Color("MsgBoardTextColor1")
								sLinkColor = "MediumNav1"
							End If
							iConfUnq = rsMsgBoard("ConfUnq")
							sDescription = Server.HTMLEncode(Trim(rsMsgBoard("Description")))
							sName = Server.HTMLEncode(Trim(rsMsgBoard("Name")))
							iColPosition = rsMsgBoard("ColPosition")
							%>
							<tr>
								<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=rsMsgBoard("ConfUnq")%></font></td>
								
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldConfUnq<%=iConfUnq%>' value="<%=sName%>"><input type='hidden' name='sOldName<%=iConfUnq%>' value="<%=sName%>"><input type='text' name='sNewName<%=iConfUnq%>' value="<%=sName%>" size=15 maxlength=250></td>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldDescription<%=iConfUnq%>' value="<%=sDescription%>"><input type='text' name='sNewDescription<%=iConfUnq%>' value="<%=sDescription%>" size=15 maxlength=250></td>
								<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><%=rsMsgBoard("NumThreads")%></font></td>
								<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><%=rsMsgBoard("NumChildren")%></font></td>
								
								<td bgcolor=<%=sBGColor%> align=center><%If ( CDbl(rsMsgBoard("NumChildren")) > 0 ) Then%><a href='JavaScript:ViewChild("<%=iConfUnq%>")' class='<%=sLinkColor%>'><%=DOMAIN_Text("MSGBOARD_VIEW_CHILD")%></a><%Else%><a href='JavaScript:ViewChild("<%=iConfUnq%>")' class='<%=sLinkColor%>'><%=DOMAIN_Text("MSGBOARD_ADD_CHILD")%></a><%End If%></td>
								<td bgcolor=<%=sBGColor%> align=center><a href='JavaScript:EditSig("<%=iConfUnq%>")' class='<%=sLinkColor%>'><%=DOMAIN_Text("MSGBOARD_EDIT_SIG")%></a></td>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name='sDelete<%=iConfUnq%>' value='Y'></td>
								<td align=center bgcolor=<%=sBGColor%>>
									<Table cellpadding=0 cellspacing=0 border=0>
										<%If ( iColPosition > 0 ) Then%>
										<tr><td><a href='JavaScript:ReorderBoard(<%=iColPosition%>, <%=iConfUnq%>, "MoveUp")'><img src='../Images/Administrative/MoveUp.gif' border=0 width=12 height=6 alt='<%=DOMAIN_Text("MSGBOARD_MOVE_UP")%>'></a></td></tr>
										<%End If%>
										<tr><td><img src='/WS_Content/Images/Blank.gif' border=0 width=12 height=6></td></tr>
										<%If ( iColPosition+1 < iTtlNumItems ) And ( iTtlNumItems > 1 ) Then%>
										<tr><td><a href='JavaScript:ReorderBoard(<%=iColPosition%>, <%=iConfUnq%>, "MoveDown")'><img src='../Images/Administrative/MoveDown.gif' border=0 width=12 height=6 alt='<%=DOMAIN_Text("MSGBOARD_MOVE_DOWN")%>'></a></td></tr>
										<%End If%>
									</table>
								</td>
							</tr>
							<%
							rsMsgBoard.MoveNext
						Wend
						%>
						<tr>
							<td colspan=9 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "MsgBoard", "", "Default.asp", "" )%>
							</td>
						</tr>
					</table>
					<font size=2>
					<%=DOMAIN_Text("MSGBOARD_MANAGE_BOARDS_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsMsgBoard.Close
	End Sub
	'********************************************************************************
	
	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("MsgBoardPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>
