<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, iParentUnq, sAllowAttachments, sAttachFileTypes, iMaxAttachSize, iNumAttachPerUser
	Dim sUnlimitedAttachSize, sUnlimitedPerUser, sType

	Dim sSQLText, rsMsgBoard
	
	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_MANAGE_BOARDS_NEW")
	If   (ACCNT_AnyDomain("SB_MB_BOARDS")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSig, sName, sDescription, iTemp, iTemp2, iNextConfUnq
		
		Set rsMsgBoard = CreateObject("ADODB.Recordset")	
		sAction = Request("sAction")
		
		iDomainUnq = DOMAIN_FixD(Request("iDomainUnq"), 0)
		If ( iDomainUnq = 0 ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MB_BOARDS", "", "")
		End If
		iParentUnq = DOMAIN_FixD(Request("iParentUnq"), 0)

		sDescription = Trim(Request("sDescription"))
		sType = Trim(Request("sType"))
		sName = Trim(Request("sName"))
		sSig = Trim(Request("sSig"))
		sAllowAttachments		= Trim(Request("sAllowAttachments"))
		If ( sAllowAttachments = "" ) Then
			sAllowAttachments = "Y"
		End If
		sAttachFileTypes		= Trim(Request("sAttachFileTypes"))
		If ( sAttachFileTypes = "" ) Then
			sAttachFileTypes = "gif jpg png txt zip bmp jpeg pdf doc"
		End If
		iMaxAttachSize			= DOMAIN_FixD(Request("iMaxAttachSize"), -1)
		sUnlimitedAttachSize	= Trim(Request("sUnlimitedAttachSize"))
		If ( sUnlimitedAttachSize = "T" ) Then
			iMaxAttachSize = "-1"
		End If

		iNumAttachPerUser		= DOMAIN_FixD(Request("iNumAttachPerUser"), -1)
		sUnlimitedPerUser		= Trim(Request("sUnlimitedPerUser"))
		If ( sUnlimitedPerUser = "T" ) Then
			iNumAttachPerUser = "-1"
		End If
		
		Select Case sAction
			Case "AddBoard"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MB_BOARDS", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( sName <> "" ) Then
						iNextConfUnq = NextConfUnq()
						' get the next position number
						sSQLText = "SELECT ISNULL(MAX(ColPosition),-1)+1 FROM Conference WHERE Parent = " & iParentUnq & " AND DomainUnq = " & iDomainUnq
						rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsMsgBoard.EOF ) Then
							iTemp2 = rsMsgBoard(0)
						Else
							iTemp2 = 0
						End If
						rsMsgBoard.Close
						DBConnection.Execute "INSERT INTO Conference VALUES (" & iDomainUnq & ", " & iNextConfUnq & ", " & iParentUnq & ", '" & SQLEncode(sName) & "',  0, 0, '" & SQLEncode(sDescription) & "', '" & SQLEncode(sSig) & "',0," & iTemp2 & ",'N', '" & sAllowAttachments & "', '" & SQLEncode(sAttachFileTypes) & "', " & iMaxAttachSize & ", " & iNumAttachPerUser & ", '" & sType & "')"
						
						' add one to the number of children this new conference's parent has (if it's not a top level conf)
						sSQLText = "SELECT NumChildren FROM Conference WHERE ConfUnq = " & iParentUnq
						rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsMsgBoard.EOF And NOT IsNull(rsMsgBoard("NumChildren")) ) Then
							iTemp = CDbl(rsMsgBoard("NumChildren")) + 1
						Else
							iTemp = 1
						End If
						rsMsgBoard.Close
						DBConnection.Execute "UPDATE Conference SET NumChildren = " & iTemp & " WHERE ConfUnq = " & iParentUnq
						' give all users all access to the new board
						DBConnection.Execute "INSERT INTO LockedAccounts VALUES (" & iNextConfUnq & ", 0, 0, -1, 'CV')"
						' give all nonmembers access to the new board
						DBConnection.Execute "INSERT INTO LockedNonMember VALUES (" & iNextConfUnq & ", 0, 0, 'CV')"
						
						' log the addition of the new board
						Call DOMAIN_Log(128, "", iDomainUnq, "", iNextConfUnq, "", 0, "V", "I", iParentUnq, "")
						Call DOMAIN_Log(72, "", iNextConfUnq, "", -1, "", 0, "V", "I", "CV", "")
						Call DOMAIN_Log(66, "", iDomainUnq, "", iNextConfUnq, "", 0, "V", "I", SQLEncode(sName), "")
						Call DOMAIN_Log(67, "", iDomainUnq, "", iNextConfUnq, "", 0, "V", "I", SQLEncode(sDescription), "")
						Call DOMAIN_Log(68, "", iDomainUnq, "", iNextConfUnq, "", 0, "T", "I", "", SQLEncode(sSig))
						Call DOMAIN_Log(69, "", iDomainUnq, "", iNextConfUnq, "", 0, "V", "I", iTemp2, "")
						Call DOMAIN_Log(129, "", iNextConfUnq, "", 0, "", 0, "V", "I", "CV", "")
						Call DOMAIN_Log(141, "", iDomainUnq, "", iNextConfUnq, "", 0, "T", "I", "", sAllowAttachments)
						Call DOMAIN_Log(142, "", iDomainUnq, "", iNextConfUnq, "", 0, "T", "I", "", SQLEncode(sAttachFileTypes))
						Call DOMAIN_Log(143, "", iDomainUnq, "", iNextConfUnq, "", 0, "T", "I", "", iMaxAttachSize)
						Call DOMAIN_Log(144, "", iDomainUnq, "", iNextConfUnq, "", 0, "T", "I", "", iNumAttachPerUser)
						Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_BOARD_CREATED"), "SUCCESS")
					Else
						sError = sError & DOMAIN_Text("MSGBOARD_NO_BOARD_NAME")
					End If
				End If
		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		
		' check for the license max - must do this at the bottom so it reacts after a new board has been added
		If ( NUM_ALLOWED_BOARDS > 0 ) Then
			' get the total number of boards that have been created - on ALL domains
			If ( G_BOARDS_GetBoardCount() >= NUM_ALLOWED_BOARDS ) Then
				Call DOMAIN_Message("The maximum number of boards allowed in this SiteBeater installation (" & NUM_ALLOWED_BOARDS & " boards) has been reached. Please delete an existing board to create a new one, or <a href='http://www.sitebeater.com/' target='_blank' class='MediumNavPage'>upgrade your SiteBeater Message Board license</a>.", "ERROR")
			Else
				Call WriteForm()
			End If
		ElseIf ( NUM_ALLOWED_BOARDS = 0 ) Then
			Call DOMAIN_Message("You are not allowed to create boards with this SiteBeater license. Please <a href='http://www.sitebeater.com/' target='_blank' class='MediumNavPage'>purchase a SiteBeater Message Board license</a>.", "ERROR")
		Else
			Call WriteForm()
		End If

		Set rsMsgBoard = Nothing
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	Gets the next ConfUnq.															*
	'*	The ConfUnq's are unqiue across ALL domains.									*
	'*																					*
	'************************************************************************************
	Function NextConfUnq()
		sSQLText = "SELECT MAX(ConfUnq) FROM Conference"
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF And NOT IsNull(rsMsgBoard(0)) ) Then
			NextConfUnq = CDbl(rsMsgBoard(0)) + 1
		Else
			NextConfUnq = 1
		End If
		rsMsgBoard.Close
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, rsDomain, sDescription, sName, sSig, sTextColor
		
		sBGColor	= DOMAIN_Color("MsgBoardBGColor1")
		sTextColor	= DOMAIN_Color("MsgBoardTextColor1")

		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageBoards.sAction.value = sAction;
				document.ManageBoards.submit();
			}
			
		</script>
		<form name='ManageBoards' action='New.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iDomainUnq"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iParentUnq"
		aValues(0) = "New"
		aValues(1) = iDomainUnq
		aValues(2) = DOMAIN_FixD(Request("iDBLoc"), 0)
		aValues(3) = iParentUnq
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("MSGBOARD_NEW_BOARDS")%></b></font>
					<br>
					<%=Replace(Replace(DOMAIN_Text("MSGBOARD_PARENT_BOARD"), "1:", "<a href='Default.asp?iParentUnq=" & iParentUnq & "&iDBLoc=" & DOMAIN_FixD(Request("iDBLoc"), 0) & "&iDomainUnq=" & iDomainUnq & "' class='MediumNavPage'>" & GetParentName(iParentUnq, iDomainUnq) & "</a>"), "2:", GetParentName(iParentUnq, iDomainUnq))%>
					<br><br>
					<table cellpadding = 1 cellspacing = 0 border = 0 width=671><tr><td bgcolor = <%=DOMAIN_Color("MsgBoardBorderColor1")%> align=center>
					<table cellpadding=5 cellspacing = 1 border = 0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARD_NAME")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_BOARD_DESC")%></b></td>
						</tr>
						<tr>
							<td bgcolor=<%=sBGColor%>><input type='text' name='sName' value="<%=Server.HTMLEncode(sName)%>" size=35 maxlength=250></td>
							<td bgcolor=<%=sBGColor%>><input type='text' name='sDescription' value="<%=Server.HTMLEncode(sDescription)%>" size=45 maxlength=250></td>
						</tr>
						<tr>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'><b>Allow Attachments? </td>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'>
								Yes: <input type='radio' name='sAllowAttachments' value='Y' <%If ( sAllowAttachments = "Y" ) Then Response.Write "checked" End If%>> 
								No: <input type='radio' name='sAllowAttachments' value='N' <%If ( sAllowAttachments = "N" ) Then Response.Write "checked" End If%>>
							</td>
						</tr>
						<tr>
							<td colspan=2 bgcolor = <%=sBGColor%>>
								<table cellpadding=0 cellspacing = 0 border = 0>
									<tr><td><font color='<%=sTextColor%>'><b>File Types Allowed (seperate each file type with a space):</td></tr>
									<tr><td><input type='text' name='sAttachFileTypes' value="<%=Server.HTMLEncode(sAttachFileTypes)%>" size=80 maxlength=255></td></tr>
								</table>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'><b>Max Attachment Size (in bytes): </td>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'>
								<input type='text' name='iMaxAttachSize' value='<%If ( iMaxAttachSize <> "-1" ) Then Response.Write iMaxAttachSize End If%>' size=20 maxlength=10> 
								&#151;OR&#151; 
								Unlimited: <input type='checkbox' name='sUnlimitedAttachSize' value='T' <%If ( iMaxAttachSize = "-1" ) Then Response.Write "checked" End If%>>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'><b>Num Attachments Per User Per Day: </td>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'>
								<input type='text' name='iNumAttachPerUser' value='<%If ( iNumAttachPerUser <> "-1" ) Then Response.Write iNumAttachPerUser End If%>' size=20 maxlength=10> 
								&#151;OR&#151; 
								Unlimited: <input type='checkbox' name='sUnlimitedPerUser' value='T' <%If ( iNumAttachPerUser = "-1" ) Then Response.Write "checked" End If%>>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("MSGBOARD_UPDATEBOARD_BOARDTYPE")%></td>
							<td bgcolor = <%=sBGColor%>><font color='<%=sTextColor%>'>
								<select name='sType'>
									<option value = ''><%=DOMAIN_Text("MSGBOARD_UPDATEBOARD_BOARDTYPE_MSGBOARD")%></option>
									<option value = 'P' <%If ( sType = "P" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("MSGBOARD_UPDATEBOARD_BOARDTYPE_POLLS")%></option>
									<option value = 'G' <%If ( sType = "G" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("MSGBOARD_UPDATEBOARD_BOARDTYPE_GALLERY")%></option>
									<option value = 'N' <%If ( sType = "N" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("MSGBOARD_UPDATEBOARD_BOARDTYPE_NEWS")%></option>
								</select>
							</td>
						</tr>
						<tr>
							<td colspan=2 bgcolor=<%=sBGColor%>>
								<font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_BOARD_SIG")%></b>
								<br>
								<textarea cols=80 rows=12 name='sSig' wrap=off><%=Server.HTMLEncode(sSig)%></textarea>
							</td>
						</tr>
					</table>
					</td></tr></table>
					<br><center><input type="button" value=" <%=DOMAIN_Text("MSGBOARD_BOARDS_ADD_NEW")%> " onClick='SubmitForm("AddBoard")'>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'********************************************************************************
%>
