<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<!--#INCLUDE FILE="../Includes/ListConf-Include.asp"-->
<!--#INCLUDE FILE="../Includes/Function/Functionality-MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetBoardAccess.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetThreadAccess.asp"-->
<!--#INCLUDE FILE="../Includes/i_GetMessageAccess.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Links.asp"-->
<%
	Dim sDate, sKeywords, sBreadCrumb
	Dim sWithin, sThan, sDirection, sOrder, x, iTtlLeaf, iTtlParent, sTempConfUnq
	Dim sError, SearchsqlText, iEndPos, iStartPos, dLastDate, rsMsgBoard, sTemp
	Dim iTemp, aData, iSearchID, sSQLText, sSortBy

	ReDim ParentConfArray(20)
	ReDim LeafConfArray(20)

	Response.Buffer = TRUE
	Call DISP_Action("SB_MSGBOARD_TOPNAV_OPEN")
	Call DISP_Action("SB_MSGBOARD_TOPNAV")
	Call Main()
	Call DISP_Action("SB_MSGBOARD_CLOSE")
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Response.Write "<br>"
		Call G_STRUCTURE_HeaderBar(DOMAIN_Text("MSGBOARD_SEARCH_ENTER_CRITERIA_IMAGE"), DOMAIN_Text("MSGBOARD_SEARCH_ENTER_CRITERIA"), "", "MsgBoard")
		Response.Write "<table width=" & iTableWidth & " cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = " & DOMAIN_Color("MsgBoardBorderColor1") & " align=center><table cellpadding=5 width=" & iTableWidth & " cellspacing = 0 border = 0><tr><td bgcolor = " & DOMAIN_Color("MsgBoardBGColor1") & " valign=top align=center><font color='" & DOMAIN_Color("MsgBoardTextColor1") & "'>"
		Response.Write "<br>Preparing Results<br><br>Please Wait...<br><br>"
		Response.Write "</table></td></tr></table><br>"
		Response.Flush
		Call SearchConf()	' Display the search results
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This allows the users to suggest a new category									*
	'*																					*
	'************************************************************************************
	Sub SearchConf()
	
		x				= 0
		iTtlLeaf		= 1
		iTtlParent		= 1
		
		' Check the form for completeness. If not complete, then change iSearchAction to "DisplayResults"
		sKeywords		= Request("sKeywords")
		sWithin			= Request("sWithin")
		sDate			= Request("sDate")
		sThan			= Request("sThan")
		sDirection		= Request("sDirection")
		sOrder			= Request("sOrder")
		
		If ( UCAse(Trim(sKeywords)) = "SB_NEW" ) Then
			Call NewThreadSearch()
		Else
			Call NormalSearch()
		End If

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This searches for the newest threads											*
	'*																					*
	'************************************************************************************
	Sub NewThreadSearch()
	
		' Form the SQL Select statement
		
		DBConnection.Execute "INSERT INTO Searches VALUES (" & iLoginAccountUnq & ", GetDate())"
		Set rsMsgBoard = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT @@IDENTITY"	' get the just inserted SearchID for use in the SearchResults table
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard.EOF ) Then
			iSearchID = rsMsgBoard(0)
		End If
		rsMsgBoard.Close
		Set rsMsgBoard = Nothing
		
		SearchsqlText = "INSERT INTO SearchResults SELECT " & iLoginAccountUnq & ", ConfUnq, ThreadUnq, MsgUnq, " & iSearchID & " FROM Message (NOLOCK) WHERE"

		' Add the date checks
		dLastDate = DOMAIN_FormatDate(DateAdd("d", -3, NOW), "L")	' search for the past three days
		
		SearchsqlText = SearchsqlText & " (DateChanged >= '" & DOMAIN_FormatDate(dLastDate, "L") & "')"
		
		If ( NOT ACCNT_SpecificDomain("SB_MB_MODERATION", iDomainName) ) Then
			' just check for this because it's gnarley to check in the query for moderation within all the conferences they can search
			SearchsqlText = SearchsqlText & " AND Approved = 'Y'"
		End If

		' Add the sort order
		sSortBy = " ORDER BY M.DateChanged Desc"

		DBConnection.Execute SearchsqlText
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			document.location = "DisplayResults.asp?<%=DOMAIN_Link("G")%>&sSortBy=<%=Server.URLEncode(sSortBy)%>&iSearchID=<%=iSearchID%>&sKeywords=<%=Server.URLEncode(Request("sKeywords"))%>&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>";

		</script>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This searches normally															*
	'*																					*
	'************************************************************************************
	Sub NormalSearch()

		' Get the conferences from the multi-pick pick list
		for each sTempConfUnq in Request("sConfUnq")
			x = x + 1
			if x >= 20 then
				sError = sError + DOMAIN_Text("MSGBOARD_SEARCH_MAX_SEARCH")
			else
				if InStr(sTempConfUnq, "x") = 1 then
					' It's a leaf conference
					LeafConfArray(iTtlLeaf) = right(sTempConfUnq, len(sTempConfUnq) - 1)
					iTtlLeaf = iTtlLeaf + 1
				else
					ParentConfArray(iTtlParent) = sTempConfUnq
					iTtlParent = iTtlParent + 1
				end if
			end if
		next
		
		if iTtlLeaf + iTtlParent = 2 then
			sError = sError + DOMAIN_Text("MSGBOARD_SEARCH_CHOOSE_BOARD")
		end if
		
		if sKeywords = "" then
			sError = sError + DOMAIN_Text("MSGBOARD_SEARCH_ENTER_KEYWORDS")
		end if
		
		if sError <> "" then
			Call DOMAIN_Message(sError, "ERROR")
		else
			' Form the SQL Select statement
			
			DBConnection.Execute "INSERT INTO Searches VALUES (" & iLoginAccountUnq & ", GetDate())"
			Set rsMsgBoard = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT @@IDENTITY"	' get the just inserted SearchID for use in the SearchResults table
			rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsMsgBoard.EOF ) Then
				iSearchID = rsMsgBoard(0)
			End If
			rsMsgBoard.Close
			Set rsMsgBoard = Nothing
			
			SearchsqlText = "INSERT INTO SearchResults SELECT " & iLoginAccountUnq & ", ConfUnq, ThreadUnq, MsgUnq, " & iSearchID & " FROM Message (NOLOCK) "
			
			' Parse the keywords out
			sKeywords = Replace(sKeywords, " ,", ",")
			sKeywords = Replace(sKeywords, ", ", ",")
			sKeywords = Replace(sKeywords, """", "")
			sKeywords = StripCodes(sKeywords)
			sKeywords = SQLEncode(sKeywords) & ","
			
			iEndPos = InStr(sKeywords, ",")
			iStartPos = 1
			if iEndPos > 0 then
				while iEndPos > 0
					if iStartPos = 1 then
						select case sWithin
							Case "2"
								SearchsqlText = SearchsqlText & "WHERE ((Subject LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%' OR Body LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
							Case "4"
								SearchsqlText = SearchsqlText & "WHERE ((Subject LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
							Case "5"
								SearchsqlText = SearchsqlText & "WHERE ((Body LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
						end select
					else
						select case sWithin
							Case "2"
								SearchsqlText = SearchsqlText & " OR (Subject LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%' OR Body LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
							Case "4"
								SearchsqlText = SearchsqlText & " OR (Subject LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
							Case "5"
								SearchsqlText = SearchsqlText & " OR (Body LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
						end select
					end if
					if iEndPos < len(sKeywords) then
						iStartPos = iEndPos + 1
						iEndPos = InStr(iStartPos, sKeywords, ",")
					else
						iEndPos = 0
					end if
				wend
			else
				' there's just one work with no spaces
				select case sWithin
					Case "2"
						SearchsqlText = SearchsqlText & "WHERE ((Subject LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%' OR Body LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
					Case "4"
						SearchsqlText = SearchsqlText & "WHERE ((Subject LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
					Case "5"
						SearchsqlText = SearchsqlText & "WHERE ((Body LIKE '%" & mid(sKeywords, iStartPos, iEndPos - iStartPos) & "%')"
				end select
			end if
			SearchsqlText = SearchsqlText & ")"
			
			
			SearchsqlText = SearchsqlText & " AND "
			' Get all the children conferences of all the conferences they chose to search in
			sConfUnqList = ""
			' they are doing a normal search - so just search the conferences they requested
			for x = 1 to iTtlParent - 1
				Call ListConferences(ParentConfArray(x), 2)
				sConfUnqList = sConfUnqList & "," & ParentConfArray(x)
				sConfUnqList = Replace(sConfUnqList, "x", "")
			next

			If ( InStr(sConfUnqList, ",") = 1 ) Then
				sConfUnqList = Right(sConfUnqList, Len(sConfUnqList)-1)	' remove the first comma (it's appended to the beginning of the confunq list)
			End If
			aData = Split(sConfUnqList, ",", -1, 1)
			iTemp = UBound(aData)
			SearchsqlText = SearchsqlText & "("
			For x = 0 to iTemp
				SearchsqlText = SearchsqlText & "(ConfUnq = " & aData(x) & ")"
				If ( x < iTemp ) Then
					SearchsqlText = SearchsqlText & " Or "
				End If
			Next
			SearchsqlText = SearchsqlText & ")"

			' Add the date checks
			dLastDate = DateAdd("d", (-1 * CDbl(sThan)), NOW)
			if sDate = "1" then
				' less
				SearchsqlText = SearchsqlText & " AND (DateChanged >= '" & DOMAIN_FormatDate(dLastDate, "L") & "')"
			else
				' more
				SearchsqlText = SearchsqlText & " AND (DateChanged <= '" & DOMAIN_FormatDate(dLastDate, "L") & "')"
			end if
			
			If ( NOT ACCNT_SpecificDomain("SB_MB_MODERATION", iDomainName) ) Then
				' just check for this because it's gnarley to check in the query for moderation within all the conferences they can search
				SearchsqlText = SearchsqlText & " AND Approved = 'Y'"
			End If

			' Add the sort order
			sSortBy = " ORDER BY M." & sOrder & " " & sDirection

			DBConnection.Execute SearchsqlText
			%>
			<script language='JavaScript1.2' type='text/javascript'>
		
				document.location = "DisplayResults.asp?<%=DOMAIN_Link("G")%>&sSortBy=<%=Server.URLEncode(sSortBy)%>&iSearchID=<%=iSearchID%>&sKeywords=<%=Server.URLEncode(Request("sKeywords"))%>&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>";

			</script>
			<%
		end if
	End Sub
	'************************************************************************************
%>