<!--#INCLUDE FILE="../Includes/i_News.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<%
	Dim iTtlNumItems, iDBLoc, iNumPerPage, sSearchID
	Response.Buffer = TRUE

	Call DISP_Action("SB_NEWS_PUBLIC_OPEN")
	Call DISP_Action("SB_NEWS_TOPNAV")

	iTableWidth		= DOMAIN_Conf("SB_NEWS_ARTICLEDISPLAY_WIDTH")
	iNumPerPage		= DOMAIN_Conf("SB_NEWS_ANNOTATEDVIEW_NUMPERPAGE")

	Call Main()

	Call DISP_Action("SB_NEWS_PUBLIC_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function PaginationLink(sQueryString){
				document.location = "Archive.asp?<%=DOMAIN_Link("G")%>&" + sQueryString;
			}
			
		</script>
		<%
		Call RefreshSearchResults()
		Call SearchConf()	' Display the search results
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub SearchConf()
	
		Dim sDate, sKeywords, sBreadCrumb
		Dim sWithin, sThan, sDirection, sOrder, x, iTtlLeaf, iTtlParent, sTempConfUnq
		Dim sSortMethod, sError, SearchsqlText, iEndPos, iStartPos, dLastDate, rsNews, sTemp
		Dim iTemp, aData, sSQLText, sSort
		
		Set rsNews = Server.CreateObject("ADODB.recordset")
		
		' Pagination variables -- begin
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( sSearchID <> "" ) Then
				sSQLText = "SELECT Count(*) FROM SearchResults R (NOLOCK), News N (NOLOCK) WHERE R.SearchID = " & sSearchID & " AND R.NewsUnq=N.NewsUnq"
				rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If Not(rsNews.EOF) Then
					iTtlNumItems = rsNews(0)
				End If
				rsNews.Close
			Else
				iTtlNumItems = 0
			End If
		end if
		' Pagination variables -- end
		
		Response.Write "<BR>"
		Call G_STRUCTURE_HeaderBar(DOMAIN_Text("NEWS_SEARCHARCHIVES_IMAGE"), "", "", "News")
		
		%>
		<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("NewsBorderColor1")%>'>
		<table cellpadding = 5 cellspacing=0 border=0 width=<%=iTableWidth%>>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("NewsPageBGColor")%>>
					<form action='PrepareResults.asp'>
					<table width=100%>
						<tr>
							<td colspan=3>
								<input type='text' name='sKeywords' value='<%=sKeywords%>' size=40 maxlength=250>
								<input type='image' src="<%=sPath%>Images/SchemeBased/<%=iTextScheme%>/<%=iColorScheme%>/<%=DOMAIN_Text("NEWS_SEARCH_BUTTON")%>" style="BORDER: none; vertical-align: middle;">
							</td>
						</tr>
						<tr>
							<td>
								<select name='sOriginalEditor'>
									<option value='-1'><%=DOMAIN_Text("NEWS_ALLAUTHORS")%></option>
									<%
									sSQLText = "SELECT DISTINCT DisplayName FROM NEWS (NOLOCK) WHERE DomainUnq = " & iDomainName & " AND StartDate < GetDate()"
									rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsNews.EOF )
										Response.Write "<option value=""" & Server.HTMLEncode(rsNews("DisplayName")) & """>" & rsNews("DisplayName") & "</option>"
										rsNews.MoveNext
									Wend
									rsNews.Close
									%>
								</select>
							</td>
							<td>
								<select name='iCatUnq'>
									<option value='-1'><%=DOMAIN_Text("NEWS_ALLCATS")%></option>
									<%
									sSQLText = "SELECT CatUnq, Name FROM Categories (NOLOCK) WHERE DomainUnq = " & iDomainName
									rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsNews.EOF )
										Response.Write "<option value=""" & rsNews("CatUnq") & """>" & rsNews("Name") & "</option>"
										rsNews.MoveNext
									Wend
									rsNews.Close
									%>
								</select>
							</td>
							<td>
								<select name='sSort'>
									<option value='SubmitDate'><%=DOMAIN_Text("NEWS_ORDERBYDATE")%></option>
									<option value='DisplayName'><%=DOMAIN_Text("NEWS_ORDERBYAUTHOR")%></option>
									<option value='CatUnq'><%=DOMAIN_Text("NEWS_ORDERBYCAT")%></option>
									<option value='Headline'><%=DOMAIN_Text("NEWS_ORDERBYHEADLINE")%></option>
								</select>
							</td>
						</tr>
					</table>
					</form>
				</td>
			</tr>
		</table>
		</td></tr></table>
		<br>
		<%
		If ( sSearchID <> "" ) Then
			sSort = Trim(Request("sSort"))
			If ( sSort = "SubmitDate" ) Then
				' date is the only one to sort DESC
				SearchsqlText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM SearchResults R (NOLOCK), News N (NOLOCK) WHERE R.SearchID = " & sSearchID & " AND R.NewsUnq=N.NewsUnq ORDER BY SubmitDate DESC SET ROWCOUNT 0"
			Else
				SearchsqlText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM SearchResults R (NOLOCK), News N (NOLOCK) WHERE R.SearchID = " & sSearchID & " AND R.NewsUnq=N.NewsUnq ORDER BY " & sSort & " SET ROWCOUNT 0"
			End If
			rsNews.Open SearchsqlText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			if not rsNews.EOF then
				For x = 1 To CDbl(iDBLoc)
					rsNews.MoveNext
				Next
				%>
				<table cellpadding=0 cellspacing=0 border=0 width=<%=iTableWidth%>><tr><td bgcolor=<%=DOMAIN_Color("NewsBorderColor1")%>>
				<table cellpadding=5 cellspacing=1 border=0 width=<%=iTableWidth%>>
					<tr>
						<td bgcolor=<%=DOMAIN_Color("NewsBGColor1")%>>
							<font color='<%=DOMAIN_Color("NewsTextColor1")%>'>
							<%=DOMAIN_Text("NEWS_SEARCH_RESULTS")%>
							<b><%=Request("sKeywords")%></b>
						</td>
					</tr>
				</table>
				</td></tr></table>
				<%
				while not rsNews.EOF
					Call G_STRUCTURE_Disp_Message(rsNews("NewsUnq"), 2)	' 2 means just display the annotations
					rsNews.MoveNext
				wend
				Response.Write "<BR>"
				Call PrintRecordsetNav( "Archive.asp", "sSort=" & Server.URLEncode(Request("sSort")) & "&iSearchID=" & sSearchID & "&sKeywords=" & Server.URLEncode(Request("sKeywords")), "News" )
			Else
				%>
				<table cellpadding=0 cellspacing=0 border=0 width=<%=iTableWidth%>><tr><td bgcolor=<%=DOMAIN_Color("NewsBorderColor1")%>>
				<table cellpadding=5 cellspacing=1 border=0 width=<%=iTableWidth%>>
					<tr>
						<td bgcolor=<%=DOMAIN_Color("NewsBGColor1")%>>
							<font color='<%=DOMAIN_Color("NewsTextColor1")%>'>
							<%
							If (iTtlNumItems = 0) then
								If ( UCase(Trim(Request("sKeywords"))) = "SB_NEW" ) Then
									Response.Write DOMAIN_Text("NEWS_SEARCH_RESULTS_NO_NEW")
								Else
									Response.Write Replace(DOMAIN_Text("NEWS_SEARCH_RESULTS_NO_RETURNED"), "1:", Request("sKeywords"))
								End If
							Else
								Response.Write DOMAIN_Text("NEWS_SEARCH_RESULTS_SEARCHEXPIRED")
							End If
							%>
						</td>
					</tr>
				</table>
				</td></tr></table>
				<br>
				<%
			end if
			rsNews.Close
		End If
		Set rsNews = nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This resets the timeout period of the search results to the current time.		*
	'*																					*
	'************************************************************************************
	Sub RefreshSearchResults()
		
		sSearchID = Trim(Request("iSearchID"))
	
		If ( sSearchID <> "" ) Then
			DBConnection.Execute "UPDATE Searches SET DateChanged = GetDate() WHERE SearchID = " & sSearchID
		End If
	
	End Sub
	'************************************************************************************
%>