<!--#INCLUDE FILE="Includes/i_News.asp"-->
<!--#INCLUDE FILE="Includes/Display/i_Structure.asp"-->
<%
	Dim sCategoryURL, sNewsURL, iTtlNumItems, iDBLoc, iNumPerPage
	
	sCategoryURL	= "Default.asp?"
	sNewsURL		= "ArticleDisplay/Default.asp?"
	
	Response.Buffer = TRUE
	Call DISP_Action("SB_NEWS_PUBLIC_OPEN")
	Call DISP_Action("SB_NEWS_TOPNAV")
	Call Main()
	Call DISP_Action("SB_NEWS_PUBLIC_CLOSE")
	Response.Flush
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
	
		Dim sOriginalEditor, rsNews, sSQLText, sSQLText2, iCatUnq, sSort
		Dim x, iAnnotatedWidth, sLast, sCurrent
		
		iNumPerPage		= DOMAIN_Conf("SB_NEWS_ANNOTATEDVIEW_NUMPERPAGE")
		iAnnotatedWidth	= DOMAIN_Conf("SB_NEWS_ANNOTATEDVIEW_WIDTH")
		iTableWidth		= iAnnotatedWidth	' this is for G_STRUCTURE_Disp_Message()
		sSort			= Trim(Request("sSort"))			' if blank, sort by date
		sOriginalEditor	= Trim(Request("sOriginalEditor"))	' if blank display all editors
		iCatUnq			= Trim(Request("iCatUnq"))			' if this is blank, the annotated view should display ALL categories in order
		
		If ( sSort = "" ) Then
			sSort = "SubmitDate"
		End If
		
		Set rsNews = Server.CreateObject("ADODB.recordset")
		
		sSQLText = " SELECT * FROM News (NOLOCK) WHERE DomainUnq = " & iDomainName & " AND Approved = 'Y' AND Preview = 'N' AND (GetDate() BETWEEN StartDate AND EndDate) "
		sSQLText2 = "SELECT Count(*) FROM News (NOLOCK) WHERE DomainUnq = " & iDomainName & " AND Approved = 'Y' AND Preview = 'N' AND (GetDate() BETWEEN StartDate AND EndDate) "	' for getting the count for the pagination
		If ( sOriginalEditor <> "-1" ) And ( sOriginalEditor <> "" ) Then
			sSQLText = sSQLText & " AND ( DisplayName = '" & sOriginalEditor & "' )"
			sSQLText2 = sSQLText2 & " AND ( DisplayName = '" & sOriginalEditor & "' )"
		End If
		
		If ( iCatUnq <> "-1" ) And ( iCatUnq <> "" ) Then
			sSQLText = sSQLText & " AND ( CatUnq = " & iCatUnq & " )"
			sSQLText2 = sSQLText2 & " AND ( CatUnq = " & iCatUnq & " )"
		End If
		
		If ( sSort = "" ) Then
			sSQLText = sSQLText & " ORDER BY SubmitDate DESC"
		Else
			If ( sSort = "SubmitDate" ) Then
				sSQLText = sSQLText & " ORDER BY SubmitDate DESC"
			Else
				' have each sort be subsorted by date, but only the date is sorted DESC
				sSQLText = sSQLText & " ORDER BY " & sSort & ", SubmitDate DESC"
			End If
		End If
		
		' Pagination variables -- begin
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		
		Select Case Trim(Request("sAction"))
			Case "UpdateCatUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "UpdateOriginalEditor"
				iDBLoc = 0
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			rsNews.Open sSQLText2, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If Not(rsNews.EOF) Then
				iTtlNumItems = rsNews(0)
			End If
			rsNews.Close
		end if
		' Pagination variables -- end
		
		%>
		<table cellpadding = 5 cellspacing=0 border=0 width=<%=iAnnotatedWidth%>>
			<tr>
				<td align=right>
					<a href='<%=sPath%>ArticleDisplay/Archive.asp'><img src="<%=sPath%>Images/SchemeBased/<%=iTextScheme%>/<%=iColorScheme%>/<%=Server.HTMLEncode(DOMAIN_Text("NEWS_SEARCH_ARCHIVES_IMAGE"))%>" border=0 alt="<%=Server.HTMLEncode(DOMAIN_Text("NEWS_SEARCH_ARCHIVES_TEXT"))%>"></a>
				</td>
			</tr>
		</table>
		<%Call DISP_Action("SB_NEWS_CATEGORYDISPLAY")%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&" + sQueryString;
			}
			
			function SubmitForm(sAction){
				document.AnnotatedView.sAction.value = sAction;
				document.AnnotatedView.submit();
			}
			
		</script>
		<form action='Default.asp' name='AnnotatedView' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		Response.Write DOMAIN_Link("P")
		Call G_STRUCTURE_HeaderBar("", "", DOMAIN_Text("NEWS_ANNOTATED_HEADER"), "News")
		%>
		<table width=<%=iAnnotatedWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor='<%=DOMAIN_Color("NewsBorderColor1")%>'>
		<table cellpadding = 5 cellspacing=0 border=0 width=<%=iAnnotatedWidth%>>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("NewsPageBGColor")%>>
					<table width=100%>
						<tr>
							<td width=33%>
								<select name='sOriginalEditor' onChange='SubmitForm("UpdateOriginalEditor");'>
									<option value='-1'><%=DOMAIN_Text("NEWS_ALLAUTHORS")%></option>
									<%
									sSQLText2 = "SELECT DISTINCT DisplayName FROM NEWS (NOLOCK) WHERE DomainUnq = " & iDomainName & " AND StartDate < GetDate()"
									rsNews.Open sSQLText2, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsNews.EOF )
										If ( Trim(sOriginalEditor) = Trim(rsNews("DisplayName")) ) Then
											Response.Write "<option value=""" & Server.HTMLEncode(rsNews("DisplayName")) & """ selected>" & rsNews("DisplayName") & "</option>"
										Else
											Response.Write "<option value=""" & Server.HTMLEncode(rsNews("DisplayName")) & """>" & rsNews("DisplayName") & "</option>"
										End If
										rsNews.MoveNext
									Wend
									rsNews.Close
									%>
								</select>
							</td>
							<td align=center width=33%>
								<select name='iCatUnq' onChange='SubmitForm("UpdateCatUnq");'>
									<option value='-1'><%=DOMAIN_Text("NEWS_ALLCATS")%></option>
									<%
									sSQLText2 = "SELECT CatUnq, Name FROM Categories (NOLOCK) WHERE DomainUnq = " & iDomainName
									rsNews.Open sSQLText2, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While ( NOT rsNews.EOF )
										If ( Trim(iCatUnq) = Trim(rsNews("CatUnq")) ) Then
											Response.Write "<option value=""" & rsNews("CatUnq") & """ selected>" & rsNews("Name") & "</option>"
										Else
											Response.Write "<option value=""" & rsNews("CatUnq") & """>" & rsNews("Name") & "</option>"
										End If
										rsNews.MoveNext
									Wend
									rsNews.Close
									%>
								</select>
							</td>
							<td align=right width=33%>
								<select name='sSort' onChange='SubmitForm("UpdateSort");'>
									<option value='SubmitDate' <%If ( sSort = "SubmitDate" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_ORDERBYDATE")%></option>
									<option value='DisplayName' <%If ( sSort = "DisplayName" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_ORDERBYAUTHOR")%></option>
									<option value='CatUnq' <%If ( sSort = "CatUnq" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_ORDERBYCAT")%></option>
									<option value='Headline' <%If ( sSort = "Headline" ) Then Response.Write "Selected" End If%>><%=DOMAIN_Text("NEWS_ORDERBYHEADLINE")%></option>
								</select>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</td></tr></table>
		<%
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & sSQLText & " SET ROWCOUNT 0"
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		For x = 1 To CDbl(iDBLoc)
			rsNews.MoveNext
		Next

		While ( NOT rsNews.EOF )
			Select Case sSort
				Case "SubmitDate"
					sCurrent = FormatDateTime(rsNews("SubmitDate"), 2)
					If ( sLast <> sCurrent ) Then
						Response.Write "<BR>"
						Response.Write "<table cellpadding = 0 cellspacing=0 border=0 width=" & iAnnotatedWidth & "><tr><td bgcolor='" & DOMAIN_Color("NewsBorderColor1") & "'><img src='/WS_Content/Images/Blank.gif' width=1 height=1></td></tr></table>"
						Call G_STRUCTURE_SubHeaderBar("", "", "&nbsp;" & FormatDateTime(sCurrent, 1), "News")
						sLast = sCurrent
					End If
					Call G_STRUCTURE_Disp_Message(rsNews("NewsUnq"), 2)
				Case "DisplayName"
					sCurrent = rsNews("DisplayName")
					If ( sLast <> sCurrent ) Then
						Response.Write "<BR>"
						Response.Write "<table cellpadding = 0 cellspacing=0 border=0 width=" & iAnnotatedWidth & "><tr><td bgcolor='" & DOMAIN_Color("NewsBorderColor1") & "'><img src='/WS_Content/Images/Blank.gif' width=1 height=1></td></tr></table>"
						Call G_STRUCTURE_SubHeaderBar("", "", "&nbsp;" & sCurrent, "News")
						sLast = sCurrent
					End If
					Call G_STRUCTURE_Disp_Message(rsNews("NewsUnq"), 2)
				Case "CatUnq"
					sCurrent = GetCatTitle(rsNews("CatUnq"))
					If ( sLast <> sCurrent ) Then
						Response.Write "<BR>"
						Response.Write "<table cellpadding = 0 cellspacing=0 border=0 width=" & iAnnotatedWidth & "><tr><td bgcolor='" & DOMAIN_Color("NewsBorderColor1") & "'><img src='/WS_Content/Images/Blank.gif' width=1 height=1></td></tr></table>"
						Call G_STRUCTURE_SubHeaderBar("", "", "&nbsp;" & sCurrent, "News")
						sLast = sCurrent
					End If
					Call G_STRUCTURE_Disp_Message(rsNews("NewsUnq"), 2)
				Case Else
					Call G_STRUCTURE_Disp_Message(rsNews("NewsUnq"), 2)
			End Select
			rsNews.MoveNext
		Wend
		
		Call PrintRecordsetNav( "Default.asp", "sSort=" & Server.URLEncode(Request("sSort")) & "&iCatUnq=" & Server.URLEncode(Request("iCatUnq")) & "&sOriginalEditor=" & Server.URLEncode(Request("sOriginalEditor")), "News" )
		Response.Write "</form>"
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This returns the category name for displaying subheaders when sorting by 		*
	'*		category.																	*
	'*																					*
	'************************************************************************************
	Function GetCatTitle(iCatUnq)
		Dim sSQLText, rsNews
	
		sSQLText = "SELECT Name FROM Categories (NOLOCK) WHERE CatUnq = " & iCatUnq
		Set rsNews = CreateObject("ADODB.Recordset")
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsNews.EOF ) Then
			GetCatTitle = rsNews("Name")
		Else
			GetCatTitle = ""
		End If
		rsNews.Close
		Set rsNews = Nothing
		
	End Function
	'************************************************************************************
%>