<!--#INCLUDE FILE="../Includes/i_News.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, rsNews, iNumPerPage, iTtlNumItems, iDBLoc, iCatUnq
	Dim sNewEditor

	Call DISP_Action("SB_NEWS_OPEN")
	Call DISP_Action("SB_NEWS_MANAGE_EDITORS")
	If   (ACCNT_AnyDomain("SB_NEWS_EDITORS")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("NEWS_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_NEWS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sSQLText, sError, sSuccess, sTextField, sCheckbox, iEditorUnq, bModerate, bDName
		
		sAction = Trim(Request("sAction"))
		iCatUnq = Trim(Request("iCatUnq"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_NEWS_EDITORS", "", "")
		End If

		Set rsNews = Server.CreateObject("ADODB.recordset")

		Select Case sAction
			Case "AddEditor"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_NEWS_EDITORS", iDomainUnq)) Then
					sError = DOMAIN_Text("NEWS_SYS_RIGHTS")
				Else
					sNewEditor = Trim(Request("sNewEditor"))
					' make sure that this account has rights to log into the iDomainUnq domain
					If ( AllowedOnThisDomain(sNewEditor) ) Then
						If ( AlreadyEditor(sNewEditor) ) Then
							sError = DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_ALREADYEDITOR")
						Else
							DBConnection.Execute "INSERT INTO Editors VALUES (" & iCatUnq & ", " & sNewEditor & ", '" & SQLEncode(ACCNT_UserName(sNewEditor)) & "', 'N', 'Y')"
							Call DOMAIN_Log(147, "", iDomainUnq, "", iCatUnq, "", sNewEditor, "V", "I", sNewEditor, "")
							sSuccess = DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_ADDSUCCESS")
						End If
					Else
						sError = DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_NORIGHTS")
					End If
				End If
			Case "UpdateEditor"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_NEWS_EDITORS", iDomainUnq)) Then
					sError = DOMAIN_Text("NEWS_SYS_RIGHTS")
				Else
					For Each sTextField In Request.Form
						If ( InStr(sTextField, "bModerate") > 0 ) Then
							bModerate	= UCase(Trim(Request(sTextField)))
							iEditorUnq	= Trim(Replace(sTextField, "bModerate", ""))
							bDName		= Trim(Request("bDName" & iEditorUnq))
							DBConnection.Execute "UPDATE Editors SET Moderated = '" & bModerate & "', DName = '" & bDName & "' WHERE EditorUnq = " & iEditorUnq
							If ( bModerate = "Y" ) Then
								Call DOMAIN_Log(148, "", iDomainUnq, "", iCatUnq, "", Request("iAccountUnq" & iEditorUnq), "V", "U", "N", "")
							Else
								Call DOMAIN_Log(148, "", iDomainUnq, "", iCatUnq, "", Request("iAccountUnq" & iEditorUnq), "V", "U", "Y", "")
							End If
							If ( sSuccess = "" ) Then
								sSuccess = DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_UPDATESUCCESS")
							End If
						End If
					Next
				End If
			Case "DeleteEditor"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_NEWS_EDITORS", iDomainUnq)) Then
					sError = DOMAIN_Text("NEWS_SYS_RIGHTS")
				Else
					For Each sCheckbox In Request.Form
						If ( InStr(sCheckbox, "sDelete") > 0 ) Then
							iEditorUnq = Replace(sCheckbox, "sDelete", "")
							DBConnection.Execute "DELETE FROM Editors WHERE EditorUnq = " & iEditorUnq
							Call DOMAIN_Log(147, "", iDomainUnq, "", iCatUnq, "", Request("iAccountUnq" & iEditorUnq), "V", "D", Request("iAccountUnq" & iEditorUnq), "")
							Call DOMAIN_Log(148, "", iDomainUnq, "", iCatUnq, "", Request("iAccountUnq" & iEditorUnq), "V", "D", "", "")
							
							If ( sSuccess = "" ) Then
								sSuccess = DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_DELSUCCESS")
							End If
						End If
					Next
				End If
		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		' must also reset them if colors have been deleted
		Select Case sAction
			Case "UpdateDomainUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "DeleteText"
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			sSQLText = "SELECT Count(*) FROM Editors (NOLOCK) WHERE CatUnq = " & iCatUnq
			rsNews.Open sSQLText, DBConnection
			If Not(rsNews.EOF) Then
				iTtlNumItems = rsNews(0)
			End If
			rsNews.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteForm()
		Set rsNews = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to return the category name.								*
	'*																					*
	'************************************************************************************
	Function GetCatName(iCatUnq)
		Dim sSQLText, rsNews
		
		Set rsNews = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT Name From Categories (NOLOCK) WHERE CatUnq = " & iCatUnq
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsNews.EOF ) Then
			GetCatName = Trim(rsNews("Name"))
		Else
			GetCatName = ""
		End If
		rsNews.Close
		Set rsNews = Nothing
		
	End Function
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sLogin, iEditorUnq, iAccountUnq
		Dim sBGColor, sTextColor, x, sLinkColor
		Dim sColor1, sColor2, sColor3, sColor4

		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Editors (NOLOCK) WHERE CatUnq = " & iCatUnq & " ORDER BY AccountUnq SET ROWCOUNT 0"
		Set rsNews = CreateObject("ADODB.Recordset")
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("NewsBGColor2")
		For x = 1 To CDbl(iDBLoc)
			rsNews.MoveNext
		Next
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageEditors.sAction.value = sAction;
				document.ManageEditors.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "EditEditors.asp?<%=DOMAIN_Link("G")%>&iTtlNumItems=<%=iTtlNumItems%>&iDBLoc=<%=iDBLoc%>&iDomainUnq=<%=iDomainUnq%>" + sQueryString;
			}

		</script>

		<form name='ManageEditors' action='EditEditors.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iCatUnq"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = iCatUnq
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("NewsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_HEADER")%><%=GetCatName(iCatUnq)%></b></font>
					<br><br>
					<table width=671>
						<tr>
							<td>
								<font color='<%=DOMAIN_Color("NewsPageText")%>'><b><%=DOMAIN_Text("NEWS_TEXT_DOMAIN")%></b></font><br>
								<%Call DOMAINS_DomainsDropDown("SB_NEWS_EDITORS", "", "")%>
							</td>
						</tr>
						<tr>
							<td>
								<%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_ENTERID")%>
								<input type='text' name='sNewEditor' value='<%=sNewEditor%>' size=40 maxlength=10>
								<input type='submit' value='<%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_ADDSUBMIT")%>' onClick='SubmitForm("AddEditor")'>
							</td>
						</tr>
					</table>
					
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_LOGIN")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_FNAME")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_MODERATE")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b>Can Change Display Name?</b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("NewsTextColor2")%>'><b><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_DEL")%></b></td>
						</tr>
						<%
						sColor1 = DOMAIN_Color("NewsBGColor1")
						sColor2 = DOMAIN_Color("NewsPageBGColor")
						sColor3 = DOMAIN_Color("NewsPageText")
						sColor4 = DOMAIN_Color("NewsTextColor1")
						While ( NOT rsNews.EOF )
							If ( sBGColor = sColor1 ) Then
								sBGColor = sColor2
								sTextColor = sColor3
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = sColor1
								sTextColor = sColor4
								sLinkColor = "MediumNav1"
							End If
							sLogin 			= Server.HTMLEncode(rsNews("AccountName"))
							iEditorUnq 		= rsNews("EditorUnq")
							iAccountUnq		= rsNews("AccountUnq")
							%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><%=iAccountUnq%><input type='hidden' name='iAccountUnq<%=iEditorUnq%>' value='<%=iAccountUnq%>'></td>
								<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=sLogin%></td>
								<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=ACCNT_ReturnADV("SB_FirstName", "V", iAccountUnq, 0, "OVERRIDE")%>&nbsp;<%=ACCNT_ReturnADV("SB_LastName", "V", iAccountUnq, 0, "OVERRIDE")%></td>
								<td bgcolor=<%=sBGColor%> align=center>
									<table>
										<tr>
											<td><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_YES")%></td><tD><input type='radio' name='bModerate<%=iEditorUnq%>' value='Y' <%If ( Trim(UCase(rsNews("Moderated"))) = "Y" ) Then Response.Write "checked" End If%>></td>
											<td><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_NO")%></td><tD><input type='radio' name='bModerate<%=iEditorUnq%>' value='N' <%If ( Trim(UCase(rsNews("Moderated"))) = "N" ) Then Response.Write "checked" End If%>></td>
										</tr>
									</table>
								</td>
								<td bgcolor=<%=sBGColor%> align=center>
									<table>
										<tr>
											<td><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_YES")%></td><tD><input type='radio' name='bDName<%=iEditorUnq%>' value='Y' <%If ( Trim(UCase(rsNews("DName"))) = "Y" ) Then Response.Write "checked" End If%>></td>
											<td><%=DOMAIN_Text("NEWS_MANAGECATS_EDITEDITORS_NO")%></td><tD><input type='radio' name='bDName<%=iEditorUnq%>' value='N' <%If ( Trim(UCase(rsNews("DName"))) = "N" ) Then Response.Write "checked" End If%>></td>
										</tr>
									</table>
								</td>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name="sDelete<%=iEditorUnq%>" value="<%=iCatUnq%>"></td>
							</tr>
							<%
							rsNews.MoveNext
						Wend
						%>
						<tr>
							<td colspan=6 align=right>
								<%Call PrintRecordsetNav( "Default.asp", "", "News" )%>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Checks to see if the user they are suggesting for an editor of the category		*
	'*		can even log into the specified domain.										*
	'*																					*
	'************************************************************************************
	Function AllowedOnThisDomain(sNewEditor)
	
		Dim rsDB, sSQLText, sTemp
		
		AllowedOnThisDomain = FALSE
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT DomainUnq From AccountDomainMap (NOLOCK) WHERE AccountUnq = " & sNewEditor & " AND ( DomainUnq = -2 OR DomainUnq = -1 OR DomainUnq = " & iDomainUnq & ")"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDB.EOF ) Then
			While ( NOT rsDB.EOF )
				sTemp = Trim(CStr(rsDB("DomainUnq")))
				If ( sTemp = "-2" ) Then
					' they can access any domain
					AllowedOnThisDomain = TRUE
				ElseIf ( sTemp = "-1" ) Then
					' see if iDomainUnq is their HomeDomain
					If ( Trim(CStr(ACCNT_HomeDomain(sNewEditor))) = Trim(CStr(iDomainUnq)) ) Then
						' their Home Domain is the domain they are being assigned to, so let them
						AllowedOnThisDomain = TRUE
					Else
						' their Home Domain is another domain and they aren't allowed to log onto it (as seen from the AccountDomainMap query)
						AllowedOnThisDomain = FALSE
					End If
				ElseIf ( sTemp = Trim(CStr(iDomainUnq)) ) Then
					' they can access the current domain
					AllowedOnThisDomain = TRUE
				End If
				rsDB.MoveNext
			Wend
		Else
			' see if iDomainUnq is their HomeDomain
			If ( Trim(CStr(ACCNT_HomeDomain(sNewEditor))) = Trim(CStr(iDomainUnq)) ) Then
				' their Home Domain is the domain they are being assigned to, so let them
				AllowedOnThisDomain = TRUE
			Else
				' their Home Domain is another domain and they aren't allowed to log onto it (as seen from the AccountDomainMap query)
				AllowedOnThisDomain = FALSE
			End If
		End If
		rsDB.Close
		Set rsDB = Nothing

	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Function AlreadyEditor(sNewEditor)
		Dim sSQLText, rsNews
		
		Set rsNews = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * From Editors (NOLOCK) WHERE CatUnq = " & iCatUnq & " AND AccountUnq = " & sNewEditor
		rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsNews.EOF ) Then
			AlreadyEditor = TRUE
		Else
			AlreadyEditor = FALSE
		End If
		rsNews.Close
		Set rsNews = Nothing
	End Function
	'************************************************************************************
%>