<%
	'************************************************************************************
	'*																					*
	'*	Enters in the rights.															*
	'*																					*
	'************************************************************************************
	Sub SetRights()
		' the first part of the rights level (the numeric part) is the domain associated with the rights
		' the second part of the rights level (the character part) is the specific action or item associated with the right
		'	such as being able to delete an account or edit ADV's
		'RADIO
		'	Rights to add playlists:								SB_RADIO_ADD_PL
		'	Rights to upload songs:									SB_ADD_SONGS
		'	Rights to delete songs:									SB_DEL_SONGS
		'	Rights to admin ALL playlists on current domain:		SB_ADMIN_PL
		'	Rights to download/listen to songs:						SB_RADIO_PLAY_SONGS	' even if the conf var RADIO_DOWNLOAD_SONGS is set to MEMBERS, you might not want every single member to be able to download/listen to songs
		'	Rights to edit songs on current domain:					SB_CHANGE_SONGS
		'CONFIGURATION VARIABLES
		'	Change Radio System Color:	SB_MC_CHANGE_RADIO_COLORS
		'	View Radio System Color:	SB_MC_VIEW_RADIO_COLORS
		'	Change Radio System Text:	SB_MC_CHANGE_RADIO_TEXT
		'	View Radio System Text:		SB_MC_VIEW_RADIO_TEXT
		
		'	View past log - Radio		SB_LOG_VIEW_3
		'	Delete past log - Radio		SB_LOG_DELETE_3
		'	Rollback log - Radio		SB_LOG_ROLLBACK_3

		' RADIO
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_RADIO_ADD_PL','Rights to add playlists',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_ADD_SONGS','Rights to upload songs',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_DEL_SONGS','Rights to delete songs',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_ADMIN_PL','Rights to admin ALL playlists on current domain',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_RADIO_PLAY_SONGS','Rights to download/listen to songs',3 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_VIEW_3','View past log entries - Radio',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_DELETE_3','Delete past log entries - Radio',3 FROM DomainInfo"
		'DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_ROLLBACK_3','Rollback log - Radio',3 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_RADIO_COLORS','Edit the RADIO_COLORS Configuration Variable',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_RADIO_COLORS','View the RADIO_COLORS Configuration Variable',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_RADIO_TEXT','Edit the RADIO_TEXT Configuration Variable',3 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_RADIO_TEXT','View the RADIO_TEXT Configuration Variable',3 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CHANGE_SONGS','Rights to change the song information and override what information from the ID3 tag.',3 FROM DomainInfo"

		' Give the admin ALL rights
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 1,0,3,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 3"
		
		' Give the admin group ALL rights too
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 0,1,3,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 3"		

	End Sub
	'************************************************************************************
%>