<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, aWordFile
	Dim sSQLText, rsDB
	Dim sName, sDescription, sNumRandom, sYesRandom, sType, sNumDays, sRotations, sRotateForever
	Dim sDay, sMonth, sYear, sSSource
	Dim iNumLines, bTooMany, sAppend
	
	Const FILE_WORD_FILE = "Words.txt"
	Server.ScriptTimeout = 54000
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_GROUPS_NEWGROUP")
	If   (ACCNT_AnyDomain("SB_UG_ADDGROUP")) Then
		If ( ACCNT_AccountsLeft() ) Then
			Call Main()
		Else
			Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_NO_SPOTS_LEFT"), "ERROR")
		End If
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, iNewGroupUnq, sTempAccountUnq, x, fsoFileObject
		Dim sTempLogin, sTempPassword
		Dim fFile, tsTextStream, sTemp
	
		Set rsDB = Server.CreateObject("ADODB.recordset")

		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_UG_ADDGROUP", "", "")
		End If
		
		sName = Trim(Request("sName"))
		sDescription = Trim(Request("sDescription"))
		sNumRandom = Trim(Request("sNumRandom"))
		sYesRandom = Trim(Request("sYesRandom"))
		sType = Trim(Request("sType"))
		sNumDays = Trim(Request("sNumDays"))
		sRotations = Trim(Request("sRotations"))
		sRotateForever = Trim(Request("sRotateForever"))
		sDay = Trim(Request("sDay"))
		sMonth = Trim(Request("sMonth"))
		sYear = Trim(Request("sYear"))
		sSSource = Trim(Request("sSSource"))
		If ( ( sNumDays = "" ) Or ( sNumDays = "0" ) ) Then
			If ( sType = "R" ) Then
				sNumDays = "1"	' for Rotational Groups, default this to 1
			Else
				sNumDays = "0"
			End If
		End If

		sAction = Request("sAction")

		
		Select Case sAction
			Case "NewGroup"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_UG_ADDGROUP", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( sName = "" ) Then
						sError = DOMAIN_Text("ACCOUNTS_GROUPS_MISSING_NAME")
					End If
					If ( GroupNameExists() ) Then
						sError = sError & DOMAIN_Text("ACCOUNTS_GROUPS_GROUP_EXISTS")
					End If
					iNewGroupUnq = NewGroupUnq()
					If ( sError = "" ) Then
						If ( sType = "R" ) Then
							If ( NOT IsNumeric(sDay) ) Then
								sError = sError & DOMAIN_Text("ACCOUNTS_GROUPS_ROT_BEGIN")
							End If
							If ( NOT IsNumeric(sMonth) ) Then
								sError = sError & DOMAIN_Text("ACCOUNTS_GROUPS_MISSING_MONTH")
							End If
							If ( NOT IsNumeric(sYear) ) Then
								sError = sError & DOMAIN_Text("ACCOUNTS_GROUPS_MISSING_YEAR")
							End If
							If ( NOT IsNumeric(sRotations) And sRotateForever <> "Y" ) Then
								sError = sError & DOMAIN_Text("ACCOUNTS_GROUPS_NUM_NUM_ROT")
							End If
							If ( HasAllGroupRights() = FALSE ) Then
								sError = sError & DOMAIN_Text("DOM_SYS_RIGHTS")
							End If
							If ( sRotateForever = "Y" ) Then
								sRotations = "-1"
							End If
							If ( sError = "" ) Then
								DBConnection.Execute "INSERT INTO Groups VALUES (" & iNewGroupUnq & ", " & iDomainUnq & ", '" & SQLEncode(sName) & "', '" & SQLEncode(sDescription) & "', 'R', '" & sRotations & "', '" & sMonth & "/" & sDay & "/" & sYear & "')"
								Call DOMAIN_Log(55, "", iDomainUnq, "", iNewGroupUnq, "", 0, "V", "I", SQLEncode(sName), "")
								Call DOMAIN_Log(57, "", iDomainUnq, "", iNewGroupUnq, "", 0, "V", "I", sNumDays, "")
								Call DOMAIN_Log(58, "", iDomainUnq, "", iNewGroupUnq, "", 0, "V", "I", sRotations, "")
								Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_GROUPS_ROT_GROUP_SUCCESS"), "SUCCESS")
							End If
						Else
							DBConnection.Execute "INSERT INTO Groups VALUES (" & iNewGroupUnq & ", " & iDomainUnq & ", '" & SQLEncode(sName) & "', '" & SQLEncode(sDescription) & "', 'S', '', GetDate())"
							Call DOMAIN_Log(55, "", iDomainUnq, "", iNewGroupUnq, "", 0, "V", "I", SQLEncode(sName), "")
							If ( sSSource <> "" And sSSource <> "-1") Then
								' add all the accounts from the Source group to this new group
								DBConnection.Execute "INSERT INTO GroupMap SELECT " & iNewGroupUnq & " GroupUnq, AccountUnq, NumDays, Position, IgnoreGlobal, DomainUnq FROM GroupMap WHERE GroupUnq = " & sSSource & " AND DomainUnq = " & iDomainUnq
								
								' go through all the accounts added to this Group and log them being added
								sSQLText = "SELECT AccountUnq FROM GroupMap (NOLOCK) WHERE GroupUnq = " & iNewGroupUnq & " AND DomainUnq = " & iDomainUnq
								rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While ( NOT rsDB.EOF )
									Call DOMAIN_Log(42, "", rsDB("AccountUnq"), "", iDomainUnq, "", iNewGroupUnq, "V", "I", iNewGroupUnq, "")
									rsDB.MoveNext
								Wend
								rsDB.Close
								
								DBConnection.Execute "INSERT INTO Rights SELECT AccountUnq, " & iNewGroupUnq & " GroupUnq, SystemUnq, DomainUnq, RightsLvl, GrantDate, RevokeDate FROM Rights WHERE GroupUnq = " & sSSource & " AND DomainUnq = " & iDomainUnq
								' go through all the rights that have been added for this Group and log the additions
								sSQLText = "SELECT SystemUnq, RightsLvl FROM Rights (NOLOCK) WHERE GroupUnq = " & iNewGroupUnq & " AND DomainUnq = " & iDomainUnq
								rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While ( NOT rsDB.EOF )
									Call DOMAIN_Log(56, "", iNewGroupUnq, "", iDomainUnq, "", rsDB("SystemUnq"), "V", "I", rsDB("RightsLvl"), "")
									rsDB.MoveNext
								Wend
								rsDB.Close
								Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_GROUPS_ACC_COPIED"), "SUCCESS")
							End If
							Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_GROUPS_STD_GROUP_SUCCESS"), "SUCCESS")
						End If
						
						' you can create random accounts even if you're creating a Standard Group (can't think why you'd want to, but you can)
						If ( sError = "" And sYesRandom = "Y" ) Then
							Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
							If ( NOT fsoFileObject.FileExists(Server.Mappath(FILE_WORD_FILE)) ) Then
								sError = Server.Mappath(FILE_WORD_FILE) & DOMAIN_Text("ACCOUNTS_GROUPS_FILE_MISSG")
							Else
								' Create the random accounts
								Server.ScriptTimeout = CDbl(sNumRandom) \ 4
								Randomize
								' Get the max random number based on the total number of accounts in the system already
								bTooMany = FALSE
								iNumLines = 10000
								sSQLText = "SELECT Count(*) FROM Accounts"
								rsDB.Open sSQLText, DBConnection
								If ( NOT rsDB.EOF ) Then
									If ( CDbl(rsDB(0)) > 10000 ) Then
										iNumLines = CDbl(rsDB(0)) + 10000
										If ( CDbl(rsDB(0)) > 50000 ) Then
											bTooMany = TRUE
											iNumLines = CDbl(rsDB(0)) + 10000
											If ( iNumLines > 99997 ) Then
												iNumLines = 10000
											Else
												iNumLines = 5000
											End If
										End If
									End If
								End If
								sAppend = CStr(Int((iNumLines * Rnd) + 1))
								rsDB.Close
								
								' Read the word file into an array so we don't have to access a file each time we want to make a new login/pw
								Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
								Set fFile = fsoFileObject.GetFile(Server.Mappath(FILE_WORD_FILE))
								Set tsTextStream = fFile.OpenAsTextStream(1, 0)
								sTemp = tsTextStream.ReadAll
								aWordFile = Split(sTemp, VbCrLf, -1, 1)
								If ( UBound(aWordFile) <= 0 ) Then
									' sometimes the wordfile gets saved in unix format w/ just a CR and no LF
									aWordFile = Split(sTemp, Chr(10), -1, 1)
								End If
								tsTextStream.Close
								Set fFile = Nothing
								Set tsTextStream = Nothing
								
								
								For x = 1 To CDbl(sNumRandom)
									' create account
									sTempLogin = GetRndLogin()
									sTempPassword = GetRndPw()
									DBConnection.Execute "INSERT INTO Accounts VALUES ('" & sTempLogin & "', '" & sTempPassword & "', GetDate(), NULL, " & iDomainUnq & ", '','T',0)"
									' set rights
									rsDB.Open "SELECT @@IDENTITY", DBConnection
									If (NOT rsDB.EOF) Then
										sTempAccountUnq = rsDB(0)
										Call DOMAIN_Log(36, "", sTempAccountUnq, "", 0, "", 0, "V", "I", sTempLogin, "")
										Call DOMAIN_Log(37, "", sTempAccountUnq, "", 0, "", 0, "V", "I", sTempPassword, "")
										rsDB.Close
										' Add all the Initial Rights to the new account
										sSQLText = "SELECT * FROM InitialRights WHERE DomainUnq = " & iDomainUnq
										rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
										While ( NOT rsDB.EOF )
											DBConnection.Execute "INSERT INTO RIGHTS VALUES (" & sTempAccountUnq & ", " & iNewGroupUnq & ", " & rsDB("SystemUnq") & ", " & iDomainUnq & ", '" & rsDB("RightsLvl") & "', GetDate(), NULL)"
											Call DOMAIN_Log(40, "", sTempAccountUnq, "", iDomainUnq, "", rsDB("SystemUnq"), "V", "I", rsDB("RightsLvl"), "")
											rsDB.MoveNext
										Wend
										rsDB.Close
										' insert the account into the groupmap - saying that this new account is associated with the new group
										DBConnection.Execute "INSERT INTO GroupMap VALUES (" & iNewGroupUnq & ", " & sTempAccountUnq & ", " & sNumDays & ", " & x & ", 'F', " & iDomainUnq & ")"
										Call DOMAIN_Log(42, "", sTempAccountUnq, "", iDomainUnq, "", iNewGroupUnq, "V", "I", iNewGroupUnq, "")
										
										' add all domains from this domains group (Initial Domains)
										sSQLText = "SELECT G2.DomainUnq FROM DomainGroups G1 (NOLOCK), DomainGroups G2 (NOLOCK) WHERE G1.DomainUnq = " & iDomainUnq & " AND G1.GroupUnq = G2.Groupunq"
										rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
										While ( NOT rsDB.EOF )
											DBConnection.Execute "INSERT INTO AccountDomainMap VALUES (" & sTempAccountUnq & ", " & rsDB("DomainUnq") & ")"
											Call DOMAIN_Log(39, "", sTempAccountUnq, "", 0, "", 0, "V", "I", rsDB("DomainUnq"), "")
											rsDB.MoveNext
										Wend
										rsDB.Close
									
									Else
										rsDB.Close
									End If
								Next
								Call DOMAIN_Message(DOMAIN_Text("ACCOUNTS_GROUPS_RDM_ACCT_SUCCESS"), "SUCCESS")
							End If
							Set fsoFileObject = Nothing
							sName = ""
							sDescription = ""
						End If
					End If
				End If
		End Select
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If

		Call WriteForm()

		Set rsDB = Nothing
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	This checks to see if the current admin has ALL the rights in the sSSource.		*
	'*																					*
	'************************************************************************************
	Function HasAllGroupRights()
		Dim sSQLText, rsDB
		
		Set rsDB = Server.CreateObject("ADODB.recordset")
		HasAllGroupRights = TRUE
		
		sSQLText = "SELECT RightsLvl FROM Rights WHERE GroupUnq=" & sSSource & " AND DomainUnq=" & iDomainUnq & " AND (RevokeDate IS NULL OR GrantDate>RevokeDate)"
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While (NOT rsDB.EOF)
			If ( NOT ACCNT_SpecificDomain(rsDB("RightsLvl"), iDomainUnq) ) Then
				HasAllGroupRights = FALSE
				rsDB.MoveLast
			End If
			rsDB.MoveNext
		Wend
		rsDB.Close
		Set rsDB = Nothing
		
	End Function
	'************************************************************************************



	'************************************************************************************
	'*																					*
	'*	Checks to see if the name of the new Group has already been taken.				*
	'*																					*
	'************************************************************************************	
	Function GroupNameExists()
		sSQLText = "SELECT * FROM Groups WHERE DomainUnq = " & iDomainUnq & " AND Name = '" & SQLEncode(sName) & "'"
		rsDB.Open sSQLText, DBConnection
		If ( rsDB.EOF ) Then
			GroupNameExists = FALSE
		Else
			GroupNameExists = TRUE
		End If
		rsDB.Close
	End Function
	'************************************************************************************	
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sGroupName
		
		If ( sDay = "" ) Then
			sDay = CStr(Day(Now))
		End If
		If ( sMonth = "" ) Then
			sMonth = Month(Now)
		End If
		If ( sYear = "" ) Then
			sYear = Year(Now)
		End If
		If ( sRotations = "-1" ) Then
			sRotations = ""
		End If
		sName = Replace(sName, "'", "&#39;")
		sDescription = Replace(sDescription, "'", "&#39;")
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.NewGroup.sAction.value = sAction;
				document.NewGroup.submit();
			}
			
		</script>
		<form name='NewGroup' action='NewGroup.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iDBLoc"
		aVariables(2) = "iDomainUnq2"
		aVariables(3) = "sGroupUnq2"
		aValues(0) = "NewGroup"
		aValues(1) = Request("iDBLoc")
		aValues(2) = Request("iDomainUnq2")
		aValues(3) = Request("sGroupUnq2")
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_CREATE_GROUP_INTRO")%></b></font>
					<br><br>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'><b><%=DOMAIN_Text("ACCOUNTS_GROUPS_DOMAIN")%></b></font>
					<br>
					<%Call DOMAINS_DomainsDropDown("SB_UG_ADDGROUP", "", "")%>
					<br><br>
					<table cellpadding=0 cellspacing=0 border=0 width=671>
						<tr>
							<td valign=top><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_MAKE_STD")%></font></td>
							<td valign=top><input type='radio' name='sType' value='S' <%If sType = "S" Or sType = "" Then Response.Write "checked" End If%>></td>
							<td valign=top><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_MAKE_ROT")%></font></td>
							<td valign=top><input type='radio' name='sType' value='R' <%If sType = "R" Then Response.Write "checked" End If%>></td>
						</tr>
						<tr>
							<td><font size=1><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_OPT_SOURCE")%></font></font></td>
							<td>
								<select name='sSSource'>
									<option value='-1'><%=DOMAIN_Text("ACCOUNTS_GROUPS_NO_SOURCE")%></option>
									<%
									sSQLText = "SELECT * FROM Groups WHERE DomainUnq = " & iDomainUnq & " AND Type = 'S' ORDER BY Name"
									rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									While NOT rsDB.EOF
										sGroupName = Replace(rsDB("Name"), "'", "&#39;")
										sSSource = rsDB("GroupUnq")
										If ( HasAllGroupRights() ) Then
											If ( sSSource = CStr(rsDB("GroupUnq")) ) Then
												Response.Write "<option value = '" & sSSource & "' Selected>" & sGroupName & "</option>"
											Else
												Response.Write "<option value = '" & sSSource & "'>" & sGroupName & "</option>"
											End If
										End If
										rsDB.MoveNext
									Wend
									rsDB.Close
									%>
								</select>
							</td>
						</tr>
					</table>
					<br><br>
					<table cellpadding=0 cellspacing=0 border=0 width=671>
						<tr>
							<td valign=top><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_GROUP_NAME")%></font></td>
							<td valign=top><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_DESC")%></font></td>
						</tr>
						<tr>
							<td><input type='text' name='sName' value='<%=sName%>' maxlength=250 size=30></td>
							<td><input type='text' name='sDescription' value='<%=sDescription%>' maxlength=250 size=57></td>
						</tr>
					</table>
					<table cellpadding=0 cellspacing=5 border=0 width=671>
						<tr>
							<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_RDM_ACCTS")%></font></td>
							<td width=1><input type='checkbox' name='sYesRandom' value='Y' <%If sYesRandom = "Y" Then Response.Write "checked" End If%>></td>
							<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_NUM_RDM")%></font></td>
							<td width=1><input type='text' name='sNumRandom' value='<%=sNumRandom%>' maxlength=10 size=3></td>
						</tr>
					</table>
					<br><br>
					<%=DOMAIN_Text("ACCOUNTS_GROUPS_ROT_TEXT")%>
					<table cellpadding=0 cellspacing=0 border=1 bordercolor='<%=DOMAIN_Color("AccountsPageBorder")%>' width=671><tr><td>
						<table cellpadding=0 cellspacing=5 border=0 width=671>
							<tr>
								<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_ACCT_DAYS")%></font></td>
								<td width=1><input type='text' name='sNumDays' value='<%=sNumDays%>' size=3 maxlength=10></td>
								<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_NUM_ROT")%></font></td>
								<td width=1><input type='text' name='sRotations' value='<%=sRotations%>' size=3 maxlength=10></td>
								<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_ROT_FOREVER3")%></font></td>
								<td width=1><input type='checkbox' name='sRotateForever' value='Y' <%If sRotateForever = "Y" Then Response.Write "checked" End If%>></td>
							</tr>
						</table>
						<table cellpadding=0 cellspacing=5 border=0 width=671>
							<tr>
								<td align=right><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_GROUPS_DAY_ROT")%></font></td>
								<td width=1>
									<select name='sDay'>
										<option value=''></option>
										<option value='1' <%If sDay="1" Then Response.Write "selected" End If%>>1</option>
										<option value='2' <%If sDay="2" Then Response.Write "selected" End If%>>2</option>
										<option value='3' <%If sDay="3" Then Response.Write "selected" End If%>>3</option>
										<option value='4' <%If sDay="4" Then Response.Write "selected" End If%>>4</option>
										<option value='5' <%If sDay="5" Then Response.Write "selected" End If%>>5</option>
										<option value='6' <%If sDay="6" Then Response.Write "selected" End If%>>6</option>
										<option value='7' <%If sDay="7" Then Response.Write "selected" End If%>>7</option>
										<option value='8' <%If sDay="8" Then Response.Write "selected" End If%>>8</option>
										<option value='9' <%If sDay="9" Then Response.Write "selected" End If%>>9</option>
										<option value='10' <%If sDay="10" Then Response.Write "selected" End If%>>10</option>
										<option value='11' <%If sDay="11" Then Response.Write "selected" End If%>>11</option>
										<option value='12' <%If sDay="12" Then Response.Write "selected" End If%>>12</option>
										<option value='13' <%If sDay="13" Then Response.Write "selected" End If%>>13</option>
										<option value='14' <%If sDay="14" Then Response.Write "selected" End If%>>14</option>
										<option value='15' <%If sDay="15" Then Response.Write "selected" End If%>>15</option>
										<option value='16' <%If sDay="16" Then Response.Write "selected" End If%>>16</option>
										<option value='17' <%If sDay="17" Then Response.Write "selected" End If%>>17</option>
										<option value='18' <%If sDay="18" Then Response.Write "selected" End If%>>18</option>
										<option value='19' <%If sDay="19" Then Response.Write "selected" End If%>>19</option>
										<option value='20' <%If sDay="20" Then Response.Write "selected" End If%>>20</option>
										<option value='21' <%If sDay="21" Then Response.Write "selected" End If%>>21</option>
										<option value='22' <%If sDay="22" Then Response.Write "selected" End If%>>22</option>
										<option value='23' <%If sDay="23" Then Response.Write "selected" End If%>>23</option>
										<option value='24' <%If sDay="24" Then Response.Write "selected" End If%>>24</option>
										<option value='25' <%If sDay="25" Then Response.Write "selected" End If%>>25</option>
										<option value='26' <%If sDay="26" Then Response.Write "selected" End If%>>26</option>
										<option value='27' <%If sDay="27" Then Response.Write "selected" End If%>>27</option>
										<option value='28' <%If sDay="28" Then Response.Write "selected" End If%>>28</option>
										<option value='29' <%If sDay="29" Then Response.Write "selected" End If%>>29</option>
										<option value='30' <%If sDay="30" Then Response.Write "selected" End If%>>30</option>
										<option value='31' <%If sDay="31" Then Response.Write "selected" End If%>>31</option>
									</select>
								</td>
								<td width=1>
									<select name='sMonth'>
										<option value=''></option>
										<option value='1' <%If sMonth="1" Then Response.Write "selected" End If%>>1</option>
										<option value='2' <%If sMonth="2" Then Response.Write "selected" End If%>>2</option>
										<option value='3' <%If sMonth="3" Then Response.Write "selected" End If%>>3</option>
										<option value='4' <%If sMonth="4" Then Response.Write "selected" End If%>>4</option>
										<option value='5' <%If sMonth="5" Then Response.Write "selected" End If%>>5</option>
										<option value='6' <%If sMonth="6" Then Response.Write "selected" End If%>>6</option>
										<option value='7' <%If sMonth="7" Then Response.Write "selected" End If%>>7</option>
										<option value='8' <%If sMonth="8" Then Response.Write "selected" End If%>>8</option>
										<option value='9' <%If sMonth="9" Then Response.Write "selected" End If%>>9</option>
										<option value='10' <%If sMonth="10" Then Response.Write "selected" End If%>>10</option>
										<option value='11' <%If sMonth="11" Then Response.Write "selected" End If%>>11</option>
										<option value='12' <%If sMonth="12" Then Response.Write "selected" End If%>>12</option>
									</select>
								</td>
								<td width=1>
									<input type='text' name='sYear' value='<%=sYear%>' size=4 maxlength=4>
								</td>
							</tr>
						</table>
					</td></tr></table>
					<br>
					<center><input type='submit' value='<%=DOMAIN_Text("ACCOUNTS_GROUPS_CREATE_GROUP")%>'></center>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'********************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This gets the next GroupUnq for the domain. GroupUnq's aren't Identity			*
	'*		columns because it's difficult to backup and modify data if they are.		*
	'*	Don't specify which DomainUnq so that the GroupUnq's are unique across all		*
	'*		domains. Otherwise it's a lot harder to copy stuff from a Source Group. 	*
	'*																					*
	'************************************************************************************
	Function NewGroupUnq()
		sSQLText = "SET ROWCOUNT 1 SELECT * FROM Groups (NOLOCK) ORDER BY GroupUnq DESC SET ROWCOUNT 0"
		rsDB.Open sSQLText, DBConnection
		If ( rsDB.EOF ) Then
			NewGroupUnq = 1
		Else
			NewGroupUnq = CDbl(rsDB("GroupUnq")) + 1
		End If
		rsDB.Close
	End Function
	'************************************************************************************	
	
	
	'************************************************************************************
	'*																					*
	'*	This returns a random login word from the Words.txt file.						*
	'*																					*
	'************************************************************************************
	Function GetRndLogin()
		Dim iRndNum, iCount, sTmpLogin, iTmpNumLines, iTmpStart, sTmpAppend, sTemp
		Dim dAryLen
		
		iTmpNumLines	= iNumLines
		iTmpStart		= 1
		sTmpAppend		= ""
		dAryLen			= UBound(aWordFile)
		Do
			iRndNum = Int((iTmpNumLines * Rnd) + iTmpStart)
			iCount = 0

			Do While ( iCount <= dAryLen And iCount < iRndNum)
				iCount = iCount + 1
			Loop

			If ( bTooMany ) Then
				GetRndLogin = Trim(Left(aWordFile(iCount), 20 - Len(sTmpAppend))) & Trim(Left(aWordFile(iCount), 5)) & sAppend
			Else
				GetRndLogin = Trim(Left(aWordFile(iCount), 20 - Len(sTmpAppend)))
			End If
			sTemp = aWordFile(iCount)
			
			sSQLText = "SELECT Login FROM Accounts WHERE Login = '" & GetRndLogin & sTmpAppend & "'"
			rsDB.Open sSQLText, DBConnection
			If ( NOT rsDB.EOF ) Then
				sTmpLogin = rsDB("Login")
			End If
			rsDB.Close

			If ( iTmpNumLines + 1000 + iTmpStart + 1000 < 99997 ) Then	' use 99997 - don't want to go over 100000...we r readg up to 3x (see above)
				' if the max number it could get to is less than the number of lines in the Words.txt file (100000) then add to them
				iTmpNumLines = iTmpNumLines + 1000
				iTmpStart = iTmpStart + 1000
			End If
			GetRndLogin = GetRndLogin & sTmpAppend
			sTmpAppend = sTmpAppend & Right(sTemp, 1)
			If ( Len(sTmpAppend) > 19 ) Then
				sTmpAppend = ""
			End If
			
		Loop Until GetRndLogin <> sTmpLogin
		
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This returns a random password word from the Words.txt file						*
	'*																					*
	'************************************************************************************
	Function GetRndPw()
	
		Dim iRndNum, iCount, sTmpLogin, dAryLen
		Const iNumLines = 100
		
		iRndNum	= Int((iNumLines * Rnd) + 1)
		iCount	= 0
		dAryLen	= UBound(aWordFile)

		Do While ( iCount <= dAryLen And iCount < iRndNum)
			iCount = iCount + 1
		Loop
		
		GetRndPw = Trim(Left(aWordFile(iCount), 20))
		
	End Function
	'************************************************************************************
%>