<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sSQLText, rsDB, sAccountUnq
	Dim iNumPerPage, iTtlNumItems, iDBLoc
	Dim sHomeDomain, sAllDomains
	
	Call DISP_Action("SB_ACCOUNTS_ADMIN_OPEN")
	Call DISP_Action("SB_ACCOUNTS_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS")
	If   (ACCNT_AnyDomain("SB_MA_CHANGE_DOMAINS")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("ACCT_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_ACCOUNTS_CLOSE")
	Response.Flush
	

	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, iTempDomainUnq, sSetting, sRadio, bErasedAlready
	
		Set rsDB = Server.CreateObject("ADODB.recordset")

		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MA_CHANGE_DOMAINS", "", "")
		End If
		sAccountUnq = Trim(Request("sAccountUnq"))
		sAction = Request("sAction")
		sHomeDomain = Trim(Request("HomeOnly"))
		sAllDomains = Trim(Request("AllDomains"))
		
		
		Select Case sAction
			Case "UpdateDomains"
			
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MA_CHANGE_DOMAINS", iDomainUnq)) Then
					' This checks to see if they only logged in with domain rights that they are only able
					'	to edit their domain -- even if they put another DomainUnq on the querystring or in a form they made themselves.
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					bErasedAlready = FALSE
		            For Each sRadio In Request.Form
		            	If ( InStr(sRadio, "sDomainAccess") > 0 ) Then
		            		iTempDomainUnq = Replace(sRadio, "sDomainAccess", "")
		            		sSetting = Request(sRadio)
		            		If ( Request("sOldAccess" & iTempDomainUnq) <> sSetting ) Then
		            			' it's different than it originally was, so change it.
								If ( sSetting = "Y" ) Then
									' Modify the system
									DBConnection.Execute "INSERT INTO AccountDomainMap VALUES (" & sAccountUnq & ", " & iTempDomainUnq & ")"
									Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "I", iTempDomainUnq, "")
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("ACCOUNTS_ACCESSIBLE_DOMAINS_UPDATE_SUCCESS")
									End If
								ElseIf ( sSetting = "N" ) Then
									' Modify the system
									DBConnection.Execute "DELETE FROM AccountDomainMap WHERE AccountUnq = " & sAccountUnq & " AND DomainUnq = " & iTempDomainUnq
									Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "D", iTempDomainUnq, "")
									If ( sSuccess = "" ) Then
										sSuccess = DOMAIN_Text("ACCOUNTS_ACCESSIBLE_DOMAINS_UPDATE_SUCCESS")
									End If
								End If
								If ( bErasedAlready = FALSE ) Then
									DBConnection.Execute "DELETE FROM AccountDomainMap WHERE (DomainUnq = " & HOMEONLY & " OR DomainUnq = " & ALLDOMAINS & ") AND AccountUnq = " & sAccountUnq
									Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "D", HOMEONLY, "")
									Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "D", ALLDOMAINS, "")
									bErasedAlready = TRUE
								End If
							End If	
		            	End If
		            Next
		            
		            ' delete all entries (HOMEONLY means they can access only their Home Domain)
		            If ( sHomeDomain = "T" ) Then
		            	If ( Trim(Request("sOldHomeDomain")) <> sHomeDomain ) Then
			            	sSQLText = "SELECT DomainUnq FROM AccountDomainMap (NOLOCK) WHERE AccountUnq = " & sAccountUnq
			            	rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			            	While ( NOT rsDB.EOF )
			            		Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "D", rsDB("DomainUnq"), "")
			            		rsDB.MoveNext
			            	Wend
			            	rsDB.Close
			            	DBConnection.Execute "DELETE FROM AccountDomainMap WHERE AccountUnq = " & sAccountUnq
		            		DBConnection.Execute "INSERT INTO AccountDomainMap VALUES (" & sAccountUnq & ", " & HOMEONLY & ")"
		            		Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "I", HOMEONLY, "")
		            		sSuccess = DOMAIN_Text("ACCOUNTS_ACCESSIBLE_DOMAINS_UPDATE_HOMEONLY")
		            	End If
		            End If

		            ' make one entry for alldomains (ALLDOMAINS means they can access all Domains
		            If ( sAllDomains = "T" ) Then
		            	If ( Trim(Request("sOldAllDomains")) <> sAllDomains ) Then
			            	sSQLText = "SELECT DomainUnq FROM AccountDomainMap (NOLOCK) WHERE AccountUnq = " & sAccountUnq
			            	rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			            	While ( NOT rsDB.EOF )
			            		Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "D", rsDB("DomainUnq"), "")
			            		rsDB.MoveNext
			            	Wend
			            	rsDB.Close
			            	DBConnection.Execute "DELETE FROM AccountDomainMap WHERE AccountUnq = " & sAccountUnq
		            		DBConnection.Execute "INSERT INTO AccountDomainMap VALUES (" & sAccountUnq & ", " & ALLDOMAINS & ")"
		            		Call DOMAIN_Log(39, "", sAccountUnq, "", 0, "", 0, "V", "I", ALLDOMAINS, "")
		            		sSuccess = DOMAIN_Text("ACCOUNTS_ACCESSIBLE_DOMAINS_UPDATE_ALLDOMAINS")
		            	End If
		            End If
				End If

		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		
		' Get ttl num of items from the database if it's not already in the QueryString
		'see below for this code -- it's different because the count is gathered below
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		Call WriteForm()

		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns TRUE if this user has at least one entry in the AccountDomainMap table	*
	'*		with a HOMEONLY in the DomainUnq column.									*
	'*																					*
	'************************************************************************************
	Function GetHomeOnly()
		Dim rsDB, sSQLText
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT Count(*) FROM AccountDomainMap (NOLOCK) WHERE AccountUnq = " & sAccountUnq & " AND DomainUnq = " & HOMEONLY
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB(0) > 0 ) Then
			GetHomeOnly = TRUE
		Else
			GetHomeOnly = FALSE
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns TRUE if this user has at least one entry in the AccountDomainMap table	*
	'*		with a ALLDOMAINS in the DomainUnq column.									*
	'*																					*
	'************************************************************************************
	Function GetAllDomains()
		Dim rsDB, sSQLText
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT Count(*) FROM AccountDomainMap (NOLOCK) WHERE AccountUnq = " & sAccountUnq & " AND DomainUnq = " & ALLDOMAINS
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB(0) > 0 ) Then
			GetAllDomains = TRUE
		Else
			GetAllDomains = FALSE
		End If
		rsDB.Close
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, sTextColor, rsDomain, rsDB2, sYes, sNo
		Dim iTempDomainUnq, sOldAccess, bAllDomains, iCount
	
		Set rsDB2 = Server.CreateObject("ADODB.recordset")
		iCount = 0
		
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM DomainInfo (NOLOCK) ORDER BY Domain SET ROWCOUNT 0"
		Set rsDomain = CreateObject("ADODB.Recordset")
		rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("AccountsBGColor2")
		%>
		<script language='JavaScript1.2' type='text/javascript'>
		
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDomainUnq2=<%=Request("iDomainUnq2")%>&sSortBy=<%=Request("sSortBy")%>&sAccountUnq=<%=sAccountUnq%>&iDBLoc2=<%=Request("iDBLoc2")%>" + sQueryString;
			}
	
			function SubmitForm(sAction){
				document.AccessibleDomains.sAction.value = sAction;
				document.AccessibleDomains.submit();
			}
			
		</script>
		<form name='AccessibleDomains' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "sAccountUnq"
		aVariables(2) = "iDBLoc2"
		aVariables(3) = "sSortBy"
		aVariables(4) = "iDomainUnq2"
		aVariables(5) = "sOldHomeDomain"
		aVariables(6) = "sOldAllDomains"
		aVariables(7) = "sSearchIDNum"
		aVariables(8) = "sSearchEmail"
		aVariables(9) = "sSearchLogin"
		aVariables(10) = "sIDNumQualifier"
		aVariables(11) = "sEmailQualifier"
		aVariables(12) = "sLoginQualifier"
		aVariables(13) = "sAllowWildcards"
		aValues(0) = "New"
		aValues(1) = sAccountUnq
		aValues(2) = Request("iDBLoc2")
		aValues(3) = Request("sSortBy")
		aValues(4) = Request("iDomainUnq2")
		aValues(5) = sHomeDomain
		aValues(6) = sAllDomains
		aValues(7) = Trim(Request("sSearchIDNum"))
		aValues(8) = Trim(Request("sSearchEmail"))
		aValues(9) = Trim(Request("sSearchLogin"))
		aValues(10) = Trim(Request("sIDNumQualifier"))
		aValues(11) = Trim(Request("sEmailQualifier"))
		aValues(12) = Trim(Request("sLoginQualifier"))
		aValues(13) = Trim(Request("sAllowWildcards"))
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("AccountsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_ACCEDOMAINS")%></b></font>
					<br>
					<table width=100% border=0>
						<tr>
							<td align=right colspan=2>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_YES")%>
							</td>
							<td align=center>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_NO")%>
							</td>
						</tr>					
						<tr>
							<td><font color='<%=DOMAIN_Color("AccountsPageText")%>'><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_4USER")%> <b><%=ACCNT_UserName(sAccountUnq)%></b></font></td>
							<td align=right>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'><b><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_HOMEONLY")%>
								<input type='radio' name='HomeOnly' value='T' <%If ( GetHomeOnly() = TRUE ) Then Response.Write "checked" End If%> onClick='document.AccessibleDomains.AllDomains[1].click();'>
							</td>
							<td align=center>
								<input type='radio' name='HomeOnly' value='F' <%If ( GetHomeOnly() <> TRUE ) Then Response.Write "checked" End If%>>
							</td>
						</tr>
						<tr>
							<td align=right colspan=2>
								<%
								bAllDomains = GetAllDomains()
								%>
								<font color='<%=DOMAIN_Color("AccountsPageText")%>'><b><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_ALL")%>
								<input type='radio' name='AllDomains' value='T' <%If ( bAllDomains = TRUE ) Then Response.Write "checked" End If%> onClick='document.AccessibleDomains.HomeOnly[1].click();'>
							</td>
							<td align=center>
								<input type='radio' name='AllDomains' value='F' <%If ( bAllDomains <> TRUE ) Then Response.Write "checked" End If%>>
							</td>
						</tr>
					</table>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_DOMAIN")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("AccountsTextColor2")%>'><b><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_ACCEDOMAIN")%></b></td>
						</tr>
						<%
						While ( NOT rsDomain.EOF )
							iCount = iCount + 1
							iTempDomainUnq = rsDomain("DomainUnq")
							' if this admin has SB_MA_CHANGE_DOMAINS rights (rights to change domain access) on the specific domain, then list it.
							If ( ACCNT_SpecificDomain("SB_MA_CHANGE_DOMAINS", iTempDomainUnq) ) Then
								If ( sBGColor = DOMAIN_Color("AccountsBGColor1") ) Then
									sBGColor = DOMAIN_Color("AccountsPageBGColor")
									sTextColor = DOMAIN_Color("AccountsPageText")
								Else
									sBGColor = DOMAIN_Color("AccountsBGColor1")
									sTextColor = DOMAIN_Color("AccountsTextColor1")
								End If
								sSQLText = "SELECT * FROM AccountDomainMap (NOLOCK) WHERE DomainUnq = " & iTempDomainUnq & " AND AccountUnq = " & sAccountUnq
								Set rsDB2 = CreateObject("ADODB.Recordset")
								rsDB2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( rsDB2.EOF And bAllDomains = FALSE ) Then
									sYes = ""
									sNo = "checked"
									sOldAccess = "N"
								Else
									sNo = ""
									sYes = "checked"
									sOldAccess = "Y"
								End If
								%>
								<tr>
									<td bgcolor=<%=sBGColor%> width=100%><font color='<%=sTextColor%>'><b><%=DOMAIN_Domain_Name(iTempDomainUnq)%></b></font></td>
									<td bgcolor=<%=sBGColor%>>
									<table cellpadding=0 cellspacing=0 border=0>
										<tr>
											<%If ( ACCNT_HomeDomain(sAccountUnq) <> iTempDomainUnq ) Then%>
											<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_YES")%>:</td>
											<td align=center bgcolor=<%=sBGColor%>><input type='radio' name='sDomainAccess<%=iTempDomainUnq%>' value='Y' <%=sYes%> onClick='document.AccessibleDomains.HomeOnly[1].click(); document.AccessibleDomains.AllDomains[1].click();'></td>
											<td bgcolor=<%=sBGColor%>>&nbsp;&nbsp;&nbsp;&nbsp;<input type='hidden' name='sOldAccess<%=iTempDomainUnq%>' value='<%=sOldAccess%>'></td>
											<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_NO")%>:</td>
											<td align=center bgcolor=<%=sBGColor%>><input type='radio' name='sDomainAccess<%=iTempDomainUnq%>' value='N' <%=sNo%>></td>
											<%Else%>
											<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=DOMAIN_Text("ACCOUNTS_NAV_MANAGE_ACCOUNTS_ACCESSIBLEDOMAINS_HOMEDOMAIN")%></td>
											<%End If%>
										</tr>
									</table>
									</td>
								</tr>
								<%
								rsDB2.Close
							End If
							rsDomain.MoveNext
						Wend
						%>
					</table>
					<br>
					<font size=-2>
					<%=DOMAIN_Text("ACCOUNTS_MANAGE_ACCESSIBLEDOMAINS_FOOTER")%>
				</td>
			</tr>
			<tr>
				<td align=right>
					<%
					if (iTtlNumItems = 0) then
						iTtlNumItems = iCount
					end if
					Call PrintRecordsetNav( iNumPerPage, "DBConnection", "Accounts", "", "Default.asp", "" )%>
				</td>
			</tr>
		</table>
		</form>
		<%
		Set rsDB2 = Nothing
		rsDomain.Close
	End Sub
	'********************************************************************************
	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("DomainsPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>