<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, sSystemUnq, bAdvanced, rsDomain
	Dim sActionsConst, sCode, sDescription, iSchemeUnq
	
	' all this (crazy isn't it?) is needed to prevent caching
	Response.Expires = 60
	Response.Expiresabsolute = Now() - 1
	Response.AddHeader "pragma","no-cache"
	Response.AddHeader "cache-control","private"
	Response.CacheControl = "no-cache"


	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_ACTIONS_EDITCODE")
	If (ACCNT_AnyDomain("SB_MACT_UPDATE")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sSQLText, sError

		Set rsDomain = CreateObject("ADODB.Recordset")		
		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MACT_UPDATE", "", "")
		End If
		sSystemUnq = Trim(Request("sSystemUnq"))
		sActionsConst = Trim(Request("sActionsConst"))
		sCode = Trim(Request.Form("HTMLDATA"))
		sDescription = Trim(Request("sDescription"))
		bAdvanced = Trim(Request("bAdvanced"))
		iSchemeUnq = Trim(Request("iSchemeUnq"))

		Select Case sAction
			Case "UpdateAction"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MACT_UPDATE", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( sActionsConst = "" ) Then
						sError = DOMAIN_Text("MISSING_ACT_CONST")
					End If
					If ( iDomainUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_CODE_SET_DOM")					
					End If
					If ( sSystemUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_SYSTEM")
					End If
					If ( sError = "" ) Then
						If ( NOT ACCNT_SpecificDomain("SB_MACT_USE_ASP", iDomainUnq) ) Then
							' strip the cCode_Delimiter if they do not have rights to put ASP into Actions on this Domain
							sCode = Replace(sCode, DOMAIN_Conf("cCODE_DELIMITER"), "")
						End If
						
						' get the old code and log it
						sSQLText = "SELECT Code FROM Actions (NOLOCK) WHERE ActionsConst = '" & SQLEncode(sActionsConst) & "' AND DomainUnq = " & iDomainUnq & " AND SystemUnq = " & sSystemUnq
						rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDomain.EOF ) Then
							Call DOMAIN_Log(3, SQLEncode(sActionsConst), iDomainUnq, "", sSystemUnq, "", 0, "T", "U", "", SQLEncode(rsDomain("Code")))
						End If
						rsDomain.Close
						
						DBConnection.Execute "UPDATE Actions SET Code = '" & SQLEncode(sCode) & "' WHERE SystemUnq = " & sSystemUnq & " AND DomainUnq = " & iDomainUnq & " AND ActionsConst = '" & SQLEncode(sActionsConst) & "'"
						If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then
							Call DOMAIN_Message(DOMAIN_Text("ACTION_UPDATED"), "SUCCESS")
						End If
					Else
						If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then
							Call DOMAIN_Message(sError, "ERROR")
						End If
					End If
				End If
				If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then
					Response.Write "<result>OK</result>"
					Response.End
				End If
			Case "UpdateAndParse"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MACT_UPDATE", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( sActionsConst = "" ) Then
						sError = DOMAIN_Text("MISSING_ACT_CONST")
					End If
					If ( iDomainUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_CODE_SET_DOM")					
					End If
					If ( sSystemUnq = "" ) Then
						sError = sError & DOMAIN_Text("MISSING_SYSTEM")
					End If
					If ( sError = "" ) Then
						If ( ACCNT_SpecificDomain("SB_MT_NEW_CONST", iDomainUnq) ) Then
							' parse and change
							Call ParseAndChange()
							Call DOMAIN_Message(DOMAIN_Text("DOMAINS_ACTION_TEXT_ADDED"), "SUCCESS")
							If ( NOT ACCNT_SpecificDomain("SB_MACT_USE_ASP", iDomainUnq) ) Then
								' strip the cCode_Delimiter if they do not have rights to put ASP into Actions on this Domain
								sCode = Replace(sCode, DOMAIN_Conf("cCODE_DELIMITER"), "")
							End If
							
							' get the old code and log it
							sSQLText = "SELECT Code FROM Actions (NOLOCK) WHERE ActionsConst = '" & SQLEncode(sActionsConst) & "' AND DomainUnq = " & iDomainUnq & " AND SystemUnq = " & sSystemUnq
							rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsDomain.EOF ) Then
								Call DOMAIN_Log(3, SQLEncode(sActionsConst), iDomainUnq, "", sSystemUnq, "", 0, "T", "U", "", SQLEncode(rsDomain("Code")))
							End If
							rsDomain.Close
							
							DBConnection.Execute "UPDATE Actions SET Code = '" & SQLEncode(sCode) & "' WHERE SystemUnq = " & sSystemUnq & " AND DomainUnq = " & iDomainUnq & " AND ActionsConst = '" & SQLEncode(sActionsConst) & "'"
							Call DOMAIN_Message(DOMAIN_Text("ACTION_UPDATED"), "SUCCESS")
						Else
							Call DOMAIN_Message(DOMAIN_Text("DOMAINS_ACTION_NORIGHTS_TO_ADD_CONST"), "SUCCESS")
						End If
					Else
						Call DOMAIN_Message(sError, "ERROR")
					End If
				End If
			Case Else
				If ( sActionsConst <> "" ) Then
					sSQLText = "SELECT * FROM Actions (NOLOCK) WHERE SystemUnq = " & sSystemUnq & " AND DomainUnq = " & iDomainUnq & " AND ActionsConst = '" & SQLEncode(sActionsConst) & "'"
					rsDomain.Open sSQLText, DBConnection
					If ( NOT rsDomain.EOF ) Then
						sDescription = rsDomain("Description")
						sCode = rsDomain("Code")
					Else
						Call DOMAIN_Message(DOMAIN_Text("MISSING_ACTIONSCONST"), "ERROR")
					End If
					rsDomain.Close
				Else
					Call DOMAIN_Message(DOMAIN_Text("MISSING_ACTIONSCONST"), "ERROR")
				End If
		End Select
		
		Call WriteForm()
		Set rsDomain = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Parse the Action code and strip out any text, add as new Text Constants to the	*
	'*		Text Scheme, then replace the text with calls to [SBText constant].			*
	'*																					*
	'************************************************************************************
	Sub ParseAndChange()
	
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sTemp, bNoASPRights
		
		sActionsConst = Replace(sActionsConst, "'", "&#39;")
		bNoASPRights = FALSE
		
		aVariables(0) = "sAction"
		aVariables(1) = "iDomainUnq"
		aVariables(2) = "sSystemUnq"
		aVariables(3) = "iDBLoc"
		aVariables(4) = "sDescription"
		aVariables(5) = "bAdvanced"
		aValues(0) = ""
		aValues(1) = iDomainUnq
		aValues(2) = sSystemUnq
		aValues(3) = Request("iDBLoc")
		aValues(4) = sDescription
		aValues(5) = bAdvanced
		%>
		<script language = "javascript">
			var wWindow, wWindow2;
	
			function AddColor(iMethod){
				// must set the textarea as focused otherwise, if it's not in focus, sometimes the text thats already in it gets deleted
				document.forms.ManageActions.HTMLDATA.focus();
				if ( iMethod == 1 ) {
					wWindow = window.open("/WS_Content/Domains/Actions/EditOnColors.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes,width=400,height=400");
				}else{
					wWindow = window.open("/WS_Content/Domains/Actions/FormColors.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes,width=400,height=400");
				}
			}
			
			function AddText(iMethod){
				// must set the textarea as focused otherwise, if it's not in focus, sometimes the text thats already in it gets deleted
				document.forms.ManageActions.HTMLDATA.focus();
				if ( iMethod == 1 ) {
					wWindow2 = window.open("/WS_Content/Domains/Actions/EditOnText.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes");
				}else{
					wWindow2 = window.open("/WS_Content/Domains/Actions/FormText.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>","","scrollbars,resizable=yes");
				}
			}

			function storeCaret (textEl) {
				if (textEl.createTextRange) 
					textEl.caretPos = document.selection.createRange().duplicate();
			}

			function changeResolution(x){
				ActionWindow = window.open("PopupEdit.asp?<%=DOMAIN_Link("G")%>sActionsConst=<%=sActionsConst%>&iResolution=" + x, "max", "channelmode=1");
			}
			
			function SubmitForm(sAction){
				document.ManageActions.sAction.value = sAction;
				document.ManageActions.submit();
			}
			
		</script>
		<form name='ManageActions' action='Edit.asp' method='post'>
		<%
		aValues(0) = "UpdateAction"
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<%
					If ( NOT ACCNT_SpecificDomain("SB_MACT_USE_ASP", iDomainUnq) ) Then
						If ( InStr(sCode, DOMAIN_Conf("cCODE_DELIMITER")) > 0 ) Then
							bNoASPRights = TRUE
							Response.Write "<font color = " & DOMAIN_Color("DomainsErrorColor") & "><b>" & DOMAIN_Text("ACTIONS_NO_ASP_RIGHTS") & "</b></font><br><br>"
						End If
					End If
					If ( bNoASPRights = FALSE ) Then
					%>
					<table cellpadding=3 width=100% border=0>
						<tr>
						<td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><font size=+1><b><%=DOMAIN_Text("DOMAINS_UPDATECODE_HEADER")%></b></font></td>
						<td align=right>
							<select name='sResolution'>
								<option value='1'>640x480</option>
								<option value='2'>800x600</option>
								<option value='3'>1024x768</option>
								<option value='4'>1280x1024</option>
								<option value='5'>1600x1200</option>
								<option value='6'>2048x1536</option>
							</select>
							<a href = 'javascript:changeResolution(document.ManageActions.sResolution.value)' class='MediumNavPage'><%=DOMAIN_Text("ACTIONS_POPUP_EDITOR")%></a>
						</td>
						</tr>
					</table>
					<%End If%>
					<table cellpadding = 0 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("DomainsBorderColor1")%> align=center>
					<table cellpadding=3 cellpadding=0>
						<tr>
							<td colspan=2 bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>>
								<table cellpadding=0 cellspacing=0 border=0 width=100%><tr><td>
								<b><%=DOMAIN_Text("ACTIONS_ACTION_STAR")%>:</b>&nbsp;
								</td><td align=center>
								<select name='sActionsConst' onChange='SubmitForm("UpdateActionConst");'>
								<%
								sSQLText = "SELECT * FROM Actions WHERE DomainUnq = " & iDomainUnq & " AND SystemUnq = " & sSystemUnq & " ORDER BY ActionsConst"
								rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While ( NOT rsDomain.EOF )
									sTemp = Replace(Trim(rsDomain("ActionsConst")), "'", "&#39;")
									If ( sActionsConst = Trim(rsDomain("ActionsConst")) ) Then
										Response.Write "<option value='" & sTemp & "' selected>" & sTemp & "</option>"
									Else
										Response.Write "<option value='" & sTemp & "'>" & sTemp & "</option>"
									End If
									rsDomain.MoveNext
								Wend
								rsDomain.Close
								%>
								</select>
								</td><td align=right>
								<font size=-2><%=DOMAIN_Text("ACTIONS_ACTION_STAR2")%></font>
								</td></tr></table>
							</td>
						</tr>
						<%If ( bNoASPRights = FALSE ) Then%>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><b><font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><%=DOMAIN_Text("DOMAINS_ACTIONS_DESC")%></font></td>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%> align=right>
								<%
								If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" ) Then
									' make sure they set it to "YES" - meaning they own Edit-On in the first place
									aVariables(0) = "sAction"
									aVariables(1) = "iDomainUnq"
									aVariables(2) = "sSystemUnq"
									aVariables(3) = "iDBLoc"
									aVariables(4) = "sActionsConst"
									aVariables(5) = "sDescription"
									aVariables(6) = "bAdvanced"
									aValues(0) = ""
									aValues(1) = iDomainUnq
									aValues(2) = sSystemUnq
									aValues(3) = Request("iDBLoc")
									aValues(4) = sActionsConst
									aValues(5) = sDescription
									If ( bAdvanced = "T" ) Then
										aValues(6) = "F"
										Response.Write "<a href='Edit.asp?" & DOMAIN_Link("G") & "' class='MediumNav1'>" & DOMAIN_Text("ACTION_WYSIWYG_VIEW") & "</a>"
									Else
										aValues(6) = "T"
										Response.Write "<a href='Edit.asp?" & DOMAIN_Link("G") & "' class='MediumNav1'>" & DOMAIN_Text("ACTION_ADVANCED_VIEW") & "</a>"
									End If
								End If
								%>
							</td>
						</tr>
						<tr>
							<td colspan=2 valign=top bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><%=sDescription%></b></font></td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<a href='javascript:AddColor(1)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_COLOR")%></a>
								<%Else%>
								<a href='javascript:AddColor(2)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_COLOR")%></a>
								<%End If%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%> align=right>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<a href='javascript:AddText(1)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_TEXT")%></a>
								<%Else%>
								<a href='javascript:AddText(2)' class='MediumNav1'><%=DOMAIN_Text("DOMAINS_ACTIONS_ADD_TEXT")%></a>
								<%End If%>
							</td>
						</tr>
						<tr>
							<td colspan=2>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=500 name=SBEditor id=SBEditor width=650 VIEWASTEXT MAYSCRIPT>
									<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
									<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
									<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">

									<param name="TOOLBARURL" value="toolbar-sample.xml">
									<param name="TEXTMODE" value="FALSE">
									<param name="SOURCEVIEW" value="TRUE">
									<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("DomainsPageLinkColor")%>">
									<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<%
									aVariables(0) = "sAction"
									aVariables(1) = "iDomainUnq"
									aVariables(2) = "sSystemUnq"
									aVariables(3) = "iDBLoc"
									aVariables(4) = "sActionsConst"
									aVariables(5) = "sDescription"
									aValues(0) = ""
									aValues(1) = iDomainUnq
									aValues(2) = sSystemUnq
									aValues(3) = Request("iDBLoc")
									aValues(4) = sActionsConst
									aValues(5) = sDescription
									%>
									<param name="SETHTMLDATAURL" value="EditOn/SetCode.asp?<%=DOMAIN_Link("G")%>">
									<param name="GET_OK_URL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									<%
									aVariables(0) = "sAction"
									aValues(0) = "UpdateAction"
									%>
									<param name="GETHTMLDATAURL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									
									<param name="SIMPLETABLE" value="true">
									<param name="INSERTTEXT_HTML" value="true">
									<param name="BODYONLY" value="TRUE">
									<param name="IMAGEROOT" value="<%=DOMAIN_Conf("EDIT-ON_IMAGEROOT")%>">
									<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainUnq%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
									<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
									<%If ( DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
									<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
									<%End If%>
									<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("EDIT-ON_SPELLCHECKPROPERTIES")%>">
									
								</APPLET>
								<%Else
								%>
								<textarea cols=80 rows=28 name='HTMLDATA' wrap=off ONFOCUS="storeCaret(this);" ONSELECT="storeCaret(this);" ONCLICK="storeCaret(this);" ONKEYUP="storeCaret(this);"><%=Server.HTMLEncode(sCode)%></textarea>
								<%End If%>
							</td>
						</tr>
						<%If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then%>
						<tr>
							<%If ( ACCNT_SpecificDomain("SB_MT_NEW_CONST", iDomainUnq) ) And 1 = 0 Then%>
							<td align=center><input type='submit' value='<%=DOMAIN_Text("UPDATE_CODE")%>'></td>
							<td align=center>
								<input type='button' value='<%=DOMAIN_Text("ACTIONS_SAVE_AND_ADD")%>' onClick='SubmitForm("UpdateAndParse");'>
								<select name = "iSchemeUnq">
									<%
									sSQLText = "SELECT * FROM TextSchemes (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " ORDER BY SchemeUnq"
									rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( NOT rsDomain.EOF ) Then
										While ( NOT rsDomain.EOF )
											If ( iSchemeUnq = CStr(rsDomain("SchemeUnq")) ) Then
												Response.Write "<option value='" & rsDomain("SchemeUnq") & "' Selected>" & rsDomain("SchemeName") & "--" & rsDomain("SchemeUnq") & "</option>"
											Else
												Response.Write "<option value='" & rsDomain("SchemeUnq") & "'>" & rsDomain("SchemeName") & "--" & rsDomain("SchemeUnq") & "</option>"
											End If
											rsDomain.MoveNext
										Wend
									Else
										Response.Write "<option value='-1'>" & DOMAIN_Text("NO_TEXT_SCHEMES") & "</option>"
									End If
									rsDomain.Close
									%>
								</select>
							</td>
							<%Else%>
							<td colspan=2 align=center><input type='submit' value='<%=DOMAIN_Text("UPDATE_CODE")%>'></td>
							<%End If%>
						</tr>
						<%End If%>
						<%End If	' bNoASPRights%>
					</table>
					</td></tr></table>
					<br>
					<font size=-2>
					<%=DOMAIN_Text("DOMAINS_UPDATECODE_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
%>