<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, iSchemeUnq, rsDB
	Dim iNumPerPage, iTtlNumItems, iDBLoc, sSearchQuery
	Dim sSearchLong, sShortQualifier, sSearchShort, sTxtConstQualifier
	Dim sSearchTxtConst, sBeginSearch, sAllowWildcards

	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_TEXT")
	If   (ACCNT_AnyDomain("SB_MT_REMOVE_CONST")) Or _
		 (ACCNT_AnyDomain("SB_MT_UPDATE_CONST")) Or _
		 (ACCNT_AnyDomain("SB_MT_DELETE_SCHEME")) Then
		Call Main()
	Else
		Call WriteScripts()
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sSQLText, sError, sSuccess, bTemp, sTextField, sCheckbox, sTemp
		Dim sOldTextConst, sTextConst, sNewTextConst, sOldVarCharData, sNewVarCharData
		
		sAction				= Trim(Request("sAction"))
		iSchemeUnq			= Trim(Request("iSchemeUnq"))
		iDomainUnq			= Trim(Request("iDomainUnq"))
		sSearchLong			= Trim(Request("sSearchLong"))
		sShortQualifier		= Trim(Request("sShortQualifier"))
		sSearchShort		= Trim(Request("sSearchShort"))
		sTxtConstQualifier	= Trim(Request("sTxtConstQualifier"))
		sSearchTxtConst		= Trim(Request("sSearchTxtConst"))
		sBeginSearch		= Trim(Request("sBeginSearch"))
		sAllowWildcards		= Trim(Request("sAllowWildcards"))

		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MT_REMOVE_CONST", "SB_MT_UPDATE_CONST", "SB_MT_DELETE_SCHEME")
		End If

		If ( sSearchTxtConst <> "" ) Then
			If ( sAllowWildcards <> "Y" ) Then
				' escape MSSQL wildcard characters
				sSearchTxtConst = Replace(sSearchTxtConst, "[", "[[]")	' this must be done first
				sSearchTxtConst = Replace(sSearchTxtConst, "%", "[%]")
				sSearchTxtConst = Replace(sSearchTxtConst, "_", "[_]")
				sSearchTxtConst = Replace(sSearchTxtConst, "^", "[^]")
			End If
			Select Case sTxtConstQualifier
				Case "IN"	'Contains
					sSearchQuery = " AND M.TextConst LIKE '%" & SQLEncode(sSearchTxtConst) & "%'"
				Case "SW"	'Starts With
					sSearchQuery = " AND M.TextConst LIKE '" & SQLEncode(sSearchTxtConst) & "%'"
				Case "EW"	'Ends With
					sSearchQuery = " AND M.TextConst LIKE '%" & SQLEncode(sSearchTxtConst) & "'"
			End Select
		End If
		
		If ( sSearchShort <> "" ) Then
			If ( sAllowWildcards <> "Y" ) Then
				' escape MSSQL wildcard characters
				sSearchShort = Replace(sSearchShort, "[", "[[]")	' this must be done first
				sSearchShort = Replace(sSearchShort, "%", "[%]")
				sSearchShort = Replace(sSearchShort, "_", "[_]")
				sSearchShort = Replace(sSearchShort, "^", "[^]")
			End If
			Select Case sShortQualifier
				Case "IN"	'Contains
					sSearchQuery = sSearchQuery & " AND M.VarCharData LIKE '%" & SQLEncode(sSearchShort) & "%'"
				Case "SW"	'Starts With
					sSearchQuery = sSearchQuery & " AND M.VarCharData LIKE '" & SQLEncode(sSearchShort) & "%'"
				Case "EW"	'Ends With
					sSearchQuery = sSearchQuery & " AND M.VarCharData LIKE '%" & SQLEncode(sSearchShort) & "'"
			End Select
		End If
		
		If ( sSearchLong <> "" ) Then
			sSearchQuery = sSearchQuery & " AND M.TextData LIKE '%" & SQLEncode(sSearchLong) & "%'"
		End If

		Set rsDB = Server.CreateObject("ADODB.recordset")

		Select Case sAction
			Case "UpdateText"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MT_UPDATE_CONST", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sTextField In Request.Form
						If ( InStr(sTextField, "sOldTextConst") > 0 ) Then
							sOldTextConst = Request(sTextField)
							sTextConst = Replace(sTextField, "sOldTextConst", "")
							sNewTextConst = Request("sNewTextConst" & sTextConst)
							sOldVarCharData = Request("sOldVarCharData" & sTextConst)
							sNewVarCharData = Request("sNewVarCharData" & sTextConst)
							If ( sOldTextConst <> sNewTextConst Or sOldVarCharData <> sNewVarCharData ) Then
								If ( InStr(sNewTextConst, "'") > 0 ) Then
									sError = DOMAIN_Text("TEXTCONST_NO_SINGLE_QUOTES")
								Else
									If ( sOldTextConst <> sNewTextConst ) Then
										bTemp = DoesntExist(sNewTextConst)
									Else
										bTemp = TRUE
									End If
									If ( bTemp ) Then
										If ( sNewVarCharData = "" ) Then
											' they are blanking out the short text -- so we need to see if the long text has a value and use that 
											'	instead if there is one
											sSQLText = "SELECT TextData FROM TextMap (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sOldTextConst) & "'"
											rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
											If ( NOT rsDB.EOF ) Then
												If ( Trim(rsDB("TextData")) = "" ) Then
													' the long text is also blank, so just do the normal update
													DBConnection.Execute "UPDATE TextMap SET TextConst = '" & SQLEncode(sNewTextConst) & "', DataType = 'V', VarCharData = '' WHERE DomainUnq = " & iDomainUnq & " AND SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sOldTextConst) & "'"
												Else
													' the long text is not blank so change the type to it
													DBConnection.Execute "UPDATE TextMap SET TextConst = '" & SQLEncode(sNewTextConst) & "', DataType = 'T', VarCharData = '' WHERE DomainUnq = " & iDomainUnq & " AND SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sOldTextConst) & "'"
												End If
											End If
											rsDB.Close
										Else
											DBConnection.Execute "UPDATE TextMap SET TextConst = '" & SQLEncode(sNewTextConst) & "', DataType = 'V', VarCharData = '" & SQLEncode(sNewVarCharData) & "' WHERE DomainUnq = " & iDomainUnq & " AND SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sOldTextConst) & "'"
										End If
										Call DOMAIN_Log(34, SQLEncode(sNewTextConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "U", SQLEncode(sOldTextConst), "")
										Call DOMAIN_Log(35, SQLEncode(sNewTextConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "U", SQLEncode(sOldVarCharData), "")
										If ( sSuccess = "" ) Then
											sSuccess = DOMAIN_Text("TEXT_UPDATED")
										End If
									Else
										sError = sError & DOMAIN_Text("TEXTCONST_EXISTS") & sNewTextConst & "<BR>"
									End If
								End If
							End If
						End If
					Next
				End If
			Case "DeleteText"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MT_REMOVE_CONST", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sCheckbox In Request.Form
						If ( InStr(sCheckbox, "sDeleteTextConst") > 0 ) Then
							sTextConst = Replace(sCheckbox, "sDeleteTextConst", "")
							DBConnection.Execute "DELETE FROM TextMap WHERE TextConst = '" & SQLEncode(sTextConst) & "' AND SchemeUnq = " & iSchemeUnq & " AND DomainUnq = " & iDomainUnq
							Call DOMAIN_Log(33, SQLEncode(sTextConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "D", SQLEncode(Request("sOldTextConst" & sTextConst)), "")
							Call DOMAIN_Log(34, SQLEncode(sTextConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "D", SQLEncode(Request("sOldTextConst" & sTextConst)), "")
							Call DOMAIN_Log(35, SQLEncode(sTextConst), iDomainUnq, "", iSchemeUnq, "", 0, "V", "D", SQLEncode(Request("sOldVarCharData" & sTextConst)), "")
							
							If ( sSuccess = "" ) Then
								sSuccess = DOMAIN_Text("TEXT_CONST_DEL")
							End If
						End If
					Next
				End If
			Case "DeleteScheme"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MT_DELETE_SCHEME", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( iSchemeUnq = "" ) Then
						sError = DOMAIN_Text("CHOOSE_TEXTSCHEME_DEL")
					End If
					If ( iDomainUnq = "" ) Then
						sError = sError & DOMAIN_Text("CHOOSE_TEXTSCHEME_DOM")				
					End If
					If ( sError = "" ) Then
					
						sSQLText = "SELECT SchemeName FROM TextSchemes (NOLOCK) WHERE SchemeUnq = " & iSchemeUnq & " AND DomainUnq = " & iDomainUnq
						rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDB.EOF ) Then
							Call DOMAIN_Log(32, "", iDomainUnq, "", iSchemeUnq, "", 0, "V", "D", rsDB("SchemeName"), "")
						End If
						rsDB.Close
						
						sSQLText = "SELECT TextConst, DataType, VarCharData, TextData FROM TextMap (NOLOCK) WHERE SchemeUnq = " & iSchemeUnq & " AND DomainUnq = " & iDomainUnq
						rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						While ( NOT rsDB.EOF )
							sTemp = rsDB("TextConst")
							Call DOMAIN_Log(33, SQLEncode(sTemp), iDomainUnq, "", iSchemeUnq, "", 0, "V", "D", SQLEncode(sTemp), "")
							Call DOMAIN_Log(34, SQLEncode(sTemp), iDomainUnq, "", iSchemeUnq, "", 0, "V", "D", SQLEncode(sTemp), "")
							If ( Trim(UCase(rsDB("DataType"))) = "V" ) Then
								Call DOMAIN_Log(35, SQLEncode(sTemp), iDomainUnq, "", iSchemeUnq, "", 0, "V", "D", SQLEncode(rsDB("VarCharData")), "")
							Else
								Call DOMAIN_Log(35, SQLEncode(sTemp), iDomainUnq, "", iSchemeUnq, "", 0, "T", "D", "", SQLEncode(rsDB("TextData")))
							End If

							rsDB.MoveNext
						Wend
						rsDB.Close
					
						DBConnection.Execute "DELETE FROM TextSchemes WHERE SchemeUnq = " & iSchemeUnq & " AND DomainUnq = " & iDomainUnq
						DBConnection.Execute "DELETE FROM TextMap WHERE SchemeUnq = " & iSchemeUnq & " AND DomainUnq = " & iDomainUnq
						iSchemeUnq = ""	' so the next scheme is found below
						sSuccess = DOMAIN_Text("TEXT_SCHEME_DEL")
					End If
				End If
		End Select

		' put this down here so if they delete the current scheme, this will find the next one.
		If ( iSchemeUnq = "" ) Or ( iSchemeUnq = "-1" ) Or ( sAction = "UpdateDomainUnq" ) Then
			' Get the first schemeunq -- it's not always going to be 1
			sSQLText = "SELECT * FROM TextSchemes (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " ORDER BY SchemeUnq"
			rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsDB.EOF ) Then
				iSchemeUnq = rsDB("SchemeUnq")
			Else
				iSchemeUnq = -1
			End If
			rsDB.Close
		End If
		
		' Pagination variables -- begin
		iNumPerPage = 20
		If ( sBeginSearch = "" ) Then	' we aren't searching or starting a new search so we can use the existing numbers
			iTtlNumItems = CLng(Request("iTtlNumItems"))
			If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
				iDBLoc = 0
			Else
				iDBLoc = CLng(Request("iDBLoc"))
				If (iDBLoc<0) Then
					iDBLoc = 0
				End If
			End If
		Else
			iTtlNumItems = 0
			iDBLoc = 0
		End If

		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		' must also reset them if colors have been deleted
		Select Case sAction
			Case "UpdateDomainUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "UpdateSchemeUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "DeleteText"
				iTtlNumItems = 0
			Case "DeleteScheme"	
				iDBLoc = 0
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			sSQLText = "SELECT Count(*) FROM TextMap M (NOLOCK), TextSchemes S (NOLOCK) WHERE S.DomainUnq = " & iDomainUnq & " AND M.DomainUnq = " & iDomainUnq & " AND S.SchemeUnq = M.SchemeUnq AND S.SchemeUnq = " & iSchemeUnq & sSearchQuery
			rsDB.Open sSQLText, DBConnection
			If Not(rsDB.EOF) Then
				iTtlNumItems = rsDB(0)
			End If
			rsDB.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		
		If ( sAllowWildcards <> "Y" ) Then
			' unescape MSSQL wildcard characters -- needs to be done for both the WriteScripts and WriteForm functions
			sSearchTxtConst = Replace(sSearchTxtConst, "[%]", "%")
			sSearchTxtConst = Replace(sSearchTxtConst, "[_]", "_")
			sSearchTxtConst = Replace(sSearchTxtConst, "[^]", "^")
			sSearchTxtConst = Replace(sSearchTxtConst, "[[]", "[")	' this must be done last
			sSearchShort = Replace(sSearchShort, "[%]", "%")
			sSearchShort = Replace(sSearchShort, "[_]", "_")
			sSearchShort = Replace(sSearchShort, "[^]", "^")
			sSearchShort = Replace(sSearchShort, "[[]", "[")	' this must be done last
		End If

		Call WriteScripts()
		Call WriteForm()
		Set rsDB = Nothing
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, rs1, rsDomain, sTextConst, sVarCharData
		Dim sBGColor, sTextColor, x, iMax, iCount, sLinkColor, sLinkColor2
		
		sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT TextConst, VarCharData, TextData FROM TextMap M, TextSchemes S WHERE S.DomainUnq = " & iDomainUnq & " AND M.DomainUnq = " & iDomainUnq & " AND S.SchemeUnq = M.SchemeUnq AND S.SchemeUnq = " & iSchemeUnq & sSearchQuery & " ORDER BY M.TextConst SET ROWCOUNT 0"
		Set rsDB = CreateObject("ADODB.Recordset")
		rsDB.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("DomainsBGColor2")
		For x = 1 To CDbl(iDBLoc)
			rsDB.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<form name='ManageText' action='Default.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "sBeginSearch"
		aValues(0) = "New"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = ""
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("TEXT_INTRO")%></b></font>
					<br><br>
					
					<table cellpadding=0 width=671 cellspacing = 0 border = 0>
						<tr>
							<td>
								<b>Search:</b>
							</td>
							<td align=right>
								<b>Jump to page:</b>
								<select name='iDBLoc2' onChange='document.ManageText.iDBLoc.value=this.value;SubmitForm("");'>
									<option value='0'>Select Page</option>
									<%
									For x = 0 to (iTtlNumItems/iNumPerPage)
										%>
										<option value='<%=x*iNumPerPage%>'><%=x+1%></option>
										<%
									Next
									%>
								</select>
							</td>
						</tr>
					</table>
					<table width=671 cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("DomainsBorderColor1")%> align=center>
					<table cellpadding=5 width=671 cellspacing = 0 border = 0>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%>>
								Text Constant <input type='text' name='sSearchTxtConst' value="<%=Server.HTMLEncode(sSearchTxtConst)%>" maxlength=255 size=32>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%>>
								<select name='sTxtConstQualifier'>
									<option value='IN' <%If ( sTxtConstQualifier = "IN" ) Then Response.Write "Selected" End If%>>Contains</option>
									<option value='SW' <%If ( sTxtConstQualifier = "SW" ) Then Response.Write "Selected" End If%>>Starts With</option>
									<option value='EW' <%If ( sTxtConstQualifier = "EW" ) Then Response.Write "Selected" End If%>>Ends With</option>
								</select>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%> rowspan=5 align=center valign=center width=200>
								Allow MSSQL wildcards ("[%_^")? <input type='checkbox' name='sAllowWildcards' value='Y' <%If ( sAllowWildcards="Y" ) Then Response.Write "Checked" End If%>>
								<br><br><br>
								<input type='button' value='Search' onClick='document.ManageText.sBeginSearch.value=1;SubmitForm("");'>
								<br><br><br>
								<input type='button' value='Clear Search' onClick='document.ManageText.sBeginSearch.value=1;document.ManageText.sSearchTxtConst.value="";document.ManageText.sSearchLong.value="";document.ManageText.sSearchShort.value="";SubmitForm("");'>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%> colspan=2 align=center>
								<table cellpadding=0 cellspacing=0 border=0 width=100%><tr><td width=50%><hr></td><td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><b>AND</b></td><td width=50%><hr></td></tr></table>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%>>
								Short Value	 <input type='text' name='sSearchShort' value="<%=Server.HTMLEncode(sSearchShort)%>" maxlength=255 size=32>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%>>
								<select name='sShortQualifier'>
									<option value='IN' <%If ( sShortQualifier = "IN" ) Then Response.Write "Selected" End If%>>Contains</option>
									<option value='SW' <%If ( sShortQualifier = "SW" ) Then Response.Write "Selected" End If%>>Starts With</option>
									<option value='EW' <%If ( sShortQualifier = "EW" ) Then Response.Write "Selected" End If%>>Ends With</option>
								</select>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%> colspan=2 align=center>
								<table cellpadding=0 cellspacing=0 border=0 width=100%><tr><td width=50%><hr></td><td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><b>AND</b></td><td width=50%><hr></td></tr></table>
							</td>
						</tr>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%>>
								Long Value <input type='text' name='sSearchLong' value="<%=Server.HTMLEncode(sSearchLong)%>" maxlength=255 size=32>
							</td>
							<td bgcolor = <%=DOMAIN_Color("DomainsPageBGColor")%>>
								<b>Contains</b>
							</td>
						</tr>
					</table>
					</td></tr></table>
					
					<table width=671>
						<tr>
							<td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><b><%=DOMAIN_Text("DOMAINS_TEXT_DOMAIN")%></b></font></td>
							<td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><b><%=DOMAIN_Text("DOMAINS_TEXT_SCHEME")%></b></font></td>
						</tr>
						<tr>
							<td>
								<%Call DOMAINS_DomainsDropDown("SB_MT_REMOVE_CONST", "SB_MT_UPDATE_CONST", "SB_MT_DELETE_SCHEME")%>
							</td>
							<td>
								<select name = "iSchemeUnq" onChange='SubmitForm("UpdateSchemeUnq");'>
									<%
									Set rsDomain = CreateObject("ADODB.Recordset")
									sSQLText = "SELECT * FROM TextSchemes (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " ORDER BY SchemeUnq"
									rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
									If ( NOT rsDomain.EOF ) Then
										While ( NOT rsDomain.EOF )
											If ( iSchemeUnq = CStr(rsDomain("SchemeUnq")) ) Then
												Response.Write "<option value='" & rsDomain("SchemeUnq") & "' Selected>" & rsDomain("SchemeName") & "--" & rsDomain("SchemeUnq") & "</option>"
											Else
												Response.Write "<option value='" & rsDomain("SchemeUnq") & "'>" & rsDomain("SchemeName") & "--" & rsDomain("SchemeUnq") & "</option>"
											End If
											rsDomain.MoveNext
										Wend
									Else
										Response.Write "<option value='-1'>" & DOMAIN_Text("NO_TEXT_SCHEMES") & "</option>"
									End If
									rsDomain.Close
									Set rsDomain = Nothing
									%>
								</select>
							</td>
						</tr>
					</table>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_TEXT_CONST")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_TEXT_VARCHAR")%></b></td>
							<td bgcolor=<%=sBGColor%>>&nbsp;</td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_TEXT_TEXT")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("DomainsTextColor2")%>'><b><%=DOMAIN_Text("DOMAINS_TEXT_DELETE")%></b></td>
						</tr>
						<%
						While ( NOT rsDB.EOF )
							If ( sBGColor = DOMAIN_Color("DomainsBGColor1") ) Then
								sBGColor = DOMAIN_Color("DomainsPageBGColor")
								sTextColor = DOMAIN_Color("DomainsPageText")
								sLinkColor = "MediumNavPage"
								sLinkColor2 = "SmallNavPage"
							Else
								sBGColor = DOMAIN_Color("DomainsBGColor1")
								sTextColor = DOMAIN_Color("DomainsTextColor1")
								sLinkColor = "MediumNav1"
								sLinkColor2 = "SmallNav1"
							End If
							sTextConst = rsDB("TextConst")
							sVarCharData = rsDB("VarCharData")
							%>
							<tr>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name="sOldTextConst<%=Server.HTMLEncode(sTextConst)%>" value="<%=Server.HTMLEncode(sTextConst)%>"><input type='text' name="sNewTextConst<%=Server.HTMLEncode(sTextConst)%>" value="<%=Server.HTMLEncode(sTextConst)%>" size=25 maxlength=250></td>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name="sOldVarCharData<%=Server.HTMLEncode(sTextConst)%>" value="<%=Server.HTMLEncode(sVarCharData)%>"><input type='text' name="sNewVarCharData<%=Server.HTMLEncode(sTextConst)%>" value="<%=Server.HTMLEncode(sVarCharData)%>" size=45 maxlength=250></td>
								<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><b><%=DOMAIN_Text("DOMAINS_TEXT_OR")%></b></td>
								<td bgcolor=<%=sBGColor%> align=center>
								<%If ( rsDB("TextData") <> "" ) Then%>
								<a href='JavaScript:EditCode("<%=Server.HTMLEncode(sTextConst)%>")' class='<%=sLinkColor%>'><%=DOMAIN_Text("DOMAINS_TEXT_EDIT")%></a></td>
								<%Else%>
								<a href='JavaScript:EditCode("<%=Server.HTMLEncode(sTextConst)%>")' class='<%=sLinkColor2%>'><%=DOMAIN_Text("DOMAINS_TEXT_EDIT")%></a></td>
								<%End If%>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name="sDeleteTextConst<%=Server.HTMLEncode(sTextConst)%>" value="<%=Server.HTMLEncode(sTextConst)%>"></td>
							</tr>
							<%
							rsDB.MoveNext
							iCount = iCount + 1
						Wend
						%>
						<tr>
							<td colspan=8 align=right>
								<%Call PrintRecordsetNav( "Default.asp", "iDomainUnq=" & iDomainUnq & "&sSearchLong=" & sSearchLong & "&sShortQualifier=" & sShortQualifier & "&sSearchShort=" & sSearchShort & "&sTxtConstQualifier=" & sTxtConstQualifier & "&sSearchTxtConst=" & sSearchTxtConst & "&sAllowWildcards=" & sAllowWildcards, "Domains")%>
							</td>
						</tr>
					</table>
					<br>
					<font size=-2>
					<%=DOMAIN_Text("DOMAINS_TEXT_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
		'************************************************************************************
	'*																					*
	'*	This writes the JavaScript out even if the Main() Sub isn't called in case the	*
	'*		admin has creation rights, but not edit rights.								*
	'*																					*
	'************************************************************************************
	Sub WriteScripts()
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageText.sAction.value = sAction;
				document.ManageText.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iSchemeUnq=" + document.ManageText.iSchemeUnq.value + sQueryString;
			}
			
			function NewTextLink(){
				document.location = "NewText.asp?<%=DOMAIN_Link("G")%>&sSearchLong=<%=Server.URLEncode(sSearchLong)%>&sSearchShort=<%=Server.URLEncode(sSearchShort)%>&sSearchTxtConst=<%=Server.URLEncode(sSearchTxtConst)%>&sShortQualifier=<%=sShortQualifier%>&sTxtConstQualifier=<%=sTxtConstQualifier%>&sAllowWildcards=<%=sAllowWildcards%>&iTtlNumItems=" + document.ManageText.iTtlNumItems.value + "&iDBLoc=<%=iDBLoc%>&iSchemeUnq=" + document.ManageText.iSchemeUnq.value + "&iDomainUnq=" + document.ManageText.iDomainUnq.value;
			}
			
			function EditCode(sActionConst){
				document.location = "Edit.asp?<%=DOMAIN_Link("G")%>&sSearchLong=<%=Server.URLEncode(sSearchLong)%>&sSearchShort=<%=Server.URLEncode(sSearchShort)%>&sSearchTxtConst=<%=Server.URLEncode(sSearchTxtConst)%>&sShortQualifier=<%=sShortQualifier%>&sTxtConstQualifier=<%=sTxtConstQualifier%>&sAllowWildcards=<%=sAllowWildcards%>&iTtlNumItems=" + document.ManageText.iTtlNumItems.value + "&bAdvanced=T&iDBLoc=<%=iDBLoc%>&sTextConst=" + sActionConst + "&iSchemeUnq=" + document.ManageText.iSchemeUnq.value + "&iDomainUnq=" + document.ManageText.iDomainUnq.value;
			}
			
			function warning(){
				if(chmind){
					var check = confirm('<%=Replace(DOMAIN_Text("TEXT_SCHEME_WARNING"), "'", "\'")%>')
					if(check){
						document.ManageText.sAction.value = "DeleteScheme";
						document.ManageText.submit();
					}
				} else {
					chmind = true
				}
			}
			
			var chmind  = true

		</script>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the color constant they are trying to add is already in 	*
	'*		the DB.																		*
	'*																					*
	'************************************************************************************	
	Function DoesntExist(sAID)
		Dim sSQLText, rsDomain

		DoesntExist = FALSE
		Set rsDomain = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM TextMap (NOLOCK) WHERE TextConst = '" & SQLEncode(sAID) & "' AND SchemeUnq = " & iSchemeUnq
		rsDomain.Open sSQLText, DBConnection
		If ( rsDomain.EOF ) Then
			DoesntExist = TRUE
		End If
		rsDomain.Close
		Set rsDomain = Nothing
	End Function
	'************************************************************************************	
%>