<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, iSchemeUnq, bAdvanced
	Dim sTextConst, sTextData
	
	' all this (crazy isn't it?) is needed to prevent caching
	Response.Expires = 60
	Response.Expiresabsolute = Now() - 1
	Response.AddHeader "pragma","no-cache"
	Response.AddHeader "cache-control","private"
	Response.CacheControl = "no-cache"

	Call DISP_Action("SB_DOMAINS_OPEN")
	Call DISP_Action("SB_DOMAINS_MANAGE_TEXT_NEWTEXT")
	If   (ACCNT_AnyDomain("SB_MT_UPDATE_CONST")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_DOMAINS_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, rsDomain, sSQLText, sError, sTemp
		
		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MT_UPDATE_CONST", "", "")
		End If
		bAdvanced = Trim(Request("bAdvanced"))
		iSchemeUnq = Trim(Request("iSchemeUnq"))
		sTextConst = Trim(Request("sTextConst"))
		sTextData = Trim(Request.Form("HTMLDATA"))

		Select Case sAction
			Case "UpdateText"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MT_UPDATE_CONST", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					If ( iDomainUnq = "" ) Then
						sError = sError & DOMAIN_Text("DOMAINS_TEXT_MISSING_DOM")					
					End If
					If ( sError = "" ) Then
						' log it before the text changes so we can get a copy of the original data
						Set rsDomain = CreateObject("ADODB.Recordset")
						sSQLText = "SELECT VarCharData, TextData FROM TextMap (NOLOCK) WHERE DomainUnq = " & iDomainUnq & " AND SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sTextConst) & "'"
						rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( NOT rsDomain.EOF ) Then
							' if the admin moved the data from the varchar to text field, we need to get the data from it. but if
							'	both fields have data, take the textdata above the varchar data.
							If ( Len(Trim(rsDomain("TextData"))) > 0 ) Then
								sTemp = Trim(rsDomain("TextData"))
							Else
								sTemp = Trim(rsDomain("VarCharData"))
							End If
							Call DOMAIN_Log(35, SQLEncode(sTextConst), iDomainUnq, "", iSchemeUnq, "", 0, "T", "U", "", SQLEncode(sTemp))
						End If
						rsDomain.Close
						Set rsDomain = Nothing
						
						DBConnection.Execute "UPDATE TextMap SET DataType = 'T', VarCharData = '', TextData = '" & SQLEncode(sTextData) & "' WHERE SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sTextConst) & "' AND DomainUnq = " & iDomainUnq
						If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then
							Call DOMAIN_Message(DOMAIN_Text("DOMAINS_TEXT_UPDATED"), "SUCCESS")
						End If
					Else
						If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then
							Call DOMAIN_Message(sError, "ERROR")
						End If
					End If
				End If
				If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then
					Response.Write "<result>OK</result>"
					Response.End
				End If
			Case Else
				Set rsDomain = CreateObject("ADODB.Recordset")
				sSQLText = "SELECT TextData FROM TextMap (NOLOCK) WHERE SchemeUnq = " & iSchemeUnq & " AND TextConst = '" & SQLEncode(sTextConst) & "' AND DomainUnq = " & iDomainUnq
				rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( NOT rsDomain.EOF ) Then
					sTextData = rsDomain("TextData")
				End If
				rsDomain.Close
				Set rsDomain = Nothing
		End Select
		
		Call WriteForm()
	End Sub
	'************************************************************************************
	

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim rsDomain, sSQLText
		
		aVariables(0) = "sAction"
		aVariables(1) = "iDomainUnq"
		aVariables(2) = "iSchemeUnq"
		aVariables(3) = "iDBLoc"
		aVariables(4) = "sTextConst"
		aVariables(6) = "bAdvanced"
		aVariables(7) = "sSearchLong"
		aVariables(8) = "sShortQualifier"
		aVariables(9) = "sSearchShort"
		aVariables(10) = "sTxtConstQualifier"
		aVariables(11) = "sSearchTxtConst"
		aVariables(12) = "sBeginSearch"
		aVariables(13) = "sAllowWildcards"
		aValues(0) = ""
		aValues(1) = iDomainUnq
		aValues(2) = iSchemeUnq
		aValues(3) = Trim(Request("iDBLoc"))
		aValues(4) = sTextConst
		aValues(6) = bAdvanced
		aValues(7) = Trim(Request("sSearchLong"))
		aValues(8) = Trim(Request("sShortQualifier"))
		aValues(9) = Trim(Request("sSearchShort"))
		aValues(10) = Trim(Request("sTxtConstQualifier"))
		aValues(11) = Trim(Request("sSearchTxtConst"))
		aValues(12) = Trim(Request("sBeginSearch"))
		aValues(13) = Trim(Request("sAllowWildcards"))
		%>
		<script language = "javascript">

			function changeResolution(x){
				ActionWindow = window.open("PopupEdit.asp?<%=DOMAIN_Link("G")%>iResolution=" + x, "max", "channelmode=1");
			}
			
		</script>
		<form name='ManageText' action='Edit.asp' method='post'>
		<%
		aValues(0) = "UpdateText"
		Response.Write DOMAIN_Link("P")
		
		Call DOMAIN_Link_Clear()
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("DomainsPageText")%>'>
					<table cellpadding=3 width=100% border=0>
						<tr>
						<td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><font size=+1><b><%=DOMAIN_Text("DOMAINS_EDIT_TEXT")%></b></font></td>
						<td align=right>
							<select name='sResolution'>
								<option value='1'>640x480</option>
								<option value='2'>800x600</option>
								<option value='3'>1024x768</option>
								<option value='4'>1280x1024</option>
								<option value='5'>1600x1200</option>
								<option value='6'>2048x1536</option>
							</select>
							<a href = 'javascript:changeResolution(document.ManageText.sResolution.value)' class='MediumNavPage'>Popup Editor</a>
						</td>
						</tr>
					</table>
					<table cellpadding = 0 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("DomainsBorderColor1")%> align=center>
					<table cellpadding=3>
						<tr>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%>><b><font color='<%=DOMAIN_Color("DomainsTextColor1")%>'><%=sTextConst%></font></td>
							<td bgcolor = <%=DOMAIN_Color("DomainsBGColor1")%> align=right>
								<%
								If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" ) Then
									' make sure they set it to "YES" - meaning they own Edit-On in the first place
									aVariables(0) = "sAction"
									aVariables(1) = "iDomainUnq"
									aVariables(2) = "iSchemeUnq"
									aVariables(3) = "iDBLoc"
									aVariables(4) = "sTextConst"
									aVariables(5) = "bAdvanced"
									aValues(0) = ""
									aValues(1) = iDomainUnq
									aValues(2) = iSchemeUnq
									aValues(3) = Request("iDBLoc")
									aValues(4) = sTextConst
									If ( bAdvanced = "T" ) Then
										aValues(5) = "F"
										Response.Write "<a href='Edit.asp?" & DOMAIN_Link("G") & "' class='MediumNav1'>" & DOMAIN_Text("ACTION_WYSIWYG_VIEW") & "</a>"
									Else
										aValues(5) = "T"
										Response.Write "<a href='Edit.asp?" & DOMAIN_Link("G") & "' class='MediumNav1'>" & DOMAIN_Text("ACTION_ADVANCED_VIEW") & "</a>"
									End If
								End If
								%>
							</td>
						</tr>
						<tr>
							<td colspan=2>
								<%If ( DOMAIN_Conf("USE_EDIT-ON") = "YES" And bAdvanced<>"T" ) Then%>
								<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=500 name=SBEditor id=SBEditor width=650 VIEWASTEXT MAYSCRIPT>
									<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
									<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
									<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">

									<param name="TOOLBARURL" value="toolbar-sample.xml">
									<param name="TEXTMODE" value="FALSE">
									<param name="SOURCEVIEW" value="TRUE">
									<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("DomainsPageLinkColor")%>">
									<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("DomainsPageText")%>">
									<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("DomainsPageBGColor")%>">
									<%
									aVariables(0) = "sAction"
									aVariables(1) = "iDomainUnq"
									aVariables(2) = "iSchemeUnq"
									aVariables(3) = "iDBLoc"
									aVariables(4) = "sTextConst"
									aVariables(6) = "bAdvanced"
									aValues(0) = ""
									aValues(1) = iDomainUnq
									aValues(2) = iSchemeUnq
									aValues(3) = Request("iDBLoc")
									aValues(4) = sTextConst
									aValues(6) = bAdvanced
									%>
									<param name="SETHTMLDATAURL" value="EditOn/SetText.asp?<%=DOMAIN_Link("G")%>">
									<param name="GET_OK_URL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									<%
									aVariables(0) = "sAction"
									aValues(0) = "UpdateText"
									%>
									<param name="GETHTMLDATAURL" value="Edit.asp?<%=DOMAIN_Link("G")%>">
									
									<param name="SIMPLETABLE" value="true">
									<param name="INSERTTEXT_HTML" value="true">
									<param name="BODYONLY" value="TRUE">
									<param name="IMAGEROOT" value="<%=DOMAIN_Conf("EDIT-ON_IMAGEROOT")%>">
									<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainUnq%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
									<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
									<%If ( DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
									<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
									<%End If%>
									<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("EDIT-ON_SPELLCHECKPROPERTIES")%>">
									
								</APPLET>
								<%Else%>
								<textarea cols=80 rows=28 name='HTMLDATA' wrap=off><%=Server.HTMLEncode(sTextData)%></textarea>
								<%End If%>
							</td>
						</tr>
						<%If ( DOMAIN_Conf("USE_EDIT-ON") <> "YES" Or bAdvanced="T" ) Then%>
						<tr>
							<td colspan=2 align=center><input type='submit' value='<%=DOMAIN_Text("DOMAINS_UPDATE_TEXT")%>'></td>
						</tr>
						<%End If%>
					</table>
					</td></tr></table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
%>