<!--#INCLUDE FILE="../Includes/i_ImageGallery.asp"-->
<!--#INCLUDE FILE="../Includes/i_Upload.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, rsImageGallery, sSQLText, iCategoryUnq, iCategoryUnq2, iTemp
	Dim iCatLevel, iDestCatUnq

	Call DISP_Action("SB_GALLERIES_ADMINOPEN")
	Call DISP_Action("SB_GALLERIES_MANAGE_GALLERIES_MOVE")
	iTemp = DOMAIN_Conf("IMAGEGALLERY_SCRIPTTIMEOUT")
	If ( iTemp = "" ) Then
		iTemp = 5400
	Else
		iTemp = CDbl(iTemp)
	End If
	Server.ScriptTimeout = iTemp
	If   (ACCNT_AnyDomain("SB_IG_ADMIN_ALL")) Or _
		 (ACCNT_AnyDomain("SB_IG_CREATE_GALLERY")) Then
		Call Main()
	Else
		Call WriteScripts()
		Call DOMAIN_Message(DOMAIN_Text("GALLERY_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_GALLERIES_ADMINCLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sSuccess, sCheckbox
		Dim iGalleryUnq
		
		sAction = Trim(Request("sAction"))
		iDomainUnq = Trim(Request("iDomainUnq"))
		If ( iDomainUnq = "" ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_IG_ADMIN_ALL", "SB_IG_CREATE_GALLERY", "")
		End If
		iCategoryUnq = Trim(Request("iCategoryUnq"))
		If ( iCategoryUnq = "" ) Then
			iCategoryUnq = "0"
		End If
		iCategoryUnq2 = Trim(Request("iCategoryUnq2"))
		If ( iCategoryUnq2 = "" ) Then
			iCategoryUnq2 = iCategoryUnq
		End If
		iDestCatUnq = Trim(Request("iDestCatUnq"))

		Set rsImageGallery = Server.CreateObject("ADODB.recordset")

		Select Case sAction
			Case "Move"
				For Each sCheckbox In Request.Form
					If ( InStr(sCheckbox, "sMove") > 0 ) Then
						iGalleryUnq = Replace(sCheckbox, "sMove", "")
						If ( G_ADMINISTRATION_IsGalleryOwner(iLoginAccountUnq, iGalleryUnq, "") Or ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
						
							If ( iDestCatUnq <> iCategoryUnq2 ) Then
								' Decrement (by 1) all Galleries AFTER the one we are moving.
								sSQLText = "SELECT GalleryUnq, Position FROM Galleries (NOLOCK) WHERE Position > (SELECT Position FROM Galleries (NOLOCK) WHERE GalleryUnq = " & iGalleryUnq & ") AND CategoryUnq = " & iCategoryUnq2 & " ORDER BY Position"
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								While (NOT rsImageGallery.EOF)
									DBConnection.Execute "UPDATE Galleries SET Position = " & (rsImageGallery("Position") - 1) & " WHERE GalleryUnq = " & rsImageGallery("GalleryUnq")
									rsImageGallery.MoveNext
								Wend
								rsImageGallery.Close
								
								' get a new position number for the gallery in the category it's going to
								'	must do this before moving it or it might skew the results
								sSQLText = "SELECT IsNull(MAX(Position), 0) + 1 FROM Galleries (NOLOCK) WHERE CategoryUnq = " & iDestCatUnq
								rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
								If ( NOT rsImageGallery.EOF ) Then
									DBConnection.Execute "UPDATE Galleries SET Position = " & rsImageGallery(0) & " WHERE GalleryUnq = " & iGalleryUnq
								Else
									DBConnection.Execute "UPDATE Galleries SET Position = 1 WHERE GalleryUnq = " & iGalleryUnq
								End If
								rsImageGallery.Close
								
								DBConnection.Execute "UPDATE Galleries SET CategoryUnq = '" & iDestCatUnq & "' WHERE GalleryUnq = " & iGalleryUnq
	
							End If

							If ( sSuccess = "" ) Then
								sSuccess = DOMAIN_Text("GALLERY_MOVE_GALLERIES_SUCCESS")
							End If
						Else
							If ( sError = "" ) Then
								sError = DOMAIN_Text("GALLERY_MOVE_GALLERIES_NOT_OWNER")
							End If
						End If
					End If
				Next

		End Select
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = CDbl(Request("iTtlNumItems"))
		If IsNull(Request("iDBLoc")) Or Trim(Request("iDBLoc"))="" Then
			iDBLoc = 0
		Else
			iDBLoc = CDbl(Request("iDBLoc"))
			If (iDBLoc<0) Then
				iDBLoc = 0
			End If
		End If
		' must reset the position in the db and the ttlnumitems when changing the domain or system drop-down menu
		' must also reset them if colors have been deleted
		Select Case sAction
			Case "UpdateDomainUnq"
				iDBLoc = 0
				iTtlNumItems = 0
				iCategoryUnq2 = 0
			Case "UpdateCategoryUnq"
				iDBLoc = 0
				iTtlNumItems = 0
			Case "Move"
				iDBLoc = 0
				iTtlNumItems = 0
		End Select
		
		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
				' get all galleries from all users
				sSQLText = "SELECT Count(*) FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND CategoryUnq = " & iCategoryUnq2
			Else
				' just get galleries from the current user
				sSQLText = "SELECT Count(*) FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND AccountUnq = " & iLoginAccountUnq & " AND CategoryUnq = " & iCategoryUnq2
			End If
			rsImageGallery.Open sSQLText, DBConnection
			If Not(rsImageGallery.EOF) Then
				iTtlNumItems = rsImageGallery(0)
			End If
			rsImageGallery.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteScripts()
		Call WriteForm()
		Set rsImageGallery = Nothing
	End Sub
	'************************************************************************************

	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sSQLText, sName, sCopyright, iGalleryUnq
		Dim sBGColor, sTextColor, x, sLinkColor
		Dim sColor1, sColor2, sColor3, sColor4, sFilePath
		
		%>
		<form name='ManageGalleries' action='Move.asp' method='post'>
		<%
		aVariables(0) = "sAction"
		aVariables(1) = "iTtlNumItems"
		aVariables(2) = "iDBLoc"
		aVariables(3) = "iCategoryUnq"
		aValues(0) = "Move"
		aValues(1) = iTtlNumItems
		aValues(2) = iDBLoc
		aValues(3) = iCategoryUnq
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("GalleriesPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("GALLERY_MOVE_GALLERIES_HEAD")%></b></font>
					<br><br>
					<table width=671>
						<tr>
							<td colspan=3>
								<font color='<%=DOMAIN_Color("GalleriesPageText")%>'><b><%=DOMAIN_Text("GALLERY_DOMAIN")%></b></font>
								<%Call DOMAINS_DomainsDropDown("SB_IG_ADMIN_ALL", "SB_IG_CREATE_GALLERY", "")%>
							</td>
						</tr>
						<tr>
							<td>
								<font color='<%=DOMAIN_Color("GalleriesPageText")%>'><b><%=DOMAIN_Text("GALLERY_MOVE_GALLERIES_SOURCE")%></b></font>
							</td>
							<td>
								<select name = "iCategoryUnq2" onChange='SubmitForm("UpdateCategoryUnq");'>
									<%
									iCatLevel = 0
									Call CategoryUnqDropDown(iCategoryUnq2, 0, iDomainUnq)
									%>
								</select>
							</td>
							<td>
								<font color='<%=DOMAIN_Color("GalleriesPageText")%>'><%=DOMAIN_Text("GALLERY_MOVE_GALLERIES_SOURCE_NOTE")%>
							</td>
						</tr>
						<tr>
							<td>
								<font color='<%=DOMAIN_Color("GalleriesPageText")%>'><b><%=DOMAIN_Text("GALLERY_MOVE_GALLERIES_DEST")%></b></font>
							</td>
							<td colspan=2>
								<select name = "iDestCatUnq">
									<%
									iCatLevel = 0
									Call CategoryUnqDropDown(iDestCatUnq, 0, iDomainUnq)
									%>
								</select>
							</td>
						</tr>
						<tr>
							<td colspan=3>
								<input type = "submit" value = "<%=DOMAIN_Text("GALLERY_MOVE_GALLERIES_BUTTON")%>">
							</td>
						</tr>
					</table>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_ID")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_MANAGE_NAME")%></b></td>
							<td align=center bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("GalleriesTextColor2")%>'><b><%=DOMAIN_Text("GALLERY_MOVE_GALLERIES_MOVE")%></b></td>
						</tr>
						<%
						sColor1 = DOMAIN_Color("GalleriesBGColor1")
						sColor2 = DOMAIN_Color("GalleriesPageBGColor")
						sColor3 = DOMAIN_Color("GalleriesPageText")
						sColor4 = DOMAIN_Color("GalleriesTextColor1")
						
						If ( ACCNT_SpecificDomain("SB_IG_ADMIN_ALL", iDomainUnq) ) Then
							' get all galleries from all users
							sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND CategoryUnq = " & iCategoryUnq2 & " ORDER BY Position SET ROWCOUNT 0"
						Else
							' just get galleries from the current user
							sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Galleries (NOLOCK) WHERE Domain = " & iDomainUnq & " AND AccountUnq = " & iLoginAccountUnq & " AND CategoryUnq = " & iCategoryUnq2 & " ORDER BY Position SET ROWCOUNT 0"
						End If
						rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						sBGColor = DOMAIN_Color("GalleriesBGColor2")
						For x = 1 To CDbl(iDBLoc)
							rsImageGallery.MoveNext
						Next
						While ( NOT rsImageGallery.EOF )
							If ( sBGColor = sColor1 ) Then
								sBGColor = sColor2
								sTextColor = sColor3
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = sColor1
								sTextColor = sColor4
								sLinkColor = "MediumNav1"
							End If
							sName 			= Server.HTMLEncode(rsImageGallery("Name"))
							iGalleryUnq 	= rsImageGallery("GalleryUnq")
							%>
							<tr>
								<td bgcolor=<%=sBGColor%> align=center valign=top><font color='<%=sTextColor%>'><%=iGalleryUnq%></td>
								<td bgcolor=<%=sBGColor%> valign=top width=10><input type='text' name="sNewName" value="<%=Server.HTMLEncode(sName)%>" size=45 maxlength=250></td>
								<td align=center bgcolor=<%=sBGColor%>><input type='checkbox' name="sMove<%=iGalleryUnq%>" value="<%=iGalleryUnq%>"></td>
							</tr>
							<%
							rsImageGallery.MoveNext
						Wend
						%>
						<tr>
							<td colspan=3 align=right>
								<%Call PrintRecordsetNav( "Move.asp", "", "Galleries" )%>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively displays the categories in a drop-down list.					*
	'*																					*
	'************************************************************************************
	Sub CategoryUnqDropDown(iCategoryUnq2, iCurCatUnq, iDomainUnq)
		Dim rsImageGallery, sSQLText

		Set rsImageGallery = Server.CreateObject("ADODB.recordset")
		sSQLText = "SELECT * FROM IGCategories (NOLOCK) WHERE DomainUnq=" & iDomainUnq & " AND Parent = " & iCurCatUnq & " ORDER BY Position"
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & " (" & NumGalleries(0, iDomainUnq) & ")</option>"
				End If
			End If
			While ( NOT rsImageGallery.EOF )
				iCurCatUnq = rsImageGallery("CategoryUnq")
				If ( ACCNT_SpecificDomain(rsImageGallery("RightsLvl"), iDomainUnq) ) Or ( Trim(rsImageGallery("RightsLvl")) = "" ) Then
					If ( iCategoryUnq2 = CStr(iCurCatUnq) ) Then
						Response.Write "<option value='" & iCurCatUnq & "' Selected>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & " (" & NumGalleries(iCurCatUnq, iDomainUnq) & ")</option>"
					Else
						Response.Write "<option value='" & iCurCatUnq & "'>" & String(iCatLevel, CHR(151)) & rsImageGallery("Name") & " (" & NumGalleries(iCurCatUnq, iDomainUnq) & ")</option>"
					End If
				End If
				iCatLevel = iCatLevel + 1
				Call CategoryUnqDropDown(iCategoryUnq2, iCurCatUnq, iDomainUnq)
				rsImageGallery.MoveNext
				iCatLevel = iCatLevel - 1
			Wend
		Else
			If ( ACCNT_SpecificDomain("SB_IG_ADD_TO_NO_CAT", iDomainUnq) ) Then
				' only display this if they are allowed to add galleries to "no category"
				If ( iCatLevel = 0 ) And ( iCurCatUnq = 0 ) Then
					Response.Write "<option value='0'>" & DOMAIN_Text("GALLERY_MANAGECAT_NOTINCAT") & " (" & NumGalleries(0, iDomainUnq) & ")</option>"
				End If
			End If
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing

	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Returns the number of galleries in the category.								*
	'*																					*
	'************************************************************************************
	Function NumGalleries(iCategoryUnq2, iDomainUnq)
		Dim rsImageGallery, sSQLText

		Set rsImageGallery	= Server.CreateObject("ADODB.recordset")
		NumGalleries		= 0
		sSQLText = "SELECT Count(*) FROM Galleries (NOLOCK) WHERE CategoryUnq = " & iCategoryUnq2 & " AND Domain = " & iDomainUnq
		rsImageGallery.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsImageGallery.EOF ) Then
			NumGalleries = rsImageGallery(0)
		End If
		rsImageGallery.Close
		Set rsImageGallery = Nothing
		
	End Function
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This writes the JavaScript out even if the Main() Sub isn't called in case the	*
	'*		admin has creation rights, but not edit rights.								*
	'*																					*
	'************************************************************************************
	Sub WriteScripts()
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageGalleries.sAction.value = sAction;
				document.ManageGalleries.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "Move.asp?<%=DOMAIN_Link("G")%>&iDomainUnq=<%=iDomainUnq%>&iCategoryUnq=<%=iCategoryUnq%>" + sQueryString;
			}
			
		</script>
		<%
	End Sub
	'************************************************************************************
%>