<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Custom.asp"-->
<%
Const SITEBEATER_VERSION		= 2.10

	'************************************************************************************
	'*																					*
	'*	This holds all the global variables for the database functions.					*
	'*																					*
	'************************************************************************************
	' doing it this way so that if SiteBeater is integrated w/ other software that already
	'	includes the Microsoft ADO constants, the will not be any problems with
	'	redeclaration.
	'	MUST DO THIS USING EXECUTEGLOBAL because just the if/then statement is IGNORED(!!!)
	'	if the Const's are outside of the ExecuteGlobal. Is this a BUG in ASP? Probably.
	'	AND for some reason, adCmdText must be done as a variable. Go figure.
	On Error Resume Next	' this is required because of the OPTION EXPLICIT in i_Includes.asp
	If ( adCmdText <> 1 ) Then
		ExecuteGlobal "Dim adCmdText"
		ExecuteGlobal "adCmdText=1"
		ExecuteGlobal "Const adCmdTable      			= 2" 
		ExecuteGlobal "Const adCmdStoredProc 			= 4"
		ExecuteGlobal "Const adCmdUnknown   			= 8"
		
		ExecuteGlobal "Const adOpenForwardOnly 		= 0"
		ExecuteGlobal "Const adOpenKeyset      		= 1"
		ExecuteGlobal "Const adOpenDynamic    			= 2"
		ExecuteGlobal "Const adOpenStatic      		= 3"
		
		ExecuteGlobal "Const adLockReadOnly        	= 1"
		ExecuteGlobal "Const adLockPessimistic     	= 2"
		ExecuteGlobal "Const adLockOptimistic      	= 3"
		ExecuteGlobal "Const adLockBatchOptimistic 	= 4"
		
		ExecuteGlobal "Const adSearchBackward			= -1"
		ExecuteGlobal "Const adSearchForward			= 1"
		
		ExecuteGlobal "Const adBookmarkCurrent			= 0"
		ExecuteGlobal "Const adBookmarkFirst			= 1"
		ExecuteGlobal "Const adBookmarkLast			= 2"
		
		ExecuteGlobal "Const adFilterNone				= 0"
		ExecuteGlobal "Const adUseClient				= 3"
		
		ExecuteGlobal "Const adTypeBinary				= 1"
		ExecuteGlobal "Const adTypeText				= 2"
		ExecuteGlobal "Const adLongVarBinary			= 205"
		ExecuteGlobal "Const adLongVarChar				= 201"
		ExecuteGlobal "Const adSaveCreateOverWrite		= 2"
		ExecuteGlobal "Const adSaveCreateNotExist		= 1"
	End If
	On Error Goto 0

	'************************************************************************************
	'*																					*
	'*	Global browser detection variables -- filled by MSWC.BrowserType				*
	'*																					*
	'************************************************************************************
	Dim Browser
	Dim Version
	Dim Tables
	Dim Frames
	Dim Cookies
	Dim BgSounds
	Dim JavaScript
	Dim VbScript
	Dim ActiveX
	Dim Channels
	
	
	'************************************************************************************
	'*																					*
	'*	Display Globals.																*
	'*																					*
	'************************************************************************************
	Dim sPageTitle
	Dim sStyle
	Dim sHeader
	Dim iDomainName
	
	
	'************************************************************************************
	'*																					*
	'*	Account Globals.																*
	'*																					*
	'************************************************************************************
	Dim iLoginAccountUnq
	Dim bHasAccount
	Dim sGroupType			' the type of Group they are in (if any) - "S" = Standard, "R" = Rotational
	' These help quicken the processing of the ACCNT_ReturnRights() function since it's run so many times
	Dim sGlobalRotations			' If the user is in a Rotational Group - this is the # of rotations
	Dim sGlobalDateBegin			' If the user is in a Rotational Group - this is the date the rotations began/begin
	Dim sGlobalGroupUnq				' If the user is in a Rotational Group - this is the GroupUnq (can't get this for Standard Groups becuase their might be many)
	Dim sGlobalPosition				' If the user is in a Rotational Group - this is the position of the user in the rotation
	Dim iGlobalNumDays				' If the user is in a Rotational Group - this is the number of days the current login works for
	

	'************************************************************************************
	'*																					*
	'*	Generic Globals.																*
	'*																					*
	'************************************************************************************
	Const VOID						= -1
	Const EQUAL						= 1
	Const GREATER_OR_EQUAL			= 2
	Const RIGHTS_NORIGHTS			= "-1"
	Const NONMEMBER_ID				= -1
	Const LIVE						= 1		' for use when checking which server we are on in DOMAIN_CheckIP
	Const BETA						= 2
	Const ALPHA						= 3
	Const HOMEONLY					= -1
	Const ALLDOMAINS				= -2
	Const NUM_ALLOWED_DOMAINS		= 1
	Const NUM_ALLOWED_USERS			= 10
	Const NUM_ALLOWED_GALLERIES		= 10
	Const NUM_ALLOWED_IMAGES		= 10
	Const NUM_ALLOWED_BOARDS		= 10
	Const NUM_ALLOWED_MESSAGES		= 10
	Const NUM_ALLOWED_NEWSARTICLES	= 10
	Const UNLIMITED_MP3S			= FALSE
	Const NUM_ALLOWED_SERVERS		= 1

	
	Dim SERVER_VERSION						' can be 1, 2, or 3 for LIVE, BETA, ALPHA (see the Const's above)
	Dim sServerCV							' this is the ServerUnq the page is being run on. Helps determine which Conf Vars to use - alpha, beta, live
	Dim iTextScheme
	Dim iColorScheme
	Dim aVariables(20)						' used for DOMAIN_Link()
	Dim aValues(20)							' used for DOMAIN_Link()
	Dim iTableWidth
	Dim sLOGGING_ENABLED					' this holds the value of the LOGGING_ENABLED Conf Var - so the DOMAIN_Log() Sub doesn't have to call DOMAIN_Conf("LOGGING_ENABLED") a million times
	Dim aConfVars()							' if a user is in multiple Groups, and those Groups have Conf Vars assigned them, this holds the (GroupUnq)(Value) of that Conf Var for the Groups the user is in - set in DOMAIN_Conf()
	Dim bHasADVRights						' this is set to TRUE when the user has rights to the ADV after calling ACCNT_ReturnADV, FALSE otherwise
	Dim DBConnection
	Dim DBCommand
	
	
	'************************************************************************************
	'*																					*
	'*	Cache variables.																*
	'*																					*
	'************************************************************************************
	Dim dColors								' Dictionary object caching colors
	Dim dSpecificDomain						' Dictionary object caching rights in the ACCNT_SpecificDomain function
	Dim dSystemRights						' Dictionary object caching rights in the ACCNT_SystemRights function
	
	
	'************************************************************************************
	'*																					*
	'*	Debug variables.																*
	'*																					*
	'************************************************************************************
	Dim GLOBAL_DEBUG	' Set this to true to turn on all debugging output from all ASP pages or set it individually in your pages
	
	
	'************************************************************************************
	'*																					*
	'*	DB variables. Variables used in converting queries from MSSQL to Access.		*
	'*																					*
	'************************************************************************************
	Dim sGLOBALDatabase	' this is "MSSQL" or "ACCESS"
	Dim sNoLock			' this is blank (for Access) or "(NOLOCK)" to prevent table locking in MSSQL
	Dim sGlobalDBServer	' these next four are used within Actions to connect to the database (for example, within the gallery Actions)
	Dim sGlobalDBName
	Dim sGlobalDBUser
	Dim sGlobalDBPW
	

	'************************************************************************************
	'************************************************************************************
%>