<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<%
	' System Globals
	Dim sPath
	
	Dim iConfUnq, iThreadUnq, iMsgUnq, sAction, sCurCMB
	Dim iDisplayXDays, iNumPerPage, bDisplayEmail, iSortOrder, sOpt, sSortDate
	Dim sSortRating, sSortNumRead, sSortTopic, bDisplayThumbnails
	Dim bDisplayExpanded, bConvertEmoteicons, sHandle, sEmail, bAppendSig, dDateLastVisit, sIcon
	Dim sDisplay				' global because Expanded-Include.asp uses it
	Dim sConfUnqList			' Used in PrintIndividualCategory and SearchConf to get the children ConfUnq's
	Dim iFormColumns, iFormWidth


	'************************************************************************************
	'*																					*
	'*	Open the connection and command objects for the MsgBoard database.	 			*
	'*																					*
	'************************************************************************************
	Sub DB_OpenMsgBoard()
		
		sPath 			= DOMAIN_Conf("MSGBOARD_SPATH")	' the root path of all files - appended to all links/forms - so this whole dir can be moved
		iTableWidth 	= DOMAIN_Conf("MSGBOARD_TABLEWIDTH")
		iFormColumns 	= DOMAIN_Conf("MSGBOARD_FORMCOLUMNS")
		iFormWidth 		= DOMAIN_Conf("MSGBOARD_FORMWIDTH")

		Call SetDefaults(FALSE)
	End Sub
	
	
	'************************************************************************************
	'*																					*
	'*	Close the connection and command objects for the databases.			 			*
	'*																					*
	'************************************************************************************
	Sub DB_CloseMsgBoard()

		SET DBConnection = nothing
		SET DBCommand = nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Enters in the Accounting Data Variables (ADV).									*
	'*																					*
	'************************************************************************************
	Sub SetDefaults(bForMessages)
		Dim ctArray, sTemp
		
		' these variables are for file uploading - they don't need to be globals
		Dim sSB_MB_NUMUPLOAD, sSB_MB_UPLOADTYPE, sSB_MB_UPLOADBYTES, sSB_MB_TTLUPLOADABLE
	
		ctArray = Split(Request.ServerVariables( "HTTP_CONTENT_TYPE"), ";")
		If ( UBound(ctArray) > 0 ) Then
			sTemp = Trim(UCase(ctArray(0)))
		End If
		If ( sTemp <> "MULTIPART/FORM-DATA" ) Or ( bForMessages = TRUE ) Then	
			' all this must be handled elsewhere if it's a multipart/form-data form
			If ( bForMessages = TRUE ) Then
				sAction 			= Trim(objUpload("sAction").Value)
				iConfUnq 			= DOMAIN_FixD(objUpload("iConfUnq").Value, 0)
				iThreadUnq 			= DOMAIN_FixD(objUpload("iThreadUnq").Value, 0)
				iMsgUnq 			= DOMAIN_FixD(objUpload("iMsgUnq").Value, 0)
				sDisplay 			= Trim(objUpload("sDisplay").Value)
				sSortDate 			= Trim(objUpload("sSortDate").Value)
				sSortRating 		= Trim(objUpload("sSortRating").Value)
				sSortNumRead 		= Trim(objUpload("sSortNumRead").Value)
				sSortTopic 			= Trim(objUpload("sSortTopic").Value)
				iDisplayXDays		= DOMAIN_FixD(objUpload("iDisplayXDays").Value, 0)
				iSortOrder			= DOMAIN_FixD(objUpload("iSortOrder").Value, 0)
				bDisplayExpanded	= Trim(objUpload("bDisplayExpanded").Value)
				iNumPerPage			= DOMAIN_FixD(objUpload("iNumPerPage").Value, 0)
				sOpt				= Trim(objUpload("sOpt").Value)
			Else
				sAction 			= Trim(Request("sAction"))
				iConfUnq 			= DOMAIN_FixD(Request("iConfUnq"), 0)
				iThreadUnq 			= DOMAIN_FixD(Request("iThreadUnq"), 0)
				iMsgUnq 			= DOMAIN_FixD(Request("iMsgUnq"), 0)
				sDisplay 			= Trim(Request("sDisplay"))
				sSortDate 			= Trim(Request("sSortDate"))
				sSortRating 		= Trim(Request("sSortRating"))
				sSortNumRead 		= Trim(Request("sSortNumRead"))
				sSortTopic 			= Trim(Request("sSortTopic"))
				iDisplayXDays		= DOMAIN_FixD(Request("iDisplayXDays"), 0)
				iSortOrder			= DOMAIN_FixD(Request("iSortOrder"), 0)
				bDisplayExpanded	= Trim(Request("bDisplayExpanded"))
				iNumPerPage			= DOMAIN_FixD(Request("iNumPerPage"), 0)
				sOpt				= Trim(Request("sOpt"))
			End If
		
			If ( sOpt = "" ) Then
				' default sort - last post date ascending
				sOpt		= 2
				sSortDate	= 4
			Else
				sOpt		= CDbl(sOpt)
			End If
	
			If ( bHasAccount ) Then
				If ( iNumPerPage = 0 ) Then	' they can override it from the drop-down list on the page at any time
					iNumPerPage = ACCNT_ReturnADV("SB_MB_NumPerPage", "V", iLoginAccountUnq, 2, "PRIVATE")
					If ( iNumPerPage = "" ) Then
						Call ACCNT_WriteADV("SB_MB_NumPerPage", "10", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
						iNumPerPage = "10"
					End If
				End If
				iNumPerPage = CDbl(iNumPerPage)
				If ( iDisplayXDays = 0 ) Then	' they can override it from the drop-down list on the page at any time
					iDisplayXDays = ACCNT_ReturnADV("SB_MB_DisplayXDays", "V", iLoginAccountUnq, 2, "PRIVATE")
					If ( iDisplayXDays = "" ) Then
						Call ACCNT_WriteADV("SB_MB_DisplayXDays", "60", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
						iDisplayXDays = "60"
					End If
				End If
				If ( iSortOrder = 0 ) Then	' they can override it from the drop-down list on the page at any time
					iSortOrder = ACCNT_ReturnADV("SB_MB_SortOrder", "V", iLoginAccountUnq, 2, "PRIVATE")
					If ( iSortOrder = "" ) Then
						Call ACCNT_WriteADV("SB_MB_SortOrder", "39157", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
						iSortOrder = "39157"
					End If
				End If
				If ( bDisplayExpanded = "" ) Then	' they can override it at any time
					bDisplayExpanded = ACCNT_ReturnADV("SB_MB_DisplayExpanded", "V", iLoginAccountUnq, 2, "PRIVATE")
					If ( bDisplayExpanded = "" ) Then
						Call ACCNT_WriteADV("SB_MB_DisplayExpanded", "n", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
						bDisplayExpanded = "n"
					End If
				End If
				bConvertEmoteicons = ACCNT_ReturnADV("SB_MB_ConvertEmoteicons", "V", iLoginAccountUnq, 2, "PRIVATE")
				If ( bConvertEmoteicons = "" ) Then
					Call ACCNT_WriteADV("SB_MB_ConvertEmoteicons", "Y", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
					bConvertEmoteicons = "Y"
				End If
				bAppendSig = ACCNT_ReturnADV("SB_MB_bAppendSig", "V", iLoginAccountUnq, 2, "PRIVATE")
				If ( bAppendSig = "" ) Then
					Call ACCNT_WriteADV("SB_MB_bAppendSig", "N", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
					bAppendSig = "N"
				End If
	
				sIcon = ACCNT_ReturnADV("SB_MB_Icon", "V", iLoginAccountUnq, 2, "PRIVATE")
				If ( Trim(sIcon) = "" ) Then
					Call ACCNT_WriteADV("SB_MB_Icon", DOMAIN_Conf("MSGBOARD_DEFAULT_ICON"), "V", iLoginAccountUnq, iDomainName, "PUBLIC")
					sIcon = DOMAIN_Conf("MSGBOARD_DEFAULT_ICON")
				End If
				dDateLastVisit					= ACCNT_ReturnADV("SB_MB_DateLastVisit", "V", iLoginAccountUnq, 2, "PRIVATE")
				sEmail				 			= ACCNT_ReturnADV("SB_EmailAddress", "V", iLoginAccountUnq, 0, "PRIVATE")
				sHandle				 			= ACCNT_UserName(iLoginAccountUnq)
				If ( Trim(sDisplay) = "" ) Then
					sDisplay					= "S"
				End If
				bDisplayThumbnails				= Trim(UCase(ACCNT_ReturnADV("SB_MB_DISPTHUMBS", "V", iLoginAccountUnq, 2, "PRIVATE")))
				If ( bDisplayThumbnails = "" ) Then
					Call ACCNT_WriteADV("SB_MB_DISPTHUMBS", "Y", "V", iLoginAccountUnq, iDomainName, "PRIVATE")
					bDisplayThumbnails = "Y"
				End If
				
				' image upload ADVs - the only one w/ a prob might be sSB_MB_UPLOADTYPE. if the admin blanks it out (like they
				'	don't want this user being able to upload any type), it'll revert to the default as soon as the user logs into the msgboard.
				sSB_MB_NUMUPLOAD				= Trim(UCase(ACCNT_ReturnADV("SB_MB_NUMUPLOAD", "V", iLoginAccountUnq, 2, "PRIVATE")))
				If ( sSB_MB_NUMUPLOAD = "" ) Then
					sSB_MB_NUMUPLOAD = DOMAIN_Conf("MSGBOARD_INITIAL_NUMUPLOAD")
					Call ACCNT_WriteADV("SB_MB_NUMUPLOAD", sSB_MB_NUMUPLOAD, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				End If
				sSB_MB_UPLOADTYPE				= Trim(UCase(ACCNT_ReturnADV("SB_MB_UPLOADTYPE", "V", iLoginAccountUnq, 2, "PRIVATE")))
				If ( sSB_MB_UPLOADTYPE = "" ) Then
					sSB_MB_UPLOADTYPE = DOMAIN_Conf("MSGBOARD_INITIAL_UPLOADTYPE")
					Call ACCNT_WriteADV("SB_MB_UPLOADTYPE", sSB_MB_UPLOADTYPE, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				End If
				sSB_MB_UPLOADBYTES				= Trim(UCase(ACCNT_ReturnADV("SB_MB_UPLOADBYTES", "V", iLoginAccountUnq, 2, "PRIVATE")))
				If ( sSB_MB_UPLOADBYTES = "" ) Then
					sSB_MB_UPLOADBYTES = DOMAIN_Conf("MSGBOARD_INITIAL_UPLOADBYTES")
					Call ACCNT_WriteADV("SB_MB_UPLOADBYTES", sSB_MB_UPLOADBYTES, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				End If
				sSB_MB_TTLUPLOADABLE			= Trim(UCase(ACCNT_ReturnADV("SB_MB_TTLUPLOADABLE", "V", iLoginAccountUnq, 2, "PRIVATE")))
				If ( sSB_MB_TTLUPLOADABLE = "" ) Then
					sSB_MB_TTLUPLOADABLE = DOMAIN_Conf("MSGBOARD_INITIAL_TTLUPLOADABLE")
					Call ACCNT_WriteADV("SB_MB_TTLUPLOADABLE", sSB_MB_TTLUPLOADABLE, "V", iLoginAccountUnq, iDomainName, "PRIVATE")
				End If
			Else
				' They aren't logged in or aren't members - set everything as default
				If ( iDisplayXDays = 0 ) Then
					iDisplayXDays				= "60"
				End If
				If ( iNumPerPage = 0 ) Then
					iNumPerPage			 		= 10
				End If
				If ( iSortOrder = 0 ) Then
					iSortOrder					= 39157
				End If
				If ( bDisplayExpanded = "" ) Then
					bDisplayExpanded			= "n"
				End If
				bDisplayThumbnails				= "Y"
				bConvertEmoteicons				= "Y"
				sHandle				 			= ""
				sEmail				 			= ""
				bAppendSig						= "N"
				dDateLastVisit					= NOW
				sIcon							= DOMAIN_Conf("MSGBOARD_DEFAULT_ICON")
				If ( Trim(sDisplay) = "" ) Then
					sDisplay					= "S"
				End If
			End If
		End If

	End Sub
	'************************************************************************************
%>