<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE VIRTUAL="/WS_Content/Includes/clsUpload.asp"-->
<!--#INCLUDE FILE="../Includes/Function/Functionality-MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Function/i_DoEmotes.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Links.asp"-->
<!--#INCLUDE FILE="../Includes/Function/i_Boards.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<!--#INCLUDE FILE="../Includes/Function/i_Upload.asp"-->

<!--#INCLUDE FILE="Includes/i_Display.asp"-->
<!--#INCLUDE FILE="Includes/i_Function.asp"-->
<!--#INCLUDE FILE="Includes/i_Custom.asp"-->
<%
	Response.Buffer = TRUE
	
	Dim sSubject, sBody, sConvEmotes, sAppendSig, bAdvanced, iTemp
	Dim sCookedSubject, sCookedBody, sSQLText, rsMsgBoard
	Dim sTempModerated, sTempApprovalValue, sTemp, sTempThreadUnq
	Dim sSource, iUnq
	
	' variables declared globally and set in i_Upload.asp
	Dim sExtension, fName, iFileSize, sFileID
	
	Dim objUpload

	Call DISP_Action("SB_MSGBOARD_TOPNAV_OPEN")
	Call DISP_Action("SB_MSGBOARD_TOPNAV")
	iTemp = DOMAIN_Conf("MSGBOARD_SCRIPTTIMEOUT")
	If ( iTemp = "" ) Then
		iTemp = 5400
	Else
		iTemp = CDbl(iTemp)
	End If
	Server.ScriptTimeout = iTemp

	' check for the license max - must do this at the bottom so it reacts after a new message has been added
	If ( NUM_ALLOWED_MESSAGES > 0 ) Then
		' get the total number of messages that have been created - on ALL domains
		If ( G_BOARDS_GetMessageCount() >= NUM_ALLOWED_MESSAGES ) Then
			Call DOMAIN_Message("The maximum number of messages allowed in this SiteBeater installation (" & NUM_ALLOWED_MESSAGES & " messages) has been reached. Please delete an existing message to create a new one, or <a href='http://www.sitebeater.com/' target='_blank' class='MediumNavPage'>upgrade your SiteBeater Message Board license</a>.", "ERROR")
		Else
			Call Main()
		End If
	Else
		Call Main()
	End If

	Call DISP_Action("SB_MSGBOARD_CLOSE")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, ctArray, sTemp, sError
		
		Set rsMsgBoard = Server.CreateObject("ADODB.recordset")
		
		ctArray = Split(Request.ServerVariables( "HTTP_CONTENT_TYPE"), ";")
		If ( UBound(ctArray) > 0 ) Then
			sTemp = Trim(UCase(ctArray(0)))
		End If
		If ( sTemp = "MULTIPART/FORM-DATA" ) Then
			Set objUpload	= New clsUpload
			sAction			= Trim(objUpload("sAction").Value)
		Else
			sAction = Trim(Request("sAction"))
		End If

		Select Case sAction
			Case "NewThread", "NewThread_PostPreview"
				If ( bHasAccount ) Then
					If ( sAction = "NewThread" ) Then
						' they haven't previewed, so the file hasn't been saved yet
						sError = G_UPLOAD_SaveFile()
					Else
						' must get the file info from the form - so it can be saved in the database
						sExtension		= Trim(objUpload("sExtension").Value)
						fName			= Trim(objUpload("fName").Value)
						iFileSize		= Trim(objUpload("iFileSize").Value)
						sFileID			= Trim(objUpload("sFileID").Value)
						' clear the cookie since they aren't going back to edit.
						Response.Cookies("MsgBoardAttach" & iDomainName) = ""
						Response.Cookies("MsgBoardAttach" & iDomainName).Path = "/"
						Response.Cookies("MsgBoardAttach" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
						Response.Cookies("MsgBoardAttach" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
					End If
					If ( sError = "" ) Then
						Call SetDefaults(TRUE)	' get all the users specs - pass TRUE so it'll look in the object for the data and not Request()
						sSubject		= Trim(objUpload("sSubject").Value)
						sBody			= Trim(objUpload("HTMLDATA").Value)
						sConvEmotes		= Trim(objUpload("sConvEmotes").Value)
						sAppendSig		= Trim(objUpload("sAppendSig").Value)
						bAdvanced 		= Trim(objUpload("bAdvanced").Value)
						sSource			= Trim(objUpload("sSource").Value)
						iUnq			= Trim(objUpload("iUnq").Value)
						If ( iFileSize = "" ) Then
							iFileSize = 0
						End If
						
						Call L_FUNCTION_Prep_NewThread()
	
						' ThreadUnq's are unique across all domains - necessary for some things like finding the previous and next threads in a conference
						' Start the MsgUnq at 1 because if we start it at 0, then both the Parent and first MsgUnq's are the same (bad for replies).
						DBConnection.Execute "INSERT INTO Message SELECT 1,IsNull(MAX(ThreadUnq)+1,1)," & iConfUnq & ", 0," & iLoginAccountUnq & ", '" & SQLEncode(sCookedSubject) & "', '" & SQLEncode(sCookedBody) & "', GetDate(), 0,0,0,'" & sExtension & "','" & fName & "'," & iFileSize & ",0,'" & Request.ServerVariables("REMOTE_ADDR") & "',0,0,0,'" & SQLEncode(sBody) & "','" & SQLEncode(sSubject) & "',0,'" & sTempApprovalValue & "','', '" & sFileID & "' FROM Message"
						' we do not know the ThreadUnq of the new message, so guess by selecting where a lot of the variables are the same...kludgey
						sSQLText = "SELECT ThreadUnq FROM Message WHERE MsgUnq = 1 AND ConfUnq = " & iConfUnq & " AND AccountUnq = " & iLoginAccountUnq & " AND Parent = 0 AND Subject = '" & SQLEncode(sCookedSubject) & "'"
						rsMsgBoard.Open sSQLText, DBConnection
						If ( NOT rsMsgBoard.EOF ) Then
							sTempThreadUnq = rsMsgBoard("ThreadUnq")
							' give all users all access to the new thread
							DBConnection.Execute "INSERT INTO LockedAccounts VALUES (" & iConfUnq & ", " & sTempThreadUnq & ", 0, -1, 'R')"
							' since this is also a new message, give all users all access to the new message
							DBConnection.Execute "INSERT INTO LockedAccounts VALUES (" & iConfUnq & ", " & sTempThreadUnq & ", 1, -1, 'E')"
							' and give all nonmembers access to view this thread
							DBConnection.Execute "INSERT INTO LockedNonMember VALUES (" & iConfUnq & ", " & sTempThreadUnq & ", 0, 'V')"
							' also give all nonmembers access to view this message
							DBConnection.Execute "INSERT INTO LockedNonMember VALUES (" & iConfUnq & ", " & sTempThreadUnq & ", 1, 'V')"
							' Check to see if there are any notifications to be sent out - for boards only - since we have the ThreadUnq here
							If ( ( sTempModerated ) And ( sTempApprovalValue = "Y" ) ) Then
								' only send notifications if the message has been approved
								Call SendBoardEmailNotifications(sCookedSubject, sBody, iConfUnq, sTempThreadUnq)
							Else
								If ( sTempModerated = FALSE ) Then
									' only send notifications if the board isn't moderated
									Call SendBoardEmailNotifications(sCookedSubject, sBody, iConfUnq, sTempThreadUnq)
								End If
							End If
							' log this new message
							Call DOMAIN_Log(61, "", iConfUnq, "", sTempThreadUnq, "", 1, "V", "I", SQLEncode(sCookedSubject), "")
							Call DOMAIN_Log(62, "", iConfUnq, "", sTempThreadUnq, "", 1, "T", "I", "", SQLEncode(sCookedBody))
							Call DOMAIN_Log(63, "", iConfUnq, "", sTempThreadUnq, "", 1, "V", "I", Request.ServerVariables("REMOTE_ADDR"), "")
							Call DOMAIN_Log(126, "", iConfUnq, "", sTempThreadUnq, "", 1, "V", "I", sTempApprovalValue, "")
							Call DOMAIN_Log(64, "-1", iConfUnq, "", sTempThreadUnq, "", 1, "V", "I", "E", "")
							Call DOMAIN_Log(64, "-1", iConfUnq, "", sTempThreadUnq, "", 0, "V", "I", "R", "")
							Call DOMAIN_Log(130, "", iConfUnq, "", sTempThreadUnq, "", 1, "V", "I", "V", "")
							Call DOMAIN_Log(130, "", iConfUnq, "", sTempThreadUnq, "", 0, "V", "I", "V", "")
						End If
						rsMsgBoard.Close
	
						
						' check to see if the user is coming from another System and write to that System's database
						Select Case sSource
							Case "Gallery"
								Call UpdateIG(iConfUnq, sTempThreadUnq, iUnq, sSource)
							Case "Image"
								Call UpdateIG(iConfUnq, sTempThreadUnq, iUnq, sSource)
						End Select
						
						
						If ( ( ( sTempModerated ) And ( sTempApprovalValue = "Y" ) ) Or ( sTempModerated = FALSE ) ) Then
							' this board is moderated and they are already approved, so add one
							' or this board is not moderated at all - add one by default
							' Increment the users number of posts by one (SB_MB_NUM_POSTS ADV)
							sTemp = ACCNT_ReturnADV("SB_MB_NUM_POSTS", "V", iLoginAccountUnq, 2, "OVERRIDE")
							If ( IsNull(sTemp) ) Or ( sTemp = "" ) Then
								sTemp = 0
							End If
							sTemp = CDbl(sTemp) + 1
							Call ACCNT_WriteADV("SB_MB_NUM_POSTS", sTemp, "V", iLoginAccountUnq, iDomainName, "PUBLIC")
		
							' change the number of messages in this board (don't try and figure out how to change the parent's count because the parent will have messages in it anyhow, so if the parent has 3 messages and a child has 4, what's the count displayed for the parent? 3? 7? just display how many are in each board.)
							sSQLText = "SET ROWCOUNT 1 SELECT NumThreads, NumMessages FROM Conference (NOLOCK) WHERE ConfUnq = " & iConfUnq & " SET ROWCOUNT 0"
							rsMsgBoard.Open sSQLText, DBConnection
							If ( NOT rsMsgBoard.EOF ) Then
								DBConnection.Execute "UPDATE Conference SET NumThreads = " & CDbl(rsMsgBoard("NumThreads"))+1 & ", NumMessages = " & CDbl(rsMsgBoard("NumMessages"))+1 & " WHERE ConfUnq = " & iConfUnq
							End If
							rsMsgBoard.Close
							Response.Write "<SCRIPT LANGUAGE=javascript>" & VbCrlf
							Response.Write "document.location=""../ViewThreads/Default.asp?" & DOMAIN_Link("G") & "&sAction=1&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & """;" & VbCrlf
							Response.Write "</script>"
							Response.Write DOMAIN_Text("MSGBOARD_NOFORWARDING") & "<a href='../ViewThreads/Default.asp?" & DOMAIN_Link("G") & "&sAction=1&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & "' class='MediumNavPage'>" & DOMAIN_Text("MSGBOARD_CLICKHERE") & "</a>."
						Else
							' redirect to a new page so if they hit "refresh" it won't resubmit their post multiple times.
							Response.Write "<SCRIPT LANGUAGE=javascript>" & VbCrlf
							Response.Write "document.location=""Moderated.asp?" & DOMAIN_Link("G") & "&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & """;" & VbCrlf
							Response.Write "</script>"
							Response.Write DOMAIN_Text("MSGBOARD_NOFORWARDING") & "<a href='Moderated.asp?" & DOMAIN_Link("G") & "&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic & "' class='MediumNavPage'>" & DOMAIN_Text("MSGBOARD_CLICKHERE") & "</a>."
	'Response.Redirect "Moderated.asp?" & DOMAIN_Link("G") & "&iConfUnq=" & iConfUnq & "&iThreadUnq=" & iThreadUnq & "&iMsgUnq=" & iMsgUnq & "&iNumPerPage=" & iNumPerPage & "&iDisplayXDays=" & iDisplayXDays & "&iSortOrder=" & iSortOrder & "&bDisplayExpanded=" & bDisplayExpanded & "&sDisplay=" & sDisplay & "&sOpt=" & sOpt & "&sSortDate=" & sSortDate & "&sSortRating=" & sSortRating & "&sSortNumRead=" & sSortNumRead & "&sSortTopic=" & sSortTopic
						End If
					Else
						Call DOMAIN_Message(sError, "ERROR")
					End If
				Else
					Call DOMAIN_Message(DOMAIN_Text("MSGBOARD_NOT_MEMBER"), "ERROR")
				End If
				
			Case "Preview"
				sError = G_UPLOAD_SaveFile()
				If ( sError = "" ) Then
					' write the cookie here with the FileID (if there is one) so that if they go back and change the file, it'll know which one to delete
					Response.Cookies("MsgBoardAttach" & iDomainName) = sFileID
					Response.Cookies("MsgBoardAttach" & iDomainName).Path = "/"
					Response.Cookies("MsgBoardAttach" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
					Response.Cookies("MsgBoardAttach" & iDomainName).Expires = CDate(DateAdd("d", 365, NOW))	' make it last - so if they just close their browser, it might still delete the bad file if they come back within a year
					
					Call SetDefaults(TRUE)	' get all the users specs - pass TRUE so it'll look in the object for the data and not Request()
					sSubject		= Trim(objUpload("sSubject").Value)
					sBody			= Trim(objUpload("HTMLDATA").Value)
					sConvEmotes		= Trim(objUpload("sConvEmotes").Value)
					sAppendSig		= Trim(objUpload("sAppendSig").Value)
					bAdvanced 		= Trim(objUpload("bAdvanced").Value)
					Call L_FUNCTION_Prep_Preview()
					
					Call L_CUSTOM_Display_Before_Preview()
					Call L_DISPLAY_Preview()
					Call L_CUSTOM_Display_After_Preview()
				Else
					Call DOMAIN_Message(sError, "ERROR")
				End If
			
			Case Else
				sAction 		= Trim(Request("sAction"))
				iConfUnq 		= Trim(Request("iConfUnq"))
				sSubject		= Trim(Request("sSubject"))
				sBody			= Trim(Request("HTMLDATA"))
				sConvEmotes		= Trim(Request("sConvEmotes"))
				sAppendSig		= Trim(Request("sAppendSig"))
				bAdvanced 		= Trim(Request("bAdvanced"))
				
				Call L_CUSTOM_Display_Before_Form()
				Call G_DISPLAY_WritePostForm()	' write out the form so the user can create a new thread
				Call L_CUSTOM_Display_After_Form()
				
		End Select
		
		Set rsMsgBoard = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub G_DISPLAY_WritePostForm()
		Dim sConfName, iMaxMessageLen, bEditOn, aTypes, x
		
		If ( bConvertEmoteicons = "Y" ) Then
			sConvEmotes = " checked"
		End If

		if bAppendSig = "Y" then
			sAppendSig = " checked"
		end if
		
		sConfName = GetBoardName(iConfUnq, iDomainName)
		iMaxMessageLen = DOMAIN_Conf("MSGBOARD_MAX_MSG_CHAR")
		If ( iMaxMessageLen = "" ) Then
			iMaxMessageLen = "0"
		End If
		
		If ( UCase(Trim(DOMAIN_Conf("USE_EDIT-ON"))) = "YES" ) Then						' site admin must turn it on
			If ( UCase(Trim(DOMAIN_Conf("MSGBOARD_EDIT-ON"))) = "YES" ) Then			' msgboard admin must turn it on
				bEditOn = TRUE
			End If
		End If
		
		%>
		<SCRIPT LANGUAGE=javascript>
		<!--
			<%
			' get array for JavaScript of all the allowed file types
			Response.Write "extArray = new Array("
			aTypes = Split(G_UPLOAD_ReturnUploadTypes(FALSE), " ", -1, 1)
			For x = 0 To UBound(aTypes) - 1
				Response.Write """." & aTypes(x) & ""","
			Next
			Response.Write """"");"
			%>
		
			function LimitAttach()
			{
				file = document.NewThread.File1.value;
				
				allowSubmit = false;
				if (!file) return true;
				while (file.indexOf("\\") != -1)
				file = file.slice(file.indexOf("\\") + 1);
				ext = file.slice(file.indexOf(".")).toLowerCase();
				
				for (var i = 0; i < extArray.length; i++) {
					if (extArray[i] == ext) 
					{ 
						allowSubmit = true; 
						break;
					}
				}
				
				if (allowSubmit) 
				{
					return true;
				}else{
					alert("Please only upload files that end in types:  " + (extArray.join("  ")) + "\nPlease select a new " + "file to upload and submit again.");
					return false;
				}
			}
		
			function scriptForm_onsubmit() {
				<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
				document.NewThread.HTMLDATA.value = document.SBEditor.getHTMLData("http://");
				<%End If%>
				return LimitAttach();
			}
			
			function textCounter(field, countfield, maxlimit) {
				if (field.value.length > maxlimit)
					field.value = field.value.substring(0, maxlimit);
				else
					countfield.value = maxlimit - field.value.length;
			}
			
						
			function insertAtCaret (text) {
				// must set the textarea as focused otherwise, if it's not in focus, sometimes the text thats already in it gets deleted
				document.forms.NewThread.HTMLDATA.focus();
				
				textEl = document.forms.NewThread.HTMLDATA;
				if (textEl.createTextRange && textEl.caretPos) {
					var caretPos = textEl.caretPos;
					caretPos.text =
					caretPos.text.charAt(caretPos.text.length - 1) == ' ' ?
					 text + ' ' : text;
				}else
					textEl.value  = text;
			}
			
			function storeCaret (textEl) {
				if (textEl.createTextRange) 
					textEl.caretPos = document.selection.createRange().duplicate();
			}
		
		//-->
		</SCRIPT>
		<form ENCTYPE="multipart/form-data" onsubmit="return scriptForm_onsubmit()" name="NewThread" action = "Default.asp?<%=DOMAIN_Link("G")%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>" method = "post">
		<input type = 'hidden' name = 'iConfUnq' value = '<%=iConfUnq%>'>
		<input type = 'hidden' name = 'sAction' value = 'NewThread'>
		<input type = 'hidden' name = 'sSource' value = '<%=Trim(Request("sSource"))%>'>
		<input type = 'hidden' name = 'iUnq' value = '<%=Trim(Request("iUnq"))%>'>
		<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<%=DOMAIN_Text("MSGBOARD_NEWTHREAD_CREATE_NT")%>
					<%
					If ( Trim(iThreadUnq) = "" ) Then
						' the user came from the ViewThreads page - from the board - so they are returning to the board, not any specific thread
						%>
						<a href = '../ViewThreads/Default.asp?<%=DOMAIN_Link("G")%>&sAction=1&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>' class='MediumNavPage'>"<%=sConfName%>"</a>
						<%
					Else
						' the user came from the ViewMessages page - from a thread - so they are returning to that thread
						%>
						<a href = '../ViewMessages/Default.asp?<%=DOMAIN_Link("G")%>&sAction=1&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>' class='MediumNavPage'>"<%=sConfName%>"</a>
						<%
					End If
					%>
					<%=DOMAIN_Text("MSGBOARD_NEWTHREAD_BOARD")%>:
				</td>
			</tr>
		</table>
		<%Call G_STRUCTURE_HeaderBar(DOMAIN_Text("MSGBOARD_NEWTHREAD_CREATE_NT_HEAD_IMAGE"), "", "", "MsgBoard")%>
		<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("MsgBoardBorderColor1")%> align=center>
		<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%> valign=top align=right width=25>
					<b><font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
					<%=DOMAIN_Text("MSGBOARD_NEWTHREAD_SUBJECT")%>
				</td>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%>>
					<input type = "text" name = "sSubject" value = "<%=Server.HTMLEncode(sSubject)%>" size=<%=iFormWidth%> maxlength=255>
				</td>
			</tr>
			<tr>
				<td colspan=2 bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%> valign=top>
					<table width=100% cellpadding=0 cellspacing=0 border=0>
						<tr>
							<td valign=top><%Call G_STRUCTURE_HTMLCode_Buttons(bEditOn)%></td>
							<td align=right><%Call G_LINK_WYSIWYG_Standard_Editor(bEditOn, bAdvanced)%></td>
						</tr>
					</table>
					<b><font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
					<%If ( bAdvanced = "F" ) And ( bEditOn = TRUE ) Then%>
						<center>
						<INPUT name="HTMLDATA" type="hidden" value="">
						<APPLET  code="EditorApplet" archive="edit-on-pro-signed.jar,ssce.jar" height=400 name=SBEditor id=SBEditor width=<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_WIDTH")%> VIEWASTEXT MAYSCRIPT>
							<param name="LICENSEKEY" value="<%=DOMAIN_Conf("EDIT-ON_LICENSEKEY")%>">
							<PARAM name="CODEBASE" value="/WS_Content/Edit-On/eopro/">
							<PARAM name="CABBASE" value="edit-on-pro-signed.cab,ssce.cab">
							<param name="TOOLBARURL" value="toolbar-sample.xml">
							<param name="TEXTMODE" value="FALSE">
							<param name="SOURCEVIEW" value="TRUE">
							<param name="DEFAULTBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageBGColor")%>">
							<param name="DEFAULTFONTCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageText")%>">
							<param name="DEFAULTLINKCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageLinkColor")%>">
							<param name="STARTUPSCREENTEXTCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageText")%>">
							<param name="STARTUPSCREENBACKGROUNDCOLOR" value="#<%=DOMAIN_Color("MsgBoardPageBGColor")%>">
							<param name="SIMPLETABLE" value="true">
							<param name="INSERTTEXT_HTML" value="true">
							<param name="BODYONLY" value="TRUE">
							<param name="IMAGEROOT" value="<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_IMAGEROOT")%>">
							<param name="LOCALEURL" value="/WS_Content/Edit-On/eopro/LocaleURL.asp?iDomainUnq=<%=iDomainName%>&sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! keep the sTextConst here so it's easly customizable from system-to-system (if it's hardcoded in the LocaleURL.asp then can't change language from system-to-system) >
							<!param name="HELP" value="/WS_Content/Edit-On/eopro/eophelp/eopHelp.asp?sTextConst=<%=DOMAIN_Conf("EDIT-ON_TEXT")%>"> <! Use the SiteBeater Help in the top-left of the top nav >
							<%If ( DOMAIN_Conf("MSGBOARD_EDIT-ON_IMAGEPROXYURL") <> "" ) Then%>
							<param name="IMAGEPROXYURL" value="http://<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_IMAGEPROXYURL")%>/cgi-bin/imageproxy.asp">
							<%End If%>
							<PARAM NAME="spellcheckproperties" VALUE="<%=DOMAIN_Conf("MSGBOARD_EDIT-ON_SPELLCHECKPROPERTIES")%>">
						</APPLET>
						</center>
					<%Else%>
						<%If ( iMaxMessageLen = "0" ) Then%>
						<TEXTAREA COLS=<%=iFormColumns+15%> ROWS=15 WRAP="soft" NAME="HTMLDATA" ONFOCUS="storeCaret(this);" ONSELECT="storeCaret(this);" ONCLICK="storeCaret(this);" ONKEYUP="storeCaret(this);"><%=Server.HTMLEncode(sBody)%></TEXTAREA>
						<%Else%>
						<TEXTAREA COLS=<%=iFormColumns+15%> ROWS=15 WRAP="soft" NAME="HTMLDATA" ONFOCUS="storeCaret(this);" ONSELECT="storeCaret(this);" ONCLICK="storeCaret(this);" onKeyDown="storeCaret(this); textCounter(this.form.HTMLDATA,this.form.messagecharsleft,<%=iMaxMessageLen%>);"  onKeyUp="storeCaret(this); textCounter(this.form.HTMLDATA,this.form.messagecharsleft,<%=iMaxMessageLen%>);"><%=Server.HTMLEncode(sBody)%></TEXTAREA>
						<%End If%>
					<%End If%>
					<table width=100% cellpadding=0 cellspacing=0 border=0>
						<tr>
							<td><%Call G_STRUCTURE_Emoteicons(bEditOn)%></td>
						</tr>
					</table>
					<SCRIPT LANGUAGE=javascript>
					<!--
					
						// this must be here - after the form field is created
						storeCaret(document.forms.NewThread.HTMLDATA);	// this sets the cursor pos so when they add a tag w/o setting focus of form field it doesn't blank it all
						
					//-->
					</SCRIPT>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%> valign=top colspan=2>
					<table cellpadding=2 cellspacing=0 border=0 width=100%>
						<tr>
							<td align=right>
								<b><font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
								<%=DOMAIN_Text("MSGBOARD_NEWTHREAD_CONV_ICONS")%>
							</td>
							<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%>>
								<input type = "checkbox" value = "Y" name = "sConvEmotes"<%=sConvEmotes%>>
							</td>
							<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%> align=right>
								<b><font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
								<%=DOMAIN_Text("MSGBOARD_NEWTHREAD_APPEND")%><a href = "../Preferences/Default.asp?<%=DOMAIN_Link("G")%>&bAdvanced=T&sAction=<%=sAction%>&iConfUnq=<%=iConfUnq%>&iThreadUnq=<%=iThreadUnq%>&iMsgUnq=<%=iMsgUnq%>&iNumPerPage=<%=iNumPerPage%>&iDisplayXDays=<%=iDisplayXDays%>&iSortOrder=<%=iSortOrder%>&bDisplayExpanded=<%=bDisplayExpanded%>&sDisplay=<%=sDisplay%>&sOpt=<%=sOpt%>&sSortDate=<%=sSortDate%>&sSortRating=<%=sSortRating%>&sSortNumRead=<%=sSortNumRead%>&sSortTopic=<%=sSortTopic%>" class='MediumNavPage'><%=DOMAIN_Text("MSGBOARD_NEWTHREAD_SIG")%></a>?
							</td>
							<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%>>
								<input type = "checkbox" value = "Y" name = "sAppendSig"<%=sAppendSig%>>
							</td>
							<%If ( ( bAdvanced = "F" ) And ( bEditOn = TRUE ) ) Or ( iMaxMessageLen = "0" ) Then%>
							<%Else%>
								<td align=right colspan=2>
									<b><font color='<%=DOMAIN_Color("MsgBoardTextColor1")%>'>
									<input readonly type=text name=messagecharsleft size=3 maxlength=3 value="<%=iMaxMessageLen%>" tabindex=<%=iMaxMessageLen%>><%=DOMAIN_Text("MSGBOARD_CHAR_LEFT")%>
								</td>
							<%End If%>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor1")%> valign=top colspan=2>
					<table cellpadding=0 cellspacing=0 border=0 width=100%><tr><td bgcolor=<%=DOMAIN_Color("MsgBoardBorderColor1")%>><img src='/WS_Content/Images/Blank.gif' width=10 height=1></td></tr></table>
					<%Call G_UPLOAD_DisplayForm()%>
				</td>
			</tr>
			<tr>
				<td bgcolor = <%=DOMAIN_Color("MsgBoardBGColor2")%> align=center colspan=2>
					<%Call G_LINK_Post_Preview_NewThread()%>
				</td>
			</tr>
		</table>
		</td></tr></table>
		<br>
		<%Call G_LINK_Return_to_Board()%>
		</form>
		<%		
	End Sub
	'************************************************************************************	
	
	
	
	'************************************************************************************
	'*																					*
	'*	This updates the galleries tables for when a user is posting the first message	*
	'*		to a gallery or image.														*
	'*																					*
	'************************************************************************************
	Sub UpdateIG(iConfUnq, iThreadUnq, iUnq, sSource)
		Dim DBConnection, DBCommand
	
		If ( iUnq <> "" ) Then
	
			Select Case sSource
				Case "Gallery"
					DBConnection.Execute "UPDATE Galleries SET ConfUnq = " & iConfUnq & ", ThreadUnq = " & iThreadUnq & " WHERE GalleryUnq = " & iUnq
				Case "Image"
					DBConnection.Execute "UPDATE Images SET ConfUnq = " & iConfUnq & ", ThreadUnq = " & iThreadUnq & " WHERE ImageUnq = " & iUnq
			End Select
			
		End If
		
	End Sub
	'************************************************************************************	
%>