<!--#INCLUDE FILE="../Includes/i_News.asp"-->
<%
	Call DISP_Action("SB_VOID_OPEN")
	Call DB_OpenNews()
	iColorScheme = DOMAIN_Conf("NEWS_COLORS")
	iTextScheme = DOMAIN_Conf("NEWS_TEXT")

	Dim objStream, sExtension, sFileID, sTemp, iPos
	Dim rsNews, sSQLText, rsDomain, sFilePath
	Dim bDisplay, sNewsDomainCheck
	
	' make sure the referrer is one of the domains in the database
	Set rsDomain		= CreateObject("ADODB.Recordset")
	bDisplay			= FALSE
	sNewsDomainCheck	= UCase(Trim(DOMAIN_Conf("NEWS_DOMAINCHECK")))
	
	' get the domain name of the referrer
	sTemp	= Trim(Request.ServerVariables("HTTP_REFERER"))
	If ( sTemp <> "" ) Then
		iPos	= InStr(sTemp, "/")
		iPos	= InStr(iPos, sTemp, "/")	' get the second one
		sTemp	= Right(sTemp, Len(sTemp)-iPos-1)
		iPos	= InStr(sTemp, "/")
		sTemp	= Left(sTemp, iPos-1)
	End If

	If ( sNewsDomainCheck = "NO" ) Then
		' do it this way so ANYTHING else will perform the check
		bDisplay = TRUE
	Else
		sSQLText = "SELECT * FROM DomainInfo (NOLOCK) WHERE Domain = '" & sTemp & "'"
		rsDomain.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsDomain.EOF ) Then
			bDisplay = TRUE
		End If
		rsDomain.Close
	End If

	If ( bDisplay ) Then
		' it's ok - we found this IP address in the list of this Domains IP servers addresses
		Set objStream = Server.CreateObject("ADODB.Stream")
		Set rsNews = Server.CreateObject("ADODB.recordset")
		
		objStream.Type = 1 'adTypeBinary
		objStream.Open
		sFileID = Trim(Request("sFileID"))
	
		If ( sFileID <> "" ) Then
			sSQLText = "SELECT * FROM News (NOLOCK) WHERE FileID = '" & sFileID & "'"
			rsNews.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsNews.EOF ) Then
				' get the extension - the FileType
				sExtension = "." & LCase(rsNews("FileType"))

				On Error Resume Next
				sFilePath = DOMAIN_Conf("SB_NEWS_ATTACH_DIR") & "/" & sFileID
				sFilePath = Replace(sFilePath, "\", "/")
				sFilePath = Replace(sFilePath, "//", "/")
				objStream.LoadFromFile(Server.MapPath(sFilePath))
				If ( Err.Number <> 0 ) Then
					Call DOMAIN_Message(Replace(DOMAIN_Text("NEWS_DOWNLOADATTACH_UNABLE2READFILE"), "1:", DOMAIN_Conf("SB_NEWS_ATTACH_DIR")), "ERROR")
				Else
					'Output the contents of the stream object
					Response.Expires = 0
					Response.Buffer = TRUE
					Response.Clear
					Select Case sExtension
						Case ".3dm"
							Response.ContentType = "x-world/x-3dmf"
						Case ".3dmf"
							Response.ContentType = "x-world/x-3dmf"
						Case ".a"
							Response.ContentType = "application/octet-stream"
						Case ".aab"
							Response.ContentType = "application/x-authorware-bin"
						Case ".aam"
							Response.ContentType = "application/x-authorware-map"
						Case ".aas"
							Response.ContentType = "application/x-authorware-seg"
						Case ".abc"
							Response.ContentType = "text/vnd.abc"
						Case ".acgi"
							Response.ContentType = "text/html"
						Case ".afl"
							Response.ContentType = "video/animaflex"
						Case ".ai"
							Response.ContentType = "application/postscript"
						Case ".aif"
							Response.ContentType = "audio/aiff"
						Case ".aif"
							Response.ContentType = "audio/x-aiff"
						Case ".aifc"
							Response.ContentType = "audio/aiff"
						Case ".aifc"
							Response.ContentType = "audio/x-aiff"
						Case ".aiff"
							Response.ContentType = "audio/aiff"
						Case ".aiff"
							Response.ContentType = "audio/x-aiff"
						Case ".aim"
							Response.ContentType = "application/x-aim"
						Case ".aip"
							Response.ContentType = "text/x-audiosoft-intra"
						Case ".ani"
							Response.ContentType = "application/x-navi-animation"
						Case ".aos"
							Response.ContentType = "application/x-nokia-9000-communicator-add-on-software"
						Case ".aps"
							Response.ContentType = "application/mime"
						Case ".arc"
							Response.ContentType = "application/octet-stream"
						Case ".arj"
							Response.ContentType = "application/arj"
						Case ".arj"
							Response.ContentType = "application/octet-stream"
						Case ".art"
							Response.ContentType = "image/x-jg"
						Case ".asf"
							Response.ContentType = "video/x-ms-asf"
						Case ".asm"
							Response.ContentType = "text/x-asm"
						Case ".asp"
							Response.ContentType = "text/asp"
						Case ".asx"
							Response.ContentType = "application/x-mplayer2"
						Case ".asx"
							Response.ContentType = "video/x-ms-asf"
						Case ".asx"
							Response.ContentType = "video/x-ms-asf-plugin"
						Case ".au"
							Response.ContentType = "audio/basic"
						Case ".au"
							Response.ContentType = "audio/x-au"
						Case ".avi"
							Response.ContentType = "application/x-troff-msvideo"
						Case ".avi"
							Response.ContentType = "video/avi"
						Case ".avi"
							Response.ContentType = "video/msvideo"
						Case ".avi"
							Response.ContentType = "video/x-msvideo"
						Case ".avs"
							Response.ContentType = "video/avs-video"
						Case ".bcpio"
							Response.ContentType = "application/x-bcpio"
						Case ".bin"
							Response.ContentType = "application/mac-binary"
						Case ".bin"
							Response.ContentType = "application/macbinary"
						Case ".bin"
							Response.ContentType = "application/octet-stream"
						Case ".bin"
							Response.ContentType = "application/x-binary"
						Case ".bin"
							Response.ContentType = "application/x-macbinary"
						Case ".bm"
							Response.ContentType = "image/bmp"
						Case ".bmp"
							Response.ContentType = "image/bmp"
						Case ".bmp"
							Response.ContentType = "image/x-windows-bmp"
						Case ".boo"
							Response.ContentType = "application/book"
						Case ".book"
							Response.ContentType = "application/book"
						Case ".boz"
							Response.ContentType = "application/x-bzip2"
						Case ".bsh"
							Response.ContentType = "application/x-bsh"
						Case ".bz"
							Response.ContentType = "application/x-bzip"
						Case ".bz2"
							Response.ContentType = "application/x-bzip2"
						Case ".c"
							Response.ContentType = "text/plain"
						Case ".c"
							Response.ContentType = "text/x-c"
						Case ".c++"
							Response.ContentType = "text/plain"
						Case ".cat"
							Response.ContentType = "application/vnd.ms-pki.seccat"
						Case ".cc"
							Response.ContentType = "text/plain"
						Case ".cc"
							Response.ContentType = "text/x-c"
						Case ".ccad"
							Response.ContentType = "application/clariscad"
						Case ".cco"
							Response.ContentType = "application/x-cocoa"
						Case ".cdf"
							Response.ContentType = "application/cdf"
						Case ".cdf"
							Response.ContentType = "application/x-cdf"
						Case ".cdf"
							Response.ContentType = "application/x-netcdf"
						Case ".cer"
							Response.ContentType = "application/pkix-cert"
						Case ".cer"
							Response.ContentType = "application/x-x509-ca-cert"
						Case ".cha"
							Response.ContentType = "application/x-chat"
						Case ".chat"
							Response.ContentType = "application/x-chat"
						Case ".class"
							Response.ContentType = "application/java"
						Case ".class"
							Response.ContentType = "application/java-byte-code"
						Case ".class"
							Response.ContentType = "application/x-java-class"
						Case ".com"
							Response.ContentType = "application/octet-stream"
						Case ".com"
							Response.ContentType = "text/plain"
						Case ".conf"
							Response.ContentType = "text/plain"
						Case ".cpio"
							Response.ContentType = "application/x-cpio"
						Case ".cpp"
							Response.ContentType = "text/x-c"
						Case ".cpt"
							Response.ContentType = "application/mac-compactpro"
						Case ".cpt"
							Response.ContentType = "application/x-compactpro"
						Case ".cpt"
							Response.ContentType = "application/x-cpt"
						Case ".crl"
							Response.ContentType = "application/pkcs-crl"
						Case ".crl"
							Response.ContentType = "application/pkix-crl"
						Case ".crt"
							Response.ContentType = "application/pkix-cert"
						Case ".crt"
							Response.ContentType = "application/x-x509-ca-cert"
						Case ".crt"
							Response.ContentType = "application/x-x509-user-cert"
						Case ".csh"
							Response.ContentType = "application/x-csh"
						Case ".csh"
							Response.ContentType = "text/x-script.csh"
						Case ".css"
							Response.ContentType = "application/x-pointplus"
						Case ".css"
							Response.ContentType = "text/css"
						Case ".cxx"
							Response.ContentType = "text/plain"
						Case ".dcr"
							Response.ContentType = "application/x-director"
						Case ".deepv"
							Response.ContentType = "application/x-deepv"
						Case ".def"
							Response.ContentType = "text/plain"
						Case ".der"
							Response.ContentType = "application/x-x509-ca-cert"
						Case ".dif"
							Response.ContentType = "video/x-dv"
						Case ".dir"
							Response.ContentType = "application/x-director"
						Case ".dl"
							Response.ContentType = "video/dl"
						Case ".dl"
							Response.ContentType = "video/x-dl"
						Case ".doc"
							Response.ContentType = "application/msword"
						Case ".dot"
							Response.ContentType = "application/msword"
						Case ".dp"
							Response.ContentType = "application/commonground"
						Case ".drw"
							Response.ContentType = "application/drafting"
						Case ".dump"
							Response.ContentType = "application/octet-stream"
						Case ".dv"
							Response.ContentType = "video/x-dv"
						Case ".dvi"
							Response.ContentType = "application/x-dvi"
						Case ".dwf"
							Response.ContentType = "drawing/x-dwf"
						Case ".dwf"
							Response.ContentType = "model/vnd.dwf"
						Case ".dwg"
							Response.ContentType = "application/acad"
						Case ".dwg"
							Response.ContentType = "image/vnd.dwg"
						Case ".dwg"
							Response.ContentType = "image/x-dwg"
						Case ".dxf"
							Response.ContentType = "application/dxf"
						Case ".dxf"
							Response.ContentType = "image/vnd.dwg"
						Case ".dxf"
							Response.ContentType = "image/x-dwg"
						Case ".dxr"
							Response.ContentType = "application/x-director"
						Case ".el"
							Response.ContentType = "text/x-script.elisp"
						Case ".elc"
							Response.ContentType = "application/x-bytecode.elisp"
						Case ".elc"
							Response.ContentType = "application/x-elc"
						Case ".env"
							Response.ContentType = "application/x-envoy"
						Case ".eps"
							Response.ContentType = "application/postscript"
						Case ".es"
							Response.ContentType = "application/x-esrehber"
						Case ".etx"
							Response.ContentType = "text/x-setext"
						Case ".evy"
							Response.ContentType = "application/envoy"
						Case ".evy"
							Response.ContentType = "application/x-envoy"
						Case ".exe"
							Response.ContentType = "application/octet-stream"
						Case ".f"
							Response.ContentType = "text/plain"
						Case ".f"
							Response.ContentType = "text/x-fortran"
						Case ".f77"
							Response.ContentType = "text/x-fortran"
						Case ".f90"
							Response.ContentType = "text/plain"
						Case ".f90"
							Response.ContentType = "text/x-fortran"
						Case ".fdf"
							Response.ContentType = "application/vnd.fdf"
						Case ".fif"
							Response.ContentType = "application/fractals"
						Case ".fif"
							Response.ContentType = "image/fif"
						Case ".fli"
							Response.ContentType = "video/fli"
						Case ".fli"
							Response.ContentType = "video/x-fli"
						Case ".flo"
							Response.ContentType = "image/florian"
						Case ".flx"
							Response.ContentType = "text/vnd.fmi.flexstor"
						Case ".fmf"
							Response.ContentType = "video/x-atomic3d-feature"
						Case ".for"
							Response.ContentType = "text/plain"
						Case ".for"
							Response.ContentType = "text/x-fortran"
						Case ".fpx"
							Response.ContentType = "image/vnd.fpx"
						Case ".fpx"
							Response.ContentType = "image/vnd.net-fpx"
						Case ".frl"
							Response.ContentType = "application/freeloader"
						Case ".funk"
							Response.ContentType = "audio/make"
						Case ".g"
							Response.ContentType = "text/plain"
						Case ".g3"
							Response.ContentType = "image/g3fax"
						Case ".gif"
							Response.ContentType = "image/gif"
						Case ".gl"
							Response.ContentType = "video/gl"
						Case ".gl"
							Response.ContentType = "video/x-gl"
						Case ".gsd"
							Response.ContentType = "audio/x-gsm"
						Case ".gsm"
							Response.ContentType = "audio/x-gsm"
						Case ".gsp"
							Response.ContentType = "application/x-gsp"
						Case ".gss"
							Response.ContentType = "application/x-gss"
						Case ".gtar"
							Response.ContentType = "application/x-gtar"
						Case ".gz"
							Response.ContentType = "application/x-compressed"
						Case ".gz"
							Response.ContentType = "application/x-gzip"
						Case ".gzip"
							Response.ContentType = "application/x-gzip"
						Case ".gzip"
							Response.ContentType = "multipart/x-gzip"
						Case ".h"
							Response.ContentType = "text/plain"
						Case ".h"
							Response.ContentType = "text/x-h"
						Case ".hdf"
							Response.ContentType = "application/x-hdf"
						Case ".help"
							Response.ContentType = "application/x-helpfile"
						Case ".hgl"
							Response.ContentType = "application/vnd.hp-HPGL"
						Case ".hh"
							Response.ContentType = "text/plain"
						Case ".hh"
							Response.ContentType = "text/x-h"
						Case ".hlb"
							Response.ContentType = "text/x-script"
						Case ".hlp"
							Response.ContentType = "application/hlp"
						Case ".hlp"
							Response.ContentType = "application/x-helpfile"
						Case ".hlp"
							Response.ContentType = "application/x-winhelp"
						Case ".hpg"
							Response.ContentType = "application/vnd.hp-HPGL"
						Case ".hpgl"
							Response.ContentType = "application/vnd.hp-HPGL"
						Case ".hqx"
							Response.ContentType = "application/binhex"
						Case ".hqx"
							Response.ContentType = "application/binhex4"
						Case ".hqx"
							Response.ContentType = "application/mac-binhex"
						Case ".hqx"
							Response.ContentType = "application/mac-binhex40"
						Case ".hqx"
							Response.ContentType = "application/x-binhex40"
						Case ".hqx"
							Response.ContentType = "application/x-mac-binhex40"
						Case ".hta"
							Response.ContentType = "application/hta"
						Case ".htc"
							Response.ContentType = "text/x-component"
						Case ".htm"
							Response.ContentType = "text/html"
						Case ".html"
							Response.ContentType = "text/html"
						Case ".htmls"
							Response.ContentType = "text/html"
						Case ".htt"
							Response.ContentType = "text/webviewhtml"
						Case ".htx"
							Response.ContentType = "text/html"
						Case ".ice"
							Response.ContentType = "x-conference/x-cooltalk"
						Case ".ico"
							Response.ContentType = "image/x-icon"
						Case ".idc"
							Response.ContentType = "text/plain"
						Case ".ief"
							Response.ContentType = "image/ief"
						Case ".iefs"
							Response.ContentType = "image/ief"
						Case ".iges"
							Response.ContentType = "application/iges"
						Case ".iges"
							Response.ContentType = "application/iges"
						Case ".iges"
							Response.ContentType = "model/iges"
						Case ".igs"
							Response.ContentType = "application/iges"
						Case ".igs"
							Response.ContentType = "application/iges"
						Case ".igs"
							Response.ContentType = "model/iges"
						Case ".ima"
							Response.ContentType = "application/x-ima"
						Case ".imap"
							Response.ContentType = "application/x-httpd-imap"
						Case ".inf"
							Response.ContentType = "application/inf"
						Case ".ins"
							Response.ContentType = "application/x-internett-signup"
						Case ".ip"
							Response.ContentType = "application/x-ip2"
						Case ".isu"
							Response.ContentType = "video/x-isvideo"
						Case ".it"
							Response.ContentType = "audio/it"
						Case ".iv"
							Response.ContentType = "application/x-inventor"
						Case ".ivr"
							Response.ContentType = "i-world/i-vrml"
						Case ".ivy"
							Response.ContentType = "application/x-livescreen"
						Case ".jam"
							Response.ContentType = "audio/x-jam"
						Case ".jav"
							Response.ContentType = "text/plain"
						Case ".jav"
							Response.ContentType = "text/x-java-source"
						Case ".java"
							Response.ContentType = "text/plain"
						Case ".java"
							Response.ContentType = "text/x-java-source"
						Case ".jcm"
							Response.ContentType = "application/x-java-commerce"
						Case ".jfif"
							Response.ContentType = "image/jpeg"
						Case ".jfif"
							Response.ContentType = "image/pjpeg"
						Case ".jfif-tbnl"
							Response.ContentType = "image/jpeg"
						Case ".jpe"
							Response.ContentType = "image/jpeg"
						Case ".jpe"
							Response.ContentType = "image/pjpeg"
						Case ".jpeg"
							Response.ContentType = "image/jpeg"
						Case ".jpeg"
							Response.ContentType = "image/pjpeg"
						Case ".jpg"
							Response.ContentType = "image/jpeg"
						Case ".jpg"
							Response.ContentType = "image/pjpeg"
						Case ".jps"
							Response.ContentType = "image/x-jps"
						Case ".js"
							Response.ContentType = "application/x-javascript"
						Case ".jut"
							Response.ContentType = "image/jutvision"
						Case ".kar"
							Response.ContentType = "audio/midi"
						Case ".kar"
							Response.ContentType = "music/x-karaoke"
						Case ".ksh"
							Response.ContentType = "application/x-ksh"
						Case ".ksh"
							Response.ContentType = "text/x-script.ksh"
						Case ".la"
							Response.ContentType = "audio/nspaudio"
						Case ".la"
							Response.ContentType = "audio/x-nspaudio"
						Case ".lam"
							Response.ContentType = "audio/x-liveaudio"
						Case ".latex"
							Response.ContentType = "application/x-latex"
						Case ".lha"
							Response.ContentType = "application/lha"
						Case ".lha"
							Response.ContentType = "application/octet-stream"
						Case ".lha"
							Response.ContentType = "application/x-lha"
						Case ".lhx"
							Response.ContentType = "application/octet-stream"
						Case ".list"
							Response.ContentType = "text/plain"
						Case ".lma"
							Response.ContentType = "audio/nspaudio"
						Case ".lma"
							Response.ContentType = "audio/x-nspaudio"
						Case ".log"
							Response.ContentType = "text/plain"
						Case ".lsp"
							Response.ContentType = "application/x-lisp"
						Case ".lsp"
							Response.ContentType = "text/x-script.lisp"
						Case ".lst"
							Response.ContentType = "text/plain"
						Case ".lsx"
							Response.ContentType = "text/x-la-asf"
						Case ".ltx"
							Response.ContentType = "application/x-latex"
						Case ".lzh"
							Response.ContentType = "application/octet-stream"
						Case ".lzh"
							Response.ContentType = "application/x-lzh"
						Case ".lzx"
							Response.ContentType = "application/lzx"
						Case ".lzx"
							Response.ContentType = "application/octet-stream"
						Case ".lzx"
							Response.ContentType = "application/x-lzx"
						Case ".m"
							Response.ContentType = "text/plain"
						Case ".m"
							Response.ContentType = "text/x-m"
						Case ".m1v"
							Response.ContentType = "video/mpeg"
						Case ".m2a"
							Response.ContentType = "audio/mpeg"
						Case ".m2v"
							Response.ContentType = "video/mpeg"
						Case ".m3u"
							Response.ContentType = "audio/x-mpequrl"
						Case ".man"
							Response.ContentType = "application/x-troff-man"
						Case ".map"
							Response.ContentType = "application/x-navimap"
						Case ".mar"
							Response.ContentType = "text/plain"
						Case ".mbd"
							Response.ContentType = "application/mbedlet"
						Case ".mc$"
							Response.ContentType = "application/x-magic-cap-package-1.0"
						Case ".mcd"
							Response.ContentType = "application/mcad"
						Case ".mcd"
							Response.ContentType = "application/x-mathcad"
						Case ".mcf"
							Response.ContentType = "image/vasa"
						Case ".mcf"
							Response.ContentType = "text/mcf"
						Case ".mcp"
							Response.ContentType = "application/netmc"
						Case ".me"
							Response.ContentType = "application/x-troff-me"
						Case ".mht"
							Response.ContentType = "message/rfc822"
						Case ".mhtml"
							Response.ContentType = "message/rfc822"
						Case ".mid"
							Response.ContentType = "application/x-midi"
						Case ".mid"
							Response.ContentType = "audio/midi"
						Case ".mid"
							Response.ContentType = "audio/x-mid"
						Case ".mid"
							Response.ContentType = "audio/x-midi"
						Case ".mid"
							Response.ContentType = "music/crescendo"
						Case ".mid"
							Response.ContentType = "x-music/x-midi"
						Case ".midi"
							Response.ContentType = "application/x-midi"
						Case ".midi"
							Response.ContentType = "audio/midi"
						Case ".midi"
							Response.ContentType = "audio/x-mid"
						Case ".midi"
							Response.ContentType = "audio/x-midi"
						Case ".midi"
							Response.ContentType = "music/crescendo"
						Case ".midi"
							Response.ContentType = "x-music/x-midi"
						Case ".mif"
							Response.ContentType = "application/x-frame"
						Case ".mif"
							Response.ContentType = "application/x-mif"
						Case ".mime"
							Response.ContentType = "message/rfc822"
						Case ".mime"
							Response.ContentType = "www/mime"
						Case ".mjf"
							Response.ContentType = "audio/x-vnd.AudioExplosion.MjuiceMediaFile"
						Case ".mjpg"
							Response.ContentType = "video/x-motion-jpeg"
						Case ".mm"
							Response.ContentType = "application/base64"
						Case ".mm"
							Response.ContentType = "application/x-meme"
						Case ".mme"
							Response.ContentType = "application/base64"
						Case ".mod"
							Response.ContentType = "audio/mod"
						Case ".mod"
							Response.ContentType = "audio/x-mod"
						Case ".moov"
							Response.ContentType = "video/quicktime"
						Case ".mov"
							Response.ContentType = "video/quicktime"
						Case ".movie"
							Response.ContentType = "video/x-sgi-movie"
						Case ".mp2"
							Response.ContentType = "audio/mpeg"
						Case ".mp2"
							Response.ContentType = "audio/x-mpeg"
						Case ".mp2"
							Response.ContentType = "video/mpeg"
						Case ".mp2"
							Response.ContentType = "video/x-mpeg"
						Case ".mp2"
							Response.ContentType = "video/x-mpeq2a"
						Case ".mp3"
							Response.ContentType = "audio/mpeg3"
						Case ".mp3"
							Response.ContentType = "audio/x-mpeg-3"
						Case ".mp3"
							Response.ContentType = "video/mpeg"
						Case ".mp3"
							Response.ContentType = "video/x-mpeg"
						Case ".mpa"
							Response.ContentType = "audio/mpeg"
						Case ".mpa"
							Response.ContentType = "video/mpeg"
						Case ".mpc"
							Response.ContentType = "application/x-project"
						Case ".mpe"
							Response.ContentType = "video/mpeg"
						Case ".mpeg"
							Response.ContentType = "video/mpeg"
						Case ".mpg"
							Response.ContentType = "audio/mpeg"
						Case ".mpg"
							Response.ContentType = "video/mpeg"
						Case ".mpga"
							Response.ContentType = "audio/mpeg"
						Case ".mpp"
							Response.ContentType = "application/vnd.ms-project"
						Case ".mpt"
							Response.ContentType = "application/x-project"
						Case ".mpv"
							Response.ContentType = "application/x-project"
						Case ".mpx"
							Response.ContentType = "application/x-project"
						Case ".mrc"
							Response.ContentType = "application/marc"
						Case ".ms"
							Response.ContentType = "application/x-troff-ms"
						Case ".mv"
							Response.ContentType = "video/x-sgi-movie"
						Case ".my"
							Response.ContentType = "audio/make"
						Case ".mzz"
							Response.ContentType = "application/x-vnd.AudioExplosion.mzz"
						Case ".nap"
							Response.ContentType = "image/naplps"
						Case ".naplps"
							Response.ContentType = "image/naplps"
						Case ".nc"
							Response.ContentType = "application/x-netcdf"
						Case ".ncm"
							Response.ContentType = "application/vnd.nokia.configuration-message"
						Case ".nif"
							Response.ContentType = "image/x-niff"
						Case ".niff"
							Response.ContentType = "image/x-niff"
						Case ".nix"
							Response.ContentType = "application/x-mix-transfer"
						Case ".nsc"
							Response.ContentType = "application/x-conference"
						Case ".nvd"
							Response.ContentType = "application/x-navidoc"
						Case ".o"
							Response.ContentType = "application/octet-stream"
						Case ".oda"
							Response.ContentType = "application/oda"
						Case ".omc"
							Response.ContentType = "application/x-omc"
						Case ".omcd"
							Response.ContentType = "application/x-omcdatamaker"
						Case ".omcr"
							Response.ContentType = "application/x-omcregerator"
						Case ".p"
							Response.ContentType = "text/x-pascal"
						Case ".p10"
							Response.ContentType = "application/pkcs10"
						Case ".p10"
							Response.ContentType = "application/x-pkcs10"
						Case ".p12"
							Response.ContentType = "application/pkcs-12"
						Case ".p12"
							Response.ContentType = "application/x-pkcs12"
						Case ".p7a"
							Response.ContentType = "application/x-pkcs7-signature"
						Case ".p7c"
							Response.ContentType = "application/pkcs7-mime"
						Case ".p7c"
							Response.ContentType = "application/x-pkcs7-mime"
						Case ".p7m"
							Response.ContentType = "application/pkcs7-mime"
						Case ".p7m"
							Response.ContentType = "application/x-pkcs7-mime"
						Case ".p7r"
							Response.ContentType = "application/x-pkcs7-certreqresp"
						Case ".p7s"
							Response.ContentType = "application/pkcs7-signature"
						Case ".part"
							Response.ContentType = "application/pro_eng"
						Case ".pas"
							Response.ContentType = "text/pascal"
						Case ".pbm"
							Response.ContentType = "image/x-portable-bitmap"
						Case ".pcl"
							Response.ContentType = "application/vnd.hp-PCL"
						Case ".pcl"
							Response.ContentType = "application/x-pcl"
						Case ".pct"
							Response.ContentType = "image/x-pict"
						Case ".pcx"
							Response.ContentType = "image/x-pcx"
						Case ".pdb"
							Response.ContentType = "chemical/x-pdb"
						Case ".pdf"
							Response.ContentType = "application/pdf"
						Case ".pfunk"
							Response.ContentType = "audio/make"
						Case ".pfunk"
							Response.ContentType = "audio/make.my.funk"
						Case ".pgm"
							Response.ContentType = "image/x-portable-graymap"
						Case ".pgm"
							Response.ContentType = "image/x-portable-greymap"
						Case ".pic"
							Response.ContentType = "image/pict"
						Case ".pict"
							Response.ContentType = "image/pict"
						Case ".pkg"
							Response.ContentType = "application/x-newton-compatible-pkg"
						Case ".pko"
							Response.ContentType = "application/vnd.ms-pki.pko"
						Case ".pl"
							Response.ContentType = "text/plain"
						Case ".pl"
							Response.ContentType = "text/x-script.perl"
						Case ".plx"
							Response.ContentType = "application/x-PiXCLscript"
						Case ".pm"
							Response.ContentType = "image/x-xpixmap"
						Case ".pm"
							Response.ContentType = "text/x-script.perl-module"
						Case ".pm4"
							Response.ContentType = "application/x-pagemaker"
						Case ".pm5"
							Response.ContentType = "application/x-pagemaker"
						Case ".png"
							Response.ContentType = "image/png"
						Case ".pnm"
							Response.ContentType = "application/x-portable-anymap"
						Case ".pnm"
							Response.ContentType = "image/x-portable-anymap"
						Case ".pot"
							Response.ContentType = "application/mspowerpoint"
						Case ".pot"
							Response.ContentType = "application/vnd.ms-powerpoint"
						Case ".pov"
							Response.ContentType = "model/x-pov"
						Case ".ppa"
							Response.ContentType = "application/vnd.ms-powerpoint"
						Case ".ppm"
							Response.ContentType = "image/x-portable-pixmap"
						Case ".pps"
							Response.ContentType = "application/mspowerpoint"
						Case ".pps"
							Response.ContentType = "application/vnd.ms-powerpoint"
						Case ".ppt"
							Response.ContentType = "application/mspowerpoint"
						Case ".ppt"
							Response.ContentType = "application/powerpoint"
						Case ".ppt"
							Response.ContentType = "application/vnd.ms-powerpoint"
						Case ".ppt"
							Response.ContentType = "application/x-mspowerpoint"
						Case ".ppz"
							Response.ContentType = "application/mspowerpoint"
						Case ".pre"
							Response.ContentType = "application/x-freelance"
						Case ".prt"
							Response.ContentType = "application/pro_eng"
						Case ".ps"
							Response.ContentType = "application/postscript"
						Case ".psd"
							Response.ContentType = "application/octet-stream"
						Case ".pvu"
							Response.ContentType = "paleovu/x-pv"
						Case ".pwz"
							Response.ContentType = "application/vnd.ms-powerpoint"
						Case ".py"
							Response.ContentType = "text/x-script.phyton"
						Case ".pyc"
							Response.ContentType = "applicaiton/x-bytecode.python"
						Case ".qcp"
							Response.ContentType = "audio/vnd.qcelp"
						Case ".qd3"
							Response.ContentType = "x-world/x-3dmf"
						Case ".qd3d"
							Response.ContentType = "x-world/x-3dmf"
						Case ".qif"
							Response.ContentType = "image/x-quicktime"
						Case ".qt"
							Response.ContentType = "video/quicktime"
						Case ".qtc"
							Response.ContentType = "video/x-qtc"
						Case ".qti"
							Response.ContentType = "image/x-quicktime"
						Case ".qtif"
							Response.ContentType = "image/x-quicktime"
						Case ".ra"
							Response.ContentType = "audio/x-pn-realaudio"
						Case ".ra"
							Response.ContentType = "audio/x-pn-realaudio-plugin"
						Case ".ra"
							Response.ContentType = "audio/x-realaudio"
						Case ".ram"
							Response.ContentType = "audio/x-pn-realaudio"
						Case ".ras"
							Response.ContentType = "application/x-cmu-raster"
						Case ".ras"
							Response.ContentType = "image/cmu-raster"
						Case ".ras"
							Response.ContentType = "image/x-cmu-raster"
						Case ".rast"
							Response.ContentType = "image/cmu-raster"
						Case ".rexx"
							Response.ContentType = "text/x-script.rexx"
						Case ".rf"
							Response.ContentType = "image/vnd.rn-realflash"
						Case ".rgb"
							Response.ContentType = "image/x-rgb"
						Case ".rm"
							Response.ContentType = "application/vnd.rn-realmedia"
						Case ".rm"
							Response.ContentType = "audio/x-pn-realaudio"
						Case ".rmi"
							Response.ContentType = "audio/mid"
						Case ".rmm"
							Response.ContentType = "audio/x-pn-realaudio"
						Case ".rmp"
							Response.ContentType = "audio/x-pn-realaudio"
						Case ".rmp"
							Response.ContentType = "audio/x-pn-realaudio-plugin"
						Case ".rng"
							Response.ContentType = "application/ringing-tones"
						Case ".rng"
							Response.ContentType = "application/vnd.nokia.ringing-tone"
						Case ".rnx"
							Response.ContentType = "application/vnd.rn-realplayer"
						Case ".roff"
							Response.ContentType = "application/x-troff"
						Case ".rp"
							Response.ContentType = "image/vnd.rn-realpix"
						Case ".rpm"
							Response.ContentType = "audio/x-pn-realaudio-plugin"
						Case ".rt"
							Response.ContentType = "text/richtext"
						Case ".rt"
							Response.ContentType = "text/vnd.rn-realtext"
						Case ".rtf"
							Response.ContentType = "application/rtf"
						Case ".rtf"
							Response.ContentType = "application/x-rtf"
						Case ".rtf"
							Response.ContentType = "text/richtext"
						Case ".rtx"
							Response.ContentType = "application/rtf"
						Case ".rtx"
							Response.ContentType = "text/richtext"
						Case ".rv"
							Response.ContentType = "video/vnd.rn-realvideo"
						Case ".s"
							Response.ContentType = "text/x-asm"
						Case ".s3m"
							Response.ContentType = "audio/s3m"
						Case ".saveme"
							Response.ContentType = "application/octet-stream"
						Case ".sbk"
							Response.ContentType = "application/x-tbook"
						Case ".scm"
							Response.ContentType = "application/x-lotusscreencam"
						Case ".scm"
							Response.ContentType = "text/x-script.guile"
						Case ".scm"
							Response.ContentType = "text/x-script.scheme"
						Case ".scm"
							Response.ContentType = "video/x-scm"
						Case ".sdml"
							Response.ContentType = "text/plain"
						Case ".sdp"
							Response.ContentType = "application/sdp"
						Case ".sdp"
							Response.ContentType = "application/x-sdp"
						Case ".sdr"
							Response.ContentType = "application/sounder"
						Case ".sea"
							Response.ContentType = "application/sea"
						Case ".sea"
							Response.ContentType = "application/x-sea"
						Case ".set"
							Response.ContentType = "application/set"
						Case ".sgm"
							Response.ContentType = "text/sgml"
						Case ".sgm"
							Response.ContentType = "text/x-sgml"
						Case ".sgml"
							Response.ContentType = "text/sgml"
						Case ".sgml"
							Response.ContentType = "text/x-sgml"
						Case ".sh"
							Response.ContentType = "application/x-bsh"
						Case ".sh"
							Response.ContentType = "application/x-sh"
						Case ".sh"
							Response.ContentType = "application/x-shar"
						Case ".sh"
							Response.ContentType = "text/x-script.sh"
						Case ".shar"
							Response.ContentType = "application/x-bsh"
						Case ".shar"
							Response.ContentType = "application/x-shar"
						Case ".shtml"
							Response.ContentType = "text/html"
						Case ".shtml"
							Response.ContentType = "text/x-server-parsed-html"
						Case ".sid"
							Response.ContentType = "audio/x-psid"
						Case ".sit"
							Response.ContentType = "application/x-sit"
						Case ".sit"
							Response.ContentType = "application/x-stuffit"
						Case ".skd"
							Response.ContentType = "application/x-koan"
						Case ".skm"
							Response.ContentType = "application/x-koan"
						Case ".skp"
							Response.ContentType = "application/x-koan"
						Case ".skt"
							Response.ContentType = "application/x-koan"
						Case ".sl"
							Response.ContentType = "application/x-seelogo"
						Case ".smi"
							Response.ContentType = "application/smil"
						Case ".smil"
							Response.ContentType = "application/smil"
						Case ".snd"
							Response.ContentType = "audio/basic"
						Case ".snd"
							Response.ContentType = "audio/x-adpcm"
						Case ".sol"
							Response.ContentType = "application/solids"
						Case ".spc"
							Response.ContentType = "application/x-pkcs7-certificates"
						Case ".spc"
							Response.ContentType = "text/x-speech"
						Case ".spl"
							Response.ContentType = "application/futuresplash"
						Case ".spr"
							Response.ContentType = "application/x-sprite"
						Case ".sprite"
							Response.ContentType = "application/x-sprite"
						Case ".src"
							Response.ContentType = "application/x-wais-source"
						Case ".ssi"
							Response.ContentType = "text/x-server-parsed-html"
						Case ".ssm"
							Response.ContentType = "application/streamingmedia"
						Case ".sst"
							Response.ContentType = "application/vnd.ms-pki.certstore"
						Case ".step"
							Response.ContentType = "application/step"
						Case ".stl"
							Response.ContentType = "application/sla"
						Case ".stl"
							Response.ContentType = "application/vnd.ms-pki.stl"
						Case ".stl"
							Response.ContentType = "application/x-navistyle"
						Case ".stp"
							Response.ContentType = "application/step"
						Case ".sv4cpio"
							Response.ContentType = "application/x-sv4cpio"
						Case ".sv4crc"
							Response.ContentType = "application/x-sv4crc"
						Case ".svf"
							Response.ContentType = "image/vnd.dwg"
						Case ".svf"
							Response.ContentType = "image/x-dwg"
						Case ".svr"
							Response.ContentType = "application/x-world"
						Case ".svr"
							Response.ContentType = "x-world/x-svr"
						Case ".swf"
							Response.ContentType = "application/x-shockwave-flash"
						Case ".t"
							Response.ContentType = "application/x-troff"
						Case ".talk"
							Response.ContentType = "text/x-speech"
						Case ".tar"
							Response.ContentType = "appliation/x-tar"
						Case ".tar"
							Response.ContentType = "application/x-tar"
						Case ".tbk"
							Response.ContentType = "application/toolbook"
						Case ".tbk"
							Response.ContentType = "application/x-tbook"
						Case ".tcl"
							Response.ContentType = "application/x-tcl"
						Case ".tcl"
							Response.ContentType = "text/x-script.tcl"
						Case ".tcsh"
							Response.ContentType = "text/x-script.tcsh"
						Case ".tex"
							Response.ContentType = "application/x-tex"
						Case ".texi"
							Response.ContentType = "application/x-texinfo"
						Case ".texinfo"
							Response.ContentType = "application/x-texinfo"
						Case ".text"
							Response.ContentType = "application/plain"
						Case ".text"
							Response.ContentType = "text/plain"
						Case ".tgz"
							Response.ContentType = "application/gnutar"
						Case ".tgz"
							Response.ContentType = "application/x-compressed"
						Case ".tif"
							Response.ContentType = "image/tiff"
						Case ".tif"
							Response.ContentType = "image/x-tiff"
						Case ".tiff"
							Response.ContentType = "image/tiff"
						Case ".tiff"
							Response.ContentType = "image/x-tiff"
						Case ".tr"
							Response.ContentType = "application/x-troff"
						Case ".tsi"
							Response.ContentType = "audio/tsp-audio"
						Case ".tsp"
							Response.ContentType = "application/dsptype"
						Case ".tsp"
							Response.ContentType = "audio/tsplayer"
						Case ".tsv"
							Response.ContentType = "text/tab-separated-values"
						Case ".turbot"
							Response.ContentType = "image/florian"
						Case ".txt"
							Response.ContentType = "text/plain"
						Case ".uil"
							Response.ContentType = "text/x-uil"
						Case ".uni"
							Response.ContentType = "text/uri-list"
						Case ".unis"
							Response.ContentType = "text/uri-list"
						Case ".unv"
							Response.ContentType = "application/i-deas"
						Case ".uri"
							Response.ContentType = "text/uri-list"
						Case ".uris"
							Response.ContentType = "text/uri-list"
						Case ".ustar"
							Response.ContentType = "application/x-ustar"
						Case ".ustar"
							Response.ContentType = "multipart/x-ustar"
						Case ".uu"
							Response.ContentType = "application/octet-stream"
						Case ".uu"
							Response.ContentType = "text/x-uuencode"
						Case ".uue"
							Response.ContentType = "text/x-uuencode"
						Case ".vcd"
							Response.ContentType = "application/x-cdlink"
						Case ".vcs"
							Response.ContentType = "text/x-vCalendar"
						Case ".vda"
							Response.ContentType = "application/vda"
						Case ".vdo"
							Response.ContentType = "video/vdo"
						Case ".vew"
							Response.ContentType = "application/groupwise"
						Case ".viv"
							Response.ContentType = "video/vivo"
						Case ".viv"
							Response.ContentType = "video/vnd.vivo"
						Case ".vivo"
							Response.ContentType = "video/vivo"
						Case ".vivo"
							Response.ContentType = "video/vnd.vivo"
						Case ".vmd"
							Response.ContentType = "application/vocaltec-media-desc"
						Case ".vmf"
							Response.ContentType = "application/vocaltec-media-file"
						Case ".voc"
							Response.ContentType = "audio/voc"
						Case ".voc"
							Response.ContentType = "audio/x-voc"
						Case ".vos"
							Response.ContentType = "video/vosaic"
						Case ".vox"
							Response.ContentType = "audio/voxware"
						Case ".vqe"
							Response.ContentType = "audio/x-twinvq-plugin"
						Case ".vqf"
							Response.ContentType = "audio/x-twinvq"
						Case ".vql"
							Response.ContentType = "audio/x-twinvq-plugin"
						Case ".vrml"
							Response.ContentType = "application/x-vrml"
						Case ".vrml"
							Response.ContentType = "model/vrml"
						Case ".vrml"
							Response.ContentType = "x-world/x-vrml"
						Case ".vrt"
							Response.ContentType = "x-world/x-vrt"
						Case ".vsd"
							Response.ContentType = "application/x-visio"
						Case ".vst"
							Response.ContentType = "application/x-visio"
						Case ".vsw"
							Response.ContentType = "application/x-visio"
						Case ".w60"
							Response.ContentType = "application/wordperfect6.0"
						Case ".w61"
							Response.ContentType = "application/wordperfect6.1"
						Case ".w6w"
							Response.ContentType = "application/msword"
						Case ".wav"
							Response.ContentType = "audio/wav"
						Case ".wav"
							Response.ContentType = "audio/x-wav"
						Case ".wb1"
							Response.ContentType = "application/x-qpro"
						Case ".wbmp"
							Response.ContentType = "image/vnd.wap.wbmp"
						Case ".web"
							Response.ContentType = "application/vnd.xara"
						Case ".wiz"
							Response.ContentType = "application/msword"
						Case ".wk1"
							Response.ContentType = "application/x-123"
						Case ".wmf"
							Response.ContentType = "windows/metafile"
						Case ".wml"
							Response.ContentType = "text/vnd.wap.wml"
						Case ".wmlc"
							Response.ContentType = "application/vnd.wap.wmlc"
						Case ".wmls"
							Response.ContentType = "text/vnd.wap.wmlscript"
						Case ".wmlsc"
							Response.ContentType = "application/vnd.wap.wmlscriptc"
						Case ".word"
							Response.ContentType = "application/msword"
						Case ".wp"
							Response.ContentType = "application/wordperfect"
						Case ".wp5"
							Response.ContentType = "application/wordperfect"
						Case ".wp5"
							Response.ContentType = "application/wordperfect6.0"
						Case ".wp6"
							Response.ContentType = "application/wordperfect"
						Case ".wpd"
							Response.ContentType = "application/wordperfect"
						Case ".wpd"
							Response.ContentType = "application/x-wpwin"
						Case ".wq1"
							Response.ContentType = "application/x-lotus"
						Case ".wri"
							Response.ContentType = "application/mswrite"
						Case ".wri"
							Response.ContentType = "application/x-wri"
						Case ".wrl"
							Response.ContentType = "application/x-world"
						Case ".wrl"
							Response.ContentType = "model/vrml"
						Case ".wrl"
							Response.ContentType = "x-world/x-vrml"
						Case ".wrz"
							Response.ContentType = "model/vrml"
						Case ".wrz"
							Response.ContentType = "x-world/x-vrml"
						Case ".wsc"
							Response.ContentType = "text/scriplet"
						Case ".wsrc"
							Response.ContentType = "application/x-wais-source"
						Case ".wtk"
							Response.ContentType = "application/x-wintalk"
						Case " .x-png"
							Response.ContentType = "image/png"
						Case ".xbm"
							Response.ContentType = "image/x-xbitmap"
						Case ".xbm"
							Response.ContentType = "image/x-xbm"
						Case ".xbm"
							Response.ContentType = "image/xbm"
						Case ".xdr"
							Response.ContentType = "video/x-amt-demorun"
						Case ".xgz"
							Response.ContentType = "xgl/drawing"
						Case ".xif"
							Response.ContentType = "image/vnd.xiff"
						Case ".xl"
							Response.ContentType = "application/excel"
						Case ".xla"
							Response.ContentType = "application/excel"
						Case ".xla"
							Response.ContentType = "application/x-excel"
						Case ".xla"
							Response.ContentType = "application/x-msexcel"
						Case ".xlb"
							Response.ContentType = "application/excel"
						Case ".xlb"
							Response.ContentType = "application/vnd.ms-excel"
						Case ".xlb"
							Response.ContentType = "application/x-excel"
						Case ".xlc"
							Response.ContentType = "application/excel"
						Case ".xlc"
							Response.ContentType = "application/vnd.ms-excel"
						Case ".xlc"
							Response.ContentType = "application/x-excel"
						Case ".xld"
							Response.ContentType = "application/excel"
						Case ".xld"
							Response.ContentType = "application/x-excel"
						Case ".xlk"
							Response.ContentType = "application/excel"
						Case ".xlk"
							Response.ContentType = "application/x-excel"
						Case ".xll"
							Response.ContentType = "application/excel"
						Case ".xll"
							Response.ContentType = "application/vnd.ms-excel"
						Case ".xll"
							Response.ContentType = "application/x-excel"
						Case ".xlm"
							Response.ContentType = "application/excel"
						Case ".xlm"
							Response.ContentType = "application/vnd.ms-excel"
						Case ".xlm"
							Response.ContentType = "application/x-excel"
						Case ".xls"
							Response.ContentType = "application/excel"
						Case ".xls"
							Response.ContentType = "application/vnd.ms-excel"
						Case ".xls"
							Response.ContentType = "application/x-excel"
						Case ".xls"
							Response.ContentType = "application/x-msexcel"
						Case ".xlt"
							Response.ContentType = "application/excel"
						Case ".xlt"
							Response.ContentType = "application/x-excel"
						Case ".xlv"
							Response.ContentType = "application/excel"
						Case ".xlv"
							Response.ContentType = "application/x-excel"
						Case ".xlw"
							Response.ContentType = "application/excel"
						Case ".xlw"
							Response.ContentType = "application/vnd.ms-excel"
						Case ".xlw"
							Response.ContentType = "application/x-excel"
						Case ".xlw"
							Response.ContentType = "application/x-msexcel"
						Case ".xm"
							Response.ContentType = "audio/xm"
						Case ".xml"
							Response.ContentType = "application/xml"
						Case ".xml"
							Response.ContentType = "text/xml"
						Case ".xmz"
							Response.ContentType = "xgl/movie"
						Case ".xpix"
							Response.ContentType = "application/x-vnd.ls-xpix"
						Case ".xpm"
							Response.ContentType = "image/x-xpixmap"
						Case ".xpm"
							Response.ContentType = "image/xpm"
						Case ".xsr"
							Response.ContentType = "video/x-amt-showrun"
						Case ".xwd"
							Response.ContentType = "image/x-xwd"
						Case ".xwd"
							Response.ContentType = "image/x-xwindowdump"
						Case ".xyz"
							Response.ContentType = "chemical/x-pdb"
						Case ".z"
							Response.ContentType = "application/x-compress"
						Case ".z"
							Response.ContentType = "application/x-compressed"
						Case ".zip"
							Response.ContentType = "application/x-compressed"
						Case ".zip"
							Response.ContentType = "application/x-zip-compressed"
						Case ".zip"
							Response.ContentType = "application/zip"
						Case ".zip"
							Response.ContentType = "multipart/x-zip"
						Case ".zoo"
							Response.ContentType = "application/octet-stream"
						Case ".zsh"
							Response.ContentType = "text/x-script.zsh"
						Case Else
							Response.ContentType = "application/octet-stream"
					End Select
				End If
				Response.BinaryWrite objStream.Read
				If ( Err.Number <> 0 ) Then
					Call DOMAIN_Message(DOMAIN_Text("NEWS_DOWNLOADATTACH_UNABLE2OPEN"), "ERROR")
				End If
				On Error Goto 0
			Else
				Call DOMAIN_Message(DOMAIN_Text("NEWS_DOWNLOADATTACH_NOATTACH"), "ERROR")
			End If
			rsNews.Close
		End If
	Else
		Call DOMAIN_Message(DOMAIN_Text("NEWS_DOWNLOADATTACH_INVALIDIP"), "ERROR")
	End If
	
	Call DB_CloseNews()
	Call DISP_Action("SB_VOID_CLOSE")
%>