<%
	'************************************************************************************
	'*																					*
	'*	Enters in the Accounting Data Variables (ADV).									*
	'*																					*
	'************************************************************************************
	Sub ADV()

		' Insert the actual ADV's
		' Insert each ADV into it's own group on this first domain - by making each of the last numbers unique
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_FirstName','V','First Name','Y','Y'," & iDomain & ",0,'',1)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_MiddleName','V','Middle Name','N','Y'," & iDomain & ",0,'',2)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_LastName','V','Last Name','Y','Y'," & iDomain & ",0,'',3)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomeAddress1','V','Home Address','N','Y'," & iDomain & ",0,'',4)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomeAddress2','V','Home Address','N','Y'," & iDomain & ",0,'',5)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomeAddress3','V','Home Address','N','Y'," & iDomain & ",0,'',6)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomeCity','V','Home City','N','Y'," & iDomain & ",0,'',7)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomeState','V','Home State','N','Y'," & iDomain & ",0,'',8)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomeZip','V','Home Zip','N','Y'," & iDomain & ",0,'',9)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkAddress1','V','Work Address','N','Y'," & iDomain & ",0,'',10)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkAddress2','V','Work Address','N','Y'," & iDomain & ",0,'',11)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkAddress3','V','Work Address','N','Y'," & iDomain & ",0,'',12)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkCity','V','Work City','N','Y'," & iDomain & ",0,'',13)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkState','V','Work State','N','Y'," & iDomain & ",0,'',14)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkZip','V','Work Zip','N','Y'," & iDomain & ",0,'',15)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomePhone1','V','Home Phone 1','N','Y'," & iDomain & ",0,'',16)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomePhone2','V','Home Phone 2','N','Y'," & iDomain & ",0,'',17)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkPhone1','V','Work Phone 1','N','Y'," & iDomain & ",0,'',18)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkPhone2','V','Work Phone 2','N','Y'," & iDomain & ",0,'',19)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_MobilePhone','V','Mobile Phone','N','Y'," & iDomain & ",0,'',20)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomeFax','V','Home Fax','N','Y'," & iDomain & ",0,'',21)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_WorkFax','V','Work Fax','N','Y'," & iDomain & ",0,'',22)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_EmailAddress','V','Email Address','Y','Y'," & iDomain & ",0,'',23)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_ICQ','V','ICQ Number','N','Y'," & iDomain & ",0,'',24)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_AIM','V','AIM Handle','N','Y'," & iDomain & ",0,'',25)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_Yahoo','V','Yahoo IM Handle','N','Y'," & iDomain & ",0,'',26)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_MSN','V','MSN IM Handle','N','Y'," & iDomain & ",0,'',27)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_HomepageURL','V','Homepage URL','N','Y'," & iDomain & ",0,'',28)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_BirthDay','V','Birth Day','N','Y'," & iDomain & ",0,'',29)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_BirthMonth','V','Birth Month','N','Y'," & iDomain & ",0,'',30)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_BirthYear','V','Birth Year','N','Y'," & iDomain & ",0,'',31)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('Notes','T','Notes','N','Y'," & iDomain & ",0,'',32)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_IPAddress','V','IP Address','N','N'," & iDomain & ",0,'',0)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_NumLogins','V','Number of times this user has logged in.','N','N'," & iDomain & ",1,'',0)"
		DBConnection.Execute "INSERT INTO AccountMap VALUES ('SB_TextScheme','V','Text Scheme','N','N'," & iDomain & ",0,'',34)"
		
		
		' Insert the first account's data (using the ADV)
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_FirstName',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_MiddleName',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_LastName',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomeAddress1',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomeAddress2',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomeAddress3',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomeCity',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomeState',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomeZip',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkAddress1',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkAddress2',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkAddress3',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkCity',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkState',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkZip',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomePhone1',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomePhone2',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkPhone1',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkPhone2',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_MobilePhone',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomeFax',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_WorkFax',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_EmailAddress',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_ICQ',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_AIM',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_Yahoo',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_MSN',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_HomepageURL',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_BirthDay',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_BirthMonth',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_BirthYear',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('Notes',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_IPAddress',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_NumLogins',1,'','','PRIVATE'," & iDomain & ",'T',GetDate())"
		DBConnection.Execute "INSERT INTO AccountData VALUES ('SB_TextScheme',1,'1','','PRIVATE'," & iDomain & ",'T',GetDate())"

	End Sub
	'************************************************************************************
%>